Welcome

Welcome to ControlSpace Designer software, used for the set up, configuration and control of Bose Professional system electronics. ControlSpace Designer software simplifies system configuration and programming through the use of standard drag and drop programming methods, and Smart Simulation, which allows you to instantly preview system programming without being connected to system hardware.

Click here to get started with the ControlSpace Designer help system.

Trademark Notices

Bose, Articulated Array, and Panaray are trademarks of Bose Corporation.

ArenaMatch, ControlSpace, FreeSpace, Modeler, SmartBass, PowerMatch, RoomMatch, and ShowMatch are trademarks of Transom Post OpCo LLC.

Audinate® and Dante® are registered trademarks of Audinate Pty Ltd.

CobraNet® is a registered trademark of Cirrus Logic, Inc.

Microsoft®, Windows®, .NET™, Visual C++®, and Visual Studio® are registered trademarks or trademarks of Microsoft Corporation.

NETGEAR®, the NETGEAR logo, and ProSAFE® are trademarks of NETGEAR, Inc.

All other trademarks are the property of their respective owners.

Revision Date: September 12, 2023


Training, Application, and Support

You can find more information about the design, configuration, and control of systems using Bose Professional electronics and the ControlSpace Designer software at BoseProfessional.com.

For online training courses on ControlSpace Designer, visit ProEdu.Bose.com.


System Requirements

The following are the minimum system requirements for ControlSpace Designer software.

  • Microsoft Windows 10 Version 2004 or later
  • 1 GHz processor (or better)
  • 512 MB of available RAM (1 GB recommended)
  • 512 MB of available disk space (1 GB recommended)
  • Minimum resolution of 1366x768 WXGA
  • 1 available USB port
  • 1 available Ethernet port, 100 Mbps minimum (1 Gbps recommended)

Note: ControlSpace Designer also requires the Microsoft Visual C++ 2019 runtime library. The ControlSpace Designer installer will automatically install these items on your computer if they are not already present.


Software Installation

The following redistributable software packages are required to properly run ControlSpace Designer software. These files are included with the released software installation package and will be installed automatically if they are not present on your computer.

  • Microsoft Visual C++ 2019 runtime library

Note: Configuration of Dante properties and network routing (such as multicast flows) must be performed in Audinate's Dante Controller software application.

To install ControlSpace Designer software:

  1. Double-click ControlSpace Designer [version number].exe to install ControlSpace Designer software.

  2. After the ControlSpace Designer setup wizard opens, follow the on-screen instructions to begin the installation.

Note: If a Windows Defender Firewall dialog box appears, select the checkbox(es) in the window and then click Allow access. You may see two of these dialog boxes: one for Bose Dante Lib IPC and one for CSD.

Note: If the Windows Security dialog box appears, select the Always trust software from "Bose Corporation" check box (optional), and then click Install.


Interface Overview

The ControlSpace Designer software interface consists of five primary areas:

1 | Menu bar - Provides access to commands in the ControlSpace Designer main menu.
2 | Toolbar - Provides shortcuts to certain commands without the need to access the main menu.
3 | Device List and SP Tool Kit - The Device List is a context-sensitive panel that appears in the left pane of Project view (the default view) and lists devices that can be added to the system design. The SP Toolkit lists available signal processing tools and appears in the left pane of Signal Processing view, which appears when an ESP, EX, PowerMatch, or PowerShare device tab is selected.
4 | Design Workspace - Canvas area that is used to define system devices, create signal processing diagrams, and to access operational screens for various devices and signal processing objects.
5 | Control Library Functions Area - Used to display and configure system control functions placed in Parameter Sets, Groups, RCGroups, and Timers.


Menu Bar

The Menu bar in ControlSpace Designer contains drop-down menus that provide access to the program's essential functions. The Menu bar includes the following application-specific menus:

  • File Menu: Includes commands relating to the handling of files, such as creating and saving project files.
  • Edit Menu: Provides options for controlling the elements in a design, such as undoing/redoing design changes, and copying and pasting design elements.
  • View Menu: Contains commands that affect the appearance of a project design, including zoom level and specifying whether to show wires in the design.
  • Tools Menu: Provides options for configuring certain aspects of a project, such as setting network properties and enabling Label Propagation.
  • System Menu: Includes commands for system configuration, including access to Hardware Manager and enabling/disabling Dante control.
  • Window Menu: Provides access to additional components of the user interface, such as the Properties window for viewing the properties of a selected object, and various control-programming windows.
  • Help Menu: Provides access to the ControlSpace Designer User Help and the About ControlSpace Designer window.


File Menu

Function | Description
New | Creates a new project file (.csp). If a project is currently open and unsaved, you will be prompted to save it before creating a new project.
Open | Allows you to open an existing project file. If a project is currently open with unsaved changes, you will be prompted to save it before opening another project.
Merge Projects | Allows you to open a project file and merge it with the currently open project file.
Save | Saves changes to the project. If you have not yet saved the project, you will be prompted to name and save the project.
Save As | Creates a copy of the project and saves it with a different name. The new saved project will remain open and the original project will be closed.
Export | Exports the contents of your project to a comma delimited (.csv) file. This file contains the entire tree structure of your project, similar to the Project Directory window.
Project Information | Opens the Project Information window, where you can record contact information and comments related to the design. For more information, see Adding Project Information.
Page Setup | Opens the Page Setup window for print output, where you can change the paper size, printer paper source, orientation, and margin sizes.
Print Preview | Opens the Print Preview window to view what your design will look like when printed.
Print | Opens the Print window to select a printer, specify which pages to print, and the number of copies.
Recent Files | Lists the four most recently active projects. Select one to open the project file.
Exit | Closes ControlSpace Designer software. If a project file is open, you will be prompted to save changes.


Edit Menu

Function | Description
Undo | Undo your last action or undo multiple actions for each Project view tab.
Redo | Redo your last action (after undo) or redo multiple undo actions up to the most recent action within the selected Project view tab.
Cut | Deletes the selected item and copies it to the clipboard (standard Windows editing function).
Copy | Copies the item to the clipboard (standard Windows editing function).
Paste | Pastes the contents of the clipboard (standard Windows editing function).
Duplicate | Copies and pastes the selected item, in effect cloning it (standard Windows editing function).
Copy Parameters | Copies the parameters, or settings, for an SP block in the Signal Processing view. The parameters can be copied to another SP block of the same type.
Paste Parameters | Pastes the copied settings from one SP block to one or more other blocks of the same type.
Delete | Deletes the selected item.
Select All | Selects all items in the active window.
Bring Selection to Front | Moves selected SP block or device up over any overlapping objects.
Bring Selection to Back | Moves selected SP block or device behind any overlapping objects.
Align Left Sides | Aligns the left sides of all selected blocks in Project view or Signal Processing view.
Align Horizontal Centers | Aligns the horizontal centers of all selected blocks in Project view or Signal Processing view.
Align Right Sides | Aligns the right sides of all selected blocks in Project view or Signal Processing view.
Align Tops | Aligns the tops of all selected blocks in Project view or the Signal Processing view.
Align Vertical Centers | Aligns the vertical centers of all selected blocks in Project view or Signal Processing view.
Align Bottoms | Aligns the bottoms of all selected blocks in Project view or Signal Processing view.


View Menu

Note: ESP sound processors do not support logic functionality.

Function | Description
Zoom In

Magnifies your view in the Design Workspace.
Zoom Out

Zooms the view out to show a larger area of the Design Workspace.
Zoom Normal

Sets the zoom level to 100%.

Zoom To Fit

Sets the zoom level so that all objects can be seen in Project view or in Signal Processing view.

Show Grid

Line Grid

Hide Grid

Switches the background grid in Project view or in Signal Processing view between two different patterns, or hides the grid. When the grid is shown, any objects or blocks you place will align with (snap to) the grid boundaries.

Hide All Logic I/O

Show Logic I/O

Hide: Hides all Logic I/O ports and wiring for all EX devices in the design.

Show: Shows only the Logic I/O ports and wiring for non-SP blocks (for example, serial I/O or GPI/GPO) for all EX devices in the design.

Tip: To show Logic I/O for all SP blocks in all EX devices, select Show Signal Processing Logic I/O.

Show Signal Processing Logic I/O

Hide Signal Processing Logic I/O

Show: Shows only the Logic I/O ports and wiring for SP blocks in all EX devices in the design.

Hide: Hides only the Logic I/O ports and wiring for SP blocks in all EX devices in the design.

Hide All Wires

Show All Wires

Shows or hides all wiring for all blocks in the selected Device (processor) tab.

Hide Audio Wires

Show Audio Wires

Shows or hides only the audio wiring for all blocks in the selected Device (processor) tab.

Hide Logic Wires

Show Logic Wires

Shows or hides only the logic wiring for all blocks in the selected Device (processor) tab.
System Status

Displays the monitor panels for all PowerMatch and PowerShare amplifiers.
System Status Settings

Displays the default settings for how monitor panels appear within the application. Select AutoTile to toggle the auto tiling function on and off. Select Collapsed View to toggle the initial display state of all PowerMatch and PowerShare amplifier monitor panels between collapsed and expanded view.
Dante Domains | Shows/hides all Dante devices, all non-Dante devices, or Dante devices by their enrolled domain name or in ad hoc mode. See Viewing Dante Devices by Domain Enrollment for more information.
Wire Style

Selects Line, Orthogonal, or Bezier style of wiring. There are also several subtypes of Orthogonal wiring available.
Wire Colors | Selects the default wire color used for Audio, Network, or Logic wiring.

Show Wiring Crosshair

Hide Wiring Crosshair

Toggles the wire drawing cursor between the standard Windows cursor and a crosshair (for more precise drawing).
Overview

Opens the Overview window, which contains a high level view of your signal processing design in Signal Processing view. Use your mouse cursor in the Overview window to draw a box around an area of your design that you would like to zoom in on.

Use the mouse in the Overview window to drag the zoom window around your design.

The Overview window can be kept open while making changes to your designs.
Show Labels On Single Channel Blocks

Channel labels do not appear on single-channel blocks by default. Enable this option to view channel labels on single-channel blocks.

When enabled, a check mark appears next to this option in the menu. Labels that appear on any single-channel blocks will be removed if this option is disabled.


Tools Menu

Function

Description
Set Temperature

Opens the Temperature window to set the ambient temperature for which you would like to calculate delay times, in degrees Fahrenheit, or degrees Celsius. Alternatively, you can set the speed of sound at your design location in feet/sec or meters/sec. ControlSpace Designer software uses this value to calculate delay times when entered into a Delay signal processing block.

Note: This setting does not change or modify any existing delay settings.
Set Master DSP

Opens the Set Master DSP window. In a design with multiple devices, use this window to specify which device is the Real Time Clock (RTC) for your system. Only one device can act as the RTC.
DSP Resources

Opens the DSP Resources window to view the processing and delay memory usage for the selected ESP or EX device.

Note: For more information, see Estimating DSP Usage.
Set Project Network Properties

Displays the Set Project Network Properties dialog box. Allows you to define a new network and subnet for the current project (when you click OK, this becomes the current project network address). Any devices subsequently added to the Project view for the current project will then use the current project network address. An option is available to use the new network address for devices added to any new projects, not just the current project.

Note: For more information, see Project Network Properties.
Set File Password

The ControlSpace project file may be password protected to prevent modification. After the project file is protected, all subsequent connections to the system via ControlSpace Designer will require the entry of the password before the connection is established.

Note: For more information, see Protecting a Project (.csp) File.
Add Note

Adds a text box to Project view or Signal Processing view for placing labels or notes into your design.

Note: For more information, see Adding Design Notes.
Label Propagation

Enables/disables label propagation, which allows you to change channel labels on I/O and SP blocks and automatically copy them (propagate) to other blocks based on how they are connected to the original block.

Selecting this option opens a sub-menu in which you can select a propagation direction to specify how block labels will propagate to other blocks in the design. Label propagation is automatically enabled when you select a propagation direction, and a check mark appears in the Tools menu next to the Label Propagation option and in the sub-menu next to the selected direction.

Note: For more information, see Label Propagation.
Enable Mass Propagation

Enables or disables Mass Propagation, which allows you to apply label propagation for whole configurations of the currently open design at once.

Note: For more information, see Mass Propagation.
Realtime EQ

Enables or disables Realtime EQ, which applies to all supported processors in a project (Parametric EQ, Tone EQ, Graphic EQ, and Speaker PEQ modules). This setting is also saved with the project file and will be applied whenever the project file is opened.

Realtime EQ can benefit real-time operation of a system, but if you convert an older file with a large quantity of PEQs to the new EQ function, the project may exceed DSP resources. Disabling Realtime EQ can maximize those DSP resources.

Note: Realtime EQ is enabled by default when creating a new project to ensure new designs can adjust EQs without audio drops. If you use ControlSpace Designer 5.10 (or later) to open a project file that was created in ControlSpace Designer 5.9.2 (or earlier), then its Realtime EQ will be set to Disabled.

System Mute

Mutes all audio output when working online.
Toggle Standby

Places a connected device into or out of Standby mode. This option only works with devices that support Standby mode.
Scan

Detects hardware on your local network. When ControlSpace Designer software completes the scan, the Project view is automatically populated with the hardware devices that are properly connected in your local network.

Note: For more information, see Network Scan.

IMPORTANT: Do not use Scan while an existing project is open. This may result in a conflict that can cause a change in your system design configuration. Scan should be used only with a blank new project as a means to identify the hardware that exists on the local network.
Go online/
Go offline

Connects/disconnects a device. When connected to hardware on the ControlSpace network, click Go Online to upload a system design to the hardware, download a design from the hardware, and adjust settings in real time.

The background color in Project view and Signal Processing view changes from white to blue to indicate that you are working online.

If you are online, you can click Go offline to disconnect. The background color in Project view and Signal Processing view changes from blue to white to indicate that you are working offline.

Note: For more information, see Connecting to a System and Disconnecting from the System.


System Menu

Function Description
Host NIC Setup

Opens the Host Network Interface window. For usage information, see Host Network Interface.
Hardware Manager

Opens the Hardware Manager window. For usage information, see Launching the Hardware Manager.

Enable/Disable Remote Connection

Allows you to make a remote network connection. Clicking Enable Remote Connection adds Remote Network Connection to the menu. Remote Network Connection opens a dialog box for establishing connections to remote devices.

Note: For more information, see Remote Network Control.
Remote Network Connection
Enable/Disable Endpoint Control

Normally, Dante endpoints and Dante-equipped microphones are under the control of the firmware in ESP or EX sound processors.

Select Enable Endpoint Control to test Dante device functionality or commands issued specifically from ControlSpace Designer software rather than firmware. You must be in Offline mode to use this command.

Default: Disable Endpoint Control (Dante devices are under firmware control).
Disable/Enable Dante Control

Disable/Enable control of the Dante network using ControlSpace Designer software so that another software application, such as Dante Controller, can be used without interference. Default: Enabled.
Add Dante Endpoints

Normally, Project view in ControlSpace Designer automatically displays the device blocks of any Dante endpoints and Dante-equipped microphones that are found on the network. You may at some point delete one or more of these device blocks from Project view.

Select Add Dante Endpoints to find and redisplay any Dante devices that were removed or deleted.
Dynamic Routing

Enable/Disable Dynamic Routing allows for dynamic routing changes between ControlSpace ESPs, ControlSpace EX sound processors, and networked PowerMatch configurable power amplifiers using parameter sets. Dante Control must be enabled to use this option. Dynamic routing is disabled by default. For additional information about when and how to use this function, see Enabling Dynamic Routing.

The Update All Power On Subscriptions option allows you to set up the desired routing and capture the those settings as the Power-On state for routing. For additional information about when and how to use this function, see Setting the Dante Routing Used for Power-On.
Retrieve Saved Design

Retrieves the project file without establishing a network connection to the system. Note that you must have an active network connection to enable this function.

For additional information about when and how to use this function, see Retrieving System Configurations.
Save Retrieved Design to File

Retrieves the project file without establishing a network connection to the system, and immediately saves it as a file. Note that you must have an active network connection to enable this function.

For additional information about when and how to use this function, see Retrieving System Configurations.


Window Menu

Function | Description
Device List | Shows/hides the Device List between show and hide when in Project view. When working in Signal Processing view, toggles the SP Tool Kit.
Project Directory | Shows/hides the Project Directory window.
Properties | Shows/hides the Properties Window.
Parameter Sets | Shows/hides the ParameterSets Window.
Parameter Set Lists | Shows/hides the ParameterSetLists Window.
Groups | Shows/hides the Groups Window.
RCGroups | Shows/hides the RCGroups Window.
Timers | Shows/hides the Timers Window.
Dante Domain Overview | Shows/hides the Dante Domain Overview (DDO) window.
Device Status | Shows/hides the Device Status Window.
Hide All | Closes all windows except the Design Workspace (Project view or Signal Processing view).
Load to default positions | Returns all open windows to their default location in ControlSpace Designer software.


Help Menu

Function | Description
Help Topics | Opens the ControlSpace Designer help.
About ControlSpace Designer | Opens the About ControlSpace Designer software release information window.


Toolbar

The toolbar in ControlSpace Designer includes buttons/icons that provide quick access to functions that are contained within the menus on the menu bar. The following table describes the toolbar functions in more detail:

Icon | Name | Description
New Project | Creates a new project file (.csp). If a project is currently open and unsaved, you will be prompted to save it before creating a new project.
Open File | Allows you to search for and open an existing project file. If a project is currently open with unsaved changes, you will be prompted to save it before opening another project.
Merge Projects | Allows you to open a project file and merge it with the currently open project file.
Save File | Saves changes to the project. If you have not yet saved the project, you will be prompted to name and save the project.
Cut | Deletes the selected item and copies it to the clipboard (standard Windows editing function).
Copy | Copies the item to the clipboard (standard Windows editing function).
Paste | Pastes the contents of the clipboard (standard Windows editing function).
Undo | Undo your last action or undo multiple actions for each Project view tab.
Redo | Redo your last action (after undo) or redo multiple undo actions up to the most recent action within the selected Project view tab.
Zoom In | Magnifies your view in the Design Workspace.
Zoom Out | Zooms the view out to show a larger area of the Design Workspace.
Zoom Level menu | Allows you to specify the zoom level by selecting a percentage value from the drop-down list.
Grid mode | Switches the background grid in Project view or in Signal Processing view between two different patterns, or hides the grid. When the grid is shown, any objects or blocks you place will align with (snap to) the grid boundaries.
Hidden Wires mode | Shows or hides all wiring (audio and logic) for all blocks in the selected Device (processor) tab.
View System Status

Displays the monitor panels for all PowerMatch and PowerShare amplifiers.

Note: This tool is only available when the system is online.
Add Note

Adds a text box to Project view or Signal Processing view for placing labels or notes into your design.

Note: For more information, see Adding Design Notes.
System Mute

Mutes all audio output when working online.

Note: This tool is only available when the system is not currently muted.
System Unmute

Unmutes all audio output when working online.

Note: This tool is only available when the system is currently muted.
DSP Resources

Opens the DSP Resources window to view the processing and delay memory usage for the selected ESP or EX processor.

Note: This tool is only available when a processor is selected in Project view or when a processor block is selected in Signal Processing view. For more information, see Estimating DSP Usage.
Toggle Standby

Places a connected device into or out of Standby mode.

Note: This tool is only available when a device that supports Standby mode is selected in Project view, or when a block for such a device is selected in Signal Processing view.
Scan

Detects hardware on your local network. When ControlSpace Designer software completes the scan, the Project view is automatically populated with the hardware devices that are properly connected in your local network.

Note: For more information, see Network Scan.

IMPORTANT: Do not use Scan while an existing project is open. This may result in a conflict that can cause a change in your system design configuration. Scan should be used only with a blank new project as a means to identify the hardware that exists on the local network.
Go Online

Connects a device. When connected to hardware on the ControlSpace network, click Go Online to upload a system design to the hardware, download a design from the hardware, and adjust settings in real time.

The background color in Project view and Signal Processing view changes from white to blue to indicate that you are working online.

Note: This tool is only available when the system is currently offline. For more information, see Connecting to a System.

Go Offline

Disconnects a device.

The background in Project view and in the Signal Processing view changes from blue to white to indicate that you are working offline.

Note: This tool is only available when the system is currently online. For more information, see Disconnecting from the System.
Open Remote Connection Dialog

Opens the Remote Network Connection dialog box in which you can configure settings for establishing connections to remote devices.

Note: This tool is only available when Enable Remote Connection has been selected in the System menu. For more information, see Remote Network Control.
Parameter Sets

Shows/hides the ParameterSets window.

Note: For more information, see Parameter Sets.
Parameter Set Lists

Shows/hides the ParameterSetLists window.

Note: For more information, see Parameter Set Lists.
Groups

Shows/hides the Groups window.

Note: For more information, see Groups.
RC Groups

Shows/hides the RCGroups window.

Note: For more information, see RCGroups.

Timers

Shows/hides the Timers window.

Note: For more information, see Timers.
Change Label Propagation

Allows you to toggle through the options in the Label Propagation drop-down list, which appears next to this icon on the toolbar (see below).

Note: For more information, see Label Propagation.
Label Propagation

Allows you to enable label propagation by selecting a propagation direction from the drop-down list, or disable label propagation by selecting Off.

Note: For more information, see Label Propagation.


Device List

The Device List contains a list of devices that may be dragged and dropped into the Design Workspace. When you drag a device block into the Design Workspace, a device tab containing the Signal Processing view is added for that device. When you select the device tab, only the signal processing blocks that are applicable to that device are shown in the SP Tool Kit.

Device List - Project view tab selected

ESP-4120 Device tab selected showing SP Tool Kit and Signal Processing view

Some devices, such as the PM8250N below, have a fixed, non-configurable, signal processing diagram. When the Signal Processing view for a fixed block diagram device is active the SP Tool Kit is empty, indicating that no additional signal processing may be added to this device.

PM8250N Signal Processing view


SP Tool Kit

The Signal Processing (SP) Tool Kit contains all the signal processing blocks available for use in system designs. The SP Tool Kit panel is visible when you are working in Signal Processing view. To add signal processing functions, use the mouse to drag a block from the SP Tool Kit panel and drop it into the applicable Device tab in Signal Processing view.

Signal processing blocks in the SP Tool Kit are categorized by type. Click the plus sign (+) next to a group in the SP Tool Kit to expand the group and view its signal processing blocks. To open the control panel for any signal processing block, double-click the block after you have added it to the applicable Device tab in Signal Processing view.

ControlSpace ESP Signal Processing View

Adding signal processing block from SP Tool Kit to ESP-1240 Signal Processing view

ControlSpace EX Signal Processing View

SP Tool Kit for EX-1280C Signal Processing view


Design Workspace

The design workspace is used to define the system devices, create the signal processing diagram that will be implemented within the ESP or EX device and access the operational screens for various devices and signal processing blocks.

Project View

Create your system design by dragging and dropping individual processing and control components from the Device List into the Project view. The Project view represents a block diagram of all system components and their interconnections.

Device Tab and Signal Processing View

After a system component is added to the design, a new device tab for the component is created. Clicking the device tab displays the Signal Processing view for the device.

SP Tool Kit

The SP Tool Kit contains all the available signal processing blocks for use in the selected device. Drag and drop these blocks into the Signal Processing view (on the Device tab panel) to configure your system.

Wiring Between SP Blocks

Basic wiring in Signal Processing view is accomplished by selecting an output port on the sending SP block and dragging the wire to an input port on the receiving SP block.

The same wiring functions are also available for devices in Project view. See Wiring Operations for a description of more wiring functions.

Note: The wiring shown in the Project view is representational only and it does not affect the signal path. As such, not including wiring in the Project view will not affect the operation of your design. However, the devices within the Signal Processing view must be wired together to successfully route audio from inputs to outputs.

Renaming a Device or Signal Processing Block

All devices displayed in the Project view and blocks in Signal Processing view have a user-definable label. To rename a device or signal processing block, right-click the icon to display the context menu and select Rename or press F2 and enter the new label. Alternatively, you can change the device or signal processing block's Label property in the Properties window.


Control Library Functions

A ControlSpace system may be controlled through a variety of methods: ControlSpace Control Centers, general purpose interfaces, serial data control, etc. The commands issued by the control devices either directly control signal processing objects, such as a gain control, or trigger a state change to one or more signal processing devices.

The Control Library contains these types of control functions:

  • Parameter Sets
  • Groups
  • RCGroups
  • Timers

Access the Control Library from the Window menu. From here, you can open the Parameter Sets, Groups, RCGroups, and Timers windows.

Control programming is done by dragging and dropping ControlSpace Designer objects or blocks. For example, to control two input gains using a single master gain, select the two input gains within the Signal Processing view, and then drag them to the next available group within the Group tab of the Control Library.


ParameterSets Window

Parameter sets store the current state of selected devices or signal processing blocks. When recalled, the saved state is restored. All programming associated with parameter sets is stored within the ControlSpace Project file. Parameter set programming is stored within individual system devices when the ControlSpace Project file is uploaded to the system.

To create new and view active parameter sets, select Parameter Sets from the Window menu.

Parameter set programming is accomplished using drag and drop. Individual devices, signal processing objects or object properties may be dragged to a specific parameter set. When the parameter set is invoked, or recalled, the state of the object at the time of programming will be restored.

The following functions are available within the ParameterSets window:

  • Recall a parameter set – Select a Recall block to recall the stored parameter set settings.
  • Add a parameter set – Right-click anywhere in the blue area of the ParameterSets window to add a new parameter set.
  • View a parameter set – Select the parameter set name (for example, 1:Param. Set 1) to view the device settings associated with the parameter set.
  • Edit a parameter set – Expand the tree view of the selected parameter set in the yellow area of the ParameterSets window to view and edit device settings.

To display the Parameter Set Node List, double-click the top level of the tree view for a parameter set. This tree view shows all available system devices and their settings available to be used within a parameter set. Selected items are those that are included within the parameter set.

Note: It is possible to streamline Parameter Set programming by only including those device settings which will be affected by the Parameter Set. For example, when including an output gain change in a parameter set, the mute property can be removed. This simplifies programming and reduces file size in systems with a large number of parameter sets.


ParameterSetLists Window

A parameter set list is a collection of multiple parameter sets (described in the ParameterSets Window topic) consolidated under a single node. You can place a parameter set list on a control center block and arrange its parameter sets in the desired order.

Each parameter set list keeps track its most recently recalled parameter set, enabling control centers to display the system’s status even when different groups of parameter sets control different aspects of the system.

Note: A parameter set can belong to only one parameter set list at a time.

Note: When using Parameter Set Lists with an ESP-00 processor, a fixed I/O ESP processor or an EX processor must be the Real Time Clock (RTC) for the system. Use the Tools menu to specify the RTC device.

To show or hide the Parameter Set List window, do one of the following:

  • Click the second icon in the last group of icons in the toolbar.
  • Click Window and select ParameterSet Lists.
  • Right-click the top of any visible window in the project (Device List, Project Directory, etc.) and select ParameterSet Lists.

Parameter set list programming is accomplished using drag and drop. Parameter sets may be dragged from the Parameter Set window to a specific parameter set list.

For more information, see Parameter Set Lists.


Groups Window

Groups provide for the control of multiple like control panels from a single control. An effective use of groups is the combining of multiple gains into a single master gain, or multiple crossovers into a single group crossover.

When creating groups it is important to remember that only like processing blocks may be grouped to a single control.

To create new and view active Groups, select Groups from the Window menu.

Group programming is accomplished using drag and drop. Multiple signal processing objects of the same type, input gains, output gains or gain blocks may be dragged to a specific group. When a Gain group is invoked, a master gain control will be displayed. Signal processing groups operate using linked controls – changes made to any one member of the group are reflected in all members.

The following functions are available within the Groups window:

  • Clear a group – Click the Clear (orange) block for an active group to remove all signal processing devices or gains from the group.
  • Add a group – Right-click anywhere in the blue area of the Groups window to add a new group.
  • View a group – Select the name of a group (for example, 1:Group 1) to view the signal processing devices or gains associated with the group. Double-click the top level of a group’s tree view to display the master volume control panel.
  • Edit a group – Expand the tree view of the selected group to view and edit its settings.


RCGroups Window

RCGroups (or Room Combine Groups) allow you to combine conference rooms by adding Conference Room Router (CRR) blocks to an RCGroup, one CRR per room added. Up to six CRR blocks per RCGroup are supported. For more information, see Configuring Combined Rooms.

To create new and view active RCGroups, select RCGroups from the Window menu.

RCGroups Window

RCGroups programming is accomplished using drag and drop. Multiple CRR blocks can be dragged to a specific RCGroup.

The following functions are available within the RCGroups window:

  • Clear an RCGroup – click the Clear (orange) block that corresponds to the RCGroup number. This removes all CRR blocks from that RCGroup, but does not delete the RCGroup itself.
  • Add an RCGroup – Right-click anywhere in the blue area of the RCGroups window to add a new RCGroup.
  • View an RCGroup – Select the desired RCGroup name (for example, 1:RCGroup 1) to view the CRRs associated with the RCGroup.
  • Edit an RCGroup – Expand the tree view of the selected RCGroup to view and edit its settings.


Timers Window

Timers are used to invoke a specific signal processor state, or Parameter Set at a specific day or time. Timers are only available when the system includes an ESP or EX device.

To create new and view active Timers, select Timers from the Window menu.

Timer programming is accomplished using drag and drop. Individual signal processing blocks, block properties or parameter sets can be dragged to a specific timer. When the timer is invoked, or recalled, the state of the object at the time of programming will be restored.

The following functions are available within the Timers window:

  • Recall a timer - Click the Clear (orange) block for a timer to recall the settings associated with the timer.
  • View a timer - Select the timer name (for example, 1:Timer 1) to view the signal processing blocks or parameter sets associated with the timer. Double-click the top level of a timer's tree view to display the Timer settings.
  • Edit a timer - Expand the tree view of the selected timer to view and edit its settings.

When an object is initially dragged and dropped on a timer, the Timer Settings window appears. This window displays the timing and recurrence settings for the individual timer:

  • Recurrence - Determines the frequency of the timer. Available options are Only Once, Daily, or Weekly.
  • Week Day - Determines the day or days of the week when the timer is active. This option is only available when the Recurrence is set to Weekly.
  • Time - Determines the time of day when the timer will be invoked.
  • Date - Determines the date the timer will occur. This option is only available when the Recurrence is set to Only Once.


Project Directory

An advanced method of programming a system is to use the Project Directory. The Project Directory is the master directory of all components, signal processing objects, and control functions in the system design. Visibility to all devices, signal processing blocks, inputs, outputs, control centers, and programming functions is provided in this single location.

To access the Project Directory, select Project Directory from the Window menu.

Project Directory window

Use the tabs at the top of the Project Directory window to select a sub category of objects in your design. By default, the All tab is selected at the top of the Project Directory window to display all objects in your design. You may select different tabs to isolate sub categories of objects. For example, select the Groups tab to view all defined Groups in a design.

Groups tab of the Project Directory

The Project Directory window contains all objects in your system design and displays them in a tree structure. To see a particular object in your design, expand the tree structure until you reach the settings you wish to view. For example, to view the IP Address of a CC-64 Control Center, expand the directory to Project > Devices > CC-64 > Property.

Project Directory tree expanded

You can program Parameter Sets, Groups, RCGroups, and Timers by dragging and dropping signal processing blocks from Signal Processing view into Project Directory locations. For example, to program a parameter set, select signal processing blocks and drag them into the Parameter Set tree structure.

Drag and drop processing blocks into the Project Directory

You can also use the Project Directory to program user controls without opening the Smart Simulators or GPI control panels. For example, to access the CC-64 controls, select the Devices tab in the Project Directory window, and then select CC-64 > Standard.

Accessing CC-64 controls in the Project Directory

When the Project Directory window is open, you can drag and drop into the Bank controls, Selector, and Custom controls just as you would with the CC-64 Smart Simulator.

Assigning groups to CC-64 using the Project Directory

In the same manner, you can directly assign selector and gain functions to CC-16 controls using the Project Directory window.

Assigning blocks to CC-16 using the Project Directory

Note: The position of CC-16 Zone Controller in the Project Directory is dependent on the ESP or EX device to which it is connected. Before a wiring connection is made from a CC-16 to its associated signal processing device in the Project view, it appears in the top level of the Devices tree. After a wiring connection is made to a signal processing device, each CC-16 appears within its associated device's (ESP or EX) tree structure.

CC-16 "Unconnected" Position within the Project Directory

CC-16 "Connected" Position within the Project Directory


Properties Window

The Properties window allows you to view and update settings for a selected object without opening its control panel. To open the Properties window, click Window on the menu bar and then select Properties.

Properties window

When the Properties window is open, select an object in Project or Signal Processing view to view all of its properties. You can also use the drop-down menu at the top of the Properties window to select a different device.

Viewing selected block properties

Selecting a different block

You can use the Properties window to change card assignments or any other setting for an ESP or EX device within Project view. For card assignments, select the ESP icon, and then choose a new card for the desired slot in the Properties window.

Adjusting ESP Card Assignments in the Properties Window

You can also adjust control panel settings using the Properties window. Select the desired control panel to view or change its properties within the Properties window.

Adjust CC-64 Settings within the Properties Window

Blocks within Project and Signal Processing views are equally accessible using the Properties Window. Simply select the desired object to view or change its properties within the Properties Window.

Adjust PowerMatch Settings within the Properties Window


Device Status Window

The Device Status window is a list of all networked devices in the Project view. It provides an easily accessible overview of all devices’ names, IP addresses, and connection statuses.

Device Status window

The following functions are available within the Device Status window:

Device Name: The name of the device, which is also shown on the device block. You can edit the device name by editing the Label field in the Properties window.

IP Address: The IP address of the device.

Type: The type of the device (the product model number).

Connection Status: The current status of the device: Connected or Disconnected. The status is updated in real time.


Window Controls

Docking and Floating Windows

All major windows (panels) within the ControlSpace Designer interface may be configured as docked, floating, or docked and minimized. Active windows are docked by default.

Docking Windows

Windows can be docked anywhere along the edges of the main application window. To dock a floating window, click the title bar and drag and drop the window onto any of the docking targets that are visible in the middle or along the edges of the application window.

Floating Windows

To float a window within the application, click the title bar and drag the window to another location within the application. Windows, when floated, can be placed anywhere on the monitor area.

Minimizing Docked Windows

A docked window can be minimized using the Pin tool located in the upper right section of the window’s title bar. When selected, the window is minimized to a tab along the edge of the application window.

When minimized, selecting the tab will cause the window to be temporarily maximized.


Working with ControlSpace Networks

All ControlSpace ESP and ControlSpace EX sound processors, networked user interfaces, PowerMatch professional amplifiers, PowerShare PS404D and PS604D amplifiers, and the ControlSpace Designer software are pre-configured to operate on the same Ethernet network using standard Internet Protocol (IP) addressing. The addressing of devices within a design is managed automatically according to the currently defined Project Network Address and the type of device.

By default, the Project Network Address is set to 192.168.0 with a subnet mask of /24, or 255.255.255.0. When connecting to the network, the ControlSpace Designer (CSD) Network Interface Card (NIC) is selected automatically unless you specifically selected one after the ControlSpace Designer software was installed. Normally, the NIC is set up on your computer to match the default project mask and address in the expected range, for example 192.168.0.10, and connect to devices via that NIC.

When connecting to a device for the first time, you can assign it an IP address in one of the following ways:

Connect directly to a single device (link local; IP address will be assigned automatically).

Connect to multiple devices with a network switch (link local; IP addresses will be assigned automatically).

Connect to one or more devices with a router (DHCP; make sure your computer’s network interface is configured to obtain an IP address from the DHCP server, and verify that the Project Network address is the same network).


Project Network Properties

Project Network Properties include the Project Network Address, which defines the primary network IP address that will be used for the ControlSpace Network. The default Project Network Address is 192.168.0.x.

In most cases, you do not need to change the Project Network Address from its default value because the majority of systems are installed using a stand-alone control network. However, if the ControlSpace Network is part of a larger managed network installation, it may be necessary to use specific network addressing for the project. In this case, you must change the Project Network Address to match the primary network addressing scheme of the installation.

To change the Project Network Address:

  1. On the Tools menu, click Set Project Network Properties (or press Alt + T, N).

The Set Project Network Properties dialog box appears.

Set Project Network Properties Dialog Box

  2. Enter the new Network, Subnet, and Gateway addresses and click OK. The new addressing scheme will be applied to any devices currently within the current project design, and to any new devices added to the current design.

Note: Select the Use as default for New Projects check box if you want to use the same addressing scheme for all projects that are created after the current project.


Host Network Interface

The Dante network audio subsystem requires a NIC name at launch so that, if no NIC is specified, the name of a NIC that matches the project address and mask is automatically used.

If a wireless NIC or multiple NICs also reside on the computer, but are not intended to be used, they may interfere with network communication if communications are routed through that NIC instead of the intended NIC. In this case, you must select Host NIC Setup from the System menu, and then select the intended NIC from the ControlSpace Designer Network Interface Card drop-down list in the Host Network Interface dialog box. Once selected, the NIC is saved with the ControlSpace Designer installation, retained, and reused across ControlSpace Designer sessions.

Opening the Host Network Interface dialog box

Identifying the project NIC

When a NIC is selected, it is always saved to the Settings.xml file and restored on every ControlSpace Designer launch. The selected NIC is used for all communications to the network. If a NIC has not been selected since ControlSpace Designer was installed, the NIC is selected automatically to match the project address. When selected, project devices are unaffected because the NIC is independent from the Project Network Address.


Managing Device Addresses

Bose Professional network electronics use one of these default device address schemes (after updating to firmware included in ControlSpace Designer 5.9 or higher).

DHCP-assigned: IP address of device is assigned by DHCP server. For certain devices, if a connection to the DHCP server cannot be established, they will boot with an Auto IP (link local) address and continue to search for a DHCP server (the duration of the retry varies by device).

Fixed IP address: Static IP address, manually assigned.

The table below summarizes the default IP address scheme used for each type of device:

Device IP Addresses
Device | DHCP Assigned or Default Fixed IP Address | Address Range
ESP-00 II | Fixed IP: 192.168.0.160 | 160–175
Fixed I/O ESPs | DHCP assigned* | N/A
ControlSpace EX processors | DHCP assigned* | N/A
PowerMatch networked amplifiers | DHCP assigned* | >40 (PM4250N, PM4500N) >80 (PM8250N, PM8500N)
PowerShare networked amplifiers | DHCP assigned* | N/A
ControlCenter digital zone controllers | DHCP assigned* | N/A
ControlSpace CC-64 control center | Fixed IP: 192.168.0.176 | 176–207
Dante Endpoints | DHCP assigned* | N/A
System PC | DHCP assigned* | N/A

* If the device fails to connect to a DHCP server, it will boot with an Auto IP (link local) address and continue to search for a DHCP server (the duration of the retry varies by device). The device must be using firmware included in ControlSpace Designer 5.9 (or higher) for this function to work.

As new devices are added to a design they are automatically given an IP address according to their device type and the currently defined Project Network Address. As additional devices of the same type are added, the device address octet is incremented to prevent duplicate IP addresses from being added to the design.

Note: It is not necessary to have a project open within ControlSpace Designer to change IP addresses. However, the address you assign to the devices should be consistent with the addresses in your design.

Devices Using DHCP

Most ControlSpace devices ship by default in DHCP mode, which facilitates automatic IP address assignment when commissioning a system. If you will be using the control capabilities of more than one ControlSpace device, you must assign a fixed IP address to each device once the design of the system is finalized.

Note: For certain devices, if a connection to the DHCP server cannot be established, they will boot with an Auto IP (link local) address and continue to search for a DHCP server (the duration of the retry varies by device). The device must be using firmware included in ControlSpace Designer 5.9 (or higher) for this function to work.

Devices Using a Fixed IP Address

If you are using more than one of any type of device on the network with a fixed IP address, you will need to set the IP address for each of those devices on the network individually using the Network Setup function within ControlSpace Designer software. The fixed IP addresses must fall within the address range shown in the table.

Devices Without DHCP Server/Router

If certain devices are deployed in a network without a DHCP server or router (or if a connection to the DHCP server cannot be established), they will boot with an Auto IP (link local) address in the 169.254.x.x range and continue to search for a DHCP server (the duration of the retry varies by device). The device must be using firmware included in ControlSpace Designer 5.9 (or higher) for this function to work.

A link local address is a network address that is valid only for communications within the network segment (link) or the broadcast domain that the host is connected to. Link local addresses are not guaranteed to be unique beyond a single network segment. Routers therefore do not forward packets with link local addresses.

Note: Normally in networks without DHCP, the network and other addresses in Project Settings in the Hardware Manager should automatically populate with those in the link local address space. If they do not, you will not be able to add or see devices in Project view in ControlSpace Designer. In this case, you must manually update the Project Settings in Hardware Manager to reflect the link local address space. When the design of your system is finalized, it is recommended that you assign a fixed IP address to each device.


Launching the Hardware Manager

You can use the Hardware Manager to set the project network properties, to set device network properties, and to upload EQ files to PowerMatch devices. To launch the Hardware Manager, select Hardware Manager in the System menu.

When you open the Hardware Manager window, a scan is performed to discover devices that answer the broadcast scan and are within the project network.

Note: Dante network polling is suspended when Hardware Manager opens, as is consistent with previous behavior when launching Network Setup or Firmware Update. This means that any Dante endpoints will disappear from the project view until Dante communication is reestablished.

Hardware Manager window

The Hardware Manager window is comprised of three main sections:

  • Current Project Settings - Appears in the top section of the window and displays the project network address, subnet mask, and gateway address. For convenience, the current Host Network Interface Card (NIC) settings are also displayed for comparison.
  • Device List - Appears in the middle section of the window and contains the list of devices that are discovered on the project network. To improve readability, the background color of the rows alternate between white and yellow by default. The tabs included in this list are: Network Settings, Serial Port Settings, Firmware Update, AEC Update, EQ Update, and Dante Update. For convenience, the Discover Devices button allows you to manually activate a scan, which is useful when confirming changes to hardware device properties or to discover devices that have been connected while the Hardware Manager window is open. Non-networked devices, such as non-networked PowerMatch amplifiers, are not included in the Device List.
  • Device Update - Appears in the bottom section of the window only when:
  • - A single device is selected on the Network Settings tab of the Device List.
  • - A single device is selected on the Serial Port Settings tab of the Device List.

Note: You can only select devices that support serial communication on the Serial Port Settings tab.


Hardware Manager Device List

The Hardware Manager Device List contains multiple tabs, including Network Settings, Serial Port Settings, Firmware Update, AEC Update, EQ Update, and Dante Update. A Wink button and an Update button are included to identify a device and change device properties, respectively. Wink is only enabled when a single device is selected that supports that function, including ControlSpace ESP and EX processors, and PowerMatch and PowerShare amplifiers.

Network Settings Tab

The Network Settings tab displays the Device Name, IP Address, Type, MAC Address, Subnet Mask, Gateway, DHCP, and Status for the listed devices. The Device Update section of the Hardware Manager window appears when a single device is selected on this tab.

Serial Port Settings Tab

In the following view, one device within the Serial Port Settings tab has been selected. Its serial information is shown in the Device Update section of the Hardware Manager window.

Note: ControlSpace ESP and EX-1280C/1280/440C processors support serial communication and therefore are the only devices that can be selected on the Serial Port Settings tab.

Baud Rate, Bit Length, and Parity settings are all configurable for the serial port on ESP and EX-1280C/1280/440C processors.

Serial Port Settings tab example

Firmware Update Tab

Selecting the Firmware Update tab displays the Loaded Version, Latest Version, and Status for the listed devices. This view supports multiple selections, and automatically selects all devices with out-of-date firmware files (highlighted in pink). Clicking the Update button sequentially sends a new firmware file to the selected devices. The Status column shows the update progress, and you may be asked to reboot the device or devices after new firmware is installed. Upon completion, the Status column is modified accordingly.

Firmware Update tab example

AEC Update Tab

Selecting the AEC Update tab displays the Loaded Version, Expected Version, and Status of AEC card firmware for the listed devices. This view supports multiple selections, and automatically selects all devices with out-of-date AEC firmware files (highlighted in pink). Clicking the Update button sequentially sends a new AEC firmware file to the selected devices. You may be asked to reboot the device or devices after the AEC card is re-flashed with the new firmware. Upon completion, the Status column is modified accordingly.

AEC Update tab example

EQ Update Tab

Selecting the EQ Update tab displays the Loaded Version, Latest Version, and Status for the listed devices. This view supports multiple selections, and automatically selects all devices with out-of-date EQ files (highlighted in pink). Clicking the Update button sequentially sends a new EQ file to the selected devices. Upon completion, the Status column is modified accordingly.

Notes:

  • The EQ Update tab is not available for PowerShare amplifiers.
  • If an EQ update failure occurs in a PowerMatch amplifier, an error message appears in the Hardware Manager Device List and the original EQ file remains.
  • If there is a failure loading the Speaker EQs directly onto the PowerMatch amplifier (not using ControlSpace Designer), the front panel displays a fault (Red LED) and the message, “The EQ file is invalid, please update to the latest in ControlSpace Designer.” In this case, all audio is muted, but the amplifier still responds to power cycle commands and EQ updates from the ControlSpace Designer Hardware Manager.

EQ Update tab example

Dante Update Tab

Selecting the Dante Update tab displays the Loaded Version, Latest Version, and Status of Dante network firmware for the listed Dante network cards and Dante devices. This view supports multiple selections, and automatically selects all cards and devices with out-of-date Dante network firmware files (highlighted in pink). Clicking the Update button launches the Audinate Dante Firmware Update Manager, which is used to update the firmware in the selected Dante network devices (see Updating Firmware in Bose Professional Dante Network Cards and Devices). You may be asked to restart the card or device after the Dante firmware is installed. Upon completion, the Status column is modified accordingly.

Note: You can use the Dante Update tab to update Dante endpoints only. For Dante firmware updates to the EX processors, see Updating Firmware in Bose Professional Dante Network Cards and Devices.

Dante Update tab example


Batch Mode

ControlSpace Designer software supports a Batch mode for updating multiple devices with a single button click. The Batch Update section of the Hardware Manager window appears when you select the check boxes of one or more devices on the Network Settings tab of the Hardware Manager Device List.

Hardware Manager Device List and Batch Update section

The Batch Update section provides color-coding in its rows and columns to identify information and issues:

  • To improve readability, the background color of the rows alternate between white and yellow by default.
  • Invalid or duplicate IP addresses are highlighted in red.
  • IP addresses that are outside of the project subnet are highlighted in pink.

Editing IP Addresses

You can edit the IP address of a device by clicking the address in the New IP Address column and editing the address. (The ellipsis indicates the address is editable.)

There is no restriction on the address that you can enter, and:

  • If any invalid or duplicate addresses exist when you click Update, a warning message appears and the updates will not be performed until the problems are resolved.
  • If any addresses outside of the project subnet exist, a message appears warning that devices will be placed outside of the project network if you choose to continue the process.

Editing Multiple IP Addresses

You can use the Batch mode to edit multiple IP addresses. To do this:

  1. Select multiple devices on the Network Settings tab of the Device List
  2. Edit the IP Address in the New IP Address column in the Batch Update section of the Hardware Manager window.
  3. Click Update to set the addresses.

By default, Batch Update will attempt to retain the same device index in the new subnet, if possible. For example, if the Project Network address changes from 192.168.0.0 to 192.168.20.0, a device with an IP address of 192.168.0.100 will receive a new IP address of 192.168.20.100.

If retaining the same index puts a device outside of the subnet or duplicates another device's address, the Starting IP Address dialog box appears in which you can select the first address to be assigned to a device that must be renumbered. Additional devices that require renumbering will increment from the that starting address, skipping any addresses that are already in use.

Network Device Property Log

The Change History button launches the Network Device Property Log, which contains an entry for each change to a device network property to help keep track of their current IP, subnet and gateway state.

Network Device Property Log

Set Project Network Properties

Clicking the Change button in the Current Project Settings section of the Hardware Manager opens the Set Project Network Properties dialog box. This dialog box initially contains the ControlSpace Designer default project network IP address (as well as subnet and gateway addresses), which can be modified in the New Project Network Address field. You can select the Use as default for New Projects check box to use the same setting for new projects. Typically, only the project network address is changed, although you can modify the Subnet Mask and Gateway Address fields, if necessary.

Whenever the project network address is changed, the addresses for all devices in the project are automatically modified in ControlSpace Designer software to conform to the new values. To transfer all of these new settings to the hardware devices, make sure the devices are selected in the Device List and click Update in the Hardware Manager dialog box.

Set Project Network Properties Dialog Box


Non-Networked PowerMatch Devices

When connected via USB to a non-networked PowerMatch device, only the Firmware Update and EQ Update tabs are available. To change the device ID, use the Device ID setting at the bottom of the dialog box. When making changes that require a reboot, as in firmware or device ID, the dialog box is closed upon completion.


Connection Methods

The ControlSpace Designer software supports three methods of connection to Bose Professional system electronics and control devices:

  • USB connection
  • Direct Ethernet connection
  • Networked Ethernet connection utilizing network switches or hubs

The connection method you use will vary based on the capabilities of the hardware device. The following table summarizes the supported connection methods for the Bose Professional system electronics that are configured using the ControlSpace Designer software. We recommend using a Cat 5e cable (or higher).

Connection Method vs. Device
Device | USB Connection | Direct Ethernet Connection | Networked Ethernet Connection
PowerMatch Configurable Professional Power Amplifier Devices | Yes | No | N/A
PowerMatch Configurable Professional Power Amplifier Devices | Yes | Yes | DHCP (Default) or Fixed IP
PowerShare Configurable Professional Power Amplifier Devices | No | Yes | DHCP (Default) or Fixed IP
Expandable I/O ESP - ESP-00 II | No | Yes (crossover cable required) | Fixed IP
Fixed I/O ESPs - ESP-880/880A/880AD, ESP-4120, ESP-1240/1240A/1240AD, and ESP-1600 | No | Yes | DHCP (Default) or Fixed IP
ControlSpace EX Devices | No | Yes | DHCP (Default) or Fixed IP Note: ControlSpace EX processors support Auto IP if DHCP server is not available.
CC-1D, CC-2D, CC-3D Zone Controllers | No | Yes (crossover cable required) | DHCP (Default) or Fixed IP Note: ControlCenter digital zone controllers support Auto IP if DHCP server is not available.
CC-64 Control Center | No | Yes (crossover cable required) | Fixed IP
Device Icons and Controls for Dante Endpoints | No | Yes (crossover cable required) | DHCP (Default) or Auto IP if no DHCP server

* If the device fails to connect to a DHCP server, it will boot with an Auto IP (link local) address and continue to search for a DHCP server (the duration of the retry varies by device). The device must be using firmware included in ControlSpace Designer 5.9 (or higher) for this function to work.

Cabling and PC Configurations

Each of the connection methods described above uses a unique connection and PC configuration. When connecting to the hardware, first determine the method of connection that will be used and then use the following reference information to determine the PC and hardware cabling, and communication settings.

Direct Connection Methods
USB Ethernet Auto MDIX Ethernet Crossover
  • PC must support USB 1.0 or greater
  • PC configured to use TCP/IP networking
  • Set PC Network Address to 192.168.0.10
  • PM8500N Default Address is 192.168.0.80
  • PC configured to use TCP/IP networking
  • Set PC Network Address to 192.168.0.10
  • ESP/EX processor Default Address is 192.168.0.160

Adding Devices to an Existing Network

Multiple devices can be configured for operation on an Ethernet network that utilizes network switches or routers to manage data communications between the devices. ControlSpace software is configured for operation within a single local area network (LAN) and is not designed for operation across multiple networks (i.e. communication via network gateways). In applications with large wide area networks, this requires creating a dedicated subnet for the various system processing, amplification, and control devices that will be installed.

Note: Bose Professional system electronics are designed for installation on a private Ethernet network, and are not intended for a direct connection to the internet.

If you are adding your devices to an existing network, contact the network administrator for information about how the IP addresses are assigned for the network. Based on this information you will need to configure the devices for either DHCP or Fixed IP operation as shown below:

Ethernet Network Connection

DHCP

  • PC configured for DHCP IP addressing
  • Requires Ethernet switch or router configured as a DHCP server
  • Bose Professional PM8500N, ESP/EX processors, and ControlCenter digital zone controllers use DHCP by default
  • Bose Professional ESP-00 II and CC-64 require fixed IP

Fixed IP

  • PC configured for Fixed IP
  • Requires Ethernet switch or route
  • See information about setting the IP address for various device types
  • See network administrator for available IP addresses

For more information about device IP address management, see Managing Device Addresses.


Using USB

ControlSpace Designer software supports the control of devices which are configured for USB control, such as PowerMatch amplifiers.

Note: PowerShare and PowerShareX amplifiers do not support USB.

The first time a USB-enabled hardware device is connected to the PC, the BULK USB Driver is installed. Installation is confirmed by the following message:

When this step is performed, all subsequent connections via USB will occur automatically.

With the driver installed, launch the ControlSpace Designer application. During the launch process, the device will be recognized and a new connection will be established.

An active USB device connection is indicated by green background in both the Project and Signal Processing views. At this point, it is possible to modify the signal processing settings in real time.

For more information about connecting to and controlling devices via USB, see PowerMatch USB Connection.


Direct Ethernet

Standard or crossover Ethernet cables can be used to directly connect your PC to the Bose Professional device.

Auto-MDIX Ethernet ports

Bose Professional PowerMatch and PowerShare amplifiers use Auto-MDIX Ethernet ports that automatically correct for the cable type used for network connections. With this hardware, it is possible to use either a standard or crossover Ethernet cable and accomplish a direct connection between the PC and the hardware.

In this configuration, the only difference in the set up is that a standard Ethernet cable is used between the PC and the hardware, all other network configuration parameters are identical to those used for a direct connection with a crossover cable.

Ethernet cables

A standard or crossover Ethernet cable can be used when connecting the PC directly to either a single ControlSpace ESP or EX processor, or a PowerMatch or PowerShare amplifier. This connection does not require the use of a network management device, (switch, router or hub), but does require that you properly configure your PC for communication with the device.


Device Connection Status

Within the ControlSpace Designer software, the background color of the Project view and title bar of devices within the Project view are used to indicate the current status of the device when a connection to the system is established. There is also a Device Status window that you can show or hide that provides an easily accessible overview of all devices’ names, IP addresses, and connection statuses.

Project and Signal Processing View Device Status

The following table specifies the background color of the design workspace based on connection status:

Connection Status | Design Workspace Background Color
Offline | White
Device is under USB control | Green
Device/system is under network control | Blue
Network device is offline | Gray (Signal Processing view only)
Connection established, device in standby | Yellow (Signal Processing view only)

Note: The background color of the Project view and Signal Processing view is gray when System Mute is engaged.

Project View Icon Device Status

The following table specifies the color of the device block (icon) in based on connection status:

Connection Status | Device Block Color
Connection established | Default color (based on device type)
Device offline | Default color dimmed
 | Gray band across top of device block
Device in standby | Yellow band across top of device block

Lost Device Connection

If the connection to a device is lost while the system is online, a gray band appears across the top of the device block, and Offline appears at the bottom of the block. If other devices are still connected to the system, the Project view background remains blue, but the Signal Processing view for the disconnected device is gray.

The status is automatically updated to Disconnected in the Connection Status column of the Device Status window.


Network Scan

The Network Scan function can determine which devices are currently active on the ControlSpace network, without actually connecting to the system. In general, the network scan should only be used with a new, blank project as a means to identify the hardware that already exists on the local network. The Project view will be populated with these devices.

Note: The Network Scan only retrieves device configuration information and does not include any signal processing or control programming information stored within the device.

To identify devices on the network, click the Scan button [image] on the main toolbar (or press Alt + T, S). When the scan is complete, Project view is automatically populated with the devices in your local network.

Scanning for devices

Error Messages

If no devices are present on the network, a "Devices Not Found" error message appears:

No Devices Found message

When this occurs, verify that the devices are powered on and that the PC's IP address and the Project Network Address within ControlSpace Designer software are configured for the same primary network addressing scheme as it is for the hardware.

Note that when performing a network scan, additional error messages may appear informing you to update device firmware and EQ database files. In addition, when performing a network scan with devices already added to the project, the following errors may also be generated:

  • Configuration Mismatch
  • Devices Not Found


Setting Device IP Addresses

When changing the project network address, the IP, gateway, and subnet mask addresses of all devices in the project will be modified to be consistent with the new project settings. To change the IP address of a networked device in a project—including all ControlSpace ESP and EX processors, PowerMatch and PowerShare amplifiers, CC-64, CC-1D, CC-2D, and CC-3D control centers, and CobraNet cards—open the device Properties dialog box and click the Set IP Address button. For convenience, these dialog boxes also have a link to the Hardware Manager.

Properties Dialog Box Examples

When you click the Set IP Address button, the Set Device IP Address dialog box appears. For convenience, the project properties are displayed across the upper portion, including the range of IP addresses that lie within the project subnet. The project subnet mask dictates the octets within the IP address that can change and still fall within the target range. However, unless the mask is the default \24 or \16, there will be some addresses that can be entered that are not allowed. In that case, a warning will be issued, and the original IP address is restored.

Note: Dante is not supported remotely. When in Remote Mode, right-clicking on a device or Dante card will provide the option to display the Dante properties as queried by the host device, but will not launch Dante communication.


Connecting to a System

Once the system is configured for operation on the ControlSpace Network, you can connect to the system, upload a configuration, and control the system’s operation. ControlSpace Designer offers the option of either sending the current configuration to the hardware, or retrieving the stored configuration from the hardware when connecting to the system.

The system connection process used is based on the current state of the Project view at the start of the connection process. The possible states are:

  • Empty Project view
  • Project view populated from a network scan
  • Project view populated with devices from a ControlSpace Project File (.csp)

Empty Project View

An immediate connection to the system is initiated using the Go Online button [image] in the main toolbar, or by selecting Tools > Go online. In this scenario, no devices are present within the Project view.

  1. In the main toolbar, click the Go Online button to initiate a connection.

    If the Project view does not contain any devices, you will be asked to select the device which contains the Project File:

    Note: The Project File contains information related to control programming for the system, and the display of the system devices within the Project view.

  2. Select the device which contains the Project File and click OK. You are now connected to the system.

Project View Populated from a Network Scan

In this scenario, the Project view contains devices that were added to the view using the network scan function. When a network scan is performed, only configuration information is retrieved from the system devices. Any information related to signal processing functionality and settings, and control programming is still present within the devices and has not been retrieved for display within ControlSpace Designer software.

To perform a network scan to identify any active devices on the ControlSpace Network:

  1. Click the network Scan button [image] in the main toolbar.

    The Project view is now populated with all the devices that are currently active on the network:

  2. Click the Go Online button [image] in the main toolbar to initiate the connection.

    You will be asked to select which settings you wish to use for this connection session.

  3. Select Get from Devices (Download design).

  4. This will cause the settings within the hardware to be used. If the settings within the Project view were applied (upload design), it will replace any signal processing and control parameters with the default hardware settings.
  5. When asked to save changes to the current document select No.

  6. Select the device that contains the Project File and click OK.

    Note: The Project File contains information related to control programming for the system, and the display of the system devices within the Project view.

    You are now connected to the system. If all system devices contained in the Project File are active on the network, they will all be present and available. If any devices were not active on the network, but present in the Project File they will be indicated as being off-line.

Project View Populated With Devices from a ControlSpace Project File

This method of connecting to the system is the most common for new system configurations. In this case, the Project File has been built to represent the desired system signal processing and control functions which need to be applied to the hardware.

  1. Open the desired Project File.

  2. Click the Go Online button [image] to initiate a connection.

    You will be asked to select which settings you wish to use for this connection session.

  3. Select Send to Devices (Upload design).

  4. Select the devices on the network to which you will connect. In this case, select all devices and click OK.

  5. Select the devices which will have a copy of the Project File stored within them.

    The Project File contains all device control programming and signal processing information. While it is not necessary to store it in all system devices, it should be stored within the main signal processing unit for future connections.

    The signal processing and control parameters (Netlist) are transferred to all system devices and the Project File is stored in any selected devices. You are now connected to the system.

    Note: Online status is indicated by a blue background and the green Go Offline button [image] replaces the red Go Online button [image].

    Connection Messages

    When connecting to a system using a Project File, it is possible to receive a Dynamic EQ calibration reminder, a SmartBass calibration reminder, a configuration mismatch error, or a device not found error:

  • Dynamic EQ Calibration Reminder: When you add a Dynamic EQ signal processing block to a design, you must calibrate the signal to set the threshold level. Calibration can only be performed while the system is online. When you initiate a connection and select Send to Devices (Upload design), the following message appears:

  • SmartBass Calibration Reminder: When you add a SmartBass signal processing block to a design, you must calibrate the signal to set the threshold level. Calibration can only be performed while the system is online. When you initiate a connection and select Send to Devices (Upload design), the following message appears:

Note: Devices with uncalibrated Dynamic EQ and/or SmartBass modules will be displayed in the Scan results dialog box when going online. The warning that is displayed will be similar to the warnings in the following image:

  • Configuration Mismatch Error: The hardware configuration of the device on the network does not match the configuration of matching device, based upon its IP address, within the design. For example, a PowerMatch amplifier which uses a different output configuration from the one within the design in ControlSpace Designer software. When the device configurations do not match, a dialog box is presented to describe the differences in the configurations, and to allow you apply the correct configuration to either hardware or to the design.

    Connection Error – Configuration Mismatch

    Select Continue to send the Project view configuration to the hardware, or Cancel to cancel the operation.

  • Device Not Found Error: If the project file contains devices that are not active on the network you will receive an error message to notify you of the devices that are present on the network, and the devices in your design which cannot be located.

    Scan Error - Devices not found

    Select Continue to connect to the system, the missing device will appear in the Project view as being off-line. Select Cancel to cancel the connection to the system.

    Note: ControlSpace Designer will only establish a connection with those devices that are included in the configuration file. If you do not see a device once the connection is established, it must be added to the configuration file, and the new configuration must be uploaded to the system.


Disconnecting from the System

Note: This section applies to networked devices only.

When disconnecting from a networked system you will be prompted to save any changes made during the session. If changes are not saved, they will be lost during the next power cycle of the system.

The nature of a ControlSpace Networked system is that each device on the network powers up to a predefined state. Changes made to the system during operation are not recalled at the next power-up unless they were saved to system devices using ControlSpace Designer software. Ensure that all system settings are in the desired power-on state when saving the configuration to the hardware .

To disconnect from the system:

  1. Ensure that all system settings are in the desired power-on state for the system.
  2. Click the Go Offline button [image] in the main toolbar to initiate the disconnection process.

If no changes were made to system settings during the session you will be immediately disconnected from the system. When a change of any sort to the signal processing settings has been made you will be prompted to save the settings to the system devices:

  3. If you wish to make the current settings the new Power-On State, select Yes. Otherwise, you can select No and the current settings will not be restored at the next Power On, the previously saved configuration will be recalled, and you will immediately go offline from the system.
  4. When selecting Yes, you will be asked in which of the system devices you would like to save the Project File, which contains device signal processing and control information.

Note: You must save the Project File to at least one system device so that it can be recalled in future connection sessions. Not doing this could cause you to lose information about the systems signal processing and control settings.

  5. Select the desired device or devices and click OK.
  6. You will be disconnected from the system after the settings and Project File have been transferred to the devices.


Dante Network Audio

Dante Network Audio is built into all of the ControlSpace EX sound processors. The EX-1280C and EX-1280 support up to 64 x 64 audio channels. The EX-440C supports up to 16 x 16 audio channels for connection to other Dante-enabled products and the EX-12AEC supports 16 x 16 audio channels for connection to an EX-1280C processor.

Dante is also built into the ESP-880AD and ESP-1240AD sound processors and supports 32 x 32 audio channels.

The PowerShare PS404D/PS604D configurable professional power amplifiers and the PowerShareX PSX1204D, PSX2404D, and PSX4804D adaptable power amplifiers provide built-in Dante digital audio connections, eliminating the need for a Dante digital audio network card.

Dante network cards are available for Bose Professional ESP-880/1240/4120/1600 and for PowerMatch configurable professional power amplifiers. Each of these network cards use industry-proven Dante technology to transport multiple channels of high quality, uncompressed digital audio in real time across a standard Ethernet network.

Bose Professional Dante network functionality supports both switched and redundant operation—allowing ControlSpace ESP and EX sound processors, and PowerMatch amplifiers to be integrated into small systems without additional network hardware, and into large systems utilizing multiple endpoints and redundant network design.

All ControlSpace EX processors, ESP-880AD, and ESP-1240AD (built-in Dante Network Audio) and ESP-880/1240/4120/1600 sound processors (with a Dante network card installed) are capable of receiving both ControlSpace control data and Dante audio data from the Dante network. ESP-00 II engineered sound processors and PowerMatch amplifiers do not have this capability and require a physically separate audio and control connection.

All Dante devices operate on a standard Ethernet network and use standard Ethernet switch hardware to manage data traffic.

Note: All configuration of Dante properties and network routing (such as multicast flows) must be performed in Audinate's Dante Controller software application.

Basic Dante Network

A basic Dante network consists of a managed Ethernet switch, Dante endpoints, and a DHCP server. Dante endpoints can be any type of device from any manufacturer, provided they support the Dante audio network protocol.

All Dante endpoint devices operate using DHCP by default and will wait to receive a network address from the DHCP server. If a DHCP server is not present, Dante devices will then default to a predefined IP address within the 169.254.x.x range .

Combined Digital Audio and Control Network

A combined digital audio and control network integrates both control and audio data onto a common Ethernet network. Using standard network switch configuration parameters, it is possible to optimize the flow of both types of data traffic to provide the best system performance. The following example illustrates how Bose Professional ControlSpace ESPs and PowerMatch amplifiers are integrated into a Dante digital audio network.

Example system with Dante network audio

The Bose Professional ControlSpace ESP-880/880AD/1240/1240AD/4120/1600 and ControlSpace EX sound processors, and PowerShare PS404D/PS604D amplifiers can be easily integrated into a combined data and control network. PowerMatch amplifiers require physically separate control and data connections to the network, as does the ControlSpace ESP-00 II engineered sound processor. In the case of the ESP-00 II and the CC-64 control center, these devices operate at a much slower network speed and require additional configuration when being integrated into a larger Dante digital audio network.


Dante Domain Manager (DDM)

Dante Domain Manager (DDM) allows a user to create and manage an enterprise-wide Dante network using sophisticated networking tools. Before using the features related to DDM in ControlSpace Designer, we recommend familiarizing yourself with Dante domains, especially their design and configuration (such as Audinate's DDM training materials and video tutorials).

Real-time Dante Information and Status

All Dante information in Project View is automatically updated in real time to display the most current Dante domain and device information. This applies to all Dante-enabled ControlSpace network devices and Dante endpoints in the Project View.

Dante information that is updated includes:

device connection status (i.e., to the same subnet in the project network)

user authorization status

domain enrollment

domain name

Note: A user is considered authorized if they have Site Administrator, Domain Administrator, or Operator permissions for the device.

Specifically, Dante information is updated whenever any of the following events occurs:

If the DDM loses or establishes a connection to a device

If changes are made to domain enrollment (if a device changes from “ad hoc” to a domain or vice versa or if a device changes from one domain to another)

If the permissions for a user are changed while they are logged in (if they are added to or removed from a domain or if their role changes)

Note: If the connection to the DDM fails, any existing Dante information remains unchanged.

Managing Dante Devices in Project View

The Dante domain enrollment is shown for all Dante-enabled ControlSpace network devices and Dante endpoints in the Project View.

For devices in ad hoc mode, the Dante information includes the word Dante.

For devices enrolled in a domain, the Dante information includes the word Dante and the enrolled domain name. If the name of a Dante domain is too long to fit in the device block, it is truncated and appended with ellipses (…). You can hover over the device block to see the full name near the cursor.

An EX processor in ad hoc mode and two EX processors enrolled in a domain with a truncated name.

Note: ControlSpace network devices that do not support Dante I/O do not display Dante information.

Note: Online/offline connection status for DDM is independent of ControlSpace network connection status.

When performing a scan, Dante domain enrollment is shown on devices in Project View, but the displayed Dante status is not updated. This does not require connection to the DDM. If you are connected to the DDM, the domain enrollment can include domains that you do not have permission to manage.

When a Dante-enabled ControlSpace network device or Dante endpoint is connected, the Dante domain is shown in blue text. This indicates you are connected to the DDM and that the device is either (A) in ad hoc mode or (B) enrolled in a domain and that you are authorized to modify the device.

Four device blocks connected to the DDM: two EX processors (one in ad hoc mode and one enrolled in the First Floor domain) and two EX endpoints (one in ad hoc mode and one enrolled in the First Floor domain).

When a Dante-enabled ControlSpace network device is connected but unauthorized, the Dante domain is shown in red text. This indicates you are connected to the DDM and that the device is enrolled in a domain, but you are not authorized to modify the device.

An EX processor connected to the DDM but without your user authorization to modify.

When a Dante-enabled ControlSpace network device is disconnected, the Dante domain is shown in gray text. This indicates either (A) you are not connected to the DDM or (B) you are connected to the DDM, but the device is offline.

Two EX processors disconnected from the DDM: one in ad hoc mode and one enrolled in the First Floor domain.

When a Dante endpoint is disconnected, the Dante domain is shown in gray text. This indicates one of the following scenarios:

The Dante endpoint is not on the network.

The Dante endpoint is on the network but is not in ad hoc mode, and you are not connected to the DDM.

The Dante endpoint is on the network but is not in ad hoc mode, and you are connected to the DDM but not authorized to modify the device.

Four endpoint device blocks disconnected from the network or DDM.

Dante Domain Overview (DDO)

To open the Dante Domain Overview (DDO) window, do one of the following:

Click the Window menu and select Dante Domain Overview.

Right-click a Dante device (a Dante-enabled ControlSpace network device or Dante endpoint) in the Project View and select Open Dante Domain Overview.

The DDO window is docked to the bottom of the window by default, but you can move it as desired.

If you are connected to the domain, the Status appears as Connected and displays the username and DDM server.

If you are not connected to the domain, the Status appears as Disconnected. To connect to the domain, click the Connect to Dante Domain… link in the DDO window. Alternatively, click the System menu and select Connect to Dante Domain….

Dante Domain Overview (DDO) window

When connected to the domain, the DDO window contains the following information for each device:

Device Name: The name of the device in the ControlSpace network.

A gray circle with a question mark (?) next to the Device Name indicates that device is not connected to the domain.

A red circle with an exclamation point (!) next to the Device Name indicates you are not authorized to modify that device.

Dante Name: The name of the device in the Dante network.

Type: The product name of the device.

Dante Domain: The name of the Dante domain in which the device is enrolled. If the device is in ad hoc mode, this field appears as Ad-hoc.

Dante IP: The Dante IP address of the device.

This information in the DDO window is always in sync with Project View.

All information in the DDO window is updated whenever any of the following events occurs:

When you connect to the server

When the server sends a notification for a change in domain enrollment, device connectivity, or user permissions

When you scan for devices

Dante Device Discovery and Connection

ControlSpace Designer can scan and discover devices registered to a Dante domain and in the project subnet. Devices that are not in the project subnet are not discoverable.

Devices can be also discovered by manually scanning or through automatic discovery of Dante endpoints.

Note: The Hardware Manager lists all devices in the project subnet regardless of their domain enrollments.

To connect to a DDM server, click the System menu, and select Connect to Dante Domain.... The Dante Domain Configuration window will appear.

Dante Domain Configuration windows with automatic and manual options for DDM server population

In the Dante Domain Configuration window, select and enter the information for the desired domain:

DDM Server: Select a server from this menu. The menu is automatically populated with the DDM servers in the network. Options appear/disappear if a server is discovered/lost while this window is open. You can select Manual to enter a server hostname manually.

Username: Enter the username for the server.

Password: Enter the password for the server. You can select/deselect Show password to show/mask the password characters.

Hostname (when DDM Server is set to Manual): Enter the hostname of the server. This may be a DNS-resolvable hostname or an IPv4 address.

Port (when DDM Server is set to Manual): This is the port number. It remains fixed at 8443.

To close the window without connecting to a server, click Cancel or the X in the upper-right corner of the window.

To connect to the selected server, click Connect.

If the connection is established successfully, the window will close.

If a connection cannot be established, a window will appear with the message Unable to connect to Dante Domain server. Click OK to close this window and try again.

To disconnect from a DDM server, click the System menu, and select Disconnect from Dante Domain.

Viewing Dante Devices by Domain Enrollment

You can show and hide devices in Project View based on their Dante domain enrollment.

When a device is hidden, it still exists in the project, and its tab is shown above the Project View). You can still open the device in the Device View. It is also shown in Hardware Manager.

Any wiring to/from a hidden device is also hidden.

If the output of a shown device is connected to the input of a hidden device, you can make additional connections to the gray output connector.

If the input of a shown device is connected to the output of a hidden device, you cannot connect additional devices to the input, which appears as an X.

To show or hide Dante devices, click the View menu, select Dante Domains, and then select any of the following options:

Show All: When this option is selected, all Dante devices are shown in the Project View.

Show [Domain Name]: The names of all Dante domains are listed in this submenu. When a name is selected, all Dante devices enrolled in that domain are shown in the Project View. You can select multiple domains simultaneously. Devices that are not enrolled in any domain are hidden in the Project View.

Ad-hoc: When this option is selected, all Dante devices that are not enrolled in a domain are shown in the Project View. Devices that are enrolled in a domain are hidden in the Project View.

Non-Dante: When this option is selected, all Dante devices are hidden in the Project View.

Filtering device blocks by domain names (First Floor and Second Floor)


AES67 Audio Support

Dante Network Audio is built into all of the ControlSpace EX sound processors. The EX-1280C and EX-1280 support up to 64 x 64 audio channels. The EX-440C supports up to 16 x 16 audio channels for connection to other Dante-enabled products and the EX-12AEC supports 16 x 16 audio channels for connection to an EX-1280C processor.

Dante devices can participate in AES67 audio streams, enabling your devices to send and/or receive AES67 audio while also being enrolled in a Dante domain.

AES67-supported amplifiers and processors can both receive and send AES67 audio streams.

AES67-supported endpoints can send AES67 audio streams from their Dante ports.

AES67-supported loudspeakers can receive AES67 audio streams to their Dante ports

The AES67 audio stream is received or sent over the standard Dante ports on each device. The connected device does not need to be Dante-compatible.

See the list below for a complete list of Bose Professional products that support AES67 audio.

Use Dante Controller or the Dante Domain Manager (DDM) to view and configure Dante and/or AES67 settings for a device. Alternatively, you can also use a tool such as ANEMAN to route audio between AES67-supported devices.

Note: If a transmitter or receiver supports both Dante and AES67 audio, the Dante transport will be used. In other words, the Bose Professional products listed below send/receive AES67 audio streams to/from another device only if that other device (1) supports AES67 audio and (2) does not support Dante audio.

The following Bose Professional products support AES67 audio:

Amplifiers

PowerMatch PM4250N*

PowerMatch PM4500N*

PowerMatch PM8250N*

PowerMatch PM8500N*

PowerShare PS404D††

PowerShare PS604D††

Processors

ControlSpace ESP-880**

ControlSpace ESP-880AD

ControlSpace ESP-1240**

ControlSpace ESP-1240AD

ControlSpace ESP-1600**

ControlSpace ESP-4120**

ControlSpace EX-1280

ControlSpace EX-440C

ControlSpace EX-1280C

ControlSpace EX-12AEC

Endpoints

ControlSpace EX-4ML††

ControlSpace EX-8ML

ControlSpace EX-UH††

ControlSpace EP22-D† ††

ControlSpace EP40-D† ††

ControlSpace WP22B-D† ††

ControlSpace WP22BU-D† ††

Loudspeakers

Panaray MSA12X

* when used with the PowerMatch Dante Network Card

** when used with the ControlSpace Fixed-I/O ESP Dante Network Card

† The product must use a Dante-supported chipset: UltimoX2 or UltimoX4. To verify Dante support, open the Device View in your Dante Controller application, and check the Dante Model field in the Status tab.

†† when not enrolled in a Dante domain


Enabling Dynamic Routing

For projects that allow dynamic changes to audio routing between ControlSpace and networked PowerMatch devices using Parameter Sets, select Enable Dynamic Routing from the System menu. Dante Control must be enabled for this option to be available.

Note: PowerShare amplifiers do not support dynamic routing.

When dynamic routing is enabled, the Dante input blocks added to Parameter Sets will also include the subscription information (routing). This allows routing changes to be recalled as required during system operation. For more information, see Programming Dante Subscriptions into Parameter Sets.

With dynamic routing enabled, the ControlSpace and PowerMatch devices receive 'Power-On' subscriptions that restore them to a known state that is consistent with the rest of the system at power-up. For more information about how to set up and store the power-on routing, see Setting the Dante Routing Used for Power-On.


Setting the Dante Routing Used for Power-On

To ensure that the routing returns to a known state that is consistent with the rest of the power-on settings for the system, the ESP/EX processors and networked PowerMatch amplifiers recall designated Power-On subscriptions. These can be updated per module, per device, or for the whole system.

Note: PowerShare amplifiers do not support Power-On subscriptions.

To set a Power-On subscription, first set up the system with the desired routing. Once the routing is correct, use one of the following options to capture the settings.

  • To capture settings for all the devices at the same time, select the Update All Power-On Subscriptions option in the System > Dynamic Routing menu. Both Dante Control and Dynamic Routing must be enabled for this option to be available.

  • To capture settings for a single device, right-click the device in Project view and select Update Power-On Subscriptions. Both Dante Control and Dynamic Routing must be enabled for this option to appear in the context menu.

  • To capture settings for a single ESP/EX Dante Input block, right-click the block in Device view and select Update Power-On Subscriptions. Both Dante Control and Dynamic Routing must be enabled for this option to appear in the context menu.

View the saved Power-On subscriptions for any Dante input block in the Properties window. Use this information to determine which Power-On subscriptions will be sent to the hardware when opening and uploading an existing file.

To view the subscription settings, select the Dante Input block in Signal Processing view and then select Window > Properties from the main menu. If Dynamic Routing is enabled, the Properties window displays both the Current subscriptions and the Power-On subscriptions. If Dynamic Routing is disabled, the Properties window displays the Current subscriptions only.

Properties window for Dante Input block - Dynamic Routing enabled

Properties window for Dante Input block - Dynamic Routing disabled

Note: Power-On subscriptions will not affect the current routing when uploading the design file to hardware. Routing is only affected when the hardware is rebooted.


Building a Project File

The first step in creating a ControlSpace system design is to specify the hardware components you intend to use. In ControlSpace Designer software this is accomplished by launching the program and adding new devices to a project.

Project Files

Each system design is stored in a file with a .csp file name extension. This file contains configuration information, settings, and control functions for all ControlSpace sound processors, and PowerMatch and PowerShare amplifiers. In addition to creating new files, there are several methods to retrieve files and settings stored within the hardware devices. For more information, see Retrieving System Configurations.

Note: When you launch ControlSpace Designer software, a new project named "Untitled” is automatically created in temporary working memory. You must save this information to disk to store the file for use in the event of a power loss. The first time you save a project, you are prompted to provide a name for it.

Adding Devices

Devices are added to your system design by dragging the device icons in the Device List in the left panel into the Project view in the right panel. The Project view is a workspace that allows you to graphically lay out the system design.

Example

In the following example, an ESP-880AD sound processor and CC-64 and CC-16 zone controllers are part of the design. Although you can add other components, such as microphones and loudspeakers, they are for reference only and do not perform any function in ControlSpace Designer software.

Dragging and dropping devices into Project view

Other Device Block and Wiring Operations

For more information on device wiring operations, see Wiring Operations.

For more information on device block-handling functions, see Block-Handling Functions.


Adding Design Notes

You can add text boxes to Project view or Signal Processing view to place labels or notes on your design.

To add a note to your design

  1. Click the Add Note icon [image] in the menu bar. This places a text frame in the design workspace.

  2. Click the text frame to select it. Notice the handles on the border of the frame. You can click and drag any of these to re-size the text frame.

  3. Click and drag the text frame to where you want it.

  4. Click inside the text frame. Notice that the text line is highlighted in blue.

  5. Enter the text you want in the frame. When done, click outside the text frame. Select the text frame again to adjust its size and location.

Note: Right-clicking a text frame opens a menu that provides additional editing functions, listed below.

  • Cut, Copy, Duplicate, and Delete are the standard Windows editing functions.
  • Change font allows you to select font style and size.
  • Horizontal alignment offers you the choice of Left, Center, or Right.
  • Vertical alignment offers you the choice of Top, Center, or Bottom.
  • Change background color lets you chose a background color from the color palette.
  • Toggle background switches between the selected color and no color.
  • Toggle border switches between a border and no border.
  • Bring to Front places the text frame in front of design icons.
  • Send to Back moves the text frame behind design icons.


Adding project notes

Adding Project Information

ControlSpace Designer provides a feature for documenting contact information and comments related to the project design. This is an especially helpful feature for service technicians accessing the system in the future. To access this feature, select Project Information from the File menu.

The Project Information Window supports entry of contact information for multiple project participants as well as six multi-line comment fields. There is no limit to the amount of text you may enter in the comment fields, and all information stays with the design when the project file is saved to disk or uploaded to the system.

Project Information window


Accessing signal processing

Accessing Signal Processing View

Each device that has signal processing functions has a Signal Processing view indicated by a device-specific tab to the right of the Project view tab. Signal Processing view for devices can be opened by clicking the tab or double-clicking the device block in the Project view.

SP Tool Kit and Signal Processing view

The first time you access the Signal Processing view, there are no wired audio connections or project-specific signal processing blocks. Audio input and output blocks are included in Signal Processing view for default hardware and optional expansion cards, with the exception of the Dante I/O channels in EX devices. For information about adding Dante I/O channels to ControlSpace EX sound processors, see ControlSpace EX Dante Input/Output Controls.

Note: The signal processing blocks and flow in PowerMatch amplifiers are predefined.

The SP Tool Kit lists the various signal processing blocks that can be used within the selected device.


Block-Handling Functions

ControlSpace Designer provides a variety of block-handling functions for devices in Project view or Signal Processing (SP) blocks in Signal Processing view.

Note: See the Edit Menu topic for additional block-handling functions.

Renaming Single Blocks or Devices

To rename any SP block or device, right-click the block or device and select Rename, or press F2. You can also use the Label property in the Properties window to rename a device or SP block.

Note: You can use the Label Propagation feature to change channel labels on I/O and SP blocks and automatically copy them (propagate) to other blocks in your design.

Renaming Multiple Blocks or Devices Using Wildcards

To rename multiple similar devices or SP blocks simultaneously and assign a unique sequential number to each name:

  1. Select each device or SP block you want to rename.
  2. Right-click one of the objects and select Rename Selection (or press F2).
  3. Enter a new name for the objects, including a * wildcard character as a placeholder for the assigned number.

    For example, if you enter Program In-*, each selected object will be named Program In-1, Program In-2, and so on. The assigned number can be anywhere in the device or block name, including the middle of the name—for example, Program * In would rename blocks as Program 1 In, Program 2 In, and so on.

  1. Renaming multiple blocks using wildcards
  2. You can optionally designate the starting number and whether sequential numbers will be assigned in reverse order (ascending order is the default sequence). You can preview the new names in the To list.
  3. Click Confirm to rename the selected objects.

Viewing Channel Labels on Single-Channel Blocks

Channel labels do not appear on single-channel blocks by default. If you wish to view channel labels, select Show Labels on Single Channel Blocks from the View menu. When enabled, a check mark appears next to this option in the menu. Labels that appear on any single-channel blocks will be removed if this option is disabled.

Setting Port Spacing

You can adjust the vertical spacing between ports on an SP block or device. The size of the block or device will increase to fit the wider port spacing. For example, you can set the port spacing on two blocks such that the wire connections between the two blocks are straight, more widely spaced, and evenly distributed.

  1. Right-click the device or block and select Set Port Spacing.
  2. The default spacing for ports is 0. For each port that you want to adjust, select the appropriate side (Right Ports or Left Ports) and enter the amount of spacing you want before each port. For example, selecting 1 for a port will increase the spacing before the port by one unit.

    In this example, the current port spacing is shown below:

    The user adjusted each port spacing to 1 (except for the first port) on the left side of the AEC block to match the port spacing on the right side of the Dante block.

  3. Click OK. The size of the AEC block and ports are now adjusted to meet the new spacing requirements.

    Note: To reset the port spacing to the default, right-click the block and select Clear Port Spacing.

Copy Parameters

You can copy the parameters from one block to one or more selected blocks of the same type. Note that this only copies or pastes the block parameters (settings and their values). It does not copy or paste the block itself.

For Selectors, Routers and Standard and Matrix Mixers only:

  • This includes input and output channel labels.
  • Blocks with smaller channel counts can be pasted into blocks with larger channel counts. Values are pasted into the lowest channel numbers.
  1. Right-click the SP block and select Copy Parameters.

  2. Right-click the other SP block of the same kind and select Paste Parameters.


Label Propagation

Label propagation in ControlSpace Designer allows you to change channel labels on I/O and SP blocks and automatically copy them (propagate) to other blocks based on how they are connected to the original block. The result is a more readable design that requires less effort.

NOTES:

  • Label propagation affects only the input and output channel labels on I/O and SP blocks. You cannot modify block names by using label propagation.
  • Label propagation is not supported in the ControlSpace ESP-00 Series II engineered sound processor.

Enabling Label Propagation

Label propagation is disabled by default when you open a new or existing project. To enable label propagation:

  1. Click Tools on the menu bar, click Label Propagation, and then select a propagation direction from the sub-menu.

Note: Clicking Label Propagation option opens a sub-menu in which you can select a propagation direction to specify how block labels will propagate to other blocks in the design (see Propagation Direction Examples below). Label propagation is automatically enabled when you select a propagation direction, and a check mark appears in the Tools menu next to the Label Propagation option and in the sub-menu next to the selected direction. The default label propagation direction is All Downstream Signals. Selecting OFF disables label propagation and removes the check mark.

A dialog box appears stating that "Enabling label propagation will not affect labels that were changed while label propagation was disabled."

  2. Click OK to close the dialog box.

Tip: Alternatively, you can enable label propagation by selecting a propagation direction from the drop-down list on the main toolbar, or you can disable label propagation by selecting Off. Press Ctrl+L or click the Change Label Propagation icon [image] to toggle through the options without opening the drop-down list.

Another method you can use to enable label propagation is to right-click an input or output port on a block, clicking Label Propagation, and then selecting a propagation direction from the sub-menu. That port will then be the starting point for label propagation.

Propagation Direction Examples

The following examples illustrate the different propagation direction options:

All downstream signals

All upstream signals

All upstream and downstream signals

First downstream signal

First upstream signal

Propagating Label Changes

After you have selected a propagation direction and enabled label propagation (see the Enabling Label Propagation procedure above), you can change one or more channel labels on an I/O or SP block and propagate those changes to other blocks in your design. To do this:

  1. Click Window on the menu bar, and then click Properties to open the Properties window (if it isn't already open).
  2. In Signal Processing view, click to select the block from which to start label propagation.
  3. In the Properties window, select the label you want to change and enter a new label. Repeat this step for all labels you want to change, and then press Enter.

    The labels for the corresponding input and output channels in one or more of the connected blocks (depending upon the selected propagation direction) are automatically changed to the new label as you create connections between blocks.

    Note: If a connection that caused a label to be propagated is broken, the label reverts to its previous value.

NOTES:

  • Label propagation can be undone by using the Edit > Undo menu option, clicking the Undo icon [image], or pressing Ctrl+Z. If the Undo function is not available, click anywhere within the Signal Processing view panel.
  • Propagated labels revert to their original labels when a connection is removed (a wire or block is deleted) from the chain.
  • If you manually change a label on a block while label propagation was disabled, it is excluded from any downstream or upstream label propagation. Label propagation stops at that block and the label on any block after it (according to the selected propagation direction) will change to that block's label.
  • If there is a single-channel block in your design that is among the upstream and/or downstream blocks in the selected propagation direction, the new label will not appear in that block (by default), but propagation will continue through it to connected channels on upstream and/or downstream blocks. To show labels in a single-channel block, select Show Labels on Single Channel Blocks from the View menu.
  • When label propagation encounters an output that is wired to more than one input, a numerical suffix is automatically appended to the multiple inputs to avoid duplicate labels.
  • Labels will not propagate through the SP block types listed below. In these blocks, propagation will stop at the input channel when propagating downstream or at the output channel when propagating upstream.
  • - Routers/Selectors: Router, Source Selector Mono, Source Selector Stereo
  • - Mixers
  • - Filters/Crossovers
  • - Delays: 2 out, 4 out, and 8 out only
  • The side-chain channel input labels can be changed on the following SP block types (in the Dynamics node of the SP Tool Kit) by using label propagation:
  • - Compressor/Limiter
  • - Ducker
  • - Gate
  • - Peak RMS Limiter

Prohibiting Label Propagation to a Connection Point

You can omit a block from label propagation by right-clicking an input or output port on a block and selecting Prohibit Label Propagation To This Connection Point from the menu. A check mark appears next to this option when it is enabled.

The port (connection point) and its associated input or output port on the same block are outlined in bold and both ports are omitted from label propagation in the chain. Label propagation stops at that port (or at its associated port), and the labels on connected downstream or upstream ports on blocks in the chain (according to the selected propagation direction) will change to the label of the port on which you prohibited label propagation (as shown in the image below).

Note: Other ports on the same block will participate in label propagation unless you enable the Prohibit Label Propagation To This Connection Point option for those ports.


Mass Propagation

Mass propagation allows you to apply Label Propagation for whole configurations of the currently open design at once.

NOTES:

  • Label propagation affects only the input and output channel labels on I/O and SP blocks. You cannot modify block names by using label propagation.
  • Label propagation is not supported in the ControlSpace ESP-00 Series II engineered sound processor.

Enabling or Disabling Mass Propagation

Mass propagation is disabled by default when you open a new or existing project.

To enable label propagation, click Tools on the menu bar, and click Enable Mass Propagation.

To disable label propagation, click Tools on the menu bar, and click Disable Mass Propagation.

Applying Mass Propagation

When mass propagation is enabled, you can apply mass propagation of labels in the design by doing the following:

  1. Click Tools on the menu bar.

  2. Select Label Propagation.

  3. In the sub-menu that appears, if OFF is selected, click All Downstream Signals or All Upstream Signals.

All labels that can propagate downstream or upstream (respectively) will propagate.


Wiring Operations

ControlSpace Designer provides a variety of wiring and connection tools for devices in Project view or SP blocks in Signal Processing view.

Note: See the View Menu for additional wiring functions.

Single Wire Connections

You can click a port on one SP block or device and then click a port on another SP block or device to connect them. Or you can click a port and drag to connect it to the other port on another SP block or device.

Note that the examples are for devices in Project view, but also apply to blocks in Signal Processing view.

Clicking and dragging a wire from output to input

To delete a wire, click anywhere on the wire to select it and display control points. Then, press the Delete key.

Deleting a wire

To move a wire, click anywhere on the wire to select it and display control points. Then, click and drag a control point to the new location.

Dragging the control point to move a wire

Multiple Wire Connections

To wire multiple ports on one block or device simultaneously to the corresponding ports on another SP block or device:

  1. Click and drag to select all of the ports on the device or SP block that you want to connect to the other device or SP block. The ports will be highlighted in gold.

  2. Click one of the highlighted ports and drag a wire to the corresponding port on the other device or SP block.

  3. When you release the mouse button, each of the corresponding ports will be interconnected.

Alternatively. you can select the ports on one block or device that you want to connect to the other block or device, press and hold the F3 key, click any port on the other device or SP block, and release F3 to perform the same operation.

Fan-Out Wire Connections

To wire a single port on one SP block or device so that it fans out to multiple ports on another SP block or device:

  1. Click and drag to select all of the ports on the device or SP block that you want to connect to the single port on the other device or SP block. The ports will be highlighted in gold.

  2. Press and hold the F4 key.

  3. Click the single port on the other device or SP block.

  4. When you release F4, the single port connection will fan out to the multiple ports on the other device or SP block.

Routing Control of Orthogonal Wires

Control points provide additional bend "handles" for orthogonal style wires, allowing a finer degree of control over wire routing when needed, for example, when a design has so many objects that a designer needs more right-angle bends to route wires around them.

The default orthogonal wire style has two control points. You can add two more control points to an orthogonal wire, for a maximum of four. The designer can then drag those control points to maneuver wires around an object.

In this example, assume that the designer does not want to move the Analog Out 1 block but rather re-route the orthogonal wire connecting the gain blocks around the Analog Out 1 block so that the wire is not covered by the block. This cannot be done with the default number of control points so adding two control points is the solution.

To add two more control points to the orthogonal style wire:

  1. Right-click the wire and select Add control points. Two control points are added.

  2. You can then drag these control points to bend the wire appropriately around objects.

To reset the wire to the default number of control points, right-click the wire and select Reset control points.

Wire Connection Labels

To add labels to the starting, middle, or ending positions on a selected wire and specify label colors:

  1. Right-click the wire and select Wire properties.
  2. Specify the Start, Middle, and/or End Label text for the wire. The label text will appear in a box just above the wire.
  3. Click the Text Color field to display a color palette. Select a color for the label text from the palette and click OK.

  4. Click the Background Color field to display a color palette. Select a background fill color for the inside of the box that contains the label text and click OK.

  5. To add or apply the changes, click Confirm.

Wire Connection Color

To change the color of a selected wire:

  1. Right-click the wire and select Wire properties.

  2. Click the Wire Color field to display a color palette. Select a color for the wire from the palette and click OK.

  3. To add or apply the changes, click Confirm. The new color overrides any default color set for this wire type.

To change the default color of wires by type, see the Wire Colors option in the View menu.


Audio Routes

Audio Routing Functions

Use audio routes in ControlSpace Designer to pass audio between two locations within a single ESP or EX device as if they were connected, but without the need to wire them together directly. It is similar to a named object or net in schematic diagrams, where objects with the same name are assumed to be connected.

This provides a convenient virtual wiring shortcut from one location in a design to another and is helpful when many intervening or blocking design elements make it difficult to route wires between the two points.

Note: The ESP-00 II does not support Audio Routes.

To create an audio route:

  1. From the SP Tool Kit, drag a New Audio Route block into Signal Processing view. This creates a single-port input and output block, both labeled Audio Route x by default.

    Note: You can also route one input audio route block to multiple output audio route blocks (use the right-click Duplicate function to create the desired number of output blocks).

  2. If necessary, change the block labels by selecting one of the blocks and changing the Label name in the Properties window (Window > Properties) or by pressing the F2 key and changing the label in the text box. The labels will automatically change on both blocks because the labels must match to implement the audio route.

  3. If necessary, change the number of channels by right-clicking on a block and selecting Change Channel Count. As with label changes, any change in the number of channels will propagate to both blocks.

  4. Drag the input and output audio route blocks to the appropriate locations in your design.

  5. Wire any audio inputs to the input audio route block and any audio outputs from the output audio route block, as necessary.

    Audio signals will now flow from the input audio route block to the output audio output block as though they are interconnected.


Debug Logging (ControlSpace ESP and EX processors only)

ESP and EX processor devices store a debug file locally for service and support purposes.

To access the debug log, you will need to open ControlSpace Designer in a debug logging mode using one of two methods: from a Command Window or from a desktop shortcut that you create.

To open ControlSpace Designer in its debug logging mode from Command Window (run as Administrator):

1. Open a new Command Prompt and run it as an Administrator.
2. Enter cd C:\Program Files (x86)\Bose\ControlSpace 5.9\bin, and then press Enter.
3. Enter CSDesigner.exe -L (the last three characters are a space, a dash/hyphen, and an “L”), and then press Enter. ControlSpace Designer will open in its debug logging mode.

To create a desktop shortcut to ControlSpace Designer in its debug logging mode:

1. Open this folder on your computer: C:\Program Files (x86)\Bose\ControlSpace X.X\bin (where X.X is the version number).
2. Right-click the CSDesigner.exe application and select Create shortcut.
3. When prompted to create the shortcut on the desktop, select OK.
4. On your desktop, right-click the ControlSpace Designer 5.9 shortcut and select Properties.
5. In the Target field, at the end of the text, enter “ -L” (a space, a dash/hyphen, and an “L”).
6. Open ControlSpace Designer using that shortcut. ControlSpace Designer will open in its debug logging mode.


Engineered Sound Processor (ESP) Devices

ControlSpace ESP Devices

ControlSpace ESP engineered sound processors offer a range of signal processing and control options, including fixed-I/O models and an expandable card-frame model that can be customized with up to 64 audio channels. For custom solutions, all ESP processors have general-purpose I/O capabilities and built-in serial connectivity (RS-232 or Ethernet) to easily integrate with industry-standard control systems.

The Device List in Project view shows the available engineered sound processors (ESPs) that may be added to your system design:

  • Expandable I/O ESP - ESP-00 II
  • Fixed I/O ESPs - ESP-880/880A/880AD, ESP-4120, ESP-1240/1240A/1240AD, and ESP-1600

Bose Professional control devices and generic devices are also included in the Device List. The generic devices are used to illustrate system components and connectivity. The ESP devices are added to Project view using the same drag-and-drop method as other devices within the ControlSpace Designer software.

Note: Wiring within Project view is for reference purposes only and does not affect the audio signal path between devices.

Available ESPs and their associated Project view icons


ESP-00 II Device Properties

The ESP-00 II engineered sound processor block is initially an empty chassis with no audio inputs or outputs. Input and output cards must be added to the processor block using the Properties panel and must match the hardware configuration. To access the ESP-00 II Properties panel, right-click the ESP-00 II icon in the Project view and select Properties.

ESP-00 II Properties panel with configured hardware

The Properties panel shows all of the items which determine the configuration of the ESP-00 II.

  • Common – Contains functions which are common to all ESP-00 II devices:
    • Name – The unique name of the ESP-00 II that is displayed within the Project view. This unique name is also used in serial protocol programming. The name can be changed by selecting the name and entering a new one. The name may also be changed using the right-click menu or the F2 keyboard shortcut.
    • Firmware Version – Displays the current version of ESP-00 II firmware, if known. This item is only available when online with the ESP.
    • IP Address – Displays the current IP address for the ControlSpace Network port.
    • Set IP Address – Clicking this button allows you to change the IP address of the device.
    • Hardware Manager – Clicking this button opens the Hardware Manager dialog box.
  • CC-16 Connection – Displays a check mark beside numbers 1 through 15 matching the device ID of each CC-16 connected to the ESP-00 II.
  • GPIO Usage – Check boxes that you can select to enable the general purpose input and output capabilities:
    • GPIO SLOT 1 – Eight control inputs and eight control outputs are provided in each ESP-00 II system as standard equipment.
    • GPIO SLOT 2 – An optional connector card and cable to add eight control inputs and eight control outputs to an ESP-00 II.
  • Audio Cards - SLOT1 to SLOT8 represent physical hardware slots that can be populated with expansion cards from within the ControlSpace ESP-00 II architecture.

ESP-00 II Rear I/O Panel

SLOT 1 - SLOT 8 - Within the audio card options, each slot has a drop-down menu which lists the audio cards that can be installed:

  • 4ch Mic/Line Input II
  • 4ch Line Output II
  • 4x4 Mic/Line In
  • 4ch EDR Input
  • 4ch EDR Output
  • 8ch AES3 In
  • 8ch AES3 Out
  • 4ch Mic/Line Input
  • 4ch SDR Output
  • Surround
  • CobraNet 16In16Out
  • CobraNet 16In8Out
  • CobraNet 8In16Out
  • CobraNet 8In8Out
  • CobraNet 16In
  • CobraNet 16Out
  • CobraNet 8In
  • CobraNet 8Out
  • ESPLink Output
  • Dante 16in16out
  • Dante 8in8out
  • Dante 16in
  • Dante 16out
  • Dante 8in
  • Dante 8out
  • 2ch EDR Input
  • 2ch Mic/Line Input
  • 2ch EDR Output

Routing Slots Used – A single ESP-00 II can accommodate up to 64 channels of audio. Each card uses some quantity of the 64 channels. The bar graph indicates the current channel usage, and will turn red if the 64 channel maximum has been exceeded.


4ch Mic/Line Input II

This expansion card provides four analog microphone or line level input channels.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the input blocks that are associated with the card in Signal Processing view.

4ch Mic/Line Input Control Panel

The Input Control Panel provides the following options:

  • Input 1-4 Label - Displays the channel name as defined by the user within Signal Processing view. You can change labels by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Pre-Gain Control – Allows the selection of a predefined amount of analog input gain (0, 14, 24, 32, 44, 54, or 64dB).
  • Input Level Entry – Permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Signal Meter - Displays the current input signal level in dBFS at the input to the next processor function. Input meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • PWR - When selected, engages the +48V phantom power.


4ch Line Output II

This expansion card provides four analog channels of line-level outputs.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the output blocks that are associated with the card in the Signal Processing view.

4ch Line Output Control Panel

The Output Control Panel provides the following options:

  • Output 1-4 Label - Displays the channel name as defined by the user within Signal Processing view. You can change labels by highlighting the output block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Output Level Entry - Allows the direct entry of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Gain Slider – Adjusts the output signal level delivered to the analog output. The range of adjustment is from –∞ to +12dB.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next processor function. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the analog output. When Mute is enabled, the control panel button is red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with green being non-inverted and red being inverted.


4x4 Mic/Line Input/Output

4x4 Mic/Line Input/Output Card

This expansion card provides four microphone or line-level standard dynamic range (SDR) input channels and four SDR line level output channels.

Adjustable options may be changed in the control panels for the card. The control panels can be opened by double-clicking on one of the input or output blocks that are associated with the card in Signal Processing view.

Input Control Panel

4x4 Mic/Line Input Control Panel

The Input Control Panel provides the following options:

  • Input 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. You can change labels by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Input Type Selection – Provides a selector to configure the range of input pre-gain values for typical Line and Mic input signal types. This adjustment is in the analog domain, before analog to digital conversion.
  • Input Gain – Offers selectable gain options based upon the input type selection. The gain values for Line inputs are, 0dB (no additional gain), 14dB, and 24dB. Gain values for Mic inputs are, 42dB, 48dB, 54dB, and 64dB.
  • Input Level Entry - Permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post-analog to digital conversion.
  • Input Signal Meter - Displays the current input signal level in dBFS at the input to the next processor function. Input meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • PWR – When selected, engages the +48V phantom power. When phantom power is enabled, the control panel button is Green.

Output Control Panel

4x4 Mic/Line Output Control Panel

The Output Control Panel provides the following options:

  • Output 1-4 Label - Displays the channel name as defined by the user within Signal Processing view. You can change labels by highlighting the output block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Output Level Entry - Allows the direct entry of the amount of attenuation (-60 dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Gain Slider – Adjusts the output signal level delivered to the next analog output.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next processor function. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next analog output. When Mute is enabled, the control panel button is red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN being non-inverted and RED being inverted.


4ch EDR Input

4ch EDR Input Card

This card provides four channels of enhanced dynamic range (EDR) highest quality line-level input.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the input blocks that are associated with the card in Signal Processing view.

EDR line-level input card control panel

The Input Control Panel provides the following options:

  • Input 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. You can change labels by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Input Gain Slider – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Level Text Entry – Permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Signal Meter - Displays the current input signal level in dBFS at the input to the next signal processing block.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is red.


4ch EDR Output

4ch EDR Output Card

This card provides four channels of line-level enhanced dynamic range (EDR) highest quality output.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the output blocks that are associated with the card in Signal Processing view.

EDR output card control panel

The Output Control Panel provides the following options:

  • Output 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view. You can change labels by highlighting the output block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Output Level Text Entry - Allows the entry of the amount of attenuation (-60 dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Gain Slider – Adjusts the output signal level delivered to the next analog output. The range of adjustment is from –∞ to +12dB.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next analog output. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next gain stage in the design. When Mute is enabled, the control panel button is red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with green being non-inverted and red being inverted.


8ch AES-3 Input

8ch AES3 Input Card

This expansion card provides eight channels of AES3 digital audio input.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the input blocks that are associated with the card in Signal Processing view.

AES3 eight-channel input card control panel

The Input Control Panel provides the following options for each channel:

  • Input 1-8 Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. You can change labels by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Input Gain Slider – adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Gain Value – permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Mute – silences the signal and disables audio from passing to the next signal processing block. When Mute is enabled, the control panel button is red.


8ch AES-3 Output

8ch AES3 Output Card

This expansion card provides eight channels of AES3 digital audio output.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the output blocks that are associated with the card in Signal Processing view.

AES3 eight-channel output card control panel

The Output Control Panel provides the following options for each channel:

  • Output 1-8 Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. You can change labels by highlighting the output block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Output Gain Slider – adjusts the output signal level delivered to the AES digital output dB. This adjustment point is in the digital domain, pre-digital to analog conversion.
  • Polarity – applies a reversal of polarity to the output signal. When Polarity is normal, the control panel button is Green and a “+” sign is present. When Polarity is reversed, the control panel button is Red and a “-” sign is present.
  • Mute – silences the signal and disables audio from passing to the AES digital output. When Mute is enabled, the control panel button is red.


4ch Mic/Line SDR Input

4ch Mic/Line Input Card

The four-channel mic/line SDR input card provides four microphone or line-level standard dynamic range (SDR) input channels. Adjustable options may be changed in the control panel for the card. In Signal Processing view, open the control panel by double-clicking one of the input blocks associated with the card.

Four-channel mic/line SDR input card control panel

The Input Control Panel provides the following options:

  • Input 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. You can change labels by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Input Type Selection – Provides a selector to configure the range of input pre-gain values for typical Line and Mic input signal types. Adjustment is in the analog domain, before analog-to-digital conversion.
  • Input Gain – Selectable gain options based upon the input type selection. The gain values for Line inputs are 0dB (no additional gain), 14dB, and 24dB. Gain values for Mic inputs are 42dB, 48dB, 54dB, and 64dB.
  • Input Level Text Entry – Permits direct text entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Signal Meter - Displays current input signal level in dBFS at the input to the next signal processing block. Input meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block. When Mute is enabled, the control panel button is Red.
  • PWR – When selected, engages the +48V phantom power. When phantom power is enabled, the control panel button is Green.


4ch Mic/Line SDR Output

4ch SDR Output Card

This card provides four line-level standard dynamic range (SDR) output channels.

Adjustable options may be changed in the control panel for the card. The control panel can be opened by double-clicking on one of the output blocks that are associated with the card in Signal Processing view.

Four-channel SDR output card control panel

The Output Control Panel> provides the following options:

  • Output 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view. You can change labels by highlighting the output block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Window > Properties.
  • Output Level Entry - Allows the entry of the amount of attenuation (-60 dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the analog output.
  • Output Gain Slider – Adjusts the output signal level delivered to the analog output. The range of adjustment is from –∞ to +12dB.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next processor function. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the analog output. When Mute is enabled, the control panel button is red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with green being non-inverted and red being inverted.


Surround Sound Decoder Input

Surround Sound Decoder Input Card

The surround sound decoder card allows direct connection to the optical or coaxial S/PDIF connection of a CD or DVD player and decodes PCM, Dolby Digital and DTS audio formats.

The surround processing block provides eight outputs for the various surround channels decoded at its input and are labeled as follows:

L = Left

R = Right

Ls = Left surround

Rs = Right surround

C = Center

LFE = Low Frequency Effects

Bsl = Back surround left

Bsr = Back surround right

Adjustable options for this card are accessed by double-clicking on the appropriate processing block within Signal Processing view to open the surround control panel.

Surround Sound Decoder Input Card input block and control panel

The surround control panel provides the following options:

  • Input Gain – contains adjustable values for multi-channel surround sound input signals. Included in this section are:
  • Master Gain Slider – adjusts the overall signal level delivered to the signal processing blocks. The range of adjustment is from –∞ to +12dB.
  • Master Gain Input Value - permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input master gain slider.
  • Input Select – determines which input connector to use for S/PDIF surround sound signal decoding. The optical and coaxial inputs may be connected to devices. The active input can be switched by using control functions such as a parameter set or serial control. Options include:
  • Coax – an unbalanced RCA
  • Optical – a TOSLINK optical connector is used for this type of digital audio input.
  • Input Levels (dB) – permits individual input channel adjustment for each of the eight surround channels. Type a value directly into the level box or right-click in the field to access a gain slider. Individual channels supported are:
Left | Center | Right
Left Surround (Ls) | Low-Frequency Effects (LFE) | Right Surround (Rs)
Back Surround Left (Bsl) |  | Back Surround Right (Bsr)
  • X-Curve - equalization can be applied to all signal channels without using DSP resources in the ESP. Options in this section include:
  • On – enables the X-Curve to all channels.
  • Off – disables the X-Curve to all channels.
  • Auto - configures the decoder to automatically activate X-Curve equalization based on the room-type encoding in the media.

Note: When the decoder detects content with an X-Curve encoding, X-Curve is engaged. The On and Off buttons indicate the current state of the X-Curve EQ when online.

  • System Tuning –assists with surround system setup by sending test sources to individual channels which simplifies surround sound tuning and verification. Options in this section include:
  • On / Off – enables system tuning mode when On and routes the current playback source to surround outputs. When Off, the current playback source is disconnected from surround outputs.
  • Setup – opens the system tuning control panel.

Surround Sound Decoder Input Card system tuning control panel

Options in this control panel include:

  • Playback Source – provides a drop-down list to determine which surround card input channel is routed to the decoder. Input options available are:
  • Source (Left) – Left channel only
  • Source (Left+Right) – Both left and right channels
  • Source (Center) – Center channel only
  • Source (Pink Noise) – Pink noise is used as the input signal
  • Playback Channel – provides a drop-down list to determine which individual surround output channels receive the chosen Source. The list is ordered as:
  • Left – Left front
  • Center – Center front
  • Right – Right front
  • Rs – Right surround
  • Bsr –Back surround right
  • Bsl –Back surround left
  • Ls - Left surround
  • LFE – Low Frequency Effects
  • Back – is a quick-select button to enable the surround output above the currently active output in the list above. When the top of the list is reached, the next button press jumps to the output the bottom of the list and continues moving up the list on each press.
  • Next – is a quick-select button to enable the surround output below the currently active output in the list above. When the top of the list is reached, the next button press jumps to the output the top of the list and continues moving down the list on each press.
  • Mute – when enabled, the button turns red and all surround outputs are muted. This is the default condition when System Tuning is turned ON. When disabled, the button turns gray and the currently defined Playback Channel becomes active.
  • Media Type – this section provides monitoring, programming, and testing of various media-based events. Options available within this area of the surround sound control panel include:
  • Current Media Type - displays the type of media format that is detected at the surround card inputs. This state is updated when connected to an ESP and in online mode. It will appear blank while in offline mode.
  • Test Media Type – is used to a select a media type from the drop-down list to invoke and verify the actions assigned to that Media Type.

Note: The Test Media Type drop-down list is disabled when online.

  • Media Type Programming – is used to trigger a media type-specific parameter sets. When a specific input format is detected and decoded from the digital bitstream, the listed Media Type is recalled to perform the actions defined in its programming.

Individual media types are listed in the Type of Input tree and programming events are assigned to one or more types while off-line.

Surround Sound control panel Media Type of Input Tree

To associate a Parameter Set with a media type, drag the Parameter set onto the desired media type in the list. For example, one Parameter Set can be programmed to change the signal routing and provide some equalization for a stereo CD signal while another can be programmed to signal a projector to power on and lower the projection screen for a Dolby 5.1 DVD demonstration.

For more programming information, see Parameter Sets.

Media Types are identified and recalled based upon the signal format table shown below:

Format Sample Rate Media Type

Format

Sample Rate

Media Type

PCM (CD)

44.1 kHz

PCM

PCM (DVD Video)

48 kHz

PCM

Dolby Digital 1.0

48 kHz

Dolby Digital 1.0

Dolby Digital 2.0

48 kHz

Dolby Digital 2.0

Dolby Digital 5.1

48 kHz

Dolby Digital 5.1

DTS 1.0

48 kHz

DTS 1.0

DTS 2.1

48 kHz

DTS 2.1

DTS 3.0

48 kHz

DTS 3.0

DTS 4.0

48 kHz

DTS 4.0

DTS 5.0

48 kHz

DTS 5.0

DTS 5.1

48 kHz

DTS 5.1

DTS ES Discrete 6.1

48 kHz

DTS ES Discrete 6.1

DTS ES Matrix 6.1

48 kHz

DTS ES Matrix 6.1

DTS CD

44.1 kHz

DTS 5.1

Channel Mapping Chart

Surround Sound channel mapping

Functional Diagram

The following functional diagram depicts the signal flow and logic operation of the surround decoder input card.

Surround Sound Decoder Input Card functional diagram


Surround Sound Decoder

Surround Sound Decoder Example

The Bose Professional ControlSpace Surround Sound Card offers new opportunities for integration of surround sound systems into commercial spaces. The flexibility of ControlSpace systems and the enhanced listening experience afforded by a surround sound system, makes for an impactful product solution. This application note illustrates basic surround sound system design principles and the implementation of a multi-purpose facility design, within a ControlSpace system.

The following concepts are explored:

  • Surround sound system types

  • Positioning surround sound loudspeakers

  • Implementing a surround sound system

  • Multi-purpose surround system design example

Background

We are more accustomed to the immersive listening experience provided by surround sound systems than ever before. They are used in many different types of venues from home theaters to movie theaters. These venues range in size from small spaces to large rooms, and the use of surround sound systems runs the gamut from multi-purpose implementations to highly specialized facilities. Figure 1 illustrates the four primary quadrants of surround sound venue implementation today.

Figure 1: Typical surround sound system venues

Surround sound system types

The markets targeted by the new ControlSpace Surround Sound Card fit within the upper right-hand quadrant of this graph. Medium to large sized venues with multi-purpose needs are in the sweet spot for surround sound systems managed by ControlSpace. Knowing this, let’s take a look at the basic surround sound configurations in today’s marketplace.

Surround sound systems are referenced by the number of output channels they produce. The three most common today are named 5.1, 6.1, and 7.1. The first number of this classification indicates the number of full range signals in use. The .1 represents the number of Low Frequency Effect (LFE) channels in operation. The LFE output channel may also receive low frequency information from any of the full range channels when bass management is in effect. The loudspeaker arrangements associated with each of these surround sound system types are shown in Figure 2.

Figure 2: Surround sound system configurations

Positioning surround sound loudspeakers

When designing loudspeaker systems to reinforce a specific surround sound configuration, the following recommendations will help you position each device appropriately. Front channel loudspeakers (Left, Center, Right) should be positioned behind acoustically transparent projection screens and at a height 65% of the total screen height from its base.

Figure 3: Loudspeakers behind screen

Figure 4: Loudspeakers around screen

When the projection screen is opaque, the same height rule applies to left and right loudspeakers, but they are oriented outside the perimeter of the screen to a location which will not obscure the on-screen image. The center channel loudspeaker is positioned above the screen in cases like this.

A Low Frequency Effects (LFE) loudspeaker should always be located near the front channel loudspeakers. Moving this loudspeaker away from the other front loudspeakers will reduce its impact and effectiveness during music and movie playback.

Figure 5: LFE performance area

The optimum LFE position is between the left and right loudspeakers and off axis from the center of the room. This will help to maximize low frequency energy throughout the listening space.

Figure 6: Recommended LFE positioning

Bi-amped loudspeakers are recommended for use with the front channels (L, C, R). The crossover range between the front channels and the LFE loudspeakers should be between 80 and 100 Hz. Each of the surround channel loudspeakers should be full range devices.

Using surround sound loudspeakers that have wider than traditional horizontal coverage, or Articulated Array technology can enlarge the sweet spot, providing a better surround experience to a larger number of listeners. This becomes a critical factor in system designs for multi-purpose facilities using surround sound.

Bose Professional Panaray 402, Panaray 302 A, and FreeSpace DS100SE loudspeakers all use Articulated Array technology and make excellent surround sound devices.

In the Multi-purpose surround system design example which we will explore in the following pages, a 7.1 system design option is chosen for maximum flexibility. The positioning of the loudspeakers supporting the surround channels also have rules of thumb to promote a quality experience.

In 7.1 surround systems, the right and left surround loudspeakers (Ls & Rs), which mount on the side walls, should be positioned at 66% of the distance from the projection screen to the back of the room. The back surround loudspeakers (Bsl & Bsr) mount on the back wall of the listening space and are located 25% of the total room width from the back corners.

Figure 7: Surround loudspeaker location rules of thumb

Large rooms often require a signal delay applied to rear surround channels to ensure localization to the projected image on screen. Figure 8 illustrates this delay zone with a dashed red box in the rear one-third of the listening space.

Figure 8: Surround sound audio delay for video zone

Note: Surround zone delays should only be implemented during playback of video sources (movies). If DVD-Audio program material is active, this signal delay should be disabled. ControlSpace systems support dynamic configuration of delays and all manner of related system adjustments that are warranted as the input program material changes its content.

Signal Processing Considerations

The use of Compressor/Limiter processing blocks within ControlSpace systems is strongly recommended to protect loudspeaker drivers. It is normal for action movies to dramatically vary the loudness of passages to achieve a desired effect. Without compression components in the signal chain, extremely loud passages can easily damage loudspeakers in short order.

The DSP power and flexibility of ControlSpace systems will help you dynamically manage signal delay to surround channels as digital program content changes, and when multi-purpose systems vary modes of operation, ControlSpace will adapt its configuration in real time, according to your design.

Please see our multi-purpose surround sound application note for methods to implement these concepts in a system configuration of a Bose Professional ControlSpace ESP engineered sound processor.


CobraNet Input/Output

CobraNet Input/Output Card

The Bose Professional ESP-00 II engineered sound processor is capable of supporting up to 64 audio channels divided into eight routing slots of up to eight channels each. Typically, an expansion card occupies one physical slot and provides four to eight channels of audio. One exception is the standard 4x4 input/output card which occupies two physical expansion slots (to allow enough space for the output connectors) but only requires one routing slot (eight channels total).

The CobraNet expansion card is unique as it only occupies one physical slot but can support up to 32 channels (16 in, 16 out) and can therefore utilize up to four of the eight available routing slots. For convenience, the card can be configured to provide eight possible I/O combinations. This allows the card to be configured according to project requirements while leaving the maximum number of routing slots free for other expansion cards.

Depending on the number of routing slots allocated to the CobraNet card the number of additional expansion cards (other than the standard 4x4 card) that can be added may be less than the physical expansion slots available, as demonstrated in the table below.

CobraNet I/O Configuration | Routing Slots Used | Additional I/O Card Capacity
16 in, 16 out | 4 | 4
16 in, 8 out | 3 | 5
8 in, 16 out | 3 | 5
8 in, 8 out | 2 | 6
16 in, 0 out | 2 | 6
0 in, 16 out | 2 | 6
8 in, 0 out | 1 | 7
0 in, 8 out | 1 | 7

Defining the CobraNet Input/Output Card Configuration

The CobraNet card is added to the ESP-00 II in the same manner as other expansion cards. If the card has already been fitted it will be detected automatically when a hardware scan is performed, otherwise the card can be added manually as follows:

Right-click the ESP icon in Project view and select Properties to display the ESP Properties dialog box.

CobraNet Card Configuration within ESP Properties

Select the required CobraNet card variant from the drop-down list presented for the audio card slot where the card will be installed.

Note: Only one CobraNet I/O card may be installed within an ESP-00 II.

When used in conjunction with other expansion cards you will need to ensure that the eight available routing slots are not exceeded. If this occurs the Routing Slots Used meter will turn red as shown below:

Indication of available routing slots exceeded

CobraNet Properties

The Properties window for the CobraNet expansion card is accessible by right-clicking on any CobraNet input or output block the Signal Processing view and selecting Properties.

CobraNet Input/Output card properties

  • Name – Any text description that is appropriate for the system design. This name is associated with the Cobranet properties and is not displayed in Signal Processing view.
  • IP Address – Equal to that of the host ESP plus eight (e.g. 192.168.0.168 for an ESP address of 192.168.0.160) but may be adjusted to any alternate address if necessary by clicking Set IP.

Note: An IP address is only necessary when the CobraNet card is managed by SNMP or similar network monitoring devices and is unreferenced in normal operation.

  • Latency – Drop-down list providing selection between three standard latency modes used in CobraNet networks. Higher latencies provide more tolerance for network propagation delays. The latency modes provided are:
  • Standard (5 1/3 mS)
  • Low (2 2/3 mS)
  • Lowest (1 1/3 mS)

Note: All CobraNet devices on a network must use the same latency mode to transmit and receive audio correctly.

  • MAC Address – Read-only field displaying the unique MAC address assigned to each individual CobraNet card during manufacture.
  • Sys Description – Provides information about the CobraNet card circuitry version.

Note: Both MAC address and Sys Description are visible only after connecting to an ESP in online mode. Both fields appear blank while in off-line mode.

  • Use ControlSpace Designer to configure CobraNet settings –Selected by default. However, if access to advanced CobraNet properties is required, remove the check mark to disable ControlSpace Designer access to the CobraNet card. Thereafter, all configurations are performed via the network using the CobraNet Discovery utility or similar software management tool.

Adjustable options for the CobraNet Input Card are accessed by double-clicking on the appropriate CobraNet block within Signal Processing view to open its channel control panel.

Eight-channel CobraNet card input control panel

Each eight-channel input control panel provides the following options for Ch 1 through Ch 8, the individually addressable receivers synchronizing with digital audio sent from other CobraNet transmitters.

  • Input Channel 1-8 - You can change the channel labels highlighting the input block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Input Level (dB) – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital CobraNet domain. Type a value directly into the input level box or right-click the field to access a gain slider.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • Status – Indicates presence of valid CobraNet data for each channel while ControlSpace Designer is online. The status colors represent the following conditions:
  • Black - Channel not being received
  • Green - Channel being received correctly
  • Red - Channel being received with errors (due to incorrect latency or network issues)
  • Properties – This area of the input control panel contains an adjustable field for entry of the CobraNet bundle.
  • Bundle – Identification number from (0) to (65279) which matches the corresponding upstream transmitter of synchronized digital audio. The default value of (0) disables reception of network audio for as long as the port is unused.
  • Bit Depth - Read-only field and will be populated while ControlSpace Designer is online and audio is being received.

Adjustable options for the CobraNet Output card are accessed by double-clicking on the appropriate CobraNet block within Signal Processing view to open its channel control panel.

Eight-channel CobraNet card output control panel

Each eight channel output control panel provides the following options for Ch 1 through Ch 8, the individually addressable transmitters sending synchronized digital audio to other CobraNet receivers.

  • Output Channel 1-8 - You can change the channel labels highlighting the output block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Output Level (dB) – Adjusts the output signal level delivered to the CobraNet digital output. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital CobraNet domain. Type a value directly into the output level box or right-click the field to access a gain slider.
  • Polarity – Applies a reversal of polarity to the output signal. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (–) sign is present.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • Properties – This area of the input control panel contains an adjustable field for entry of the CobraNet bundle.
  • Bundle – Identification number from (0) to (65279) which matches the corresponding downstream receiver of synchronized digital audio. The default value of (0) disables reception of network audio for as long as the port is unused.
  • Bit Depth - Adjusts the sample resolution for transmitted digital audio. The options are 16 bit (default), 20 bit and 24 bit. For proper audio synchronization, same Bit Depth should be used for receivers of the same bundle.

Note: A Bit Depth of 24 bit used with Standard [5 1/3mS] latency in the CobraNet card properties, reduces the number of channels in a Bundle to seven (7).

For more information about configuring Bose Professional system electronics for use with CobraNet network audio, refer to the CobraNet application notes available at BoseProfessional.com.


8ch ESPLink Output

8ch ESPLink Output Card

The 8ch ESPLink Output card provides eight channels of digital audio output via the TOSLINK optical connector.

Adjustable options may be changed in the control panel for the card. You can open the control panel within the Signal Processing view by double-clicking the ESPLink output block that is associated with the card.

ESPLink Card output control panel

The output control panel provides the following options for each channel:

  • Output Channel 1-8 Labels - You can change the channel labels highlighting the output block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Output Gain Slider - Adjusts the output signal level delivered to the ESPLink digital output. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, pre digital to analog conversion.
  • Output Signal Meter - Displays the output signal level in dBFS at the input to the next processor function.
  • Mute – Silences the signal and disables audio from passing to the ESPLink digital output. When Mute is enabled, the control panel button is Red.
  • Signal Polarity Control - Inverts the polarity of the signal. The default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. The button color indicates the current state with GREEN being non-inverted and RED being inverted.


Dante Network Card

The Bose Professional ESP-00 II engineered sound processor is capable of supporting up to 64 audio channels divided into eight routing slots of up to eight channels each. The Dante digital audio network expansion card is unique as it only occupies one physical slot but can support up to 32 channels (16 in, 16 out) and can, therefore, utilize up to four of the eight available routing slots. For convenience, the card can be configured to provide eight possible I/O combinations. This allows the card to be configured according to project requirements while leaving the maximum number of routing slots free for other expansion cards.

Depending on the number of routing slots allocated to the Dante digital audio network card the number of additional expansion cards (other than the standard 4x4 card) that can be added may be less than the physical expansion slots available as demonstrated in following table.

I/O Configuration | Routing Slots Used | Additional I/O Card Capacity
16 in, 16 out | 4 | 4
8 in, 8 out | 2 | 6
16 in, 0 out | 2 | 6
0 in, 16 out | 2 | 6
8 in, 0 out | 1 | 7
0 in, 8 out | 1 | 7

Defining the Dante Card Configuration

The Dante digital audio network card is added to the ESP-00 II in the same manner as other expansion cards. If the card has already been fitted it will be detected automatically when a hardware scan is performed. Otherwise, the card can be added manually to the system design as follows:

In Project view, right-click the ESP-00-II icon and select Properties to display the ESP-00-II Properties dialog box.

Dante Digital Audio network card configuration within ESP Properties

In the drop-down list, select the desired I/O configuration for the audio card slot where the card will be installed.

Note: Only one Dante network card or one CobraNet network may be installed in an ESP-00 II. The ESP-00-II does not support the bridging of different digital audio network types.

When used in conjunction with other expansion cards you will need to ensure that the eight available routing slots are not exceeded. If this occurs the Routing Slots Used meter will turn red as shown in the following example:

Indication of available routing slots exceeded

Dante Network Card Input/Output Control

The Dante digital audio network cards offer a basic set of input and output controls.

The input controls of the Dante card are accessed by double-clicking on the appropriate Dante input block within the Signal Processing view of the ESP.

Example of eight-channel Dante network card input block and control panel

Each Dante input control panel provides the following controls:

  • Input Channel 1-n - You can change the channel labels highlighting the input block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Input Level (dB) – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain. Type a value directly into the Input Level box or right-click in the field to access a gain slider.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • Page Up and Page Down - These buttons appear only for blocks that have more than 8 channels. Use these controls to scroll forward or backward through the channels.

The output controls of the Dante card are accessed by double-clicking on the appropriate Dante output block within the Signal Processing view of the ESP.

Example of eight-channel Dante network card output block and control panel

Each Dante output control panel provides the following controls:

  • Output Channel 1-n - You can change the channel labels highlighting the output block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Output Level (dB) – Adjusts the output signal level delivered to the Dante digital output. The range of adjustment is from –∞ to +12dB. Type a value directly into the Output Level box or right-click in the field to access a gain slider.
  • Polarity – Applies a reversal of polarity to the output signal. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (–) sign is present.
  • Mute – Silences the signal and disables audio from passing to the Dante digital output. When Mute is enabled, the control panel button is Red.
  • Page Up and Page Down - These buttons appear only for blocks that have more than 8 channels. Use these controls to scroll forward or backward through the channels.

Note: For more information about configuring Bose Professional system electronics for use with Dante digital audio network audio, refer to the Dante application notes available at BoseProfessional.com.


GPIO (ESP 00 II GPIO)

ESP-00 II GPIO

The ESP-00 II has 8 General Purpose Input and Output (GPIO) ports which may be expanded to 16 GPI with the addition of a GPIO expansion card. GPI ports are used to connect external hardware such as potentiometers (to control levels or gains) and switches (contact closures) to invoke parameter sets and other logic and processing functions. Functions are assigned to these external controls in the GPI control panel.

See Programming GPIO for general programming examples.

GP In Control Panel

Adjustable input options are accessed by double-clicking the appropriate GP In block within the Signal Processing view to open its control panel.

General Purpose Input (GP In) control panel

  • Activity - when online, indicators notify the user when a GP input senses activity on the hardware port. Blue indicates an active input/output, or when a Test button is pressed.
  • Mode buttons – Determine the operating mode for each general purpose input. Left-click the operating mode button to toggle through the three supported modes:
Mode | Description
Digital | Typically used when connecting a switch or push button, this mode expects a normally open switch for operation. Both “on” and “off” actions are supported
Up/Down | Up/Down mode uses two adjacent GP In, and is intended to support two push buttons for use as volume up and down. Normally open switches are expected.
Analog | Analog mode is intended for a 10 KOhm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.
  • Label - Labels may be added to indicate the programming functionality to the user.
  • Test buttons - Permit verification of programmed actions for each input. Appearance and function of the test buttons change dynamically with each operating mode.
Mode | Test Operation
Digital | Single left click per test button activates “on” or “off” conditions.
Up/Down | Single left click per test button activates “up” or “down” conditions.
Analog | Analog mode is intended for a 10 KOhm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.

The lower section of the control panel provides a programming tree to assign functions invoked by the eight General Purpose Inputs. You can drag and drop signal processing blocks, parameter sets, or groups onto the text lines.

GP Out Control Panel

Output functions are accessed by double-clicking the appropriate GP Out block within the Signal Processing view to open its control panel.

  • Label - Labels may be added to indicate the programming functionality to the user.
  • Buttons 1-8 - Correspond to the state of each individual general purpose output port. Click a button to set the state of an output to OFF (default) or ON before assigning the GP Out processing block in Signal Processing view to a location in the Project Directory or Parameter Sets.

General Purpose Output (GP Out) control panel


Serial Input-Output (ESP-00 II)

ESP-00 II Serial Input/Output

Serial command support is provided for the ESP-00 II via the RS-232 serial port on the rear I/O panel of the ESP-00 II or via Ethernet connection. A Serial Protocol document is available at BoseProfessional.com to assist with programming third-party devices. Up to 64 serial input or output strings are supported. Double-click the Serial In or Serial Out blocks in Signal Processing view to open their control panels.

Serial Input

Serial Input processing block and control panel

The Serial Input control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file.
  • - Save - exports the selected preset file to a user-specified location on a hard drive. The preset file has an .spt file name extension.
  • - Load - uploads a user-selected preset file to the Serial In control panel. Loading a serial preset file clears and overwrites all labels and string definitions currently in the Serial In control panel.
  • Label – assigns a name to the serial string (see String entry). This is for reference only.
  • String – provides a location to store up to 64 ASCII characters or 64 HEX characters to match commands received from external devices via the RS-232 serial port or Ethernet port. Incoming serial strings are single momentary events rather than changes in state. Two separate serial input strings may be defined as an On/Off pair to help indicate associated control functions. Matching commands received within the serial data stream perform actions specified in the programming tree.

Note: To delete all of the Label and String entries from the control panel, select Clear All.

  • Format:
  • - ASCII/HEX – radio buttons determine the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two bytes per character.
  • - ON/OFF - the ON and OFF buttons can be used to test the programming of the incoming strings.
  • Serial Input Programming Tree – provides a drag-and-drop area for assigning ESP-00 II functions to perform (block values or parameter sets) when matching serial strings arrive at the serial input.

Note: An ESP automatically assumes that each input string terminates with one carriage return (CR). You must program the sending equipment to terminate the serial string with one CR at the end of each command. It is not necessary to include the CR in the applicable fields of the Serial Input control panel.

Serial Output

Serial output processing block and control panel

The Serial Output control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file.
  • - Save - exports the selected preset file to a user-specified location on a hard drive. The preset file has an .spt file name extension.
  • - Load - uploads a user-selected preset file to the Serial Out control panel.
  • Label – assigns a name to the serial string (see String entry).
  • String – Outgoing serial strings are single momentary events rather than changes in state. Two separate serial output strings may be defined as an On/Off pair to help indicate associated control functions.

Note: To delete all of the Label and String entries from the control panel, select Clear All.

  • Format:
  • - ASCII/HEX – radio buttons determine the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two-bytes per character.
  • - ON/OFF - tests the programming string for a specified ON or OFF logic state of a serial output, respectively. If no target is assigned to the serial string, the ON or OFF button is disabled. Serial output ON and OFF buttons are only active when online.

Note: When entering ASCII strings, control characters such as CR and LF must be entered in hexadecimal notation. Backslash 0 (\0) is used to designate the next two characters as hex. Control characters such as CR and LF are not automatically sent. These should be used based on the protocol of the third-party device.


ESP Device Properties

Fixed I/O ESP Device Properties

Each of the Fixed I/O ESP models is configured through the Properties panel. To access the ESP Properties panel, right-click the applicable Fixed I/O ESP icon in the Project view and select Properties.

ESP-4120 Properties Panel

The Properties panel shows all of the items that determine the configuration of the ESP:

  • Common – Contains functions which are common to the Fixed I/O ESP devices.
  • - Device Name – The unique name of the ESP that is displayed within the Project view. This unique name is also used in serial protocol programming. The name can be changed by selecting the name and entering a new one. The name may also be changed by using the right-click menu or the F2 keyboard shortcut.
  • - Firmware Version – Displays the current version of the firmware in the ESP. This item is only available when online with the ESP.
  • Expansion Card - This field allows the user to select between available expansion cards: ControlSpace Network, Dante 16 (16x16 configuration), or Dante 32 (32x32 configuration).

Note: Selecting expansion cards must be done while offline.

  • CC-16 Connection – Displays a check mark beside numbers 1 through 15 matching the device ID of each CC-16 connected to the ESP.
  • ControlSpace Network – Displays the current IP address for the ControlSpace Network port. When configured for DHCP, the device address is disabled. When configured for Fixed IP, the device address is enabled. To change the network connection type, the Network Setup control panel must be used.
  • - Set IP Address – Clicking this button allows you to change the IP address of the device.
  • - Hardware Manager – Clicking this button opens the Hardware Manager dialog box. See Launching the Hardware Manager.
  • Serial Communications - Provides serial data settings.
  • - Enable Serial over IP - Select this check box to enable serial communication over IP.
  • - Port Number - Current serial communications port number.


Fixed I/O ESP Input Controls

Adjustable input controls are accessed by double-clicking on an analog input block within Signal Processing view to open the control panel.

Each input control panel displays the controls for four analog input channels: either 1-4 or 5-8. The input control panel for ESP-1240/1240A/1240AD also includes channels 9-12.

ESP-880 input control panel

The Input Control Panel provides the following options:

  • Input x-x Label - Displays the channel name as defined by the user within the Signal Processing view of the ESP. Labels may changed by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Properties from the Window menu.
  • Pre-Gain Control - Allows the selection of a predefined amount of analog input gain (0, 14, 24, 32, 44, 54, or 64 dB).
  • Input Level Entry - Permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider - Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Signal Meter - Displays the current input signal level in dBFS at the input to the next processor function. Input meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute - Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • PWR - When selected, engages the +48V phantom power.


Fixed I/O ESP Output Controls

Adjustable output controls are accessed by double-clicking on an output block within Signal Processing view to open the control panel. Each output control panel displays the controls for analog output channels 1-4, or channels 1-8 for ESP-1600.

ESP-880 output control panel

The Output Control Panel provides the following options:

  • Output x-x Label - Displays the channel name as defined by the user within the Signal Processing view. Labels may changed by highlighting the input block in Signal Processing view, and then pressing F2, selecting Rename from the right-click menu, or by selecting Properties from the Window menu.
  • Output Level Entry - Allows the direct entry of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Gain Slider – Adjusts the output signal level delivered to the next analog output. The range of adjustment is from –∞ to +12dB.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next processor function. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next analog output. When Mute is enabled, the control panel button is Red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN being non-inverted and RED being inverted.


Fixed I/O ESPLink and AMPLink Output Controls

ESP-800/1240/4120/1600 are equipped with an ESPLink output connector and ESP-880A/880AD/1240A/1240AD are equipped with an AMPLink output connector.

Adjustable options may be changed in the control panel for the ESPLink and AMPLink outputs. You can open the control panel by double-clicking on the ESPLink or AMPLink output block in Signal Processing view. This control panel displays all eight output channels.

ESP-880 ESPLink output control panel | ESP-880A AMPLink output control panel

The Output Control Panel provides the following options:

  • Output Label - displays the channel name.
  • Digital Output Level Direct Entry - allows the direct entry of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Digital Output Gain Slider - allows the adjusting of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Signal Meter - displays the current output signal level in dBFS at the output of the signal processor. Output meters include a peak hold indicator, which is identified by a red line across the meter.
  • Mute - when selected, mutes the audio signal at the digital output stage.
  • Signal Polarity Control - inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN = non-inverted and RED = inverted.


GPIO (ESP-880, -1240, -4120)

Fixed I/O ESP GPIO

Fixed I/O ESPs have 5 General Purpose Control Input (GP In) ports and 5 GP Control Output (GP Out) ports. GP In ports are used to connect external hardware such as potentiometers (to control levels or gains) and switches (contact closures) to invoke parameter sets and other logic and processing functions. Functions are assigned to these external controls in the GP In control panel.

See Programming GPIO for general programming examples.

GP In Control Panel

Adjustable input options are accessed by double-clicking the appropriate GP In block within Signal Processing view to open its GP In control panel.

General Purpose Input (GP In) control panel

The GP In control panel includes the following options:

  • Activity - when online, indicators notify the user when a GP input senses activity on the hardware port. Blue indicates an active input/output, or when a Test button is pressed.
  • Mode buttons– Determine the operating mode for each general purpose input. Click the Mode button to toggle through the three supported modes:
Mode | Description
Digital | Typically used when connecting a switch or push button, this mode expects a normally open switch for operation. Both “on” and “off” actions are supported.
Up/Down | Up/Down mode uses two adjacent GPI, and is intended to support two push buttons for use as volume up and down. Normally, open switches are expected.
Analog | Analog mode is intended for a 10 KOhm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.
  • Label - Labels may be added to indicate the programming functionality to the user.
  • Test buttons - Permit verification of programmed actions for each input. Appearance and function of the test buttons change dynamically with each operating mode.
Mode | Test Operation
Digital | Single click per test button activates “on” or “off” conditions.
Up/Down | Single click per test button activates “up” or “down” conditions.
Analog | Analog mode is intended for a 10 KOhm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.

The lower section of the control panel provides a programming tree to assign functions invoked by the General Purpose Inputs. You can drag and drop signal processing blocks, parameter sets, or groups onto the text lines.

GP Out Control Panel

Output functions are accessed by double-clicking the appropriate GP Out block within the Signal Processing view to open its GP Out control panel, which includes the following options:

  • Buttons 1-5 - Correspond to the state of each individual general purpose output port. Click a button to set the state of an output to OFF (default) or ON before assigning the GP Out processing block in Signal Processing view to a location in the Project Directory or Parameter Sets.
  • Label - Labels may be added to indicate the programming functionality to the user.

General Purpose Output (GP Out) control panel


Serial Input-Output (ESP-880, -1240, -4120)

Fixed I/O ESP Serial Input/Outputs

Serial command support is provided for Fixed I/O ESPs via the integral serial port on the rear I/O panel of the ESP or via Ethernet connection. You can also send serial control messages over Ethernet via UDP or TCP to a specific IP and port. A Serial Protocol document is available at BoseProfessional.com to assist with programming 3rd-party devices, Up to 64 serial input or output strings are supported. Double-click the Serial In or Serial Out block in Signal Processing view to open the Serial In or Serial Out control panels.

Serial Input Control Panel

Serial Input processing block and control

The Serial In control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file.
  • - Save - exports the selected preset file to a user-specified location on a hard drive. The preset file has an .spt file name extension.
  • - Load - uploads a user-selected preset file to the Serial In control panel. Loading a serial preset file clears and overwrites all labels and string definitions currently in the Serial In control panel.
  • Label – assigns a name to the serial string (see String entry). This is for reference only.
  • String – provides a location to store up to 64 ASCII characters or 64 HEX characters to match commands received from external devices via the RS-232 serial port or Ethernet port. Incoming serial strings are single momentary events rather than changes in state. Two separate serial input strings may be defined as an On/Off pair to help indicate associated control functions. Matching commands received within the serial data stream perform actions specified in the programming tree.

Note: To delete all of the Label and String entries from the control panel, select Clear All.

  • Format:
  • - ASCII and HEX– radio buttons that you can use to specify the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two bytes per character.
  • - ON and OFF - these buttons can be used to test the programming of the incoming strings.
  • Serial Input Programming Tree – provides a drag-and-drop area for assigning Fixed I/O ESP functions to perform (block values or parameter sets) when matching serial strings arrive at the serial input.

Note: An ESP automatically assumes each input string terminates with one carriage return (CR). You must program the sending equipment to terminate the serial string with one CR at the end of each command. It is not necessary to include this CR in the applicable fields of the Serial In control panel.

Serial Output Control Panel

Serial output processing block and control panel

The Serial Out control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands as well as all IP addresses and port numbers. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file.
  • - Save - exports the selected preset file to a user-specified location on a hard drive. The preset file has an .spt file name extension.

    • Note: You can also save only the commands using the standard serial protocol as a serial output configuration. This allows you to load that configuration into older projects that do not use TCP or UDP for serial commands. If the exported file is imported into an older version of ControlSpace Designer (without the ability to send serial commands over TCP or UDP), then all imported commands will use the serial protocol.

  • - Load - uploads a user-selected preset file to the Serial Out control panel.

    • Note: When loading an .spt file, all previously entered serial commands will be overwritten with those of the imported file. If the imported file was saved in an earlier version of ControlSpace Designer (without the ability to send serial commands over TCP or UDP), then all imported commands will use the serial protocol.

  • Label – assigns a name to the serial string (see String entry).
  • Protocol – selects the command protocol: Serial, TCP, or UDP.
  • IP – The IP address used by the command. This is available only when the Protocol is set to TCP or UDP.
  • Port – The port used by the command. This is available only when the Protocol is set to TCP or UDP.
  • String – provides a location to store up to 64 ASCII characters or 64 HEX characters to be sent to external devices via the RS-232 serial port or the Ethernet port. Outgoing serial strings are single momentary events rather than changes in state. Two separate serial output strings may be defined as an On/Off pair to help indicate associated control functions. Transmission of strings can be initiated via Parameter Sets, GPI ports, and other logic events.

Note: To delete all of the Label and String entries from the control panel, select Clear All.

  • Format:
  • - ASCII and HEX – radio buttons that you can use to specify the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two-bytes per character.
  • - ON and OFF - these buttons test the programming string for a specified ON or OFF logic state of a serial output, respectively. If no target is assigned to the serial string, the ON or OFF button is disabled. Serial output ON and OFF buttons are only active when online

Note: When entering ASCII strings, control characters such as CR and LF must be entered in hexadecimal notation. Backslash 0 (\0) is used to designate the next two characters as hex. Control characters such as CR and LF are not automatically sent. These should be used based on the protocol of the third-party device.


Dante Network Card

The Bose Professional ESP-880/880AD, ESP-1240/1240AD, ESP-4120, and ESP-1600 engineered sound processors are capable of supporting up to 32 channels of high quality, uncompressed digital audio from a Dante digital audio network in a 16x16 or 32x32 configuration. You can also configure Dante I/O for less than the maximum number of channels available in each configuration.

A Dante digital audio network card is required for Dante network functionality in the ESP-880/1240/4120/1600 engineered sound processors. ESP-880AD and ESP-1240AD processors include built-in Dante network functionality and do not require a Dante network card. For more information, see ESP-880AD/1240AD Dante Input/Outputs.

Defining the Dante Card Configuration

The Dante digital audio network card is added to ESP-880/1240/4120/1600 in the same manner as other expansion cards. If the card has already been fitted, it will be detected automatically when a hardware scan is performed. Otherwise, the card can be added manually to the system design as follows:

Right-click the ESP-880/1240/4120/1600 icon in Project view and select Properties to display the ESP-880/1240/4120/1600 Properties window. Then, select the appropriate Dante card option from the Expansion Card drop-down list.

Note: When the front RJ-45 jack only provides access to the ControlSpace network, Dante is not available on the front Ethernet port.

Dante Digital Audio network card option in ESP-880/1240/4120/1600 Properties

Setting the Number of Channels

To set the number of channels for a Dante input or output block:

  1. From the IO Blocks category in the SP Tool Kit, drag the Dante I/O Input or Output processing block into Signal Processing view.

    Example of dragging Dante I/O Input block to Signal Processing view

  2. In the Select Channels dialog box, use Crtl+click to select each channel to be included in the block, or click and drag to select contiguous channels. You can also select or clear the Select All check box to select/deselect all of the channels available in the card. The channel counter displays the number of channels selected (however, you cannot use the counter to change or select channels).

    Select Channels for Input Module dialog box

  3. Click OK.

The Dante input or output processing block is now added to the view.

Dante Network Card Input/Output Control

The Dante digital audio network cards offer a basic set of input and output controls, which can be accessed by double-clicking the Dante Input or Output processing block in Signal Processing view.

Example of 16-channel Dante network card input block and control panel

Each Dante input control panel provides the following controls:

  • Input Channel 1-n - you can change labels by highlighting the input block in the Signal Processing view, and then using the Properties window to make the change.
  • Input Level (dB) – adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain. Type a value directly into the Input Level box, or right-click in the field to access a gain slider.
  • Mute – silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • Page Up and Page Down - these buttons are only available for blocks that have more than 8 channels. You can use these controls to scroll forward or backward through the channels.

The output controls of the Dante card are accessed by double-clicking the appropriate Dante Output block within the Signal Processing view.

16 channel Dante network card output block and control panel

Each Dante output control panel provides the following controls:

  • Output Channel 1-n - you can change labels by highlighting the input block in the Signal Processing view, and then using the Properties window to make the change.
  • Output Level (dB) – adjusts the output signal level delivered to the Dante digital output. The range of adjustment is from –∞ to +12dB. Type a value directly into the Output Level box, or right-click in the field to access a gain slider.
  • Polarity – applies a reversal of polarity to the output signal. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (–) sign is present.
  • Mute – silences the signal and disables audio from passing to the Dante digital output. When Mute is enabled, the control panel button is Red.
  • Page Up and Page Down - these buttons are only available for blocks that have more than 8 channels. You can use these controls to scroll forward or backward through the channels.

Note: For more information about configuring Bose Professional system electronics for use with Dante digital audio network audio, refer to the Dante application notes available at BoseProfessional.com.


ControlSpace Network Control Card

The ControlSpace Network Control Card adds a rear panel network connection to single-rack ControlSpace ESP processors. With this card, a network connection can be made on the rear panel but it also allows network pass-through from the front-panel RJ-45 port.


ESP-880AD/1240AD Dante Input/Output

The ESP-880AD and ESP-1240AD processors support up to 32 x 32 channels of high quality, uncompressed digital audio from a Dante digital audio network. Dante network functionality is built into ESP-880AD and ESP-1240AD and does not require installation of a Dante network card. These generic Dante I/O blocks can be used whenever simplified routing of any device's audio source(s) between other signal processors and/or Dante-enabled devices is needed.

Setting the Number of Channels

To set the number of channels for a Dante input or output block:

  1. From the IO Blocks category in the SP Tool Kit, drag the Dante Input or Output block into Signal Processing view.

In the Select Channels for Input Module dialog box, use Crtl+click to select each channel to be included in the block or click and drag to select contiguous channels. You can also select or clear the Select All check box to select/deselect all of the channels available in the card. The channel counter displays the number of channels selected (however, you cannot use the counter to change or select channels).

    Select Channels dialog box

  1. Click OK.

The Dante input or output block is now added to the view.

Dante Input Control Panel

To access the Dante input controls, double-click the appropriate Dante input block in Signal Processing view.

Eight-channel Dante input control panel

Each Dante input control panel provides the following controls:

  • Input Level (dB) – adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. Type a value directly into the Input Level box or right-click the field to access a gain slider.
  • Mute – silences the signal and disables audio from passing to the Dante audio network. When Mute is enabled, the control panel button is Red.

Dante Output Control Panel

To access the Dante output controls, double-click the appropriate Dante output block in Signal Processing view.

Eight-channel Dante output control panel

Each Dante output control panel provides the following controls:

  • Output Level (dB) – adjusts the output signal level delivered to the Dante audio network. The range of adjustment is from –∞ to +12dB. Type a value directly into the Output Level box or right-click the field to access a gain slider.
  • Polarity – inverts polarity of the output signal. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is inverted, the control panel button is Red and a minus (–) sign is present.
  • Mute – silences the signal and disables audio from passing to the Dante audio network. When Mute is enabled, the control panel button is Red.

Note: For more information about configuring Bose Professional system electronics for use with Dante digital audio network audio, refer to the Dante application notes available at BoseProfessional.com.


Working with SP Blocks

After dropping signal processing blocks into Signal Processing view, you can move one or more blocks by selecting and dragging with the mouse, or by using the arrow keys on your keyboard to nudge the blocks into position. Multiple blocks or items may be selected by using the mouse to drag a selection box around the target items.

Aligning Blocks

To align blocks, use the options in the Edit menu. For example, to vertically align the left borders of a group of blocks, select all the blocks and choose Edit > Align Left Sides.

Note: See the Edit Menu for additional alignment options.

Wiring Blocks

The output ports of signal processing blocks may be wired to multiple inputs on other devices. Conversely, each input port on a signal processing block may only be connected to one output port on another processing block.

Wiring signal processing blocks

Other SP Block and Wiring Operations

For more information on SP block wiring operations, see Wiring Operations.

For more information on SP block-handling functions, see Block-Handling Functions.


Changing Channel Counts on Blocks

The audio channel count on many SP blocks may be modified after they have been added to a device in the Signal Processing view. This option is only available when the device is offline. In the right-click menu, select Change Channel Count to change the audio channel count.

If a block's channel count is modified, the block will be removed from any programming (parameter sets, groups, and timers). If an affected block is in programming when you attempt to re-size it, you will be warned before completing the action. From here, you can click OK to continue with modification of the block, or back out of it by clicking Cancel.


Changing Mixer Channel Input and Output Labels

Input and output channels in Standard Mixers and Matrix Mixers can be given custom labels. These can be edited by double-clicking the block and using the mixer's control panel. The labels are located at the left (input) and top (output) of the form.


1/3 Oct Graphic EQ

The 1/3 Oct Graphic EQ boosts or cuts the output level at 31 different frequencies and at 1/3 octave intervals from 20 Hz to 20 kHz. Double-click the 1/3 Oct Graphic EQ block in Signal Processing view to open its control panel.

1/3 Oct Graphic EQ, processing block and control panel

The 1/3 Oct Graphic EQ control panel provides the following options:

  • Flatten All – resets all gain sliders to zero.
  • Bypass – disables all equalizer settings from affecting the signal.
  • Gain Sliders – are adjustable for each frequency to boost or cut the level from -15 dB to 15 dB. Type in a boost or cut value in the input box below each slider to set the gain.


AGC

Automatic Gain Control (AGC) combines a compressor and a gate to maintain a constant output signal level with varying input signal levels. Both a monaural AGC with one input and a stereo AGC with two inputs are supported.

Control panels for mono and stereo versions are similar. The stereo AGC adds a Detector drop-down list.

Double-click the AGC block in Signal Processing view to open its control panel.

AGC processing blocks and control panels

The AGC control panel provides the following options:

  • Detector – (stereo only) determines which of the available signal inputs are monitored to trigger the signal processing.
  • - Left - indicates the left signal is the trigger for processing.
  • - Right - indicates the right signal is the trigger for processing.
  • - Mix - indicates a left/right mix signal is the trigger for processing.
  • Threshold slider – determines when the processing block will begin adjusting the input signal according to its level. When the signal drops below this threshold, the input is prevented from passing through the processing block.
  • Threshold gain value – is entered directly into the box. The range of adjustment is -40 to 0 dBFS (default) and tracks the threshold slider setting.
  • Reduction graph – displays a vertical bar level indicator to illustrate the amount of signal reduction applied based upon the currently defined processing values.
  • Bypass – forces the channel to remain open at all times by circumventing the detection circuitry.


Array EQ

The Array EQ signal processing function provides specialized equalization for RoomMatch and ArenaMatch array module loudspeakers. This unique EQ processor may be used as a general purpose room compensation EQ for standard systems.

To access the Array EQ control panel, double-click its signal processing block in the Signal Processing view.

Array EQ Control Panel

The default state of the Array EQ is Bypass, to provide a flat initial response. The following controls are available within the Array EQ control panel:

  • Filter Display – displays a graphical representation of array equalization settings in both frequency and level. The line represents the composite frequency response of chosen array and advanced filter parameters.
  • Loudspeaker selection - allows you to select RoomMatch or ArenaMatch array module loudspeakers from the drop-down menu.
  • Advanced check box - specifies parameters as either Array parameters or Filter (Advanced) Parameters.
Array EQ Control Panel: Array parameters (Advanced check box not selected) | Array EQ Control Panel: Filter parameters (Advanced check box selected)
  • - Array Parameters – specifically for use with Progressive Directivity Arrays.
  • Module Quantity – selects the quantity of modules within the array.
  • Vertical Coverage – enters the total vertical angle, in degrees, of the array.
  • - Filter (Advanced) Parameters – the Array EQ is represented by three basic filter controls: Center Frequency, Tilt, and Gain. Using these controls, the basic array filter may be modified.
  • Center Frequency – center frequency of the filter, represented by the dashed line in the Response Graph.
  • Tilt – adjusts the start and end points of the filter’s slope on either side of the center frequency. Tilt is adjustable between 0 and 10 in steps of 0.3, the greater the tilt the steeper the filter slope.
  • Gain – amount of boost or cut applied to the filter below the center frequency. Gain is adjustable in 0.3 dB steps between -12 and +2 dB.

Note: The Advanced check box and associated Filter Parameters settings are not available for ArenaMatch array module loudspeakers.

  • Restore Defaults - restores parameters to their default settings.
  • Bypass - bypasses the array equalization (flat response).


Automatic Microphone Mixer - Gated (ESPs only)

Automatic Microphone Mixer: Gated (ESPs)

The Automatic Microphone Mixer (AMM)-Gated processing block for ESP sound processors manages the signal level from multiple microphones to achieve a constant output level without user intervention. The processing block is available in three configurations: 4x1, 6x1, and 8x1.

AMM-Gated blocks

AMM Gated Control Panel

Double-click the AMM-Gated block in Signal Processing view to open its control panel.

AMM-Gated 8x1 control panel

Input Controls

The Input section of the AMM-Gated control panel provides the following input controls:

Input label: specifies each input channel.

AMM-Gated input control panel

  • In Level: Three-color status indicator to illustrate the range of the current input signal level. Colors indicate the following input ranges:
Green: | -60 to -20 dBFS
Yellow: | -20 to -6 dBFS
Red: | -6 to 0 dBFS
  • Active: Three-color status indicator to illustrate the current input activity of the signal processing block:
White: | Off (inactive)
Light Blue: | Active
Dark Blue: | Active input, but at a reduced level due to a higher priority channel
  • Detection settings: Determine when the input channel turns on automatically:
  • - Priority: When selected, forces other non-priority input channels to duck (reduce in level) when the channel gate opens.

Note: You can select the Priority check box on multiple input channels. Any channel with Priority selected will duck non-priority channels but will not duck another priority channel.

  • - Detection method drop-down list: Assigns one of the following the detection methods:
  • Threshold: Enables a channel gate to open when a predetermined signal level is reached. When the signal drops below this threshold, the channel gate closes.
  • LastOn: Allows a channel to remain open even after it falls below the threshold. The channel remains open until another channel becomes active.
  • PushToTalk: Requires a trigger to open the channel. This trigger can be from a control panel button or from a programmed GPI event.
  • Bypass: Forces the channel to remain open at all times by circumventing the detection circuitry.
  • - Properties: Opens an additional control panel to adjust settings for each of the detection methods. Available options within this control panel are:
  • Advanced: Expands the available properties to include an additional option for Detection Settings and a new Gate Settings section.

AMM-Gated advanced section of input control panel

  • Use Channel Settings: Overrides current channel settings by applying the settings from a specified channel to the current channel.
  • Detection Settings: Determines the gating method used for the input channel.
  • - Threshold: Default value is -50 dBFS, and the range is from 80 to -50 dBFS.
  • - Low Pass: Cut-off frequency default is 3 kHz, and the range is from 300 to 20 kHz.
  • - High Pass: Cut-off frequency default is 250 Hz, and the range is 20 to 1 kHz.
  • - RMS Avg: Available only when the Advanced check box is selected. Value is the duration in milliseconds of the RMS averaging performed on the detection signal chain. The default is 50 ms and the range is 1 to 500.
  • Priority Ducking: Determines the Depth, which is the amount of ducking applied to the channel when the priority channel is open. The default is 26.0 dB and the range is -60.0 to 0.0 dB.
  • Gate Settings: Available only when the Advanced check box is selected. Options are:
  • - Depth: Amount of attenuation applied when the input gate is not open. The default is -70.0 dB, and the range is -70.0 to 0.0 dB.
  • - Attack: Amount of time, in milliseconds, from when the gate is turned on until it is fully open. The default is 0.5 ms, and the range is 0.5 to 100.0.
  • - Hold: Amount of time the gate will remain open when the signal is no longer present. The default is 2000 ms and the range is 1 to 50,000.
  • - Decay: Amount of time required for the gate to transition from its open to fully attenuated state. The default is 1000 ms and the range is 5 to 50,000.
  • Gain: Adjusts the post-gate output level of the input channel.
  • - Gain value: Entered directly into the text box or by right-clicking the text box to activate a gain slider. The range of adjustment is -∞ to 0 dBFS (default).
  • - Mute: Attenuates the input channel. When Mute is enabled, the control panel button is Red.

Output Controls

The Output section of the AMM-Gated control panel includes an Output Level indicator, Number of Open Microphones (NOM) options, and Gain options.

AMM output control panel

  • Out Level: Three-color status indicator to illustrate the range of the current output signal level. Colors indicate the following output ranges:
Green: | -60 to -20 dBFS
Yellow: | -20 to -6 dBFS
Red: | -6 to 0 dBFS
  • NOM: Provides options related to the Number of Open Microphones.
  • - Attenuation: Activates the NOM attenuation function. Select the check box to apply –10*Log(NOM) output attenuation to the channel.
  • - Limit: Defines the maximum number of microphones that can be active at any time. The range of values is from 1 to the total number of channels in the selected Automatic Microphone Mixer processing block: 4, 6, or 8.

Note: If the Limit value is less than the number of microphones which are active, the following logic is used to determine which microphones are selected:

  • Priority: Channels meeting all other conditions take precedence over non-priority channels.
  • First-come, first-served: Activates channels in the order that required conditions are met and held.
  • Lowest-numbered channel: Activates sequentially starting with the smallest numerically valued channel and in ascending order thereafter until the NOM limit is reached.
  • Gain: Adjusts the overall output level of the AMM-Gated block.
  • - Gain value: Entered directly into the text box or by right-clicking the text box to activate a gain slider. The range of adjustment is -∞ to 0 dBFS (default).
  • - Mute: Attenuates the output channel. When Mute is enabled, the control panel button is red.

AMM-Gated Block Functional Block Diagram

The AMM-Gated functional diagram illustrates the signal flow of the block.

AMM-Gated block functional block diagram


Automatic Microphone Mixer - Gain Sharing

Automatic Microphone Mixer: Gain Sharing

The Automatic Microphone Mixer (AMM) - Gain Sharing SP block for Fixed I/O ESPs and ControlSpace EX signal processors assigns gain values across input channels so that the total output gain of the system remains the same. Each input channel is attenuated by an amount equal to the difference between that channel's level and the sum of all channel levels, in dB. When using this algorithm, the strongest signals are attenuated the least and the weakest signals are attenuated the most.

As shown below, if all microphones are active at the same time, AMM-Gain Sharing allocates an equal amount of gain to every channel. When a microphone is activated by a talker, more gain is allocated to the active channel while gain is reduced in the inactive channels. AMM-Gain Sharing is always working to apply the same total system gain, so increasing the gain on the active channel means the gain on the unused channels must be reduced.

Note: The ESP-00 Series II engineered sound processor is an expandable I/O ESP that does not support AMM-Gain Sharing functionality.

Setting the Number of Channels

The AMM-Gain Sharing block supports from 4-32 input channels. To set the number of mic input channels for an AMM-Gain Sharing block:

  1. Drag the AMM-Gain Sharing block into Signal Processing view.

  2. In the AMM dialog box, use the Number of mics selector control to select (or manually enter) the number of mic input channels.

  3. Click OK to add the block to the Signal Processing view.

Note: You can add inputs (up to a maximum of 32) to an existing block at any time by right-clicking the block and selecting Change Channel Count.

AMM-Gain Sharing Logic Support (ControlSpace EX Only)

For ControlSpace EX sound processors, you can control the mute state of each input channel and control the mix output by using the logic input ports on the top of the AMM block. The mute state is communicated via the logic output ports on the bottom of the block. You can use logic inputs to mute AMM channels during conferencing applications. For more information on logic support for AMM-Gain Sharing blocks, see Logic and Testing Support for SP Blocks.

Linking AMM-Gain Sharing Blocks (ControlSpace EX Only)

You can expand the number of channels by linking multiple AMM-Gain Sharing blocks within a single sound processor, between different sound processors (using Dante Audio Routes), or by linking an AMM-Gain Sharing block to a Conference Room Router (CRR) block.

The default link mode of an AMM-Gain Sharing block is Standalone. You must change the link mode when linking an AMM-Gain Sharing block to another AMM-Gain Sharing block or to a CRR block, as follows:

  • When linking an AMM-Gain Sharing block to another AMM-Gain Sharing block, set the link mode of each block to either Master or Slave. There can be only one Master AMM block in the chain; the rest are set to Slave.
  • When linking an AMM-Gain Sharing block to a CRR block (supported on ControlSpace EX-1280C, EX-440C, and EX-12AEC), set the link mode of the AMM-Gain Sharing block to CRR.

Notes:

  • ESP sound processors do not support the linking of any Gated or Gain Sharing AMM blocks.
  • To view the procedure for linking multiple AMM blocks, see Linking AMM Blocks to Extend Channels.
  • For information about linking AMM and CRR blocks, see Linking CRR Blocks to Automatic Mic Mixer Blocks.

AMM-Gain Sharing Block Configurations

There are several AMM-Gain Sharing block output configurations available. The default Standalone unlinked block generates a single Mix output channel.

AMM Gain-Sharing Block - Standard with four inputs and a mix output

Direct Output Block - You can configure the block to output not only the mix but also a direct output for each input channel. To add direct output channels to the block, right-click the block and select Enable Direct Outputs. Direct outputs pass each signal to its respective output at the post-fader level.

AMM Gain-Sharing Block - Standard with mix and direct outputs

Master Link Mode Block (ControlSpace EX only) - If the Link mode is set to Master for the block, Mix and Chain ports are added to the input side and Sum is added to the output side (on linked blocks only). The Master block is designated with an M in the lower-right corner.

AMM Gain-Sharing Block - Master with mix and direct outputs

Slave Link Mode Block (ControlSpace EX only) - If the Link mode is set to Slave for the block, Mix, Chain, and Sum ports are added to the input side and Chain is added to the output side. The Slave block is designated with an S in the lower-right corner.

AMM Gain-Sharing Block - Slave with mix and direct outputs

AMM Gain Sharing Block Control Panel

Double-click the AMM-Gain Sharing block in Signal Processing view to open its control panel. The following images show the control panel in both offline and online states:

AMM-Gain Sharing Control Panel: Offline

AMM-Gain Sharing Control Panel: Online

When online, the background color of the channel with the highest gain is light blue. If a signal is present in a channel, the background color of the Mic label is green.

The AMM-Gain Share control panel provides the following controls for each input:

  • Mic: Specifies each microphone input channel. You can click within the text box to change the input channel label. In online mode, the label's background color is green when a signal is present.
  • - Input: Indicates, in dBFS, the signal level coming into the microphone.
  • - AutoGain: Indicates, in dB, the gain that is applied to the channel by the algorithm.
  • - Priority: Assigns a priority level to each channel. Setting a channel's priority level causes the algorithm to treat the channel as though its level is higher than it actually is. The result is that microphones with higher priority receive more gain relative to the other microphones. The highest priority level is 1. Priority level 5 applies no priority adjustment and is the default priority level for all microphones.

Note: Multiple microphones can have the same priority levels.

  • - Bypass: Removes the channel from the algorithm and allows its signal to pass through the mixer with no attenuation. A bypassed channel does not affect the algorithm's auto-gain calculations.
  • - Gain: Adjusts the post-gate output level of the input channel. The range of adjustment is -∞ to 12 dB, with a default value of 0 dB.
  • - Mute: Silences the input channel. Mute is applied pre-auto-gain; therefore, a muted channel's signal level does not affect the algorithm's auto-gain calculations.
  • - Mute Group: Determines the mute group number of the channel. The muting operation of multiple channels with the same mute group number is synchronized such that if one mic in mute group 1 is muted, all mics in mute group 1 will be muted. Select None (default) or assign a mute group number from 1 to the total number of input channels minus 1. None indicates that the mute function of the channel is not synchronized with other channels.
  • Output: This section of the control panel includes an Output Level indicator, Gain setting, and Mute button. It also includes advanced options, Bypass All setting and Link mode selection
  • - Output: Indicates, in dBFs, the output level from the block.
  • - Gain: Adjusts the overall output level of the AMM-Gain Sharing block.
  • - Mute: Silences all output from the mixer.
  • Advanced: Expands the available properties to include additional options for output slope and time constants.

AMM-Gain Sharing Advanced Properties dialog box

  • - Output slope: Default value for output slope is 2.00. An output slope of 2.00 means that each channel will receive exactly the amount of gain that the algorithm assigned to it. The value of the output slope can be set to any value between 0.01 and 2.00. When the output slope is at its minimum value, 0.01, the auto-mix-gain equals almost 1 (before being converted to dB). Any slope between the minimum and maximum will be an auto-mix-gain value between its originally assigned value and 1.
  • - Time Constants:
  • Input RMS average: Length, in milliseconds (ms), of the RMS averaging for the detection of signal levels. Default value is 50.0 ms.
  • Output RMS average: Length, in milliseconds (ms), of the RMS averaging for the detection of the output level. Default value is 50.0 ms.
  • Attack: Amount of time, in milliseconds (ms), from when the microphone signal is detected until it is fully open. Default value is 0.5 ms, and the range is 0.5 to 100.0 ms.
  • Hold: Amount of time, in milliseconds (ms), that the microphone will remain open once the signal is no longer present. Default value is 0 ms.
  • Decay: Amount of time, in milliseconds (ms), required for the microphone to transition from its open state to its fully attenuated state. Default value is 5.0 ms.
  • Bypass All: Allows all signals to pass through the mixer with no attenuation.
  • Link: (ControlSpace EX only) Sets one of the following link modes for the block:
  • - Standalone: Unlinked mode (default). Use this mode if you are not linking any blocks.
  • - Master: When linking blocks (without a conference room router), you must set the link mode of one block to Master.
  • - Slave: When linking blocks, you must set any block that is not already set to Master link mode to Slave link mode.
  • - CRR: When linking blocks with a conference room router (supported on ControlSpace EX-1280C, EX-440C, and EX-12AEC), you must set the link mode of all AMM blocks to CRR.
  • Link ID: (ControlSpace EX only) Incrementally assigns an identification number to blocks in Master or Slave link modes.
  • Invert Logic Output: (ControlSpace EX only) When this option is selected, the logic output of the block is High when the block's audio output is unmuted, and Low when the block's audio output is muted. If this option is not selected, the logic output of the block is Low when the block's audio output is unmuted and High when the block's audio output is muted. For more information on logic support for AMM-Gain Sharing blocks, see Logic and Testing Support for SP Blocks.

AMM-Gain Sharing Functional Block Diagram

The AMM-Gain Sharing functional diagram illustrates the signal flow and logic operations of the block.

AMM-Gain Sharing functional block diagram


Compressor/Limiter

Compressor/Limiter processing reduces the level of an input signal when it reaches a predetermined threshold. Both a monaural Compressor/Limiter with one input and a side-chain input, and a stereo Compressor/Limiter with stereo inputs and a side-chain input are supported.

Control panels for mono and stereo versions differ only in the choice of input trigger signals.

Double-click the Compressor/Limiter block in Signal Processing view to open its control panel.

Stereo Compressor/Limiter processing block and control panel

The Compressor/Limiter control panel provides the following options:

  • Detector – determines which incoming signal is sent to the detector circuit (or trigger) to activate the signal processing.
  • - Input - (mono only) indicates the input signal is the trigger for processing.
  • - Left - (stereo only) indicates the left signal is the trigger for processing.
  • - Right - (stereo only) indicates the right signal is the trigger for processing.
  • - Mix - (stereo only) indicates a left/right signal mix is the trigger for processing.
  • - Side-chain - indicates an alternate signal connected to the side-chain input is the trigger for signal processing.
  • Threshold
  • - Threshold slider – determines the level of the detector signal at which the processing block will begin adjusting the input signal. When the signal drops below this threshold, the input signal is not affected by the processing block.
  • - Threshold gain value – is entered directly into the box. The range of adjustment is -40 to 0 dBFS (default) and tracks the threshold slider setting.

  • Ratio

  • - Ratio slider – establishes an input/output ratio for signals above the threshold. Signals exceeding the threshold are reduced by an amount according to the ratio. For example, when using a compression ratio of 10:1, a 10dB change in the input level results in only a 1dB change at the output of the processor for all signals above the threshold level setting.
  • - Ratio value – is entered directly into the box. The range of adjustment is 1.0 (default) to ∞ and tracks the threshold slider setting.
  • Attack
  • - Attack slider – establishes the rate in milliseconds at which input signals are processed once they exceed threshold.
  • - Attack value – is entered directly into the box. The range of adjustment is from 0.5 milliseconds (default) to 100 milliseconds.
  • Release
  • - Release slider – determines the rate in milliseconds when signal processing is discontinued after threshold is exceeded.
  • - Release value – is entered directly into the box. The range of adjustment is from 5 milliseconds (default) to 1000 milliseconds.
  • Reduction meter – displays a vertical bar level indicator to illustrate the amount of signal reduction applied based upon the currently defined processing values.
  • Bypass – forces the channel to remain open at all times by circumventing the detection circuitry.
  • Compressor/Limiter graph - illustrates the input level versus the output level of the signal in a graphical manner. The slope of the line indicates the compression ratio.


Crossover

Filters/Crossovers

A crossover divides an input signal into two or more frequency ranges, and sends each range (or bandpass) to a separate output. The SP Tool Kit offers 2-way, 3-way, and 4-way crossovers. The controls and functions are identical other than the number of outputs.

2-way crossover

A 2-way crossover divides an input signal into two frequency ranges, high and low, and sends these signals to two outputs marked H (high) and L (low). Double-click the 2-way crossover block within the signal processing view to open its control panel.

2-way crossover, processing block and control panel

The 2-way crossover control panel provides the following options:

  • Crossover Graph – displays a graphical representation of adjustable crossover filter settings in both frequency and level. The line to the left represents the low frequency output level and the line to the right represents the high frequency output level.
  • LOW – adjusts the low frequency filter parameters.
  • - Type – selects the filter type. The filter type and slope may be set independently for each filter in the crossover block.
    Options include:
Type Slope Type Slope Type Slope

Butterworth 6

6 dB/oct

Butterworth 12

12 dB/oct

Bessel 12

12 dB/oct

Butterworth 18

18 dB/oct

Bessel 18

18 dB/oct

Linkwitz-Riley 12

12 dB/oct

Butterworth 24

24 dB/oct

Bessel 24

24 dB/oct

Linkwitz-Riley 24

24 dB/oct

Butterworth 36

36 dB/oct

Bessel 36

36 dB/oct

Linkwitz-Riley 36

36 dB/oct

Butterworth 48

48 dB/oct

Bessel 48

48 dB/oct

Linkwitz-Riley 48

48 dB/oct
  • - Freq(Hz) – specifies the specific filter frequency via direct entry or by using the spinner controls. Adjustments may be made in 1Hz increments. When the Link option is engaged, the frequency of the adjacent filter is also changed.
  • - Polarity – inverts the polarity to the filter. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (-) sign is present.
  • - Mute – mutes the audio output for the frequency band. When Mute is enabled, the control panel button is Red.
  • HIGH – adjusts the high frequency filter parameters.
  • - Type – selects the filter type and slope.
    Options are identical to low frequency filter parameters.
  • - Freq(Hz) – specifies the specific filter frequency via direct entry or by using the spinner controls. Adjustments may be made in 1Hz increments. When the Link option is engaged the frequency of the adjacent filter is also changed.
  • - Polarity – inverts the polarity to the filter. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (-) sign is present.
  • - Mute – mutes the audio output for the frequency band. When Mute is enabled, the control panel button is Red.
  • Link -matches the adjacent filters to the same frequency. This option is only available if the adjacent filter types are both Butterworth or both Linkwitz-Riley filter types. If the Link button is off, the filter frequencies can be set independently.

3-way crossover

A 3-way crossover divides an input signal into three frequency ranges, high, low mid, and low, and sends these signals to three outputs marked H (high), M (mid), and L (low). Double-click the 3-way crossover block within the signal processing view to open its control panel.

3-way crossover, processing block and control panel

The 3-way crossover control panel provides all the options of the 2-way crossover plus:

  • LOW MID – adjusts the mid frequency filter parameters.
  • - Type – selects the filter type and slope. The upper and lower filters for the bandpass are individually set. Options include:
Type Slope Type Slope Type Slope

Butterworth 6

6 dB/oct

Butterworth 12

12 dB/oct

Bessel 12

12 dB/oct

Butterworth 18

18 dB/oct

Bessel 18

18 dB/oct

Linkwitz-Riley 12

12 dB/oct

Butterworth 24

24 dB/oct

Bessel 24

24 dB/oct

Linkwitz-Riley 24

24 dB/oct

Butterworth 36

36 dB/oct

Bessel 36

36 dB/oct

Linkwitz-Riley 36

36 dB/oct

Butterworth 48

48 dB/oct

Bessel 48

48 dB/oct

Linkwitz-Riley 48

48 dB/oct
  • - Freq(Hz) – specifies the specific filter frequency via direct entry or by using the spinner controls. Adjustments may be made in 1Hz increments. When the Link option is engaged, the frequency of the adjacent filter is also changed.
  • - Polarity – inverts the polarity to the filter. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (-) sign is present.
  • - Mute – mutes the audio output for the frequency band. When Mute is enabled, the control panel button is Red.
  • Link - matches the adjacent filters to the same frequency. This option is only available if the adjacent filter types are both Butterworth or both Linkwitz-Riley filter types. If the Link button is off, the filter frequencies can be set independently.

4-way crossover

A 4-way crossover divides an input signal into four frequency ranges, high, high mid, low mid, and low, and sends these signals to four outputs marked H (high), HM (high mid), LM (low mid), and L (low).

4-way crossover, processing block and control panel

The 4-way crossover control panel provides all the options of the 3-way crossover plus:

  • HIGH MID – adjusts the mid frequency filter parameters.
  • - Type – selects the filter type and slope. The upper and lower filters for the bandpass are individually set. Options include:
Type Slope Type Slope Type Slope

Butterworth 6

6 dB/oct

Butterworth 12

12 dB/oct

Bessel 12

12 dB/oct

Butterworth 18

18 dB/oct

Bessel 18

18 dB/oct

Linkwitz-Riley 12

12 dB/oct

Butterworth 24

24 dB/oct

Bessel 24

24 dB/oct

Linkwitz-Riley 24

24 dB/oct

Butterworth 36

36 dB/oct

Bessel 36

36 dB/oct

Linkwitz-Riley 36

36 dB/oct

Butterworth 48

48 dB/oct

Bessel 48

48 dB/oct

Linkwitz-Riley 48

48 dB/oct
  • - Freq(Hz) – specifies the specific filter frequency via direct entry or by using the spinner controls. Adjustments may be made in 1Hz increments. When the Link option is engaged, the frequency of the adjacent filter is also changed.
  • - Polarity – inverts the polarity to the filter. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is reversed, the control panel button is Red and a minus (-) sign is present.
  • - Mute – mutes the audio output for the frequency band. When Mute is enabled, the control panel button is Red.
  • Link - matches the adjacent filters to the same frequency. This option is only available if the adjacent filter types are both Butterworth or both Linkwitz-Riley filter types. If the Link button is off, the filter frequencies can be set independently.


Delay

Delay blocks insert delay (time) into the audio signal chain. The SP Tool Kit offers delays blocks with one, two, four, and eight outputs. Delay values for each output are set individually.

Double-click the Delay block in Signal Processing view to open its control panel.

Four-channel Delay processing block and control panel

The Delay control panel provides the following options:

  • Units – defines the unit of measure for signal delay.

Note: Distance units are based on the speed of sound, which is affected by temperature. The reference temperature setting is found in the Tools > Set Temperature window. Supported units are:

  • - Milliseconds (0-1000 ms)
  • - Sample (0-48,000 samples)
  • - Meter (0-343.7 m)
  • - Millimeter (0-343,700 mm)
  • - Feet (0-1127.625 ft)
  • - Inch (0-13,531.496 in)
  • Output Delay – adjusts the signal delay delivered to the next signal processing block. The range of adjustment varies according to the units chosen.
  • Bypass – removes the signal delay from the associated output. When bypass is active, the button turns green. When inactive, the button is gray.


Ducker

The Ducker reduces the level of an input signal when an alternate signal is present on the side-chain input. Both a monaural Ducker with one input and a side-chain input, and a stereo Ducker with stereo inputs and a side-chain input are supported.

Control panels for mono and stereo versions are identical.

Double-click the Ducker block in Signal Processing view to open its control panel.

Ducker processing blocks and control panel

The Ducker control panel provides the following options:

  • Threshold
  • - Threshold slider – determines the level of the side-chain signal at which the processing block will begin adjusting the audio input signal. When the side-chain signal drops below the threshold value, the audio signal is unaffected.
  • - Threshold gain value – is entered directly into the box. The range of adjustment is -40 to 0 dBFS (default) and tracks the threshold slider setting.
  • Range
  • - Range slider – dictates the amount of signal attenuation when the ducker is active.
  • - Range value – is entered directly into the box. The range of adjustment is -60 to 0 dB (default) and tracks the range slider setting.
  • Attack
  • - Attack slider – establishes the rate in milliseconds at which input signals are processed once they exceed threshold.
  • - Attack value – is entered directly into the box. The range of adjustment is from 0.5 milliseconds (default) to 100 milliseconds.
  • Hold
  • - Hold slider – determines the length in time (milliseconds) that the audio signal remains attenuated once the side-chain signal level drops below the threshold setting.
  • - Hold value – is entered directly into the box. The range of adjustment is from 0 milliseconds (default) to 1000 milliseconds.
  • Decay
  • - Decay slide – establishes the rate in milliseconds at which the audio signal returns to its normal state once the hold time expires.
  • - Decay value – is entered directly into the box. The range of adjustment is from 5 milliseconds (default) to 50000 milliseconds.
  • Reduction meter – displays a vertical bar level indicator to illustrate the amount of signal reduction that has been applied.
  • Bypass – bypasses the detection circuit. The audio signal level is unaffected.
  • Ducker graph - illustrates the input level versus the output level of the signal in a graphical manner.
  • Logic Output options - for information on logic support for Ducker blocks, see Logic and Testing Support for SP Blocks.

Note: The side-chain input signal is only used as a trigger signal, it is not passed to the ducker output. To hear this signal, you must mix it back in to the signal chain along with the Ducker output.


Dynamic EQ for ESPs

The Dynamic EQ signal processing function monitors the low-frequency output of loudspeakers not supported by SmartBass, and compensates for a perceived loss of bass response at low listening levels.

Notes:

  • Dynamic EQ is not supported in the ControlSpace ESP-00 Series II engineered sound processor.
  • It is recommended that the Dynamic EQ block is placed as the last SP block in the signal path.
  • A Dynamic EQ block has one mono input and one mono output and it can only be wired to the inputs of the following SP block types:
  • - Meter
  • - Analog Output
  • - Digital Output

Adding Dynamic EQ to a Project

To add a Dynamic EQ signal processing (SP) block to your project:

  1. In Signal Processing view, expand the Speaker Processing node in the SP Tool Kit.
  2. Click Dynamic EQ and drag the block onto the design workspace.

    3. Add Dynamic EQ Signal Processing Block

Dynamic EQ Control Panel

The Dynamic EQ control panel allows you to configure Dynamic EQ, and to calibrate it when the system is online. To access the Dynamic EQ control panel, do one of the following:

  • Double-click the Dynamic EQ block in Signal Processing view.
  • Right-click the Dynamic EQ block in Signal Processing view and then click Open.
  • Click the Dynamic EQ block in Signal Processing view and then press Enter.

    Dynamic EQ Control Panel - Offline

The title bar of the Dynamic EQ control panel includes the names of the processor and the Dynamic EQ block. The Dynamic EQ control panel also includes the Bypass button, which enables or disables the bypass state. When Bypass is enabled, the button is green and Dynamic EQ is excluded from the signal path.

Note: You can also control the bypass state of a Dynamic EQ block by adding it to a parameter set or to a group.

Calibrating Dynamic EQ

When the system is online, the Dynamic EQ control panel includes the Calibrate button, which opens the Dynamic EQ Calibration dialog box and disables Bypass if it is currently enabled.

Dynamic EQ Control Panel - Online

Note: When you initiate a connection and select Send to Devices (Upload design), the following reminder message appears:

To calibrate the signal for Dynamic EQ:

  1. Connect to the system by clicking the Go Online button [image] in the main toolbar or by selecting Tools > Go online.
  2. Open the Dynamic EQ control panel, and then click Calibrate.

    The Dynamic EQ Calibration dialog box opens and the system will play pink noise.

  3. While holding an A-weighted SPL (sound pressure level) meter at an average listening location, click the up and down arrows or type directly in the Calibration level text box to adjust the calibration level until the SPL meter reads 70 dB-SPL.

    NOTES:

    • Calibration level adjustments are made in 0.5 dB increments.
    • Increasing the calibration level increases the loudness of pink noise and vice versa.
    • The minimum calibration level is -60.0 dB and the maximum calibration level is 12.0 dB.
  4. When you are finished, click Complete Calibration and close the Dynamic EQ control panel.

IMPORTANT: Do not make or allow changes to the output block after Dynamic EQ calibration is performed. If gain adjustment is needed, add Gain blocks to the left of the Dynamic EQ block.

NOTES:

  • An uncalibrated Dynamic EQ module will display a warning icon in Signal Processing:

  • Devices with uncalibrated Dynamic EQ modules will be displayed in the Scan results dialog box when going online. The warning that is displayed will be similar to the warnings in the following image:


Gain

Gain blocks provide a convenient method to add individual gain control points within a system design. These blocks use the fewest CPU resources of any other signal processing element and are helpful in many applications.

Setting the Number of Ports

To set the number of input and output ports for a Gain block:

  1. Drag the Gain block into Signal Processing view.

  2. In the Gain dialog box, you can select a standard 1x1, 2x2, 4x4, or 8x8 port block. Alternatively, you can select or type in the number of ports (8 max) using the Input ports selector control.

  3. Click OK to add the block to the Signal Processing view.

The number of channels may be modified by right-clicking on the block and selecting Change Channel Count. The maximum number of channels is 8.

Gain Block and Control Panel

Double-click the Gain block in Signal Processing view to open its control panel.

Gain processing blocks and control panel

The Gain control panel provides the following options:

  • Gain Value – permits direct entry of desired signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Gain Slider – adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB.
  • Mute – silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • Invert Logic Output – when this option is selected, a High logic input results in a Low output and the main audio is unmuted. A Low logic input results in a High output and the main audio is muted. For more information on logic support for Gain blocks, see Logic and Testing Support for SP Blocks.


Gate

Gate attenuates input signals below the designated threshold. Both a monaural Gate with one input and a side-chain input, and a stereo Gate with stereo inputs and a side-chain input are supported.

Control panels differ only in the choice of input signal used as the trigger signal.

Double-click the Gate block in Signal Processing view to open its control panel.

Gate processing blocks and control panel for stereo gate, with side-chain enabled

The Gate control panel provides the following options:

  • Detector – determines which incoming signal is sent to the detector circuit to activate the signal processing.
  • - Input - (mono only) indicates the input signal is the trigger for processing.
  • - Left - indicates the left signal is the trigger for processing.
  • - Right - indicates the right signal is the trigger for processing.
  • - Mix - indicates a left/right signal mix is the trigger for processing.
  • - Side Chain - indicates an alternate signal connected to the side-chain input is the trigger for processing.
  • Threshold
  • - Threshold slider – determines when the processing block will begin adjusting the input signal. When the input or side-chain signal drops below the threshold value, the audio signal will not pass through the processing block.
  • - Threshold gain value – is entered directly into the box. The range of adjustment is -60 to 0 dBFS (default) and tracks the threshold slider setting.
  • Range
  • - Range slider – dictates the amount of reduction in volume when the Gate is active.
  • - Range value – is entered directly into the box. The range of adjustment is -70 to 0 dB (default) and tracks the range slider setting.
  • Attack
  • - Attack slider – establishes the rate in milliseconds at which input signals are processed once they exceed threshold.
  • - Attack value – is entered directly into the box. The range of adjustment is from 0.5 milliseconds (default) to 100 milliseconds.
  • Hold
  • - Hold slider – determines the length in time (milliseconds) that the audio signal remains unattenuated once the Detector signal level drops below the threshold setting.
  • - Hold value – is entered directly into the box. The range of adjustment is from 0 milliseconds (default) to 1000 milliseconds.
  • Decay
  • - Decay slider – establishes the rate in milliseconds at which the audio signal returns to a gated state once the Detector signal level drops below the threshold setting.
  • - Decay value – is entered directly into the box. The range of adjustment is from 5 milliseconds (default) to 50000 milliseconds.
  • Open – is an indicator to illustrate signal is passing through the gate to its output. When the gate is closed and no signal is passing, the indicator is White. When the gate is open and signal is passing, the indicator is Blue.
  • Bypass – forces the channel to remain open at all times by circumventing the detection circuitry.
  • Gate graph - illustrates the input level versus the output level of the signal in a graphical manner. The line represents the effect of the gate processing values.
  • Logic Output options - for information on logic support for Gate blocks, see Logic and Testing Support for SP Blocks.


Matrix Mixer

The Matrix Mixer is used to combine (mix) and route input and output signals. Unlike the standard mixer, the input signal levels may be adjusted at each individual routing point or crosspoint.

Setting the Number of Ports

To set the number of input and output ports for a Matrix Mixer block:

  1. Drag the Matrix Mixer block into Signal Processing view.

  2. In the Matrix Mixer dialog box, you can select from list of predefined port configurations, such as 2x2, 2x4, 8x8, 8x16 and many others. Alternatively, you can select or type in the number of input and output ports (up to 32 each, max) using the Input and Output ports selector controls.

  3. Click OK to add the block to the Signal Processing view.

    You can modify the number of input and output channels by right-clicking on the block and selecting Change Channel Count. The maximum number of input or output channels is 32.

Matrix Mixer Block and Control Panel

Double-click the Matrix Mixer block in Signal Processing view to open its control panel.

Matrix Mixer processing blocks and 2x2 control panel

The Matrix Mixer control panel provides the following options:

  • Input and Output Labels – allow direct entry of user-defined labels for inputs or outputs.
  • Assign – creates a routing path between an input and an output. Select the assign box at the intersection of the two channels to permit audio to pass from input to output. When an assignment is made, the assign box turns blue.
  • Assign Level – provides a signal gain adjustment at the assignment cross-point. Right-click in the assign box to access a gain slider. The range of adjustment is from –∞ to 0.0dB.


Meters

Meters provide vertical bar level indicators for monitoring signals. Meter processing blocks are available in four, eight, and 16-channel versions. Double-click a Meter block in Signal Processing view to open its control panel.

Meters processing blocks and control panel

The Meters control panel provides the following options:

  • Bar Level Indicators - provide a four-color graph to represent signal level. Values range from -60 to 0 dBFS (Full Scale). Color ranges are as follows:

Green: | -60 to -20 dBFS
Yellow: | -20 to -6 dBFS
Orange: | -6 to -2 dBFS
Red: | -2 to 0 dBFS
  • Logic Output options - these options display only when Show Logic I/O is selected in the context menu for the block. For information on logic support for Meters blocks, see Logic and Testing Support for SP Blocks.


Parametric EQs

Variable Parametric EQs

Variable parametric equalizer (VPEQ) signal processing blocks provide extensive control of individual equalization filters (or bands) to modify the frequency response of a signal. The user can control the type, center frequency, bandwidth, and gain of each filter. VPEQ SP blocks range between 3-16 individual filters (or bands) and are available in monaural or stereo versions.

Selecting the Number of Bands

To select the number of bands for a VPEQ block:

  1. Drag the mono or stereo VPEQ block into Signal Processing view.

  2. In the PEQ dialog box, you can select a standard 3, 5. 7, or 9 band block. Alternatively, you can select or type in the number of bands (16 max) using the Bands selector control.

  3. Click OK to add the block to the Signal Processing view.

Mono and Stereo Variable Parametric EQ blocks

Variable PEQ Control Panel

To access the Variable PEQ control panel, double-click the VPEQ block in Signal Processing view.

The control panels for each block differ only in the number of bands available for boost or cut. The mono and stereo blocks have the same control panel features.

Example: Mono 9-Band Variable Parametric EQ control panel

The Variable Parametric EQ control panel provides the following options:

  • Snapshot – provides a method to define and store multiple versions of the SP block settings for quick recall within a particular SP block. To recall a user-defined snapshot, select one of the stored snapshots from the drop-down list. Snapshot definitions are saved within the .CSP project file.
  • Name - for convenience, each snapshot can be given a familiar name when stored. When no name is entered, a default name is automatically generated.

Note: The snapshot named "Default Setting" will always return all filters to the default (flat) state and cannot be updated.

  • Store – commits the current settings to the Snapshot list after entering a custom name.

Note: Stored snapshots are only available within the current SP block.

  • Delete – removes a currently recalled snapshot definition from the Snapshot list. Deleting a snapshot does not alter the current block settings.

Note: VPEQ settings may be exported as a separate .PEQ file using the Save Settings button in the control panel.

  • VPEQ Graph – displays a graphical representation of adjustable parametric filter settings in both frequency and level. The dark horizontal line on the graph represents the EQ curve and the blue boxes represent the center frequency of each filter band.

By default, all center frequencies are positioned at 1000 Hz, so the blue boxes are all at the same point. You may adjust the center frequency and gain for each filter band via direct entry or by dragging the blue box with your mouse in the PEQ Graph.

  • Load / Save Settings – all VPEQ settings may be saved and exported as a separate .PEQ file on the computer. A .PEQ file can be loaded into VPEQ blocks in other .CSP project files.
  • Sort – reorders the list of filters by frequency from low to high.
  • Q/BW – provides a toggle switch between the two unit systems representing filter bandwidth. Q is the ratio of the center frequency divided by the bandwidth. The BW option is more commonly used and indicates octave bandwidth of the filter. Modification of this field is only possible for Parametric (PEQ) and Notch filter types.
  • Type – is a drop-down list of unique filter types available for use on each EQ filter. Filter type descriptions and illustrations are shown below:

PEQ

Boosts and cuts the signal in the vicinity of the specified frequency.

High Shelf

Boosts and cuts the signal above the specified frequency.

Low Shelf

Boosts and cuts the signal below the specified frequency.

Notch

Attenuates the signal at the specified frequency.

Low Pass

Attenuates the signal above the specified frequency.

High Pass

Attenuates the signal below the specified frequency.

Parametric filter types

  • Frequency – specifies the center frequency of the filter band in Hertz (Hz). The range of permitted values entered directly into the text box or by using the scroll buttons is 20 Hz to 20 kHz.
  • Q or BW – value representing filter width. This column displays either Q or BW depending on the state of the Q/BW toggle button directly above this column. When using filter types other than PEQ or Notch, this field is not available.
  • Gain – is the amount of cut or boost applied to the filter in dB, from -20 to 20. When using Low Pass and High Pass filters, this field is used to adjust the slope of the attenuation curve (-6 dB/Oct, or -12 dB/Oct).
  • Bypass All – engages all individual bypass buttons simultaneously. When active, the button turns green. When inactive, the button is gray.
  • Bypass – use the Bypass buttons to remove an individual filter from the signal chain. When active, the button turns green. When inactive, the button is gray.
  • Add/Delete Band – adds or deletes a band from the list.


Peak RMS Limiter

The Peak vs. RMS Limiter processing can be set to protect speakers from thermal damage when excessive power is applied for long periods of time (RMS limiting), and mechanical damage due to over-excursion (Peak Limiting).

Note: To properly protect loudspeakers, Peak and RMS levels must be calibrated with the actual amplifier output voltage according to the loudspeaker specifications.

Both a monaural version with one input and a side-chain input, and a stereo version with stereo inputs and a side-chain input are supported.

Control panels for mono and stereo versions differ only in the choice of input trigger signals.

Double-click the Peak RMS Limiter block in Signal Processing view to open its control panel.

Peak RMS Limiter block and control panel for stereo limiter, with side-chain enabled

  • Detector - determines which incoming signal is sent to the detector circuit (or trigger) to activate the signal processing.
  • - Input - indicates a monaural signal is the trigger for processing.
  • - Left (Stereo only) - indicates the left signal is the trigger for processing.
  • - Right (Stereo only) - indicates the right signal is the trigger for processing.
  • - Mix (Stereo only) - indicates a left/right signal mix is the trigger for processing.
  • - Side Chain - indicates that an alternate signal connected to the side-chain input is the trigger for processing.
  • Limiter Setup -
  • - V Peak Threshold (dBFS) - determines the maximum signal level (dBFS) allowed to pass through the signal processing block. Input signal levels above the threshold will be reduced (or hard limited) to the V Peak Threshold value. The default value is 0dBFS and the range of adjustment is -40 to 0 dBFS.
  • - V RMS Threshold (dBFS) - determines the maximum continuous RMS signal level (dBFS) allowed to pass unaltered through the signal processing block. Input signal levels above the threshold level will be reduced to the RMS Threshold value. The default value is 0dBFS and the range of adjustment is -40 to 0 dBFS.
  • - V RMS Attack (msec) - determines the amount of time an RMS signal must exceed the RMS threshold level before the gain of the signal is reduced.
  • - VRMS Release (msec) - determines the amount of time the input signal continues to be reduced after the detection signal drops below the RMS threshold setting.
  • Metering - Gain Reduction (dB) - meter bars display the amount of gain reduction for the Peak and RMS signal values, as well as the total reduction in gain.
  • Bypass - forces the channel to remain open at all times by circumventing the detection circuitry.


Predictive Feedback Suppression (PFS)

Predictive feedback suppression (PFS) is an equalization option that detects feedback in the incoming signal and automatically creates and applies filters at relevant frequency bands to reduce and suppress it. The gain levels of these dynamic filters gradually lower as they respond proportionally to the loudness of the feedback. After the feedback subsides and a predetermined length of time passes, the filters will release and return to their original gain levels. You can also apply static filters that will shape the frequency response whether or not feedback is detected.

To add a predictive feedback suppression (PFS) block to your project:

  1. When viewing the design workspace for a device, make sure the SP Tool Kit panel is shown. If it is not, click Window and click Device List so it is selected.
  2. Make sure the EQs node is expanded. If it is not, double-click it.
  3. Click and drag Predictive Feedback Suppression onto the design workspace.

To edit a predictive feedback suppression (PFS) block, do one of the following:

  • Double-click the PFS block in the design workspace.
  • Right-click the PFS block in the design workspace and click Open.
  • Click the PFS block in the design workspace and press Enter.

Filters

Predictive feedback suppression uses two types of notch filters: static and dynamic. While editing a PFS block, you can create, edit, bypass, or delete each type of filter. You can also convert each type of filter to the opposite type by using the Static and Dynamic button next to the Q/BW button.

Each PFS block includes the following controls:

  • VPEQ Graph: A graphical representation of all filters in the PFS block. Each filter is represented by a circle. A variable parametric equalizer (VPEQ) provides extensive control of individual equalization filters to modify the frequency response of a signal. The filters in this VPEQ, however, specifically reduce feedback in the signal. You can control the type, center frequency, bandwidth, and gain of each static filter, whereas dynamic filters will be automatically created and adjusted when feedback is detected.
  • - The X axis represents the frequency range: 20 Hz to 20 kHz. The Y axis represents the range of gain adjustment: 0 dB to −30 dB.
  • - A PFS block can contain 1–16 filters. The total number of filters used—and how many of each type are used—is shown under the graph.
  • - The currently selected filter is outlined by a bold, black circle.
  • - A static filter is represented by a dark gray circle.
  • - A dynamic filter is represented by a light gray circle.
  • - If a filter of either type (static or dynamic) is bypassed, the frequency curve will not dip at that point in the graph.
  • Master Gain: Adjusts the overall output signal level of the PFS block. Use this setting to increase the gain while ringing out the system. Keep this setting at 0.0 dB during normal live operation. The range of this setting is 0.0 dB to +12 dB.
  • Release Time (secs): Determines the amount of time the output signal continues to be affected by the dynamic filters after the feedback is no longer detected. The range of this setting is 1 second to 43200 seconds (12 hours). The default setting is 300 seconds (5 minutes).
  • Num: This is the number of the currently selected filter. Use this field to select a filter in the VPEQ. The filters are numbered sequentially in the order they are added.
  • Gain (dB): Defines how much the filter cuts (reduces the signal at) the frequency band. Alternatively, press and hold Shift while clicking and dragging the filter up or down (this restricts the filter’s movement in the graph to its vertical axis). The range of this setting is 0.0 dB to −24.0 dB.
  • Freq. (Hz): Defines the frequency in hertz where the filter is applied. Alternatively, press and hold Ctrl+Shift while clicking and dragging the filter left or right (this restricts the filter’s movement in the graph to its horizontal axis). The range of this setting is 20 Hz to 20000 Hz.
  • Q or BW: Defines the “width” of the filter as Q (resonance) or BW (bandwidth). The range of the Q setting is 0.10 to 14.42, while the range of the BW setting is 0.10 to 6.67. Alternatively, press and hold Ctrl while clicking and dragging the filter up or down. You can switch between the Q and BW settings by clicking Q/BW.
  • Static/Dynamic: Switches the filter type between static and dynamic. The turquoise button indicates the state of the currently selected filter. Alternatively, press and hold Alt while clicking the filter, or right-click the filter and then select Lock Filter or Unlock Filter. (You can convert all filters to static filters by clicking Static [under the Add Filter button].)
  • Bypass: Bypasses or reactivates the currently selected filter. Alternatively, right-click the filter and then select Bypass Filter. (You can bypass all filters simultaneously or reactivate all filters that were not previously bypassed by clicking Bypass All instead.)
  • Delete: Removes the filter from the VPEQ graph. This cannot be undone. (You can remove all dynamic filters simultaneously by clicking Clear Dynamic instead.)
  • Q/BW: Switches the definition of the filter’s “width” between Q (resonance) and BW (bandwidth).
  • Add Filter: Adds a filter to the VPEQ graph. A PFS block can contain 1–16 filters.
  • Static: Converts all filters to static filters. (You can switch the filter type for individual filters by selecting a filter and clicking Static or Dynamic instead.)
  • Clear Dynamic: Removes all dynamic filters from the VPEQ graph. This cannot be undone. (You can remove individual filters by clicking Delete instead.)
  • Clear All: Removes all active static and dynamic filters. (You can remove individual filters by clicking Delete instead.)
  • Load VPEQ: Opens your computer’s browser window so you can select and load a previously saved VPEQ, which includes all filters and their settings shown in a PFS block. See Saving & Loading VPEQ Files to learn more.
  • Save VPEQ: Saves the current VPEQ, which includes all filters and their settings shown in the current PFS block. See Saving & Loading VPEQ Files to learn more.
  • Bypass All: Bypasses all filters simultaneously or reactivates all filters that were not previously bypassed. Bypassing all filters will also disable Master Gain and Disable Detection.
  • Disable Detection: Disables or enables feedback detection. When detection is disabled, the button will be green, and the PFS block will not detect any feedback that occurs (static filters will still affect the audio signal, and any currently active dynamic filters will remain active until the release time has elapsed). When detection is enabled, the button will be gray, and the PFS block will detect feedback in the incoming signal and automatically create and apply filters at relevant frequency bands to reduce and suppress it.

Static

A static filter is always active—regardless of the incoming signal’s volume or frequency content—unless you bypass or delete it.

To convert a static filter to a dynamic filter, do one of the following:

  • Right-click it and select Unlock Filter.
  • Click it or use the Num field to select it, and then click Dynamic (next to the Q/BW button). .

You can convert all filters to static filters by clicking Static (under the Add Filter button) instead.

Dynamic

A dynamic filter is created, activated, and deactivated automatically. As described earlier, these filters respond proportionally to the loudness of feedback detected in the incoming signal. They release after the feedback subsides and the predetermined release time elapses.

You can also create dynamic filters manually by unlocking static filters.

To convert a dynamic filter to a static filter, do one of the following:

  • Right-click it and select Lock Filter.
  • Click it or use the Num field to select it, and then click Static (next to the Q/BW button). Alternatively, change its Gain, Frequency, or Q/BW setting.

To enable or disable feedback detection, click Disable Detection in the lower-right corner. When detection is disabled, the button will be green, and the PFS block will not detect any feedback that occurs. This essentially bypasses all dynamic filters, though static filters will still affect the audio signal. When detection is enabled, the button will be gray, and the PFS block will detect feedback in the incoming signal and automatically create and apply filters at relevant frequency bands to reduce and suppress it.

Saving & Loading VPEQ Files

A VPEQ file (*.peq) contains all settings in a PFS block, including all filters and values.

To save the current PFS block as a VPEQ file, click Save VPEQ. In the window that appears, select a location to save the file, enter a file name, and then click Save or Cancel.

To load a VPEQ file to the current PFS block, click Load VPEQ. In the window that appears, select the location of the file, and then click Open or Cancel.

Note: The *.peq file name extension used by PFS blocks is also used by VPEQ (parametric EQ) blocks. You can load a VPEQ file from a VPEQ block into a PFS block, but you may see an error message because PFS blocks do not support all settings of a VPEQ block. The error message will list the unsupported settings. If you see this message, select Clamp, Drop, or Cancel:

  • Clamp: Forces the loaded settings to conform those supported in the PFS block.
  • Drop: Loads all settings except for those unsupported in the PFS block.
  • Cancel: Cancels the loading of all settings.


Routers

Routers direct individual inputs to one or more outputs within a programmable SP block.

Setting the Number of Ports

To set the number of input and output ports for a Router block:

  1. Drag the Router block into Signal Processing view.

  2. In the Router dialog box, you can select from list of predefined port configurations, such as 2x2, 2x4, 8x8, 8x16 and many others. Alternatively, you can select or type in the number of input and output ports (up to 32 each, max) using the Input and Output ports selector controls.

  3. Click OK to add the block to the Signal Processing view.

    You can modify the number of inputs or outputs at any time by right-clicking on the block and selecting Change Channel Count. The numbers of input or output channels may be individually set between 2 and 32.

Router Block and Control Panel

Double-click the Router block in Signal Processing view to open its control panel.

Router processing blocks and 2x2 control panel

The Router control panel provides the following options:

  • Input and Output Labels – allows direct entry of user defined labels for inputs or outputs.
  • Output Assignment – cross-point radio buttons select which input channel is routed to each output channel. To mute audio for an output channel, select the OFF cross-point on the bottom row under the input channels.


SmartBass

SmartBass for ESPs

SmartBass signal processing function enhances the low-frequency output of select loudspeakers by providing a custom-tailored preset of Dynamic EQ and excursion limiting. SmartBass optimizes bass without causing distortion or driver over-excursion.

IMPORTANT: SmartBass only works with specific Bose Professional loudspeakers and only with Bose Professional amplifiers.

Notes:

  • SmartBass is not supported in the ControlSpace ESP-00 Series II engineered sound processor.
  • It is recommended that the SmartBass block is placed as the last SP block in the signal path.
  • A SmartBass block has one mono input and one mono output and it can only be wired to the inputs of the following SP block types:
  • - Meter
  • - Analog Output
  • - Digital Output

Adding SmartBass to a Project

To add a SmartBass signal processing (SP) block to your project:

  1. In Signal Processing view, expand the Speaker Processing node in the SP Tool Kit.
  2. Click SmartBass and drag the block onto the design workspace.

Add SmartBass Signal Processing Block

The SmartBass Configuration wizard opens.

  3. Configure the following setting in the SmartBass Configuration wizard:
  • Speaker: Select a loudspeaker from the drop-down list of all Bose Professional loudspeakers that support SmartBass.
  • Amplifier: Select an amplifier from the drop-down list of all Bose Professional amplifiers that support SmartBass.
  • Amplifier Notes: Provide configuration guidance that is specific to the selected amplifier.
  • Input: Select Analog or Digital to specify whether the amplifier used with SmartBass is configured for analog or digital input.
  • Impedance: Select the amplifier's impedance output from the drop-down list.
  • Speaker PEQ: Select the Add PEQ check box to enable, or clear it to disable parametric equalizers for the selected loudspeaker. When enabled, a SpeakerPEQ block is added in front of the SmartBass block in Signal Processing view. Speaker PEQ is enabled by default.
  • Outputs: Expand the nodes that list the unused channels in the analog and digital output blocks. Select at least one output channel by selecting the check box for the channel you want to connect to the SmartBass block, and then click OK.
  4. When you are finished configuring the settings in the SmartBass Configuration wizard, click OK.

    The SmartBass block is now connected to the selected output block. If Speaker PEQ is enabled, a Speaker PEQ block is also connected to the SmartBass block.

Note: If you click OK in the SmartBass Configuration wizard without selecting an output channel, the following message appears:

Click OK in the message dialog box, and then in the in the SmartBass Configuration wizard, select an output channel and click OK.

SmartBass Control Panel

The SmartBass control panel allows you to configure SmartBass equalization, and to calibrate SmartBass when the system is online. To access the SmartBass control panel, do one of the following:

  • Double-click the SmartBass block in Signal Processing view.
  • Right-click the SmartBass block in Signal Processing view and then click Open.
  • Click the SmartBass block in Signal Processing view and then press Enter.

SmartBass Control Panel - Offline

The title bar of the SmartBass control panel includes the names of the processor and the SmartBass block. The SmartBass control panel also includes the following options:

  • Speaker: Drop-down list of all Bose Professional loudspeakers that support SmartBass. These loudspeakers have a predefined threshold gain that is used when calibrating SmartBass.

    Note: The Speaker drop-down list is disabled when the device is online.

  • Amplifier: Drop-down list of all Bose Professional amplifiers that support SmartBass.
  • Input: Drop-down list from which you can specify the amplifier's input type as analog or digital.
  • Impedance: Drop-down list from which you can select the amplifier's impedance output.
  • Bypass: Enables or disables the bypass state. When Bypass is enabled, the button is green and SmartBass is excluded from the signal path.

    Note: You can also control the bypass state of a SmartBass block by adding it to a parameter set.

  • Amplifier Notes: Provide configuration guidance that is specific to the selected amplifier.

Calibrating SmartBass

When the system is online, the SmartBass control panel also includes a Calibrate button, which opens the SmartBass Calibration dialog box and disables Bypass if it is currently enabled.

SmartBass Control Panel - Online

Note: When you initiate a connection and select Send to Devices (Upload design), the following reminder message appears:

To calibrate the signal for SmartBass:

  1. Connect to the system by using the Go Online button [image] in the main toolbar or by selecting Tools > Go online.
  2. Open the SmartBass control panel, and then click Calibrate.

The SmartBass Calibration dialog box opens and the system will play pink noise.

  3. While holding an A-weighted SPL (sound pressure level) meter at an average listening location, click the up and down arrows or type directly in the Calibration level text box to adjust the calibration level until the SPL meter reads 70 dB-SPL.

    NOTES:

  • Calibration level adjustments are made in 0.5 dB increments.
  • Increasing the calibration level increases the loudness of pink noise and vice versa.
  • The minimum calibration level is -60.0 dB and the maximum calibration level is 12.0 dB.

  4. When you are finished, click Complete Calibration and close the SmartBass control panel.

NOTES:

  • An uncalibrated SmartBass module will display a warning icon in Signal Processing view:

  • Devices with uncalibrated SmartBass modules will be displayed in the Scan results dialog box when going online. The warning that is displayed will be similar to the warnings in the following image:


Source Selector

The Source Selector routes one of its input signals to an output channel. Both monaural and stereo source selectors are available.

Setting the Number of Channels

To set the number of input channels for a Source Selector block:

  1. Drag the Mono or Stereo Source Selector block into Signal Processing view.

  2. In the Source Selector dialog box, you can select from list of predefined input channels. Alternatively, you can select or type in the number of input channels (up to 16 max) using the channels selector controls.

  3. Click OK to add the block to the Signal Processing view.

    You can modify the number of input channels by right-clicking on the block and selecting Change Channel Count. The number of input channels may be set between 2 and 32.

Source Selector Block and Control Panel

Double-click the Source Selector block in Signal Processing view to open its control panel.

Source Selector processing blocks and mono - 2-channel control panel

The Source Selector control panel provides the following options:

  • Channel Labels– displays current channel name and allows direct entry of user-defined labels for channels.
  • Select Channel – in the Out column, the input channel may be selected by clicking on the cross-point, or by using the up/down arrow keys on the keyboard.
  • Invert Logic Output - when this option is selected, the corresponding logic output is set Low when a particular input channel is selected. All other logic outputs for this block will be High. For more information on logic support for Source Selector blocks, see Logic and Testing Support for SP Blocks.


Bose Speaker Parametric EQ

Speaker PEQ (Bose Professional Speaker Parametric EQ)

The Bose Professional Speaker Parametric EQ is an advanced signal processing block to permit loudspeaker equalization, and bandpass within a single design element.

Double-click the Speaker EQ block in Signal Processing view to open its control panel.

Bose Professional Speaker Parametric EQ, processing block and control panel

The Bose Professional Speaker Parametric EQ control panel provides the following options:

  • EQ Preset – load or save predefined loudspeaker processing values.
  • - Load Loudspeaker EQ – populates control panel with factory-calibrated, predefined settings for Bose Professional loudspeakers. Bose Professional loudspeakers are locked when loaded in to the processing block. Use Save EQ As to unlock the settings. The original locked preset will remain unchanged.
  • - Save EQ As – allows user to save EQ and loudspeaker settings to an external .SEQ file.
  • EQ Stages – displays a graphical representation of adjustable EQ filter settings in both frequency and level. The line varies according to values adjustable within the Band-pass and Parametric EQ sections.
  • Band-pass – determines the low-pass and high-pass filter settings for the loudspeaker processor according to filter type and frequency.
  • Parametric EQ – provides adjustable controls for defining individual parametric filters. Available options are:
  • Type – determines the filter parameters used for the EQ. Four types of filters are available to define the filter. Options include:
  • - PEQ – enables parametric EQ filter options for this band.
  • - High Shelf - enables high-frequency shelving filter options for this band.
  • - Low Shelf - enables low-frequency shelving filter options for this band.
  • - Notch - enables notch filter (cut only) options for this band.
  • FREQ – adjusts the center frequency of the filter via direct entry or the up and down buttons.
  • GAIN – sets the individual filter gain from -20dB to +20dB.
  • BW/Q – selects the unit of measure for filter width to Q or Bandwidth (octaves).
  • Bypass – disables this specific filter from affecting the signal chain.
  • EQ Gain – provides up to +/-15 dB of output gain adjustment for the Parametric EQ stage. This setting may also be referred to as Make-up Gain.
  • Driver Alignment –adds a single delay to all loudspeakers connected to this block. This is a read-only parameter for Bose Professional loudspeaker presets.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN = non-inverted and RED = inverted.


Speaker EQ

Speaker EQ signal processing blocks provide pre-configured equalization settings for Bose Professional loudspeakers and bass arrays. Four Speaker EQ SP block types are provided:

  • Single speaker output
  • Crossover with high and low frequency speaker outputs
  • Two-element bass array configurations
  • Four-element bass array configurations

Double-click the Speaker EQ block in Signal Processing view to open its control panel.

Speaker EQ processing blocks and control panels

Each Speaker EQ control panel provides the following options:

  • Speaker Type – drop-down list with a selection of loudspeakers appropriate for the chosen EQ type.
  • EQ Description – provides a detailed list of product and configuration options unique to each speaker type.


Standard Room Combining (StRC)

Standard Room Combining (StRC) is a simpler alternative to the Conference Room Combining (CRC). This is useful if an application does not require the advanced, complex mixing features of the conference room router (CRR). Instead, multiple inputs are mixed down to just one channel with a single Volume control and Mute button.

Note: Standard room combining is not supported in the ControlSpace ESP-00 Series II engineered sound processor.

Creating & Managing StRC Blocks

To add a standard room combiner (StRC) block to your project:

  1. When viewing the design workspace for a device in Signal Processing view, make sure the SP Tool Kit panel is shown. If it is not, click Window and then click Device List so it is selected.
  2. Make sure the Mixers node is expanded. If it is not, double-click it.
  3. Click and drag Standard Room Combiner onto the design workspace.
  4. In the Room Combine: Configuration window that appears, use the controls to set up the audio routing of the rooms:

  • Number of Rooms: This defines the total number of rooms. The range of this setting is 1 room to 16 rooms. An StRC block will be created for each room.
  • RC Group: This is the RC Group to which the room combiner is assigned.

Note: Standard room combiners and conference room combiners cannot belong to the same RC Group.

  • Input: This defines how many inputs will be available to be routed to the combined rooms. The range of this setting is 1 input to 12 inputs. All of these inputs are mono.
  • Output: This is the mono output signal to be routed to the combined rooms.
  • BGM: This defines how many BGM sources will be available to be routed to the combined rooms. The range of this setting is 0 sources to 12 sources. All of these inputs are mono.

Note: All inputs and outputs for standard room combiner (StRC) and background music (BGM) blocks are mono. See Selecting Background Music (BGM) to learn more about this.

  • OK: Click this to create the configuration.
  • Cancel: Click this to cancel the configuration.
  • Continue to Build: Click this to create the configuration and open the Room Combine Layout window (see Combining Rooms for more information).

Each StRC block consists of:

  • Input: The available mono inputs (determined by the Inputs field).
  • BGM: The available mono background music (BGM) inputs (determined by the BGM field).
  • RC: Mono inputs that receive signals from the RC Outs of all other rooms in the RC Group (determined by the Number of Rooms field). If you add or remove rooms to or from the RC Group, these inputs will change to match the RC Outs of those rooms.
  • Main Out: The signal sent from this mono output is a mix of the block’s standard inputs, BGM inputs, and RC inputs.
  • RC Out: The signal sent from this mono output is a mix of the StRC block’s standard inputs, BGM inputs, and RC inputs. This signal is automatically connected to the corresponding RC input of all other StRC blocks in the RC Group.

A BGM block consists of the available mono background music (BGM) inputs (determined by the BGM field).

To copy an StRC block, do one of the following:

  • Right-click the StRC block in the design workspace and click Copy.
  • Click the StRC block in the design workspace, click the Edit menu, and click Copy.
  • Click the StRC block in the design workspace, and press Ctrl+C.

To cut an StRC block, do one of the following:

  • Right-click the StRC block in the design workspace and click Cut.
  • Click the StRC block in the design workspace, click the Edit menu, and click Cut.
  • Click the StRC block in the design workspace, and press Ctrl+X.

Note: The RC inputs of all StRC blocks in the RC Group will automatically update to match the number of current rooms.

To paste an StRC block, do one of the following:

  • Right-click anywhere in the design workspace and click Paste.
  • Click anywhere in the design workspace, click the Edit menu, and click Paste.
  • Click anywhere in the design workspace, and press Ctrl+V.

Note: The RC inputs of all StRC blocks in the RC Group will automatically update to match the number of current rooms.

To duplicate an StRC block, do one of the following:

  • Right-click the StRC block in the design workspace and click Duplicate.
  • Click the StRC block in the design workspace, click the Edit menu, and click Duplicate.
  • Click the StRC block in the design workspace, and press Ctrl+D.

Note: The RC inputs of all StRC blocks in the RC Group will automatically update to match the number of current rooms.

To edit a standard room combiner (StRC) block, do one of the following:

  • Double-click the StRC block in the design workspace.
  • Right-click the StRC block in the design workspace and click Open.
  • Click the StRC block in the design workspace and press Enter.

See Adjusting Volume & Muting to learn how to edit each StRC block.

Selecting Background Music (BGM)

To change the number of BGM channels:

  1. Right-click the BGM block in the design workspace and click Change Channel Count.
  2. In the Audio Route window that appears, use the Channels field to change the number of channels.
  3. Click OK to confirm your choice, or click Cancel to close the window without making any changes.

If you add or remove channels to or from the BGM block, the available BGM sources for each StRC block will change to match the BGM block, but the number of BGM inputs on each StRC block will remain the same.

Adjusting Volume & Muting

You can edit the volume levels, muting, and background music sources of all rooms in the layout (RC Group) by editing any of the StRC blocks in that RC Group.

To edit a standard room combiner (StRC) block, do one of the following:

  • Double-click the StRC block in the design workspace.
  • Right-click the StRC block in the design workspace and click Open.
  • Click the StRC block in the design workspace and press Enter.

The Standard Room Combiner window that appears includes the following controls:

  • Room Controls: Each room in the layout can be controlled by a vertical “channel strip” shown in this window. Each channel strip includes the following controls:
  • - Room Label: Shows the name of the room. You can click this field and enter a different name.
  • - BGM: The background music channel (mono).
  • Source: Sets the source of the background music (BGM). You can select any of the BGM outputs you created for the StRC block or None (no music).
  • Volume Level: Adjusts the output signal level of the background music (BGM). The range of this setting is −infinity dBFS to +12 dBFS.
  • Mute: Mutes or unmutes the background music (BGM) signal. The button is red while muted and gray while unmuted.
  • - Input: The main input channel (mono).
  • Volume Level: Adjusts the input signal level of the microphones. The range of this setting is −infinity dBFS to +12 dBFS.
  • Mute: Mutes or unmutes the input signal. The button is red while muted and gray while unmuted.
  • - Output: The main output channel (mono).
  • Volume Level: Adjusts the overall output signal level of the room. The range of this setting is −infinity dBFS to +12 dBFS.
  • Mute: Mutes or unmutes the output signal. The button is red while muted and gray while unmuted.
  • Scroll Bar: Scrolls across the array of room channel strips. Four room channel strips are visible at a time.
  • Room Combine Control Panel: Opens the Room Combine window. See Combining Rooms for more information.

When combining rooms with different settings for the volume level, mute state, and/or BGM source, the combined room will (1) use the lowest volume level, (2) be muted if any of the original rooms is muted, and (3) use the BGM source of the room with the lowest number.

Creating & Editing a Room Layout

You can use the grid in the Room Combine Layout window to configure the size and layout of the rooms and combine them with each other.

To open the Room Combine Layout window, click Edit Room Layout in the Room Combine window.

  • To edit the name of the room, click the room label field and enter a different name.
  • To assign a number to a room, click an unassigned room square.
  • To remove a wall, click it. You can create square or rectangular rooms only.

Note: If clicking a wall will create an irregularly shaped room, more than one wall will be removed (to create a square or rectangular room).

  • To replace a wall with a partition, click a wall between two numbered rooms. The solid line will change to a dotted line, indicating a partition instead of a standard wall.
  • To reset the walls and room number assignment of the selected room only, click Delete.
  • To reset all walls and room number assignments, click Clear All.

The Room Combine Layout window includes the following controls:

  • Room Grid: This grid is a visual representation of the combined rooms. See the instructions above to learn how to edit the layout.
  • Room Labels: These are the names of the rooms. You can click each field and enter a different name.
  • Clear All: Resets all changes you have made to the layout, including the rooms’ number assignments.
  • Delete: Resets the changes you have made to the selected room only, including its number assignment.
  • OK: Locks the combined room layout.

Combining Rooms

You can use the grid in the Room Combine window to combine rooms in the layout with each other.

  • To combine two rooms, click the first one to select it, and then press and hold Ctrl while clicking the second room. The two rooms will be outlined by a colored line. You can repeat this process to add more rooms.
  • To remove a room from a combination, click the one of the rooms in the combination to select it, and then press and hold Ctrl while clicking the room you want to remove. The colored outline will disappear. You can repeat this process to remove more rooms from the combination.

While the room layout is locked (i.e., you are unable to edit it), the Room Combine Layout window includes the following controls:

  • Room Grid: This grid is a visual representation of the combined rooms.
  • Room Labels: The names of the rooms.
  • Edit Room Layout: Unlocks the combined room layout, allowing you to edit it.
  • Room Volume Control: Click this tab to collapse or expand it.
  • - Combined: The name of the selected room.
  • - Outputs: The source of the background music (BGM). See Adjusting Volume & Muting to learn how to change it.
  • - BGM: The output signal level of the background music (BGM). The volume icon is gray while the signal is muted or green while it is unmuted. See Adjusting Volume & Muting to learn how to change these settings.
  • - Mics: The input signal level of the microphones. The volume icon is gray while the signal is muted or green while it is unmuted. See Adjusting Volume & Muting to learn how to change these settings.
  • - Room Master: The overall output signal level of the room. The volume icon is gray while the signal is muted or green while it is unmuted. See Adjusting Volume & Muting to learn how to change these settings.


Standard Mixer

The Standard Mixer SP block is used to combine (mix) and route input signals to output channels. Gain and mute settings are available for each input and output.

Setting the Number of Ports

To set the number of input and output ports for a Standard Mixer block:

  1. Drag the Standard Mixer block into Signal Processing view.

  2. In the Standard Mixer dialog box, you can select from list of predefined port configurations, such as 2x1, 4x1, 8x8, 16x24 and many others. Alternatively, you can select or type in the number of input and output ports (up to 32 each, max) using the Input and Output ports selector controls.

  3. Click OK to add the block to the Signal Processing view.

    You can modify the number of inputs and outputs to a block by right-clicking on the block and selecting Change Channel Count. You can then modify the number of channels, up to a maximum of 32 inputs or outputs.

Standard Mixer Block and Control Panel

Double-click the Standard Mixer block in Signal Processing view to open its control panel.

Standard Mixer processing blocks and 2x1 control panel

The Standard Mixer control panel provides the following options:

  • Input and Output Labels – allow direct entry of user-defined labels for inputs or outputs.
  • Input Level – is a direct entry field for adjusting the input signal. The range of adjustment is from –∞ to +12dB and the input section is shaded in green.
  • Output Level – is a direct entry field for adjusting the output signal. The range of adjustment is from –∞ to +12dB and the output section is shaded in orange. A level of -∞ may be set by entering a value less than -60.

Note: To enable –∞ in a direct entry field without a gain slider, enter any value less than -60dB.

  • Assign – creates a routing path between an input and an output. Select the assign box at the intersection of the two channels to permit audio to pass from input to output. When an assignment is made, the assign box turns blue.
  • Mute – silences the signal on a specific input or output and prevents the signal from passing to the next signal processing block in the design. When a Mute box selected, it turns red.


SGenerator

Test/Measurement SP Blocks

The Test/Measurement category of signal processing blocks provides three types of dedicated signal generators:

  • Sine Generator

  • Noise Generator

  • Sweep Generator

Double-click a block in the Test/Measurement category in Signal Processing view to open its control panel.

Test/Measurement processing blocks and control panels

The Test/Measurement processing block control panels provide the following options:

  • Sine Generator – outputs a sine wave with variable level and frequency.
  • - Generator Value – permits direct entry of desired output signal level in dB. Range of adjustment matches and tracks the generator gain slider.
  • - Generator Gain Slider – adjusts the output signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB.
  • - Frequency – permits direct entry of desired output frequency in hertz. The range of adjustment is from 20 Hz to 20 kHz.
  • - Mute – silences the signal generator. When Mute is enabled, the control panel button is red (default).
  • Noise Generator – outputs two types of broadband noise with variable level.
  • - Generator Value – permits direct entry of desired output signal level in dB. Range of adjustment matches and tracks the generator gain slider.
  • - Generator Gain Slider – adjusts the output signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB.
  • - Noise Type – provides a selector to choose between the two available types of noise, Pink noise and White noise.
  • - Mute – silences the signal generator. When Mute is enabled, the control panel button is red (default).
  • Sweep Generator – outputs a swept sine wave from 20 Hz to 20 kHz with variable level and speed.
  • - Generator Value – permits direct entry of desired output signal level in dB. Range of adjustment matches and tracks the generator gain slider.
  • - Generator Gain Slider – adjusts the output signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB.
  • - Sweep Speed – provides a selector to choose between the two available rates of sweep, Fast or Slow.
  • - Start / Stop – enables or disables the signal generator.


Tone Control EQ

The Tone Control EQ boosts or cuts the output level at the low, mid, and high frequency bandwidths. Double-click the Tone control EQ block in Signal Processing view to open its control panel.

Tone control EQ, processing block and control panel.

The Tone control EQ control panel provides the following options:

  • LOW – controls a 200Hz 6dB per octave shelving filter.
  • - Gain slider – is adjustable to boost or cut the level from -15 dB to +15 dB. Enter a boost or cut value in the input box above this slider to set the gain.
  • - Bypass – disables this specific filter from affecting the signal chain.
  • MID – controls a 1000Hz, one octave parametric filter. (Q=1.414 or BW=1.0).
  • - Gain slider – is adjustable to boost or cut the level from -15 dB to +15 dB. Enter a boost or cut value in the input box above this slider to set the gain.
  • - Bypass – disables this specific filter from affecting the signal chain.
  • HIGH – controls a 5000Hz 6dB per octave shelving filter.
  • - Gain slider – is adjustable to boost or cut the level from -15 dB to +15 dB. Enter a boost or cut value in the input box above this slider to set the gain.
  • - Bypass – disables this specific filter from affecting the signal chain.


ControlSpace EX Devices

The Bose Professional ControlSpace EX series includes signal processors that provide conferencing solutions for small-to-medium or larger conference rooms, as well as a signal processor for general-purpose audio processing applications.

The Device List in the Project view window shows the available ControlSpace EX devices that may be added to your system design:

  • EX-1280: Digital signal processor equipped for non-conferencing, general-purpose audio processing applications that require increased functionality beyond that of the existing ControlSpace ESP line.
  • EX-1280C: Conferencing signal processor for medium-to-large conference rooms.
  • EX-12AEC: Conferencing signal processor that provides expansion of control options and capabilities for larger conference rooms using the ControlSpace EX-1280C.
  • EX-440C: Conferencing signal processor for small-to-medium conference rooms.

These signal processors are added to the Project view using the same drag-and-drop method as other devices within the ControlSpace Designer software.

Note: Wiring within Project view is for reference purposes only and does not affect the audio signal path between devices.

Available ControlSpace EX devices and their associated Project view icons


ControlSpace EX Device Properties

ControlSpace EX signal processors are configured through the device's Properties panel. To access the Properties panel, right-click the EX processor icon in Project view and select Properties.

ControlSpace EX Properties Panel

The Properties panel shows all of the items which determine the configuration of the device.

  • Device Name – the unique name of the device that is displayed within the Project view. This unique name is also used in serial protocol programming. The name can be changed by selecting the name and entering a new one.
  • Firmware Version – displays the current version of the firmware in the device. This item is only available when online with the device.
  • CC-16 Connections – displays a check mark beside numbers 1 through 15 matching the device ID of each ControlSpace CC-16 zone controller that is connected to the device.
  • ControlSpace Network– displays the current IP address for the ControlSpace Network port. When configured for DHCP, the device address is disabled. When configured for Fixed IP, the device address is enabled. To change the network connection type, the Network Setup control panel must be used.
  • - Set IP Address – clicking this button allows you to change the IP address of the device.
  • - Hardware Manager – clicking this button opens the Hardware Manager dialog box. See Launching the Hardware Manager.
  • Serial Communications - provides serial data settings.
  • - Enable Serial over IP - check the box to enable serial communication over IP.
  • - Port Number - current serial communications port number.


ControlSpace EX Input/Output Controls

Both the EX-1280 and EX-1280C processors include 12 balanced, mic/line level analog inputs and 8 balanced, line level analog outputs.

The EX-440C processor includes 4 balanced, mic/line level analog inputs and 4 balanced, line level analog outputs.

Input Control Panel

Adjustable options may be changed in the control panel for the analog inputs and outputs for the EX-1280, EX-1280C, and EX-440C signal processors.

The control panel can be opened by double-clicking on one of the grouped input blocks in Signal Processing view. Each control panel displays the controls for four analog input channels.

Input Control Panel

The Input Control Panel provides the following options:

  • Input x-x Label - Displays the channel name as defined by the user within Signal Processing view. You can change the channel labels highlighting the input block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Pre-Gain Control – Allows the selection of a predefined amount of analog input gain (0, 14, 24, 32, 44, 54, or 64 dB).
  • Input Level Entry – Permits direct entry of desired input signal level in dB. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider – Adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. This adjustment point is in the digital domain, post analog to digital conversion.
  • Input Signal Meter - Displays the current input signal level in dBFS at the input to the next processor function. Input meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the next signal processing block in the design. When Mute is enabled, the control panel button is Red.
  • PWR - When selected, engages the +48V phantom power.

Output Control Panel

Adjustable options may be changed in the control panel for the analog outputs. The control panel can be opened by double-clicking on one of the grouped output blocks in the signal processing view. Each control panel displays the controls for four analog output channels.

Output Control Panel

The Output Control Panel provides the following options:

  • Output 1-4 Label - Displays the channel name as defined by the user within the Signal Processing view. You can change the channel labels highlighting the output block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Output Level Entry - Allows the direct entry of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Gain Slider – Adjusts the output signal level delivered to the analog output. The range of adjustment is from –∞ to +12dB.
  • Output Signal Meter - Displays the current output signal level in dBFS at the input to the next processor function. Output meters include a ‘peak hold’ indicator which is identified by a red line across the meter.
  • Mute – Silences the signal and disables audio from passing to the analog output. When Mute is enabled, the control panel button is Red.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. The button color indicates the current state, with GREEN being non-inverted and RED being inverted.


ControlSpace EX AmpLink Output Controls

The EX-1280, EX-1280C, and EX-440C processors include an integrated Bose Professional AmpLink output connection to provide low-latency, uncompressed digital audio to compatible Bose Professional amplifiers. The number of channels differs depending on the signal processor model, as follows:

  • EX-1280 and EX-1280C: 8 Amplink output channels
  • EX-440C: 4 Amplink output channels

Adjustable options may be changed in the control panel for the AmpLink outputs. The control panel can be opened by double-clicking on the AmpLink output block in Signal Processing view. This control panel displays all of the output channels that are available for the device.

AmpLink Output Control Panel

The Output Control Panel provides the following options:

  • Output Label - displays the channel name. You can change the channel labels highlighting the input block in Signal Processing view, and then selecting Window > Properties and changing the labels in the Properties window.
  • Digital Output Level Direct Entry - allows the direct entry of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Digital Output Gain Slider - allows the adjusting of the amount of attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal.
  • Output Signal Meter - displays the current output signal level in dBFS at the output of the signal processor. Output meters include a peak hold indicator, which is identified by a red line across the meter.
  • Mute - when selected, mutes the audio signal at the digital output stage.
  • Signal Polarity Control - inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. The button color indicates the current state, with GREEN being non-inverted and RED being inverted.


EX-1280C GPIO

ControlSpace EX GPIO Controls

Both the EX-1280 and EX-1280C signal processors include five General Purpose Control Input (GP In) ports and five Control Output (GP Out) ports. The EX-440C signal processor includes one GP In port, but does not include a GP Out port.

GP In ports are used to connect external hardware such as potentiometers (to control levels or gains) and switches (contact closures) to invoke parameter sets. Functions are assigned to these external controls in the GP In control panel.

See Programming GPIO for general programming examples.

GP In Control Panel

Adjustable input options are accessed by double-clicking the appropriate GP In block within Signal Processing view to open its control panel.

General Purpose Input (GP In) control panel

  • Activity - indicators notify the user when a GP input is active. Blue indicates an active input, or when a Test button is pressed.
  • Mode buttons – determine the operating mode for each general purpose input. Eight input modes are available within each processing block. Left click the operating mode button to toggle through the three supported modes:
Operating Mode | Description
Digital | Typically used when connecting a switch or push button, this mode expects a normally open switch for operation. Both “on” and “off” actions are supported.
Up/Down | Up/Down mode uses two adjacent GPI, and is intended to support two push buttons for use as volume up and down. Normally open switches are expected. Note: The GP In Control Panel for the EX-440C signal processor does not include Up/Down mode.
Analog | Analog mode is intended for a 10K ohm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.

  • Test buttons - verify programmed actions for each input. Appearance and function of the test buttons change dynamically with each operating mode.
Operating Mode | Test Operation
Digital | Single left click per test button activates “on” or “off” conditions.
Up/Down | Single left click per test button activates “up” or “down” conditions. Note: The GP In Control Panel for the EX-440C signal processor does not include Up/Down mode.
Analog | Analog mode is intended for a 10K ohm linear type potentiometer that can be linked to a single or group of gain controls. Select A+ if the pot measures 0 ohms when fully counter-clockwise and 10K ohms when fully clockwise. Select A– if the pot measures 0 ohms when fully clockwise and 10K ohms when fully counter-clockwise.

  • Labels - are user-definable in the Properties window.

The lower section of the control panel provides a programming tree to assign functions invoked by the General Purpose Input(s). You can drag and drop signal processing blocks, parameter sets, or groups onto the text lines.

GP Out Control Panel

Output functions are accessed by double-clicking the appropriate GP Out block within Signal Processing view to open its control panel.

Note: Only the EX-1280 and EX-1280C signal processors include GP Out ports.

Buttons 1-5 correspond to the state of each individual general purpose output port. Click a button to set the state of an output to OFF (default) or ON before assigning the GPO processing block in Signal Processing view to a location in the Project Directory or Parameter Set Nodes List.

General Purpose Output (GP Out) control panel


EX-1280C Serial Input/Outputs

ControlSpace EX Serial Input/Output Controls

Serial command support is provided for the EX-1280, EX-1280C, and EX-440C signal processors via the rear panel RS-232 serial port or the Ethernet network port. The Serial Input and Serial Output blocks may be used to define custom incoming and outgoing command strings. In addition, signal processing blocks can be directly controlled via external serial commands. You can also send serial control messages over Ethernet via UDP or TCP to a specific IP and port. A Serial Protocol document is available at BoseProfessional.com to assist with programming 3rd-party devices, More information can be found in the Serial Port Programming topic.

Serial In Control Panel

Serial Input processing block and control panel

The Serial Input control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file. Up to 128 total separate incoming serial strings may defined in a preset. These strings are organized into 64 On/Off pairs to assist in labeling strings which have similar functions.
  • - Save - exports the selected preset to a file at a user-specified location on the computer. The preset file has an .spt file name extension.
  • - Load - imports a preset file stored on the computer into the Serial In control panel. Loading a serial preset file clears and overwrites all labels and string definitions currently in the Serial In control panel.
  • - Clear All – deletes all labels and string definitions in the Serial In control panel.
  • Format:
  • - ASCII/HEX – radio buttons determine the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two bytes per character.
  • Label – assigns a name to the pair of serial strings. This is for reference only.
  • ON String/OFF String – locations to define serial strings with up to 64 ASCII characters or 64 HEX characters. Matching strings received within the serial data stream from external devices will recall or initiate actions specified in the Serial In programming tree.
  • ON/OFF Buttons - test the programming functionality of strings defined in the ON String and OFF String fields. Most ControlSpace programming functions for incoming serial strings may be tested offline.
  • Serial Input Programming Tree – provides a drag-and-drop area for assigning ControlSpace functionality to be performed when matching serial strings are received.

Note: ControlSpace EX-1280C, EX-1280, and EX-440C processors automatically assume each incoming serial string terminates with a single carriage return (CR). The sending equipment must separate commands by ending the serial string with a carriage return (CR). It is unnecessary to include this carriage return in the ON/OFF string fields in the Serial Input control panel.

Serial Out Control Panel

Serial output processing block and control panel

The Serial Output control panel provides the following options:

  • Serial Presets - You can create presets containing all serial commands. The file includes the original order and position of all commands. The preset can then be exported as a serial preset file for future use, or used to build another serial preset file. Up to 128 total separate incoming serial strings may defined in a preset. These strings are organized into 64 On/Off pairs to assist in labeling strings which have similar functions.
  • - Save - exports the selected preset to a file at a user-specified location on the computer. The preset file has an .spt file name extension.

    • Note: You can also save only the commands using the standard serial protocol as a serial output configuration. This allows you to load that configuration into older projects that do not use TCP or UDP for serial commands. If the exported file is imported into an older version of ControlSpace Designer (without the ability to send serial commands over TCP or UDP), then all imported commands will use the serial protocol.

  • - Load - imports a preset file stored on the computer into the Serial Out control panel. Loading a serial preset file clears and overwrites all labels and string definitions currently in the Serial Out control panel.

    • Note: When loading an .spt file, all previously entered serial commands will be overwritten with those of the imported file. If the imported file was saved in an earlier version of ControlSpace Designer (without the ability to send serial commands over TCP or UDP), then all imported commands will use the serial protocol.

  • - Clear All – deletes all labels and string definitions in the Serial Out control panel.
  • Format:
  • - ASCII/HEX– radio buttons determine the unit notation for text entry. Select ASCII for traditional alphanumeric character entry or HEX to convert notation to two bytes per character.
  • Label – assigns a name to the pair of serial strings. This is for reference only.
  • Protocol – selects the command protocol: Serial, TCP, or UDP.
  • IP – The IP address used by the command. This is available only when the Protocol is set to TCP or UDP.
  • Port – The port used by the command. This is available only when the Protocol is set to TCP or UDP.
  • ON String / OFF String - Locations to store up to 64 ASCII characters or 64 HEX characters to be sent to external devices via the RS-232 serial port or the Ethernet port. Parameter sets, GPI inputs, and logic functions can be used to initiate the transmission of the serial strings defined in the Serial In control panel.
  • ON/OFF – When the processor is online, the ON/OFF test buttons may be used to send the serial strings via the RS-232 or Ethernet ports. No actions or transmissions are made when the processor is offline.

Note: Unlike serial input strings, control characters, such as carriage returns or line feeds, are neither assumed nor automatically included when entering serial output strings. When entering output ASCII strings, control characters such as carriage return (CR) and line feed (LF) must be entered in hexadecimal notation. Backslash “\” is used to designate the next two characters as hex. For example, “\0D” would indicate a carriage return and “\0A” would indicate a line feed.

Refer to the protocol documents of any third-party devices to find the appropriate serial strings and syntax.


ControlSpace EX VoIP Input/Outputs

The ControlSpace EX-1280C and EX-440C conferencing signal processors include integrate support for Voice Over IP (VoIP):

  • EX-1280C supports up to two single-port VoIP In blocks and two single-port VoIP Out blocks.
  • EX-440C supports one single-port VoIP In block and one single-port VoIP Out block.

The VoIP blocks are used to control the signal level and other parameters of VoIP systems, such as VoIP telephony equipment.

VoIP In Control Panel

VoIP Input control panel

The Input Control Panel provides the following options:

  • Input Gain Direct Entry - allows the direct entry of gain (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the input signal. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider - same purpose as Input Gain Numeric Entry, but provides an alternative way to set the value through use of a gain slider control.
  • Input Signal Meter - displays the current signal level in dBFS at the input to the device. Input meters include a peak hold indicator, which is identified by a red line across the meter.
  • MUTE - when selected, mutes the audio signal at the input stage.
  • Auto Answer - sets the number of rings before incoming calls are automatically answered. To disable auto-answering function, select Off.
  • DIALER - opens the VoIP dialer.

VoIP Out Control Panel

VoIP Output control panel

The Output Control Panel provides the following options:

  • Output Gain Direct Entry - allows the direct entry of gain or attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal. Range of adjustment matches and tracks the output gain slider.
  • Output Gain Slider - same purpose as Output Gain Direct Entry, but provides an alternative way to set the value through use of a output gain slider control.
  • Output Signal Meter - displays the current signal level in dBFS at the output from the device. Output meters include a peak hold indicator, which is identified by a red line across the meter.
  • MUTE - when selected, mutes the audio signal at the output stage.

VoIP Dialer

To access the dialer, click DIALER in a VoIP In SP block, or right-click the VoIP In block and select Open VoIP Dialer.

VoIP dialer

To set up just the basic the IP addressing scheme or VLAN for VoIP, see Managing VoIP.

To manage all VoIP and SIP 2.0 settings including the IP address via a web-based application, click VoIP Setup and enter admin for both the login and password when prompted. This default login/password can be changed in the VoIP settings web application. For more information about how to use the VoIP settings web app, refer to the VoiP Web Interface User Guide at BoseProfessional.com.

Note: Instead of clicking VoIP Setup to access the VoIP settings web app, you can enter the processor's IP address in the browser and press Enter to display the login and password window.


ControlSpace EX Dante Input/Output Controls

All ControlSpace EX signal processors support high quality, uncompressed digital audio from a Dante digital audio network. The number of channels available for connection to other Dante-enabled products depends upon the device:

  • The EX-1280C and EX-1280 processors support up to 64 x 64 channels.
  • The EX-440C and EX-12AEC processors support up to 16 x 16 channels.

Dante network functionality is built into the device and does not require installation of a Dante network card. These generic Dante I/O blocks can be used whenever simplified routing of any device's audio source(s) between other signal processors and/or Dante-enabled devices is needed.

Setting the Number of Channels

To set the number of channels for a Dante input or output block:

  1. From the IO Blocks category in the SP Tool Kit, drag the Dante input or output block into Signal Processing view.

  2. In the Select Channels for Input Module dialog box, use Crtl+Click to select each channel to be included in the block or click and drag to select contiguous channels. You can also check or clear the Select All option to select/deselect all of the channels available in the card. The channel counter displays the number of channels selected (you may not use the counter to change or select channels, however).

    Select Channels for Input Module dialog box

  3. Click OK.

The Dante input or output block is now added to the view.

Dante Input Control Panel

To access the Dante input controls, double-click the appropriate Dante input block in Signal Processing view.

Dante input control panel

Each Dante input control panel provides the following controls:

  • Input Level (dB) – adjusts the input signal level delivered to the next signal processing block. The range of adjustment is from –∞ to +12dB. Type a value directly into the input level box or right-click the field to access a gain slider.
  • Mute – silences the signal and disables audio from passing to the Dante audio network. When Mute is enabled, the control panel button is Red.
  • Page Up/Page Down - shows additional or previous channels, if applicable.

Dante Output Control Panel

To access the Dante output controls, double-click the appropriate Dante output block in Signal Processing view.

Dante output control panel

Each Dante output control panel provides the following controls:

  • Output Level (dB) – adjusts the output signal level delivered to the Dante audio network. The range of adjustment is from –∞ to +12dB. Type a value directly into the output level box or right-click the field to access a gain slider.
  • Polarity – inverts polarity of the output signal. When Polarity is normal, the control panel button is Green and a plus (+) sign is present. When Polarity is inverted, the control panel button is Red and a minus (–) sign is present.
  • Mute – silences the signal and disables audio from passing to the Dante audio network. When Mute is enabled, the control panel button is Red.
  • Page Up/Page Down - shows additional or previous channels, if applicable.

Note: For more information about configuring Bose Professional system electronics for use with Dante digital audio network audio, refer to the Dante application notes available at BoseProfessional.com.


ControlSpace EX PSTN Input/Output Controls

The EX-1280C and EX-440C conferencing signal processors support one single-port PSTN (Public Switched Telephone Network) Input block (PSTN In) and one single-port PSTN Output block (PSTN Out). The PSTN block is used to control the signal level and other parameters of PSTN equipment, such as POTS (Plain Old Telephone Service)/analog telephones that are used with EX-1280C and EX-440C processors.

PSTN In Control Panel

PSTN Input control panel

The Input Control Panel provides the following options:

  • Input Gain Direct Entry - allows the direct entry of gain (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the far-end input signal. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider - same purpose as Input Gain Direct Entry, but provides an alternative way to set the value through use of a gain slider control.
  • Input Signal Meter - displays the current signal level in dBFS at the input to the EX-1280C or EX-440C device. Input meters include a peak hold indicator, which is identified by a red line across the meter.
  • Mute - when selected, mutes the audio signal at the input stage.
  • Auto Answer - sets the number of rings before incoming calls are automatically answered. To disable auto-answering function, select OFF.
  • Ring Level - sets audio level in dB of ring tone for incoming calls.
  • DTMF - sets audio level in dB of DTMF (touch tone keypad) tones heard in local room.
  • County Code - sets the country code.
  • DIALER - accesses the PSTN dialer.

PSTN Out Control Panel

PSTN Output control panel

The Output Control Panel provides the following options:

  • Output Gain Direct Entry - allows the direct entry of gain or attenuation (-∞ dB, min, to +12 dB, max, in increments of 0.5 dB) applied to the output signal. Range of adjustment matches and tracks the output gain slider.
  • Output Gain Slider - same purpose as Output Gain Direct Entry, but provides an alternative way to set the value through use of a output gain slider control.
  • Output Signal Meter - displays the current signal level in dBFS at the output from the EX-1280C or EX-440C device. Output meters include a peak hold indicator, which is identified by a red line across the meter.
  • MUTE - when selected, mutes the audio signal at the output stage.

PSTN Dialer

To access the dialer, click DIALER in a PSTN In SP block or right-click the block and select Open PSTN Dialer.

PSTN Dialer


ControlSpace EX USB Input/Outputs

The EX-1280C, EX-1280, and EX-440C signal processors support one stereo channel USB Input (USB In) block and one stereo channel USB Output (USB Out) block. The USB block is used to control the signal level and other parameters from soft codecs in PCs, tablets, and laptops used with EX-1280C, EX-1280, and EX-440C processors.

Note: Soft codecs enable conferencing or other applications (e.g. Skype) via a web browser, downloadable software application, or a combination of these.

USB In Control Panel

USB Input control panel

The Input Control Panel provides the following options:

  • Input Gain Direct Entry - allows the direct entry of gain (-∞ dB min to +12 dB max, in increments of 0.5 dB) applied to the input signal. Range of adjustment matches and tracks the input gain slider.
  • Input Gain Slider - same purpose as Input Gain Direct Entry, but provides an alternative way to set the value through use of a gain slider control.
  • Input Signal Meter - displays the current signal level in dBFS at the input to the device. Input meters include a peak hold indicator, which is identified by a red line across the meter.
  • MUTE - when selected, mutes the audio signal at the input stage.

USB Out Control Panel

USB Output control panel

The Output Control Panel provides the following options:

  • Output Gain Direct Entry - allows the direct entry of gain or attenuation (-∞ dB min to +12 dB max, in increments of 0.5 dB) applied to the output signal. Range of adjustment matches and tracks the output gain slider.
  • Output Gain Slider - same purpose as Output Gain Direct Entry, but provides an alternative way to set the value through use of a output gain slider control.
  • Output Signal Meter - displays the current signal level in dBFS at the output from the device. Output meters include a peak hold indicator, which is identified by a red line across the meter.
  • MUTE - when selected, mutes the audio signal at the output stage.


Managing VoIP

The EX-1280C and EX-440C conferencing signal processors support VoIP functionality. You can use CSD's Hardware Manager for the basic VoIP IP addressing setup.

Note: For access to all VoIP setup options, use the web-based VoIP application described later in this topic.

From CSD

To set up the basic IP addressing scheme or VLAN on the EX-1280C or EX-440C in CSD for the outgoing VoIP network:

  1. Select Hardware Manager from the System menu.

  2. In the Hardware Manager Device List, select the check box next to the EX-1280C (as in the example below) or the EX-440C to open the Device Update panel.

    VoIP setup in Device Update panel

  3. In the VoIP section, designate whether the IP address is assigned via DHCP or is Static. If Static, enter the IP, Subnet Mask, and Gateway addresses.

    Static IP setup

  4. If appropriate, designate the VLAN ID number.

  5. Click Update VoIP to save the settings.

    Update to save VoIP settings

  6. When prompted, click Yes to reboot the device and complete VoIP setup.

From the Web-Based VoIP Application

To manage either basic or advanced VoIP and SIP 2.0 settings including the IP address and VLAN, access the VoIP web-based application:

  1. In Signal Processing view for the EX-1280C or EX-440C, right-click an input VoIP SP block and select Open VoIP Dialer.

    VoIP Dialer

  2. Click VoIP Setup and enter "admin" for both login and password when prompted in your web browser. This default login/password can be changed in the VoIP settings web application. For more information about how to use the VoIP settings web app, refer to the VoIP Web Interface User Guide at BoseProfessional.com.

You can also access the web app:

  • From Hardware Manager by selecting the EX-1280C or EX-440C in the Device list and clicking VoIP Setup in the VoIP section of the Device Update panel
  • By entering the IP address of your EX-1280C or EX-440C signal processor in the browser and pressing Enter to display the login and password window in the web app


Managing Dante Audio Routes

Dante audio routes provide a simple and effective way to send and receive audio signals between multiple ControlSpace EX signal processors within your system. These can be discrete audio channels, audio mixes, or any combination of audio signals.

Dante audio routes are set up with Dante input and output blocks. These blocks are paired together within CSD by dragging and dropping them into Signal Processing view in each processor.

Adding Dante I/O Blocks to Set Up an Audio Route

Dante audio routes consist of output and input pairs. When you drag a Dante output block to the Signal Processing view of a processor, a corresponding Dante audio route input block is automatically listed in the SP Tool Kit(s) for any other ControlSpace EX signal processors in the system.

Note: For more on how to add Dante input or output blocks to Signal Processing view, see ControlSpace EX Dante Input/Output Controls.

Example

In the following example, there are two EX-1280C processors (named Unit 1 and Unit 2). In the Signal Processing view of each device, the user has dragged and dropped a Dante output block. In each processor's SP Tool Kit, the Dante audio route input block to the other processor (Input via Unit n in this example) is now listed.

SP Tool Kit for Unit 1 processor listing Dante audio route
Input via Unit 2 block

SP Tool Kit for Unit 2 processor listing Dante audio route Input via Unit 1 block

When a Dante audio route input block (Input via Unit n in this example) in the SP Tool Kit is dragged into the Signal Processing view of one EX-1280C processor, the Dante I/O blocks in both processors' Signal Processing views now display the Dante logo and a DAR (Dante Audio Route) designation. Once the Dante logo appears on the block, the Dante I/Os are now paired and a Dante audio route is created.

Paired Dante audio route

Conference Room Combining and Dante Audio Routes

In conference room combining applications, when multiple CRR blocks are spread across different EX-1280C, EX-440C, and/or EX-12AEC conferencing processors, CSD automatically adds all of the required Dante audio routes between each CRR that is included in the same RCGroup (see RCGroups).

Example

In the following example, there are three EX-1280C processors named Units 1, 2, and 3. Each has one CRR block added to its Signal Processing view. Only the CRR for Unit 1 has been added to RCGroup 1, so far.

When the CRRs for Units 2 and 3 are added to the same RCGroup as the CRR in Unit 1 (in this case, RCGroup 1), CSD automatically creates all of the Dante audio routes needed.

CRR for Unit 1 - Dante audio routes

CRR for Unit 2 - Dante audio routes

CRR for Unit 3 - Dante audio routes


Acoustic Echo Cancellation - AEC

The Acoustic Echo Cancellation (AEC) processing block is designed to eliminate the reintroduction of acoustically reflected sound waves and echo heard by far-end participants within a conferencing environment.

Note: This topic applies only to ControlSpace EX conferencing signal processors (EX-1280C, EX-12AEC, and EX-440C).

Setting the Number of Ports

Each AEC consists of a pair of blocks:

  • AEC block
  • AEC REF (reference) block

The AEC block is used to connect microphone sources that reference the source connected to the paired AEC REF block.

The AEC block for the EX-1280C and EX-12AEC supports up to 12 input and output ports and the AEC REF block supports one input port. The AEC block for the EX-440C supports up to 8 input and output ports. The AEC REF block for all conferencing signal processors supports one input port.

Only the number of ports on the AEC block can be changed. To set the number of input and output ports for the AEC block:

  1. Drag the AEC block into Signal Processing view.

  2. Select or type in the number of input/output ports using the Number of channels selector control.

  3. Click OK. The AEC and AEC REF blocks are now added to the Signal Processing view.

You can add inputs/outputs to an AEC block at any time by right-clicking on the block and selecting Change Channel Count. You can then select the number of channels to add per input or output–up to a maximum of 12 for the EX-1280C and EX-12AEC, or a maximum of eight for the EX-440C .

Adding Multiple AEC References

All conferencing signal processors support a maximum of four AEC REF inputs. Because AEC devices are paired (AEC and AEC REF blocks), adding an AEC block with the maximum number of inputs (12 for EX-1280C and EX-12AEC, or eight for EX-440C) would limit you to only one AEC REF block with one input.

To add more AEC references, add AEC blocks with fewer than the maximum number inputs/outputs for the device, but no more than the maximum number of inputs/outputs for all blocks combined.

For example, to add the maximum number of AEC references to a system that includes the EX-1280C processor, add four, three-input AEC blocks to the design. Each three-input AEC block will have its paired AEC REF, for a total of four separate independent AEC references.

Note: When you have reached the maximum number of AEC REF blocks (four per processor), you can no longer add AEC blocks regardless of the combined number of input/output channels for all existing AEC blocks.

AEC Blocks and Control Panel

AEC processing blocks

AEC control panel

The AEC control panel provides the following options for each channel:

  • Input Meter– displays the incoming signal level of a connected microphone source.
  • ERL Meter– displays the difference in level between echo at the microphone input and the original far-end source at the AEC reference. Good gain structure and isolation between loudspeakers and microphones will result in a negative ERL value. Avoid high gain or close placement of microphones and loudspeakers, which will result in a positive ERL.
  • ERLE Meter– displays the amount of cancellation currently being achieved by the AEC adaptive filter. A more-negative ERLE value means more echo is being removed.
  • NLP (Non-Linear Processing) - provides additional processing to help abate residual acoustic echo in less-than-ideal acoustic environments. The more difficult the acoustics are in a space, the higher the NLP setting may need to be set to ensure that acoustic echo is not passed to the far end. Should be used with care as there can be functional system trade-offs when too much NLP is applied. One of these trade-offs often manifests itself in the form of limiting full-duplex communications. Three levels are available: Light. Medium, or Strong.
  • NR (Noise Reduction) - can be applied to the input signal connected to an AEC block. This can be very helpful in eliminating persistent background noise that may be coming from HVAC systems or other sources. Use the up and down arrows to select a value or type it in. Range is 0dB (no filtering) to +32dB. Default: +12dB.
  • AEC Enable/Disable - click the AEC toggle to turn the AEC function on or off for the input channel. The AEC toggle turns green when AEC is active and is gray when it is inactive.
  • Mute - click the Mute toggle to mute or unmute the input channel. The Mute toggle turns red when the channel is muted and is gray when it is unmuted.

The AEC control panel provides the following additional options:

  • Reference Meter - displays the incoming level of the source connected to the AEC Reference block of the AEC signal processing block, i.e. Telco Rx, VoIP Rx, Far-End VTC, etc.
  • Comfort Noise - after the AEC filter, the NLP filter, and especially the NR filter have all done their work, the resulting audio signal is often nearly completely silent. This can cause problems because the far end may wonder if the call has been dropped when the audio goes silent. Comfort noise can be used to add a small amount of continuous noise back into the audio signal so the far end knows that the call is still ongoing.

Click the Comfort Noise ON/OFF toggle to enable or disable this feature for the AEC block. The ON/OFF toggle turns green when the Comfort Noise feature is active and is gray when it is inactive.


Automatic Microphone Mixer - Gated (EX1280-C only)

Automatic Microphone Mixer: Gated (ControlSpace EX)

The Automatic Microphone Mixer (AMM)-Gated processing block for ControlSpace EX processors manages the signal level from multiple microphones to achieve a constant output level without requiring user intervention.

You can control the mute function of the mix output and control the mute state of each channel via logic inputs. The current state of each mute is communicated via logic output ports. For more information on logic support for AMM-Gated blocks, see Logic and Testing Support for SP Blocks.

ATS (Adaptive Threshold Sensing) options are available for controlling the gate threshold level relative to the noise floor. ATS uses a BSF (Band-stop Filter) to track the noise floor by filtering out speech frequencies.

Note: ControlSpace ESP engineered sound processors do not support the AMM-Gated functionality described in this topic. ESP sound processors support an AMM-Gated processing block with predefined inputs and no logic or linking functionality. See Automatic Microphone Mixer-Gated (ESPs) for more information.

Setting the Number of Channels

The AMM-Gated block supports from 2-32 input channels. To set the number of mic input channels for an AMM-Gated block:

  1. Drag the AMM-Gated block into Signal Processing view.

  2. In the AMM dialog box, use the Number of mics selector control to select the number of mic input channels, or type the number in the text box.

  3. Click OK to add the block to the Signal Processing view.

You can add mic inputs to an existing block at any time by right-clicking on the block and selecting Change Channel Count. You can then select the number of mic inputs to add, up to a maximum of 32.

Linking AMM-Gated Blocks

You can expand the number of channels by linking multiple AMM-Gated blocks together (see Linking AMM Blocks to Extend Channels). You can also link these blocks on different sound processors or establish a link by connecting an AMM-Gated block with the CRR (Conference Room Router) block. When you link multiple blocks, you need to set the link mode on each block to Master, Slave, or CRR. If you are not linking AMM-Gated blocks, set the link mode to Standalone.

Note: The ESP sound processors do not support linking AMM-Gated or AMM-Gain Sharing blocks.

AMM-Gated Block Configurations

There are several available AMM-Gated block output configurations. The default standard unlinked AMM-Gated block provides a single output channel that outputs only the Mix.

AMM-Gated Block - Standard with four inputs and a mix output

Direct Output Block - You can configure the block to output not only the Mix but also a Direct Output for each input channel. To add direct output channels to the block, right-click the block and select Enable Direct Outputs.

AMM-Gated Block - Standard with mix and direct outputs

Master Link Mode Block - If the block's Link mode is set to Master, Mix and Chain ports are added to the input side, and Sum is added to the output side. The Master block is designated with an M in the lower-right corner and the Link ID is displayed in the upper-right corner.

AMM-Gated Block - Master with mix and direct outputs

Slave Link Mode Block - If the block's Link mode is set to Slave, Mix, Chain, and Sum ports are added to the input side, and Chain is added to the output side. The Slave block is designated with an S in the lower-right corner and the Link ID is displayed in the upper-right corner.

AMM-Gated Block - Slave with mix and direct outputs

CRR Link Mode Block - If the block's Link mode is set to CRR, a Sum port is added to the input side and Chain is added to the output side. The CRR block is designated with a C in the lower-right corner.

AMM-Gated Block - CRR with mix and direct outputs

AMM-Gated Block Control Panel

Double-click the AMM-Gated block in Signal Processing view to open its control panel.

AMM-Gated Control Panel - Offline

The following image shows the online AMM-Gated control panel with input and output signals.

AMM-Gated Control Panel - Online

When online and when the gate is open, the background color of the Mic label turns green. In the input level meter, the ambient noise level is indicated by a purple line and the gate threshold level is indicated by a light blue line.

The AMM-Gated control panel provides the following controls for each input:

  • Mic: Specifies each input channel. The input channel label can be renamed by the user. When online, the background color of the label turns green if the gate is open.
  • - Input: Indicates the signal level coming into the microphone, in dBFS. The light blue line indicates the gate threshold level (detected by ATS or set manually). The purple line indicates the ambient noise level detected by ATS.
  • - AutoGain: Indicates the gain being applied to the channel by the algorithm, in dB. AutoGain consists of the total gain of Gate Gain, Ducking, and NOM attenuation.
  • - Priority: Assigns a priority level to each channel. Setting a channel's priority level forces the other lower-priority input channels to duck or reduce in level when the channel gates on. Priority level 1 is the highest priority level. Priority level 5 is equivalent to no priority adjustment and is the default priority level for all microphones.
  • - Gain: Adjusts the post-gate output level of the input channel. The range of adjustment is -∞ to 12 dB. The default value is 0 dB.
  • - Mute: Attenuates the output of each channel. The control panel button is red when Mute is enabled.
  • - Mute Group: Determines the mute group number of the channel. The muting operation of multiple channels that have the same mute group number is linked. For example, if one mic in Mute Group 1 is muted, all mics in Mute Group 1 will be muted. Select None (default) or assign a mute group number from 1 to the total number of input channels minus 1. None means the mute function of the channel is not linked with other channels.
  • Options Expansion Panel - Upper: When expanded, detailed options for the input channel are displayed. Click the Maximize button [image] to expand (or the Minimize button [image] to hide) the upper options expansion panel:
  • - Thresh: Enables a channel gate to open when a predetermined signal level is reached. When the signal drops below this threshold, the channel gate closes. By default, gate threshold is set automatically by ATS.

You can specify automatic or manual setting of the gate threshold level with the Auto Threshold button. When this button is green, the gate threshold level is automatically set by ATS. When this button is gray, the gate threshold level can be set manually, and the value specified in the text box is the gate threshold. The default is -50.0 dBFS and the range is -80.0 dBFS to 0.0 dBFS.

The gate threshold level is indicated by a light blue line in the input level meter.

  • - Bypass: Forces the channel to remain open at all times by circumventing the detection circuitry. The button is green when Bypass is enabled.
  • - Direct Output: If direct outputs are enabled on the AMM-Gated block, you can specify the direct output source as Pre or Post. The default setting is Post.
  • Pre: (Post Gate / Pre NOM) - Gate gain and ducking are applied to the direct output signal. NOM attenuation is not applied.
  • Post: (Post Gate / Post NOM) - Gate gain, ducking, and NOM attenuation are applied to the direct output signal.
  • Options Expansion Panel - Lower: When expanded, detailed options for the input channel are displayed. Click the Maximize button [image] to show (or the Minimize button [image] to hide) the lower options expansion panel:
  • - Trigger LPF: Specifies the low-pass filter (LPF) cut-off frequency, in Hz. The default is 20.0 kHz and the range is 20.0 Hz to 20.0 kHz.
  • - Trigger HPF: Specifies the high-pass filter (HPF) cut-off frequency, in Hz. The default is 20.0 Hz and the range is 20.0 Hz to 20.0 kHz.
  • - RMS Avg: Value is the length, in milliseconds, of the RMS averaging performed on the detection signal chain. The default is 50 ms and the range is 0 to 500 ms.
  • - Ducking: Determines the amount of ducking applied to the channel when the priority channel is open. The default is -6.0 dB, and the range is -60.0 to 0.0 dB
  • - Gate Settings:
  • Depth: Amount of attenuation applied when the input gate is not open. The default is -70.0 dB, and the range is -70.0 to 0.0 dB.
  • Attack: Time, in milliseconds, from when the gate is turned on until it is fully open. The default is 0.5 ms, and the range is 0.5 to 500 ms.
  • Hold: Time that the gate will remain open once the signal is no longer present. The default is 1000 ms and the range is 1 to 50000 ms.
  • Decay: Time required for the gate to transition from its open to fully attenuated state. The default is 1000 ms and the range is 1 to 50000 ms.
  • - NOM g (NOM gain): Determines whether the channel is added to the NOM (Number of Open Microphones) count. The button is green when NOM gain is On, and the gate status of the channel affects the NOM count and NOM attenuation is applied to the channel. The button is gray when NOM gain is Off, and the gate status of this channel does not affect the NOM count and NOM attenuation is not applied to the channel.
  • Output: Includes an Output level indicator, Gain setting, Mute button, and NOM options:
  • - Output: Indicates, in dBFS, the output level from the block.
  • - Gain: Adjusts the overall output level of the AMM-Gated block. The default is 0 dB and the range of adjustment is -∞ to 0 dB.
  • - Mute: Attenuates the output channel. The button is red when Mute is enabled.
  • - NOM attn (NOM attenuation): Activates the NOM attenuation function, which applies –10*Log(NOM) output attenuation to the channel.
  • - NOM Limit: Determines the maximum number of microphones that may be active at any time. The default is the total number of channels in the selected AMM-Gated block, and the range of values is from 1 to the total number of channels in the selected AMM-Gated block.

When the Link mode of the AMM-Gated block is set to Master or Slave, the maximum NOM Limit value is the total number of channels of the linked AMM-Gated blocks. Linked AMM-Gated blocks share the same NOM Limit value.

When the Link mode of the AMM-Gated block is set to CRR, the maximum NOM Limit value is the total number of channels of the AMM-Gated block (in CRR mode) that is connected to the CRR block belonging to a specific RCGroup. The linked AMM-Gated block to which the rooms of the connected CRR are combined shares the same value as the NOM Limit.

The NOM Limit applies to all linked AMM-Gated blocks. It is not applied separately to each AMM-Gated block.

If the NOM Limit value is less than the number of microphones that are active, the following logic is used to determine which microphones are selected:

  • Priority: Channels meeting all other conditions take precedence over lower priority channels.
  • First-come, first-served: Activates channels in the order that required conditions are met and held.
  • Lowest-numbered channel: Activates sequentially, starting from the lowest numerically valued channel in ascending order until the NOM limit is reached.
  • - Designated Mic On: You can select the method used to open the gate when no signal is present. The default setting is None. Available options include:
  • None: Gate is closed.
  • Ch. n: (Where n is the channel number) Allows the specified channel to remain open even after it falls below threshold. The channel continues to remain open until another channel becomes active.
  • Last Mic Hold: Allows the channel that was last opened to remain open, even after it falls below threshold. The channel continues to remain open until another channel becomes active.

When you set the block's link mode to Master or Slave, you can specify the channels of other AMM-Gated blocks in the link to Designated Mic On. Linked AMM-Gated blocks share the same Designated Mic On setting.

When you set the link mode of the block to CRR, the Designated Mic On option can specify a channel of an AMM-Gated block in CRR mode connected to the CRR module belonging to a specific RCGroup. The linked AMM-Gated blocks with which the rooms of the connected CRR are combined share the same Designated Mic On setting.

  • Link: Sets one of the following link modes for the block:
  • - Standalone: Unlinked mode (default). Use this if you are not linking any blocks.
  • - Master: When linking blocks without CRR, you must set the link mode of one block to Master.
  • - Slave: When linking blocks, you must set any block to Slave link mode that is not set to Master link mode.
  • - CRR: When linking blocks with CRR room combining, you must set the link mode of all AMM blocks to CRR.
  • Link ID: A link group number. Blocks with the same link ID are linked. For blocks in Master mode and Slave mode, specify the link ID when linking the blocks. Default is 1 and the link ID can be set from 1 to 8. For blocks in CRR mode, the link ID is automatically assigned by connecting to the CRR block belonging to the same RCGroup. If the AMM-Gated blocks have different link IDs, the NOM Limit option and Designated Mic On option will not function together correctly.

Note: Blocks with different link IDs cannot be linked. To configure separate linked groups of AMM blocks, make sure the AMMs in each have a different link ID. See Linking AMM Blocks to Extend Channels for more information.

  • ATS (Adaptive Threshold Sensing): Detects the ambient noise from the input signal by BSF (Band-stop Filter) and automatically determines the optimum gate threshold level based on the ambient noise level detected. You can also connect a microphone dedicated to sensing ambient noise to the Ambient input of the AMM-Gated block and use it as an input source.
  • - LPF: Lower cutoff frequency of BSF, in Hz. Default is 200.0 Hz and the range is 20.0 Hz to 20.0 kHz.
  • - HPF: Higher cutoff frequency of BSF, in Hz. Default is 4000.0 Hz and the range is 20.0 Hz to 20.0 kHz.
  • - Slope: You can select slope of BSF as 6dB/oct or 12dB/oct. Default is 12dB/oct.
  • - Filter: Apply BSF to ATS source or remove it from ATS source. Default is On.
  • - Attack: Time constant for ambient noise level detector. This determines the speed of the rise of the measured ambient noise level. Default is 10000 ms and the range is 100 ms to 10000 ms.
  • - Release: Time constant for ambient noise level detector. This determines the speed of the fall of the measured ambient noise level. Default is 50 ms and range is 10 ms to 1000 ms.
  • - Margin: Determines the difference between the ambient noise level and the threshold level of the gate. Default is 3.0 dB and the range is -18.0 to 18.0 dB.
  • - Source: Input source for ATS. Options are:
  • Mic Mix: Sum of all input channels is used as the input source for ATS. This is the default.
  • Ambient: Connect a microphone dedicated to sensing ambient noise to the Ambient input port on the block and use it as the input source for ATS.
  • Sensitivity: When Ambient is selected as the input source for ATS, you can adjust the sensitivity for the ambient noise of the Ambient input port on the block. For example, if the microphone dedicated to sensing ambient noise is close to the source of ambient noise, and the microphone that picks up a talker's voice is far from the source of ambient noise, this setting should be lowered.

If the Ambient input is not used, this setting does not affect the operation of ATS. Default is 0.0 dB and the range is -20.0 dB to +20.0 dB.

Notes:

  • To open only the microphone closest to the talker, the channel with the highest input signal level is opened. This channel is called Best Mic.
  • If there are multiple talkers, the channels with an input signal level of -5 dB or more relative to the level of the Best Mic channel are also opened.
  • A channel with an input signal level less than -5 dB for the Best Mic channel level will not open, even if it exceeds the gate threshold.
  • The Best Mic algorithm is determined by the input signal level and is not affected by Priority.

AMM-Gated Functional Block Diagram

The AMM-Gated functional diagram illustrates the signal flow and logic operations of the block.

AMM-Gated functional block diagram


Linking AMM Blocks to Extend Channels

You can extend the number of channels in either an Automatic Microphone Mixer: Gain Sharing or Automatic Microphone Mixer: Gated (ControlSpace EX) block in a ControlSpace EX signal processor by linking multiple AMM blocks together. For example, you can link two AMM blocks of 32 channels each to create a 64-channel block.

IMPORTANT: You can only link AMM blocks of the same type (gain sharing or gated). You cannot link AMM-Gain Sharing blocks to AMM-Gated blocks.

Note: ControlSpace ESP engineered sound processors do not support the linking of AMM blocks.

When linking multiple AMM blocks, you must set the link mode of each block to either Master or Slave. There can be only one Master AMM block in the chain; the rest are set to Slave.

Only blocks with the same link ID can be linked. Blocks with different link IDs are not linked. To configure separate linked groups of AMM blocks, ensure the AMMs in each group have a different link ID.

To link multiple AMM blocks:

  1. Drag the desired number of AMM blocks into Signal Processing view and select the number of mic input channels for each block.
  2. Designate one of the AMM blocks as the Master. To do this, double-click the block to open its control panel, and then select Master from the Link menu.
  3. Designate each of the remaining AMM blocks that you want to link (to the designated Master) as a Slave. To do this, open the block's control panel, and then select Slave from the Link menu.
  4. Ensure that the Master and the Slave blocks all have the same link ID in the upper-right corner of each block. If not, assign the appropriate ID number by selecting it from the Link ID menu in the block's control panel.

In the examples in the remainder of this topic:

  • The inputs and outputs of linked AMM blocks are connected via audio routes (see Audio Routing Functions). If you need to link AMM blocks across two different sound processors, use Dante audio routes (see Managing Dante Audio Routes).
  • Ambient inputs are not shown in the examples for AMM-Gated blocks. If you are using an ambient mic source, it must be connected to the Ambient inputs of all AMM-Gated blocks, both the Master and the Slaves.

Chain Inputs and Outputs

The Chain input and output signal paths are as follows:

  • Chain input – receives mix information, control and Chain signals from the Chain output of another linked AMM block.
  • Chain output – outputs mix, control and Chain signal information to the Chain input of the next linked AMM block.

In effect, cascading the Chain outputs and Chain inputs of the linked modules creates a loop in which the Master AMM block receives the Chain signal from the last Slave AMM block in the chain.

In the following example, AMM 1 is the Master and the remaining AMM blocks are Slaves. AMM 2 outputs the first Chain connection to AMM 3. AMM 3 receives the Chain signal from AMM 2 and outputs that combined Chain signal to AMM 1. AMM 1 receives the combined Chain signal from AMM 3, completing the chain.

AMM Linking - Chain inputs and outputs

Sum Inputs and Outputs

The Sum input and output signal paths are as follows:

  • Sum output – outputs a summed signal of mic inputs and Chain signals from the Master AMM block to all linked AMM blocks. The Sum output is only available on the Master AMM block.
  • Sum input – receives the Sum output signal(s) from the Master AMM block. Sum inputs are only on the Slave AMM blocks, and all linked Slave blocks must have their Sum inputs receive the Sum output from the Master AMM block.

In the following example, the Sum output of Master block AMM 1 is connected to Sum inputs of Slave blocks AMM 2 and AMM 3.

AMM Linking - Sum inputs and outputs

Mix Inputs and Outputs

The Mix input and output signal paths are as follows:

  • Mix input - receives combined audio Mix from another AMM in the chain of linked AMM blocks.
  • Mix output – outputs the combined audio Mix of the AMM block’s internal inputs and any combined audio Mix from other AMMs in the chain connected through that AMM block’s Mix input.

In the following example, the Mix output of AMM 1 is the top of the linked cascade connection. AMM 2 is the second in the cascade and AMM 3 is the last. Therefore, the Mix output of AMM 3 will contain the full mix of all channels among the connected AMM modules.

Note: The Master module does not have to be the first Mix output in the chain.

AMM Linking - Mix inputs and outputs

Note: You can link AMM blocks on different sound processors in the same manner as in the above examples, but you must use Dante Audio Routes.


About Conference Room Router and Combiner

About Conference Room Router

The Bose Professional ControlSpace Conference Room Router (CRR) is a signal processing block that is built into ControlSpace EX-1280C, EX-440C, and EX-12AEC processors. The CRR receives all the input signals for a single conference room and mixes them to produce all the required output signals for that room.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

Conference Room Router Block

The CRR block is dynamically created to provide the routing processing necessary to program a conferencing solution, and comprises both matrices and gain elements. In the CRR block, you can configure inputs/outputs for specific purposes, and routing and gain parameters are set accordingly.

In a CRR block, you can:

  • Use the Conference Room Router (CRR) Configuration Wizard to define the I/O configuration.
  • Adjust several volume controls (which include gain and mute) via the CRR control panel.
  • Edit cross-points related to the speaker outputs via a Speaker Matrix.
  • Edit CRR routing cross-points via the Advanced Matrix view.
  • Disable or enable incoming audio (voice lift) from combined rooms via the Advanced Matrix view.

Room Combining

The Conference Room Combiner (CRC) feature enables you to combine a CRR block with other CRR blocks by registering them in the same RC (Room Combiner) Group. You can combine up to six CRR blocks within a single RC Group.

For more information on CRR and CRC, see:

  • Configuring a Single CRR
  • Configuring Combined Rooms
  • CRR Block Input and Output Ports
  • CRR Control Panels
  • CRC Control Panels
  • CRR Speaker Matrix
  • CRR Functional Block Diagram and Description
  • Advanced Matrix View
  • Storing CRR Settings in Parameter Sets
  • Linking CRR Blocks to Automatic Mic Mixer (AMM) Blocks

Note: CRC is supported only in ControlSpace EX-1280C, EX-440C, and EX-12AEC signal processors.


Configuring a Single CRR

The Conference Room Router (CRR) provides a single object that can be quickly added to a design file and easily configured to set up a conference room. The CRR Configuration Wizard simplifies configuration by enabling you to select the appropriate quantity of each type of input and output. When the wizard is closed, the CRR block is configured with the selected inputs and outputs.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

To use the CRR Configuration Wizard to configure a CRR block for a single room:

  1. Expand Conferencing in the SP Tool Kit, and then drag a CRR block into Signal Processing view.

Dragging CRR block into Signal Processing view

The CRR Configuration Wizard appears:

CRR Configuration Wizard

  2. Set the appropriate CRR options in the wizard:
  • AEC Reference - for a single AEC reference, select 1 AEC ref. To configure a separate AEC reference for each speaker zone output (includes front speakers and each overhead zone), select AEC ref/speaker zone.
  • Front Speakers - if you need front speaker output, select this option. If you select the Stereo option in this section, the front speaker output becomes stereo.
  • Mics (Pre-AEC) - specify the number of individual microphones in this section. The minimum is 0 and the maximum is 32.
  • Overhead Zones - if you need overhead zone outputs, specify the number of zones in this section. The minimum is 0 and the maximum is 16.

Notes:

  • Overhead Zone is equivalent to Voice Lift zone. To avoid feedback, the signal from the microphone placed in this zone should not be sent to the loudspeaker covering this zone.
  • You may not define a configuration that does not have both front output and overhead output. If you try to set the number of overhead zones to zero with the Front Speakers option unselected, the front speakers will be selected automatically. If the number of overhead zones is zero and you clear the Front Speakers check box, the number of overhead zones automatically becomes 1.
  • Program Input - if you need program input, select this option. If you select the Stereo check box in this section, the program input becomes stereo.
  • Aux Outputs - specify the number of auxiliary outputs in this section. The minimum is 0 and the maximum is 8. If you select the Stereo check box in this section, the auxiliary output becomes stereo.
  • Far End In/Out - specify the far-end inputs and outputs in this section. The minimum is 0 and the maximum is 8. If you select the Stereo check box in this section, the far-end input and output becomes stereo.

Note: VoIP, PSTN and USB I/O correspond to the far-end I/O.

  3. Click OK in the CRR Configuration Wizard to add the block to Signal Processing view.

CRR - single block with one AEC reference

The option labels in the wizard are the input and output labels in the CRR block. You can change an input or output label name in the wizard by clicking the label and entering a new label name.

Note: To modify an existing CRR block (e.g., change the number of inputs/outputs or enter new labels), right-click the CRR block and select Wizard to reopen the CRR Configuration Wizard.

For a description of the I/O parameters in the CRR block, see CRR Block Input and Output Ports.

For a description of the controls in the CRR control panel, see CRR Control Panels.


Configuring Combined Rooms

The Conference Room Combiner (CRC) feature enables you to combine a CRR block with other CRR blocks by registering them in the same RC (Room Combiner) Group.

Note: CRC is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC signal processors.

To configure combined rooms for conferencing, you must add each CRR block (one per room) to an RCGroup. You can combine up to six CRR blocks (rooms) within a single RC Group.

  1. From the menu bar, click Window and then select RCGroups, or click the RCGroups toolbar button [image] to open the RCGroups window.

  2. Drag and drop the CRR block into the RCGroup. Alternatively, you can right-click the CRR block, select Add to RCGroup, and select the RCGroup in which to include the CRR block.

CRR - dragging block into RCGroup

When a CRR is added to an RCGroup, a label appears in the top-right corner of the CRR block indicating which RCGroup it belongs to and which room number that CRR represents within the RCGroup. For example, the label, “1.1” indicates RCGroup 1, Room 1.

When multiple CRR blocks are registered in the RCGroup, input ports and output ports for connecting to each CRR are automatically added to the CRR block. For example, in the case of two CRRs registered to the RCGroup, the following ports are added to CRR 1, where 2 is the room number of the other CRR block (CRR 2) to be combined:

  • Input side - AMM Chain, RC 2 Mics, RC 2 PreMics, RC 2 NonMics L, RC 2 NonMics R, and RC 2 Chain
  • Output side - AMM Sum, RC Mics, RC PreMics, RC NonMics L, RC NonMics R, and RC Chain

Note: If the number of Mics (Pre-AEC) is zero, there will be no RC n PreMics or RC PreMics ports.

CRR 1 - example of ports added in combined multiple blocks

Corresponding ports are added to CRR 2 where n is the room number of the other CRR block (1 in this example).

CRR 2 - corresponding ports when combined with CRR1

Audio routes (or Dante audio routes for multiple EX-1280C, EX-440C, and/or EX-12AEC systems) are automatically added by CSD to connect the appropriate RC I/O ports between combined CRR blocks.

For more information about:

  • Ports and audio routes that are added when CRRs are placed in the same RCGroup, see CRR Ports in RCGroups.
  • I/O ports and parameters in a CRR block, see CRR Block Input and Output Ports.
  • Controls in the CRR control panel, see CRR Control Panels.
  • Room Combine Layout and Room Combine control panels, see CRC Control Panels.
  • RCGroup functions, see RCGroups.

Removing a CRR Block from an RC Group

You can remove a CRR block from an RC Group using either of these methods:

  • Right-click the target CRR block in the RCGroup window and select Delete.

  • Select the target CRR block in the RCGroup window and press the Delete key.


CRR Block Input and Output Ports

Configuring a Conference Room Router (CRR) with the appropriate inputs and outputs to match the needs of each project is easily accomplished by selecting the appropriate quantity of each type of input and output in the CRR Wizard.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

When you click OK in the CRR Configuration Wizard, the CRR block is configured with the selected inputs and outputs. The option labels in the wizard become the input and output labels in the CRR block.

CRR Configuration Wizard options in CRR block

Adding a CRR to an RCGroup also creates additional inputs and outputs on that CRR to facilitate room combining. Each of these inputs and outputs has a specific routing requirement.

CRR block when combined with another block

CRR Input Ports

The input ports that appear in a CRR block vary depending upon the options selected in the CRR Configuration Wizard and whether the CRR has been added to an RCGroup and/or combined with one or more CRR blocks. Therefore, a CRR block may include any of the following input ports:

  • Mic Mix (Post-AEC) - input for the mix of microphone signals. The signal from this input is sent to the auxiliary outputs, far-end outputs, and RC Mics output.

Note: Use Mic Mix (Post-AEC) when microphone inputs are processed by the AEC and the AMM.

In the following example, four microphones are connected to analog inputs, and analog output 1 is connected to a loudspeaker via a power amplifier. Because microphone signals are not sent to the Front output, they are not outputted from the loudspeaker.

CRR - example of Mic Mix (Post-AEC)

  • Mic n (Pre-AEC) - input for the individual microphone signals. The signal from this input can be sent to the front speaker output and overhead zone outputs by turning on the cross-point of the CRR Speaker Matrix.

Note: Use Mic n (Pre-AEC) when you need to send microphone signals to the speaker outputs.

In the following example, four microphones are connected to analog inputs, and analog output 1 is connected to a loudspeaker via a power amplifier. Microphone signals that are inputted to Mic Mix (Post-AEC) are sent to the far-end outputs, and microphone signals that are inputted to Mic n (Pre-AEC) are sent to the overhead zone output. This connection is recommended because the signal processing of the AEC involves propagation delay. Additionally, insert an AMM block between the analog input block and Mic n (Pre-AEC) inputs.

CRR - example of Mic Mix (Pre-AEC)

  • Program - input for the program source such as a DVD player. The signal from this input is sent to the AEC Ref output(s), auxiliary outputs, far-end outputs, and RC NonMics output. The signal from this input can also be sent to the front speaker output and overhead zone outputs by turning on the cross-point of the Speaker Matrix. This input can be stereo and is defined in the CRR Configuration Wizard.
  • Far End - input for the far-end device. The signal from this input is sent to the AEC Ref output(s), auxiliary outputs, far-end outputs (except the output that has the same ID number as the input), and the RC NonMics output. The signal from this input can also be sent to the front speaker output and overhead zone outputs by turning on the cross-point of the Speaker Matrix. This input can be stereo and is defined in the CRR Configuration Wizard.

Note: To prevent feedback, this input signal is not sent to the output that has the same ID number as this input.

  • AMM Chain - input for connecting with the Chain output of the AMM. The signal from this input is sent to the AMM Sum output and the RC Chain output. Leave this input open if you are not using an AMM in combination with the CRR.
  • AMM Chain (Pre-AEC) - input for connecting with the Chain output of the AMM before the signal passes through the AEC block.
  • RC n Mics - input for the microphone signal output from the room to be combined (n represents the room number of the room to be combined). This input is ON (unmuted) when the room is combined, and OFF (muted) when the room is not combined. By default, when the input is ON, the signal from this input is sent to the auxiliary outputs and far-end outputs. This routing can be changed in the Advanced Matrix view.
  • RC n PreMics - input that receives the mix of Pre-AEC Mics from the room to be combined (n represents the room number of the room to be combined). This input is ON (unmuted) when the room is combined, and OFF (muted) when the room is not combined. By default, when the input is ON, the signal from this input is sent to the overhead zone outputs. This routing can be changed in the Advanced Matrix view.
  • RC n NonMics - input for non-microphone signal output from the room to be combined (n represents the room number of the room to be combined). This input is ON (unmuted) when the room is combined, and OFF (muted) when the room is not combined. By default, when the input is ON, the signal from this input is sent to the AEC Ref output(s), auxiliary outputs, and far-end outputs. This routing can be changed in the Advanced Matrix view. When the room is combined, this signal is also sent to the overhead zone outputs. If no overhead zone outputs are available, this signal will be sent to the front speaker output. This can be changed using the Speaker Matrix, or the Advanced Matrix view.
  • RC n Chain - input for the RC Chain output from the room to be combined (n represents the room number of the room to be combined). The signal from this input is sent to the AMM Sum output when the room is combined. If the room is not combined, the signal from this input is not sent anywhere.
  • RC n Chain (Pre-AEC) - input for the RC Chain output from the room to be combined before the signal passes through the AEC block.

CRR Output Ports

As with CRR input ports, the output ports that appear in a CRR block vary depending upon CRR Configuration Wizard selections and whether the CRR is in an RCGroup and/or combined with any other CRR blocks. Therefore, a CRR block may include any of the following output ports:

  • AEC Ref - output for the reference input of the Acoustic Echo Cancellation - AEC block. If you are using multiple AEC references, one for each speaker zone, the AEC Ref outputs are separately labeled AEC Ref F (for the front speaker zone) and AEC Ref 1, AEC Ref 2, and so on for each overhead speaker zone. Connect these outputs to the Ref inputs of the respective AEC blocks, if used. Leave these outputs open if you do not use AEC blocks.

When you are using a single AEC reference, the following input signals are sent to this output:

  • - Program input
  • - Far End input
  • - RC n NonMics input (only when the room is combined)

When you are using multiple AEC references, the following input signals are sent to these outputs:

  • - Program input
  • - Far End input
  • - RC n NonMics input (only when the room is combined)
  • - Mic n (Pre-AEC), only when Mic n (Pre-AEC) signal is sent to the corresponding speaker zone
  • Front - output for the front speaker. This output can be stereo - it is defined in the CRR Configuration Wizard. You can set routing of the following input signals for this output, using the Speaker Matrix:
  • - Mic n (Pre-AEC) input
  • - Program input
  • - Far End input
  • - RC n NonMics input (only when the room is combined)
  • Overhead - output for the overhead zone. You can set routing of the following input signals for this output, using the Speaker Matrix:
  • - Mic n (Pre-AEC) input
  • - Program input
  • - Far End input
  • - RC n PreMics input (only when the room is combined)
  • - RC n NonMics input (only when the room is combined)
  • Aux - auxiliary output. Aux can be used for various purposes. This output can be stereo - it is defined in the CRR Configuration Wizard. The following input signals are sent to this output:
  • - Mic Mix (Post-AEC)
  • - Program input
  • - Far End input
  • - RC n Mics input (only when the room is combined)
  • - RC n NonMics input (only when the room is combined)
  • Far End - output for the far-end device. This output can be stereo - it is defined in the CRR Configuration Wizard. The following input signals are sent to this output:
  • - Mic Mix (Post-AEC)
  • - Program input
  • - Far End input (except the input which has the same ID number as this output)
  • - RC n Mics input (only when the room is combined)
  • - RC n NonMics input (only when the room is combined)
  • AMM Sum - output for connecting with Sum input of AMM. The following input signals are sent to this output:
  • - AMM Chain
  • - RC n Chain (only when the room is combined)

Leave this output open if you do not use an AMM in combination with the CRR.

  • AMM Sum (Pre-AEC) - output for connecting with Sum input of AMM before the signal passes through the AEC block.
  • RC Mics - output for microphone signal input of the room to be combined. Mic Mix (Post-AEC) input signal is sent to this output. This output signal should be connected to RC n Mics input of all CRR blocks to be combined (n represents the room number of this CRR block).
  • RC PreMics - output for sending the mix of Pre-AEC Mics to the room to be combined.
  • RC NonMics - output for the non-microphone signal input of the room to be combined. The Program input signal and Far End input signals are sent to this output. This output signal should be connected to the RC n NonMics input of all CRR blocks to be combined (n represents the room number of this CRR block). This output becomes stereo when there is stereo on the Program input or Far End inputs.
  • RC Chain - output for the RC n Chain input of the room to be combined. The AMM Chain input signal is sent to this output. This output signal should be connected to the RC n Chain input of all CRR blocks to be combined (n represents the room number of this CRR block).
  • RC Chain (Pre-AEC) - output for the RC n Chain input of the room to be combined before the signal passes through the AEC block.

CRR Ports in RCGroups

The following I/O ports are displayed when the CRR block is registered in the RCGroup.

Note: You can register up to six CRR blocks in one RCGroup. This means that you can combine up to six rooms.

  • AMM Chain
  • AMM Chain (Pre-AEC)
  • AMM Sum
  • AMM Sum (Pre-AEC)
  • RC Mics
  • RC PreMics (appears only if at least one Pre-AEC mic is specified)
  • RC NonMics
  • RC Chain
  • RC Chain (Pre-AEC)

The following inputs are displayed when another CRR block to be combined is registered in the same RCGroup, where n represents the room number of the other CRR block to be combined:

  • RC n Mics
  • RC n PreMics (appears only if the other CRR which is connected to the RC input has an RC PreMics output)
  • RC n NonMics
  • RC n Chain (Pre-AEC)

When you register the CRR block in the RCGroup, if there is a CRR block in the RCGroup to be combined, the following I/Os are connected automatically by an audio route or Dante audio route. You do not need to connect them manually:

  • RC n Mics
  • RC n PreMics (appears only if the other CRR which is connected to the RC input has an RC PreMics output)
  • RC n NonMics
  • RC n Chain
  • RC n Chain (Pre-AEC)
  • RC Mics
  • RC PreMics (appears only if at least one Pre-AEC mic is specified)
  • RC NonMics
  • RC Chain
  • RC Chain (Pre-AEC)

Combined CRRs with audio routing automatically added


CRR Control Panels

Double-click either the single CRR block or the multiple combined CRR block to display their control panels.

Both single and multiple CRR control panels offer most of the same functions. However, the multiple combined CRR block control panel provides access to room combining functions and other information.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

Basic Control Panel for All CRR Configurations

Single CRR Block

Basic CRR Control Panel

The basic CRR control panel provides the following controls and level meters:

Volume control - there are volume controls for Input Sources (Program input and each Far End input), respectively:

  • Program - Program input

  • Far End n - Far End n input

There are also three Master volume controls.

  • Non-Mic Mix - Program input, Far End inputs, and RC NonMics inputs
  • Mic Mix - Mic Mix (Post-AEC) input
  • Pre-AEC Mics - Mic (Pre-AEC) inputs
  • Master Volume - Front speaker output, overhead zone outputs and AEC Ref output

All of these controls provide the following options:

  • Gain slider - determines the gain of the signal. The range of adjustment is from -60 to 12 dB. Default is 0 dB.
  • Gain value - is entered directly into the text box. Tracks the Gain slider setting.
  • Level meters - are displayed in the area of volume controls. Each meter indicates the level of the corresponding signal.
  • Mute button - determines whether the signal is muted. When the mute is turned on, this button turns red. When the mute is turned off, this button turns gray. The default setting is unmuted.
  • Speaker Matrix - opens the CRR Speaker Matrix. This button is only available when the CRR's Matrix Mode is set to Normal.
  • Advanced Matrix (not shown) - opens the Advanced Matrix View. Note that this button replaces the Speaker Matrix button when the CRR's Matrix Mode is set to Advanced.

When rooms are combined, volume controls of Non-Mic Mix are synchronized with those of the combined CRR blocks. This synchronization also applies to the Mic Mix and Master Volume controls. The following rules apply to volume control synchronization:

  • Mute - When the rooms are combined, if there is a muted volume control, the corresponding volume control of all combined CRR blocks will also be muted. When one of mute settings is changed, the mute state of all combined CRR blocks will also reflect that change.
  • Gain - When the rooms are combined, the gain of the volume control is adjusted to the lowest setting. When one of gain settings is changed, the gain of all combined CRR blocks will also reflect that change.

Control Panel for Multiple Combined CRR Configurations

CRR - combined multiple block control panel

This offers the same functionality as the basic control panel, with these additional options:

  • Room Combine Control Panel button - opens the Room Combine control panel or the Room Combine Layout control panel.
  • Group - displays the number of RCGroup to which this particular CRR block belongs.
  • Room # - displays the room number of this particular CRR block.

Note: The room number is assigned automatically when you register the CRR block to the RCGroup.

The RCGroup and room numbers are also displayed as RCGroup#.Room# in the upper right corner of the block. In the following example, the number displayed is 1.2, which indicates an RCGroup number of 1 and a room number of 2.

  • Room name - displays the name of the room at the top and in the center of the block. You can edit the name of the room on Room Combine Layout control panel.


Room Combine Layout and Room Combine Control Panels

CRC Control Panels

The Conference Room Combiner (CRC) includes two control panels; Room Combine Layout and Room Combine.

Note: CRC is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

After you have configured combined rooms by adding CRR blocks (rooms) to an RC Group, you can define the basic layout of your rooms in the Room Combine Layout control panel. After the layout is defined, you can then combine or separate rooms by using the Room Combine control panel.

To access either of the CRC control panels, open the CRR control panel for one of the CRRs in the RCGroup, and then click the Room Combine Control Panel button.

The Room Combine Layout control panel opens automatically if you have not yet defined the room layout. The Room Combine control panel opens if the room layout is already defined.

Note: You can open the Room Combine Layout control panel at any time by clicking Edit Room Layout in the Room Combine control panel.

Room Combine Layout Control Panel

Use the Room Combine Layout control panel to define the physical layout of your rooms. The left side of the control panel contains a layout grid in which you select blocks to diagram the rooms and their arrangement. The right side of the control panel lists the rooms by number and by name. The room number is automatically assigned and cannot be changed. Room names are automatically assigned in consecutive order as CRR 1, CRR 2, CRR 3, and so on. You can change a room label by overwriting it in the room label text box.

Room Combine Layout control panel

Room Layout

To create and edit a layout:

  1. Click a square in the layout grid to designate each room in consecutive order (you will be able to modify the layout later). The first square you select is assigned the number 1 (for CRR1) , the second is assigned the number 2 (for CRR2), and so on up to the six room maximum in an RC (Room Combiner) Group.

    Room Combine Layout control panel, with a six-room layout

  2. You can expand a room by clicking the border between it and an adjacent, blank square.

    Cursor placement to expand room 5 to include square below it

    The border is removed and the room is now expanded.

    Click border to expand room 5

  3. To indicate moveable walls/partitions between rooms, click the solid gray border between room blocks. The resulting dotted line represents a movable wall/partition.

Moveable partition between rooms 1 and 2

  4. To delete a room, click the room's block to select it.

    Note: The room block is blue when selected. Clicking the blue block will cancel the selection.

    Select a room to delete

  5. Click Delete to remove the room from the layout.

    Room 5 removed from layout

    Note: To delete all rooms, click Clear All.

  6. To save the room layout, click OK. This opens the Room Combine control panel.

Room Combine Control Panel

After you have set up the basic room layout in the Room Combine Layout control panel, you can use the Room Combine control panel to combine or separate rooms.

Note: You must click Edit Room Layout in the Room Combine control panel to combine or separate rooms.

Room Combine control panel

Combining Rooms

You can combine rooms by clicking the first of the rooms you want to combine. The block turns blue to indicate that it is selected. Hold the Ctrl key and click the block(s) of the room(s) that you want to combine with the selected room.

Note: You can select nonadjacent rooms.

All of the selected blocks turn blue and each is outlined with the same color to indicate that they are combined.

Room combination

When rooms are combined, each room combination is distinguished by one of three colors; red, orange, or blue.

Color-coding for three sets of combined rooms

Adding to an Existing Room Combination

To add a room to an existing room combination, click one of the rooms in the combination. All of the room blocks that are outlined with the same color for that combination will turn blue. Hold the Ctrl key and click the block(s) of the room(s) that you want to add to that combination.

Creating Multiple Room Combinations

To create a new room combination, click the first of the rooms you want to combine.

Note: The borders (walls) around uncombined rooms are always gray.

The block turns blue and should be the only blue block in the layout grid. Hold the Ctrl key and click the block(s) of the room(s) that you want to combine with the selected room. Note that the new room combination is distinguished by a different color.

Second room combination

Removing a Room From a Combination

To remove a room from a combination, click one of the blocks in the existing room combination. All of the room blocks in that combination will turn blue. Hold the Ctrl key and click the block(s) of the room(s) that you want to remove from that combination.


CRR Speaker Matrix

Audio routing to loudspeaker outputs is controlled by the Speaker Matrix control panel. The CRR Speaker Matrix enables you to edit several cross-points related to the loudspeaker output. Click the Speaker Matrix button in the CRR control panel to open the Speaker Matrix control panel.

Notes:

  • CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.
  • Access to the Speaker Matrix control panel is available only when the CRR block's Matrix Mode is set to Normal. To set this mode, right-click the CRR block and select Matrix Mode > Normal.

Speaker Matrix control panel

You can set a cross-point to On or Off and adjust the gain setting. A cross-point is blue when it is On or gray when it is Off. To change the gain setting, right-click on a cross-point and use the slider control.

The Speaker Matrix control panel contains the following settings:

  • Mic n (Pre-AEC) - same as Mic n (Pre-AEC) input. Default setting of the cross-point is Off.
  • Program - is equivalent to Program input. The default settings are as follows:
  • - When there are both a front speaker output and overhead zone output, the overhead zone output = Off and the front speaker output = On.
  • - When there is a front speaker output but no overhead zone output, the front speaker output = On.
  • - When there is no front speaker output but there is an overhead zone output, the overhead zone output = On.
  • Far-End - is equivalent to a mix of Far End inputs. The default settings are as follows:
  • - When there are both a front speaker output and an overhead zone output, the overhead zone output = On and the front speaker output = Off.
  • - When there is a front speaker output but no overhead zone output, the front speaker output = On.
  • - When there is no front speaker output but there is an overhead zone output, the overhead zone output = On.
  • Overhead n - same as Overhead n output.
  • Front - same as the front speaker output.

Notes:

  • The Program row and Far-End row are each displayed on one row even if they include a stereo signal. The Front column is displayed on one column even if the front speaker output is stereo.
  • If there is at least one local Far-End input and a Program input, RC n NonMics follows the Far-End input 1 routing. If there is a Program input but no local Far-End inputs, RC n NonMics follows the Program input routing. If there are no Program or Far-End inputs, RC n NonMics routes to all speakers.


CRR Functional Block Diagram and Description

The following functional block diagram illustrates the signal processing capabilities of the CRR block:

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

CRR - functional block diagram

Note: The RC n CO label in the CRC Matrix in the diagram has since been renamed to RC n Chain in the CRR block.

  • Mic Matrix - matrix for Mic n (Pre-AEC) and RC n PreMics input. The cross-points of the Mic Matrix for the speaker zones correspond to the cross-points of the Mic n (Pre-AEC) input of the CRR Speaker Matrix.
  • - When using a single AEC reference, the AEC Ref F and AEC Ref n outputs are zero.
  • - When using multiple AEC references, AEC Ref F outputs the microphone signals assigned to Front by the Speaker Matrix and AEC Ref n outputs the microphone signals assigned to Overhead n by the Speaker Matrix.
  • CRC Matrix - matrix for RC n Chain input. When the room corresponding to the RC n Chain input is combined, the cross-point is turned On.
  • NonMic Matrix - matrix for inputs other than Mic n (Pre-AEC) input and RC n Chain input. It includes the cross-points of the Program and the Far-End in the Speaker Matrix.
  • Speaker Output Mixer - mixes the outputs of Mic Matrix and a portion of the outputs of NonMic Matrix, as follows:

Front = Front from Mic Matrix + Front from NonMic Matrix

Overhead 1 = Overhead 1 from Mic Matrix + Overhead 1 from NonMic Matrix

…

Overhead L = Overhead L from Mic Matrix + Overhead L from NonMic Matrix (where L is the number of overhead zones)

  • AEC Ref Output Mixer - mixes a portion of the outputs of Mic Matrix and a portion of the outputs of NonMic Matrix.
  • When you are using a single AEC reference:

AEC Ref F = AEC Ref F from NonMic Matrix. This signal is sent to AEC Ref output.

  • When you are using multiple AEC references:

AEC Ref F = AEC Ref F from Mic Matrix + AEC Ref F from NonMic Matrix

AEC Ref 1 = AEC Ref 1 from Mic Matrix + AEC Ref 1 from NonMic Matrix

…

AEC Ref L = AEC Ref L from Mic Matrix + AEC Ref L from NonMic Matrix (where L is the number of overhead zones)

The signal processing performed by Mic Matrix, NonMic Matrix, Speaker Output Mixer, and AEC Ref Output Mixer can be seen in the Advanced Matrix View.


Advanced Matrix View

The Advanced Matrix view displays the current state of signal processing routes for all input/output cross-points in a CRR block. You can set a cross-point to either On or Off and adjust the gain setting. A cross-point is blue when it is On or gray when it is Off. To change the gain setting, right-click a cross-point and use the slider control.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

Use care when you turn on a cross-point in the Advanced Matrix view. Some cross-points may cause feedback when turned On.

You can also return the Advanced Matrix view to its Default Settings.

To display the Advanced Matrix view:

  1. Ensure that the CRR block Matrix Mode is set to Advanced. To do so, right-click the CRR block and select Matrix Mode > Advanced.

  2. In the CRR control panel, click Advanced Matrix.

Example of Advanced Matrix View - Default Settings

The current status of room combining including any changes is always reflected in the Advanced Matrix view. For example, if another room is joined with Room 1, the RC n Mics, RC n PreMics, and RC n NonMic inputs for that room would be turned ON. If the other room is not joined, those inputs would be turned OFF.

The Advanced Matrix View tracks the current settings in the Speaker Matrix. For example, if you turn on the cross-point from Mic 1 (Pre-AEC) to Overhead 1 in the Speaker Matrix, the corresponding cross-point in the Advanced Matrix View is also turned On.

Default Settings

If any changes have been made to the Advanced Matrix view, you can click the Default Settings button in the Advanced Matrix view to return all settings to their factory defaults. When you return the CRR to Default Settings mode, the Default Settings button in the Advanced Matrix view is disabled.

Note: When Advanced Matrix view is not currently showing default settings, i.e. changes were made, an unlocked icon is displayed in the upper left corner of the CRR block.

CRR block with unlocked icon - indicates not in Default Settings mode

The factory-default settings shown in Advanced Matrix view may be affected by the status of room combining and the Speaker Matrix settings.

Editing the cross-point of an RC input in the Advanced Matrix view does not affect the status of the room combining. However, a change in the status of the room combining overwrites the setting of the RC input cross-point in Advanced Matrix view.

If you change Matrix mode from Normal to Advanced, the Advanced Matrix view inherits the settings of the Speaker Matrix and these settings are used as the default settings.

If you change Matrix mode from Advanced to Normal, a warning pop-up displays indicating that the Advanced Matrix view will be reset. Any edits you made in the Advanced Matrix view will not be saved. If you click Yes to continue, the Advanced Matrix view is reset to the factory-default settings.

As shown in the screen example for default settings earlier in this topic, there are four combinations of input and output for default settings:

  • Monaural input - monaural output

  • Monaural input - stereo output

    The input signal is distributed to the left output and the right output with a gain of -3 dB.

  • Stereo input - monaural output

    The left input signal and the right input signal are mixed with a gain of -3 dB and sent to the output.

  • Stereo input - stereo output

    The left input signal is sent to the left output. The right input signal is sent to the right output.

Although these default settings apply to all cross-points, you can always make adjustments to any cross-points in Advanced Matrix view.

Volume/Mute Settings

Volume/Mute settings in Advanced Matrix View

The volume gain and mute settings in the Master Controls area of the CRR control panel are also reflected as follows in Advanced Matrix view and may not be edited:

1 - Mic Mix

2 - Non-Mic Mix

3 - Master Volume

An unmuted volume setting is colored blue. A muted setting is colored gray.

RC Input ON/OFF Indicators

In Advanced Matrix view only, the RC n Mics, RC n Non Mics, and RC n PreMics inputs each have two indicators: ON and OFF. These are set to ON when the room is combined, and OFF when it is split. They may not be edited.

Default RC input indicator settings

The indicators work as follows:

  • When an RC input is OFF (red), the input signal is muted and therefore the input signal is not routed to any output, even if the applicable cross-point is On.
  • When an RC input is ON (green), the input signal is not muted and therefore the input signal is routed to each output as long as the applicable cross-point is On.
  • The cross-point states are not affected by any changes to room combining or splitting.
  • The cross-point states are not affected by any change in RC input indicator states.

The cross-points from the RC n inputs can be changed to customize their routing to loudspeakers, auxiliary and far-end outputs when the room is combined.


Storing CRR Settings in Parameter Sets

You can store Conference Room Router (CRR) settings in a parameter set, which you can then use to store and recall the value of one or more specific parameters within your CRR object.

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

To store the settings of a CRR block in a parameter set:

  1. Drag and drop the CRR block into the parameter set. The Select Store Target dialog box opens.

    Select Store Target dialog box - example

  2. Select any of the following options, as needed:

    • Room Settings - any CRR settings not related to room combining. This includes volume settings, the settings of the CRR Speaker Matrix, and Advanced Matrix View settings. It also includes the current state of ON/OFF indicators for RC n Mics, RC n Non Mics, and RC n PreMics in the Advanced Matrix View. If selected, these settings are stored in the parameter set.
    • Room Combine - only CRR settings related to room combining. You can select each room combination to store in the parameter set.
  3. Click Assign to commit the selected settings to the parameter set.

For more information on using parameter sets, see Parameter Sets.


Linking CRR Blocks to Automatic Mic Mixer Blocks

Linking CRR Blocks to Automatic Mic Mixer (AMM) Blocks

Conference Room Router (CRR) blocks can be used in combination with either Automatic Microphone Mixer: Gain Sharing or Automatic Microphone Mixer: Gated (ControlSpace EX)blocks as part of a stand-alone conference room configuration. For a conference room that can be divided into smaller rooms, you can use Audio Routes to link AMM blocks to CRR blocks to manage routing between the smaller room segments. You can also link AMM blocks on different sound processors by connecting the blocks via Dante audio routes (see Managing Dante Audio Routes).

Note: CRR is supported only on ControlSpace EX-1280C, EX-440C, and EX-12AEC processors.

When the CRRs are combined in the same RCGroup, the AMM blocks connected to them must link to each other. In this case, set the link mode of the AMM appropriately:

  • AMM-Gain Sharing: Set the Link mode to CRR.
  • AMM-Gated: Set the Link mode to CRR.

You must also connect the following input and output ports on the CRR block:

  • AMM Chain: Input port for inputting the sum of the mic inputs of the AMM. Connect this input to the Chain output of the AMM block. The signal from the CRR's AMM Chain input is sent to the CRR's AMM Sum output and the RC Chain output.
  • AMM Sum: Output port for outputting the sum of all mic inputs of the AMMs. Connect this output to the Sum input of the AMM block. The following input signals are sent to this output:
    • - AMM Chain
    • - RC n Chain (only when rooms are combined)

Example of CRR block linked to AMM-Gain Sharing block

Example of CRR block linked to AMM-Gated block

In the CRR block, the AMM Chain input port signal is routed to the RC Chain output port. The RC Chain output port signal is routed to the RC n Chain input port of the other CRR blocks that are combined with this CRR.

If the CRR blocks are combined (the rooms are combined), the input signals from RC n Chain and from AMM Chain are mixed and then sent to the AMM Sum output port. If the CRR blocks are not combined (the room is divided), the input signal from RC n Chain and from AMM Chain are not mixed and only the input signal from AMM Chain is sent to the AMM Sum output port. As a result, the output signal from the AMM Sum output port is equivalent to the sum of all Chain outputs of the AMM blocks that are connected to the combined CRR block.

CRR blocks also mix mic signals according to the condition of the combination of CRR blocks. Therefore, you do not have to cascade the Mix inputs and Mix outputs of the AMM blocks. The result is that the AMM routing is properly directed according to the combination of CRR blocks (rooms).

This configuration should apply to each separate AMM for Post-AEC and for Pre-AEC (voice lift). The AMM type does not matter.


Dynamic EQ for EX Signal Processors

The Dynamic EQ signal processing function monitors the low-frequency output of loudspeakers not supported by SmartBass, and compensates for a perceived loss of bass response at low listening levels.

Notes:

  • It is recommended that the Dynamic EQ block is placed as the last SP block in the signal path.
  • A Dynamic EQ block has one mono input and one mono output and it can only be wired to the inputs of the following SP block types:
  • - Meter
  • - Analog Output
  • - Digital Output

Adding Dynamic EQ to a Project

To add a Dynamic EQ signal processing (SP) block to your project:

  1. In Signal Processing view, expand the Speaker Processing node in the SP Tool Kit.
  2. Click Dynamic EQ and drag the block onto the design workspace.

    3. Add Dynamic EQ Signal Processing Block

Dynamic EQ Control Panel

The Dynamic EQ control panel allows you to configure Dynamic EQ, and to calibrate it when the system is online. To access the Dynamic EQ control panel, do one of the following:

  • Double-click the Dynamic EQ block in Signal Processing view.
  • Right-click the Dynamic EQ block in Signal Processing view and then click Open.
  • Click the Dynamic EQ block in Signal Processing view and then press Enter.

    Dynamic EQ Control Panel - Offline

The title bar of the Dynamic EQ control panel includes the names of the processor and the Dynamic EQ block. The Dynamic EQ control panel also includes the Bypass button, which enables or disables the bypass state. When Bypass is enabled, the button is green and Dynamic EQ is excluded from the signal path.

Note: You can also control the bypass state of a Dynamic EQ block by adding it to a parameter set or to a group.

Calibrating Dynamic EQ

When the system is online, the Dynamic EQ control panel includes the Calibrate button, which opens the Dynamic EQ Calibration dialog box and disables Bypass if it is currently enabled.

Dynamic EQ Control Panel - Online

Note: When you initiate a connection and select Send to Devices (Upload design), the following reminder message appears:

To calibrate the signal for Dynamic EQ:

  1. Connect to the system by clicking the Go Online button [image] in the main toolbar or by selecting Tools > Go online.
  2. Open the Dynamic EQ control panel, and then click Calibrate.

    The Dynamic EQ Calibration dialog box opens and the system will play pink noise.

  3. While holding an A-weighted SPL (sound pressure level) meter at an average listening location, click the up and down arrows or type directly in the Calibration level text box to adjust the calibration level until the SPL meter reads 70 dB-SPL.

    NOTES:

    • Calibration level adjustments are made in 0.5 dB increments.
    • Increasing the calibration level increases the loudness of pink noise and vice versa.
    • The minimum calibration level is -60.0 dB and the maximum calibration level is 12.0 dB.
  4. When you are finished, click Complete Calibration and close the Dynamic EQ control panel.

IMPORTANT: Do not make or allow changes to the output block after Dynamic EQ calibration is performed. If gain adjustment is needed, add Gain blocks to the left of the Dynamic EQ block.

NOTES:

  • An uncalibrated Dynamic EQ module will display a warning icon in Signal Processing view:

  • Devices with uncalibrated Dynamic EQ modules will be displayed in the Scan results dialog box when going online. The warning that is displayed will be similar to the warnings in the following image:


Enhanced AGC

The Enhanced Auto Gain Control (Enhanced AGC) SP block automatically adjusts the gain so that the signal level is within the specified range. Summary of the signal processing behavior of the Enhanced AGC block:

  • When the input signal level exceeds the Max Target value, Enhanced AGC reduces the gain so that the output signal level equals the Max Target value.
  • When the input signal level is less than the Min Target value, Enhanced AGC increases the gain (boost) so that the output signal level equals the Min Target value.
  • When the input signal level is between the Min Target and the Max Target values, Enhanced AGC sets the gain to 0 dB.
  • When the input signal level is less than the Activity Threshold value, Enhanced AGC sets the gain to 0 dB and does not boost the signal. Enhanced AGC does not become active until the input signal exceeds this threshold.

Note: Enhanced AGC functionality is supported only by the EX-1280C sound processor.

Setting the Number of Channels

The Enhanced AGC block supports from 1-32 input and output ports. To set the number of input and output channels for an Enhanced AGC block:

  1. Drag the Enhanced AGC block into Signal Processing view.

  2. In the AGC Enhanced dialog box, select or type in the number of input/output channels (32 max) using the Channels selector control.

  3. Click OK to add the block to the Signal Processing view.

You can add inputs/outputs to an existing Enhanced AGC block at any time by right-clicking on the block and selecting Change Channel Count. You can then select the number of channels to add, up to a maximum of 32 inputs and 32 outputs.

Enhanced AGC Block and Control Panels

Double-click the Enhanced AGC block in Signal Processing view to open its control panel.

Enhanced AGC processing block

Enhanced AGC control panel

The Enhanced AGC control panel provides the following controls for each channel:

  • Hold - indicates a hold state. When the input signal level transitions from a state above the Activity Threshold to a state below the Activity Threshold, the channel is in the hold state. When the channel is in the hold state, this indicator turns blue. Otherwise, this indicator turns white.
  • Input - indicates the signal level coming into the channel, in dB.
  • Gain - indicates the gain that is applied to the channel by the algorithm, in dB.
  • Activity Threshold slider - sets the threshold for the minimum value of the input signal level at which the Enhanced AGC algorithm becomes active. When the input signal level is less than Activity Threshold, Enhanced AGC sets the gain to 0 dB and does not boost the signal. When the input signal level exceeds the Activity Threshold, the gain is adjusted per the other settings described in this section. The range of adjustment is from -70 to 0 dB, and the default value is -40 dB.
  • Threshold value - entered directly into the box. It tracks the Activity Threshold slider setting.
  • Min Target slider - sets the Min Target value. When the input signal level is less than the Min Target but greater than the Activity Threshold, Enhanced AGC increases the gain (boost) so that the output signal level becomes equivalent to the Min Target. The range of adjustment is from -40 to 24 dB, and the default value is -6 dB.

Note: You cannot set this value greater than the value of the Max Target.

  • Max Target slider - sets the Max Target value. When the input signal level is greater than the Max Target, Enhanced AGC reduces the gain so that the output signal level equals the Max Target value. The range of adjustment is from -40 to 24 dB, and the default value is 6 dB.

Note: You cannot set this value lower than the Min Target value.

  • Min value - entered directly into the box. It tracks the Min Target slider setting.
  • Max value - entered directly into the box. It tracks the Max Target slider setting.

Note: When the input signal level is between the Min Target and the Max Target, Enhanced AGC sets the gain to 0 dB.

  • Cut Rate - sets the change speed of the gain when the input signal level is greater than Max Target. The range of adjustment is from 0 to 9000 dB/s, and the default value is 10 dB/s.
  • Boost Rate - sets the rate of change of the gain when the input signal level is less than the Min Target and greater than the Activity Threshold. The range of adjustment is from 0 to 9000 dB/s, and the default value is 10 dB/s.
  • Cut Range - sets the maximum amount of attenuation when the input signal level is greater than the Max Target. The range of adjustment is from 0 to 30 dB, and the default value is 18 dB.

Note: Since the attenuation will not exceed the value of Cut Range, the signal level may not decrease to the Max Target value when the input signal level is very high.

  • Boost Range - sets the maximum amount of the boost when the input signal level is less than the Min Target and greater than the Activity Threshold. The range of adjustment is from 0 to 30 dB, and the default value is 6 dB.

Note: Since the boost will not exceed this value, the signal level may not be boosted up to the Min Target when the input signal level is very low.

  • Cut Hold - sets the hold time when the input signal level changes from the state in which it is greater than the Max Target to the state in which it is lower than the Activity Threshold. The gain is held during hold operation. The range of adjustment is from 0 to 60 sec, and the default value is 10 sec.
  • Boost Hold - sets the hold time when the input signal level changes from the state in which it is greater than Activity Threshold to the state in which it is lower than Activity Threshold. The gain is held during hold operation. The range of adjustment is from 0 to 60 sec, and the default value is 10 sec.
  • Bypass - removes the channel from the algorithm and allows its signal to pass through the Enhanced AGC with no attenuation or boost. Bypass button turns red when the bypass is turned on, and turns gray when the bypass is turned off.

The Enhanced AGC control panel provides the following additional options:

  • Total Gain - indicates the total boost gain of all channels. If a channel is attenuated, its gain is not included in this total - only boost gain is included.
  • Maximum Total Gain slider - sets the maximum value for the total boost amount of all channels. You can limit the total boost amount of all channels with this setting. The range of adjustment is from 0 to 60 dB, and the default value is 24 dB.

Note: The Maximum Total Gain option prevents the combined gain boost of all currently boosting channels from exceeding this limit. This limitation on boost amount is achieved by gain allocation. The gain of each channel is allocated in proportion to the gain of the channel which it would receive if it were the only active channel. For example, channel A alone would get +16 dB and channel B alone would get +14 dB. If Maximum Total Gain is set to +15 dB, channel A gets +8 dB and channel B gets +7 dB.

  • Max Gain value - entered directly into the box. It tracks the Maximum Total Gain slider setting.


SmartBass

SmartBass for EX Signal Processors

The SmartBass signal processing function enhances the low-frequency output of select loudspeakers by providing a custom-tailored preset of Dynamic EQ and excursion limiting. SmartBass optimizes bass without causing distortion or driver over-excursion.

IMPORTANT: SmartBass only works with specific Bose Professional loudspeakers and only with Bose Professional amplifiers.

Notes:

  • It is recommended that the SmartBass block is placed as the last SP block in the signal path.
  • A SmartBass block has one mono input and one mono output and it can only be wired to the inputs of the following SP block types:
  • - Meter
  • - Analog Output
  • - Digital Output

Adding SmartBass to a Project

To add a SmartBass signal processing (SP) block to your project:

  1. In Signal Processing view, expand the Speaker Processing node in the SP Tool Kit.
  2. Click SmartBass and drag the block onto the design workspace.

Add SmartBass Signal Processing Block

The SmartBass Configuration wizard opens.

  3. Configure the following setting in the SmartBass Configuration wizard:
  • Speaker: Select a loudspeaker from the drop-down list of all Bose Professional loudspeakers that support SmartBass.
  • Amplifier: Select an amplifier from the drop-down list of all Bose Professional amplifiers that support SmartBass.
  • Amplifier Notes: Provide configuration guidance that is specific to the selected amplifier.
  • Input: Select Analog or Digital to specify whether the amplifier used with SmartBass is configured for analog or digital input.
  • Impedance: Select the amplifier's impedance output from the drop-down list.
  • Speaker PEQ: Select the Add PEQ check box to enable, or clear it to disable parametric equalizers for the selected loudspeaker. When enabled, a SpeakerPEQ block is added in front of the SmartBass block in Signal Processing view. Speaker PEQ is enabled by default.
  • Outputs: Expand the nodes that list the unused channels in the analog and digital output blocks. Select at least one output channel by selecting the check box for the channel you want to connect to the SmartBass block, and then click OK.
  4. When you are finished configuring the settings in the SmartBass Configuration wizard, click OK.

    The SmartBass block is now connected to the selected output block. If Speaker PEQ is enabled, a Speaker PEQ block is also connected to the SmartBass block.

Note: If you click OK in the SmartBass Configuration wizard without selecting an output channel, the following message appears:

Click OK in the message dialog box, and then in the in the SmartBass Configuration wizard, select an output channel and click OK.

SmartBass Control Panel

The SmartBass control panel allows you to configure SmartBass equalization, and to calibrate SmartBass when the system is online. To access the SmartBass control panel, do one of the following:

  • Double-click the SmartBass block in Signal Processing view.
  • Right-click the SmartBass block in Signal Processing view and then click Open.
  • Click the SmartBass block in Signal Processing view and then press Enter.

SmartBass Control Panel - Offline

The title bar of the SmartBass control panel includes the names of the processor and the SmartBass block. The SmartBass control panel also includes the following options:

  • Speaker: Drop-down list of all Bose Professional loudspeakers that support SmartBass. These loudspeakers have a predefined threshold gain that is used when calibrating SmartBass.

    Note: The Speaker drop-down list is disabled when the device is online.

  • Amplifier: Drop-down list of all Bose Professional amplifiers that support SmartBass.
  • Input: Drop-down list from which you can specify the amplifier's input type as analog or digital.
  • Impedance: Drop-down list from which you can select the amplifier's impedance output.
  • Bypass: Enables or disables the bypass state. When Bypass is enabled, the button is green and SmartBass is excluded from the signal path.

    Note: You can also control the bypass state of a SmartBass block by adding it to a parameter set.

  • Amplifier Notes: Provide configuration guidance that is specific to the selected amplifier.

Calibrating SmartBass

When the system is online, the SmartBass control panel also includes a Calibrate button, which opens the SmartBass Calibration dialog box and disables Bypass if it is currently enabled.

SmartBass Control Panel - Online

Note: When you initiate a connection and select Send to Devices (Upload design), the following reminder message appears:

To calibrate the signal for SmartBass:

  1. Connect to the system by using the Go Online button [image] in the main toolbar or by selecting Tools > Go online.
  2. Open the SmartBass control panel, and then click Calibrate.

The SmartBass Calibration dialog box opens and the system will play pink noise.

  3. While holding an A-weighted SPL (sound pressure level) meter at an average listening location, click the up and down arrows or type directly in the Calibration level text box to adjust the calibration level until the SPL meter reads 70 dB-SPL.

    NOTES:

  • Calibration level adjustments are made in 0.5 dB increments.
  • Increasing the calibration level increases the loudness of pink noise and vice versa.
  • The minimum calibration level is -60.0 dB and the maximum calibration level is 12.0 dB.

  4. When you are finished, click Complete Calibration and close the SmartBass control panel.

NOTES:

  • An uncalibrated SmartBass module will display a warning icon in Signal Processing view:

  • Devices with uncalibrated SmartBass modules will be displayed in the Scan results dialog box when going online. The warning that is displayed will be similar to the warnings in the following image:


PowerMatch Configurable Professional Amplifier Devices

PowerMatch Configurable Professional Power Amplifier Devices

There are eight PowerMatch devices in the Device List shown below:

  • Four models are available via a network/USB connection; PM8500N, PM8250N, PM4500N, and PM4250N.
  • Four models are available via a USB connection only; PM8500, PM8250, PM4500, and PM4250.

While signal processing between networked and USB-only versions of PowerMatch amplifier models are identical, USB versions do not include an Ethernet network connection and may only be configured using its USB connection.

The devices are added to the Project view using the same drag and drop mechanism as other devices within the ControlSpace Designer software.

PowerMatch networked and USB-only amplifier blocks


Amplifier Properties

PowerMatch Amplifier Properties

To view the device properties for a PowerMatch amplifier, right-click the amplifier's Project view icon and select Properties from the context menu.

From within the PowerMatch amplifier device properties you can specify the amplifier output configuration, the digital input card type and network communication options. When selected, the Properties panel is displayed as shown:

From within the Device Properties, the following options are available:

  • Common – Contains the properties that are common to all devices within ControlSpace Designer.
  • - Device Name – This is the label used for the amplifier within ControlSpace Designer. Once a connection is established, this name is displayed on the front panel of the unit.
  • - Firmware Vers – Displays the currently loaded firmware version of the device. "Unknown" is displayed when the device is initially dragged into the Project view. This field updates after going online.
  • Network – Displays the current network settings for network versions of PowerMatch amplifiers. Within the properties pane for the USB versions, this section is labeled “Device Identification” since no network options are available.
  • - Set IP Address – Clicking this button allows you to change the IP address of the device.
  • - Hardware Manager – Clicking this button opens the Hardware Manager dialog box (see Launching the Hardware Manager).
  • - Wink – Causes the front panel display of the unit to flash momentarily. This function is available only when the amplifier is online.

Note: All network versions of PowerMatch amplifiers are configured for DHCP operation at the time of manufacture. When an installation is performed, the network configuration should be set to fixed IP addressing. See Setting Device IP Addresses to learn how to modify the network settings for a PowerMatch amplifier.

  • Digital Input – Selects the type of digital card installed in the Expansion slot: None, ESPLink, CobraNet, Dante, AES3, or AmpLink. When a digital input is selected, the corresponding digital inputs/outputs are displayed on the device view of the PowerMatch amplifier.

Note: Device properties for PM4250/N and PM4500/N amplifiers allow selection between the upper 4 or lower 4 channels of the digital input card. This allows you to send 8 channels of audio to the amplifier, with channels 1-4 carrying separate program material from channels 5-8.

  • Output Configuration – Determines the output mode for each pair of amplifier outputs. See the PowerMatch Output Configuration section for additional details.
  • Misc – Includes the following settings:
  • - Display – Determines the display brightness for the front panel display of the hardware. Available settings are Normal and Dim.
  • - Alarms – Activates alarm messaging. When selected, the PowerMatch amplifier broadcasts alarm conditions on the network. Click Setup to configure the alarm conditions that will trigger a notification. See Working with Alarms (PowerMatch) for instructions.
  • - Auto Standby – Activates automatic standby. When selected, the PowerMatch amplifier will automatically place itself into standby when it no longer detects an input signal after a specified time period. Click Setup to configure Auto Standby (see Working with Auto-Standby (PowerMatch)).
  • - Panel Lock – Enables the front panel lock. Use the numeric lock to specify the access code. Once the front panel is locked, you will be required to enter the passcode when connecting to the PowerMatch amplifier using either the network or USB interface.
  • - Power Up State – The power on state describes the state of the hardware settings at the time the amplifier has power applied, or comes out of Standby. In USB models the default selection is Restore Last Settings and in Network models the default is to have this selection disabled.
  • When Restore Last Settings is selected, the amplifier will save its current operating state when powering down, or entering standby. When power is restored these settings will be restored. This is the default operation for USB-only models.
  • When Restore Last Settings is deselected, the initial 'power on state' that was saved at the time the configuration was sent to the hardware using ControlSpace Designer software will be used when power is restored. This is the default operation for network models.


Output Configuration

PowerMatch Output Configuration

Each pair of PowerMatch amplifier outputs may be configured for Mono, V-Bridge, or I-Share mode to accommodate various loudspeaker loads and power levels. In addition, four amplifier channels, two pairs, may be configured for operation in Quad Mode (Current and Voltage Bridged) to deliver four times the power of a single channel.

To configure the output section of a PowerMatch amplifier:

  1. Go Offline. The output configuration may only be changed when the PowerMatch amplifier is off-line.
  2. Display the PowerMatch Amplifier Properties. Output configuration settings are located within the amplifier properties panel.
  3. Select the desired Output Configuration.
  4. Close the Properties panel.
  5. Go Online. Select the Go online button or choose Go online from the Tools menu.

  6. Select Send to Devices from the available options.

    The Output Configuration dialog box appears if the output configuration in the Project view does not match the output configuration of the hardware.

    The differences in the output configuration between the Project view and the hardware are highlighted.

  7. To accept the change in output configuration, click Continue.

    • To ignore the change and leave the hardware untouched, click Cancel.
    • When Continue is selected, the new configuration settings are sent to the hardware.
    • Configurations which do not require a special jumper, Mono and VBridge, are implemented immediately within the hardware once the connection is established.
    • Configurations which require the installation of a output wiring jumper, I-Share and Quad Mode, require the unit to be placed into standby.

    At this point you are presented with a secondary dialog box asking you to confirm that the output wiring is correct for the selected output configuration:

  8. Click OK to send the new settings to the hardware, and establish a connection to the amplifier. At this point you will be online and connected to the amplifier, although it will be in standby.

  9. From within Project view, right-click the amplifier’s icon and select Toggle Standby to place the unit into operation.

  10. The Project view and Signal Processing view for the PowerMatch amplifier reflect its current output configuration. You can use these displays to determine the currently active output configuration for the amplifier.


USB connection

PowerMatch USB Connection

The USB control of a device from within ControlSpace Designer software offers an enhanced level of device control as compared to what is available from the front panel. Some devices, like the PowerMatch amplifiers, are available but do not support Parameter Set and Group control of individual processing blocks.

The USB connection may be used to configure processing parameters within the amplifier, monitor operation in real time, or to quickly service and replace an existing system.

Note: ControlSpace Designer software does not support simultaneous USB connections. Only a single device may be controlled via a point to point USB at one time; multiple devices connected to the PC via a USB hub is not supported.

Initial USB Connection

When launching ControlSpace Designer software (or plugging in a PowerMatch amplifier while ControlSpace Designer is running) you will be prompted to establish a connection with the hardware.

USB Connection Dialog

As the connection is established you will need to determine how you wish to connect to the hardware. Available options are to retrieve the hardware settings and display them within ControlSpace Designer, replace the current hardware settings with those in ControlSpace Designer software, or to cancel.

Settings Transfer Dialog

Once the USB connection has been established between the PC and hardware, the PowerMatch amplifier is displayed within the Project view. An active USB device connection is indicated by green background in both the Project and Signal Processing views.

USB Device Numbering

Each USB device within a ControlSpace project uses a unique Device ID. The first USB device uses an ID of 1, and as devices are added to the project view the device IDs are automatically incremented.

Each USB device ships with a Device ID of 1 from the factory. When multiple USB devices are used within a single project you will need to manage the device addresses carefully to avoid applying the incorrect settings to the hardware.

Once a device connection is established between a device and ControlSpace Designer software the association is stored with the Project File. This relationship is maintained for subsequent connections.

Adding a Device to the Project via USB

When connecting to a device via USB, ControlSpace Designer software determines if the new device exists within the project. If the device does not exist within the Project it will be automatically added to the Project view and a connection will be established.

If, however, a USB device of this type is already present within the Project view, and the Device IDs match you will be asked to determine how you would like to manage the hardware configuration and settings.

Settings Transfer:

  • Send To Device – Applies the current configuration and processing settings of the Project view device to the hardware.
  • Get From Device – Applies the current configuration and processor settings of the hardware to the Project view device.
  • Cancel – Stops the connection process and restores control to the ControlSpace Designer software.

In some situations the Device ID of the hardware does not match any of the Device IDs within the Project. In this case you must determine if the hardware to which you are connected is represented by one of the current devices in the Project view, or if it is a new device which must be added to the project.

Associate Device:

  • Add New Device to Project - Adds the device to the Project view. Click OK to establish a connection.
  • Associate with Project Device - Activates the Device List drop-down menu. From this list, select the Project view device to associate with the hardware. Click OK to establish a connection. Any hardware reconciliation dialogs will appear as necessary.
  • Change Hardware ID/IP to match Software - Changes the ID/IP of the new device to match ID/IP used in ControlSpace Designer software.

Front Panel Lock Enabled

A PowerMatch amplifier may be configured to have the front panel locked to prevent access to the system. When a USB connection is established with an amplifier in a locked state you will be prompted to enter the front panel lock combination to enable the connection.

Closing a USB Connection

USB connections may be closed by selecting Go Offline from the Tools menu, clicking the Go Offline button [image],or by disconnecting the USB cable between the PC and hardware.

When supports the control of devices which are configured for USB control. The first time a USB enabled hardware device is connected to the PC you will be prompted to locate and load the correct USB driver for the device. Once this step is performed all subsequent connections via USB will occur automatically.


Signal Processing View

Signal Processing View (PowerMatch)

PowerMatch amplifiers include an integrated loudspeaker processor to provide loudspeaker and array processing for Bose Professional loudspeakers. A fixed block diagram architecture provides input signal processing, routing and output signal processing. The signal processing may be pre-configured and sent to the hardware upon connection, or configured while connected and the settings saved within the hardware.

To view the signal processing functions within the PowerMatch amplifier, select the amplifier’s signal processing tab.

The Signal Processing view includes the full block diagram. To access any of the signal processing functions, double-click the device's icon to expose its control panel.


Input Control

Input Control (PowerMatch)

Control of the input sensitivity for each of the eight inputs, and selection between the input source type, analog or digital, is accomplished using the input Control Panel. Within the Signal Processing view, each input is represented as a block.

The input block and its appearance indicate the following:

  • Input Label – Default label is “In n”, and may be modified while off-line.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible, i.e. the user cannot “wire” this output to another input.
  • Input Signal Level Meter – Displays the current input signal level as green, yellow, orange or red.

Input Control Panel

To access the Input Control Panel, double-click any of the eight input blocks.

Image representative of 8-channel amplifiers. Four channel models have 4 input controls.

The available controls and indicators for the Input Control Panel include:

  • Input Channel Label – Reflects the label applied in the Signal Processing view. The default channel label is "In n."
  • Input Source Select – Selects the desired input source – analog or digital for each input. Digital is available for any of the Digital Type selections (ESPLink, CobraNet, Dante, AES-3, or AmpLink) in the properties panel of the device.
  • Input Channel Sensitivity – Selects the desired input signal level to drive the PowerMatch amplifier to its full output. This item is only available for analog inputs. Digital input sensitivity is found in the amplifier properties panel.

The analog input sensitivity you select will determine the available input headroom and dynamic range of the input channel. When selecting the input sensitivity, it is important to determine that appropriate level of noise performance for the application. See the PowerMatch amplifier Installation Guide for detailed information related to the Analog and Digital input sensitivity settings.

  • Input Channel Signal Level Meter – Displays the current input signal level and is scaled to 0 dBFS and OFF (-inf or MUTE). The meter is monitoring the signal level post A/D conversion, and is monitoring the RMS signal level.
  • Input Channel Mute – Applies a full mute (no audio) to the selected input channel. When the input is in a mute state, the input meter is still active as a reference.


Signal Generator

Signal Generator (PowerMatch)

A signal generator is available within the signal processing diagram for a PowerMatch amplifier to provide the functions of a tone, sweep, and noise generator. Within the Signal Processing view, each signal generator is represented as a block. By default, the signal generator is muted to prevent accidental damage to any loudspeakers connected to the amplifier outputs. The output connector displays the output connection status, active or muted (red).

The available controls and indicators contained within the Signal Generator Control Panel are:

  • Level – Adjusts the output level from the signal generator
  • Signal Type – Selects the type of signal type to be generated: Pink Noise, White Noise, Tone, or Sweep.
  • Generator Routing – Selection for the output where the signal generator will be routed.
  • Generator On/Off – Activates or deactivates the noise generator.
  • Tone Generator Frequency – Selects the desired frequency for the tone generator in Hertz.
  • Swept Sine (Start Freq/End Freq/Sweep Length) – Defines the start and stop frequencies, in hertz, and the sweep length, in seconds.

Note: It is possible to create a reverse sweep by setting the Start Frequency higher than the End Frequency.


Input Parametric EQ

Input Parametric EQ (PowerMatch)

Each input signal processing chain includes an Input Parametric EQ. Within the signal processing view each Parametric EQ is represented as a block.

To access a Parametric EQ Control Panel, double-click its signal processing block. The available controls and indicators for the Parametric EQ Control Panel are described below:

  • EQ Preset Select – Selects a previously stored preset and applies its settings to the PEQ, or saves the current settings as a Preset.
  • - Name - Provides a box to enter a familiar name for the current Preset settings. When no name is entered, default system names are automatically generated. To save the current name, click the Store button.
  • - Store – Commits the current settings to memory. Preset names and settings become part of the design file when saved to disk.
  • - Delete – Removes the currently selected Preset from the drop-down list but retains the Preset settings until a new preset is selected.
  • EQ Graph – Graphs the current PEQ settings.
  • Load / Save Settings – Supports the loading and saving of all current PEQ values to an external .PEQ file on the hard drive.
  • Filter Type – Defines the filter type for the selected filter stage. Available options are PEQ, High Shelf, Low Shelf, Notch, High Pass and Low Pass.
  • Frequency – Defines the frequency, in hertz, where the filter is applied.
  • Q – Defines the Q of the filter for PEQ and Notch filters.
  • Gain – Defines the amount of boost/cut applied to the PEQ stage.
  • Bypass – Bypasses the selected PEQ stage.
  • Sort – Sorts the filter stages by Frequency.
  • Q/BW – Switches between Q and Bandwidth.
  • Bypass All – Bypasses all filter stages.


Array EQ

Array EQ (PowerMatch)

The Array EQ signal processing function provides specialized equalization for RoomMatch and ArenaMatch array module loudspeakers. This unique EQ processor may be used as a general purpose room compensation EQ for standard systems.

To access the Array EQ control panel, double-click its signal processing block in Signal Processing view.

Array EQ Control Panel

The default state of the Array EQ is Bypass, to provide a flat initial response. The following controls are available within the Array EQ control panel:

  • Filter Display – Displays a graphical representation of array equalization settings in both frequency and level. The line represents the composite frequency response of chosen array and advanced filter parameters.
  • Loudspeaker selection - Allows you to select RoomMatch or ArenaMatch array module loudspeakers from the drop-down menu.
  • Advanced check box - Specifies the parameters as either:
  • - Array Parameters – Specifically for use with Progressive Directivity Arrays.
  • Module Quantity – Selects the quantity of modules within the array.
  • Vertical Coverage – Enters the total vertical angle, in degrees, of the array.
  • - Advanced (Filter Parameters) – The Array EQ is represented by three basic filter controls: Center Frequency, Tilt, and Gain. Using these controls, the basic array filter may be modified.
  • Center Frequency – Center frequency of the filter, represented by the dashed line in the Response Graph.
  • Tilt – Adjusts the start and end points of the filter’s slope on either side of the center frequency. Tilt is adjustable between 0 and 10 in steps of 0.3, the greater the tilt the steeper the filter slope.
  • Gain – Amount of boost or cut applied to the filter below the center frequency. Gain is adjustable in 0.3 dB steps between -12 and +2 dB.
Array EQ: Array parameters (Advanced check box not selected) | Array EQ: Filter parameters (Advanced check box selected)

    Note: The Advanced check box and associated Filter Parameters settings are not available for ArenaMatch array module loudspeakers.

  • Restore Defaults - restores parameters to their default settings.
  • Bypass - bypasses the array equalization (flat response).


Matrix

Matrix (PowerMatch)

The Matrix processor routes any input source to one or multiple outputs, or multiple inputs may be routed to a single output. Within the matrix control panel it is possible to apply a cut-only gain to each of the matrix cross points. The output connectors display the output connection status (active or mute).

To access the matrix mixer control panel, double-click its block in the Signal Processing view.

  • Input Label – The input label for each input is determined by the input label for the analog/digital input. To modify an input label for the router, modify the input label property for the input block.
  • Output Label – The output label for each output is determined by the output label for the output block. To modify an output label for the router, modify the output label property for the output block.
  • Assign – Each input is routed, by default, to its corresponding output, 1:1 routing. To route an input to an output, select the desired cross point. Multiple inputs can be routed to a single output.
  • Cross Point Gain – Available using a right-click selection at any cross point.
  • Signal Gen. – Indicates the routing of the signal generator.

Note: To change the routing of the signal generator, use the Signal Generator control panel (see Signal Generator (PowerMatch)).


Band-Pass Crossover

Band Pass Crossover (PowerMatch)

The Band Pass Crossover function provides a single mono crossover for the output signal processing chain. The Band Pass Crossover supports general purpose operation with user defined settings, or provides the loudspeaker specific band pass when a Bose Professional loudspeaker parametric EQ is active.

Within the signal processing diagram, the Band Pass Crossover is represented by a single block.

To access the Band Pass Crossover control panel, double-click the block in the signal processing view. The default state of the Band Pass Crossover is Bypass to provide a flat initial response.

Band Pass Crossover control panel

The following controls are available within the crossover panel:

  • Response Graph – Displays the response curve of the High and Low Pass filter settings.
  • Loudspeaker Preset – When a Bose Professional or custom loudspeaker EQ preset is loaded, the loudspeaker parametric EQ name of the active preset is displayed. Bose Professional loudspeaker presets will cause the band pass controls to be locked. When the controls are locked, “lock” is displayed in the status section next to the EQ Type display.
  • High Pass Filter Type – Affects the low frequency cut off of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel ( 2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • High Pass Frequency – Defines the corner frequency of the filter.
  • High Pass Bypass – When active the high pass filter is bypassed.
  • Low Pass Filter Type – Affects the high frequency cut off of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel (2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • Low Pass Frequency – Defines the corner frequency of the filter.
  • Low Pass Bypass – When active the low pass filter is bypassed.


Loudspeaker Parametric EQ

Loudspeaker Parametric EQ (PowerMatch)

The Loudspeaker Parametric EQ is a signal processing block which provides either a general purpose 9-band parametric EQ, or a Bose Professional loudspeaker equalization curve. When a Bose Professional loudspeaker equalization curve is active additional settings are applied to the Band Pass Crossover, Delay and Limiter signal processing blocks, and the settings are locked to prevent modification.

A custom set of loudspeaker settings (Band Pass, Parametric EQ, Delay and Limiting) may be saved as a preset for future use, or a Bose Professional loudspeaker preset may be saved as a starting point for further customization.

Within the signal processing diagram the Loudspeaker Parametric EQ is represented by a single block.

To access the Loudspeaker Parametric EQ control panel, double-click the block in the signal processing view. The Loudspeaker Parametric EQ provides 9 bands of parametric EQ, and provides access to the Band Pass Crossover settings as a convenience.

The following controls are available within the Loudspeaker PEQ panel:

  • Load Loudspeaker EQ – Displays a "file open" dialog box with the Bose Professionalloudspeaker EQ directory as the default setting. From within this directory, locate and open the desired loudspeaker preset file.

Once a Bose Professional loudspeaker EQ is loaded into the Loudspeaker PEQ, the settings for the Band Pass Crossover, Parametric EQ stages, Delay and Limiter are disabled to prevent modification, and the name of the loudspeaker EQ preset is displayed.

  • Save EQ As – Saves the loudspeaker settings (parametric stages, band pass filter settings, limiter settings and alignment delay setting) as a custom file for use in another channel of signal processing or design. The default location for the Save As… function is My Documents.
  • EQ Type – Displays the name of the loudspeaker EQ which is loaded.
  • Driver Alignment – Displays the amount of driver alignment delay used. This is a read-only parameter for Bose Professional loudspeaker EQs.
  • EQ Graph Display – Illustrates the current response curve that is implemented. Nine grab handles, one for each band, are available and the user may directly adjust the frequency and gain for each band. Note that the graph includes the response of the band-pass filter settings.
  • EQ Gain - Makeup gain applied post EQ. Up to +/- 15 dB of gain may be applied.
  • Band-Pass Filters – This section mirrors the controls within the Band Pass Crossover block (see Band Pass Crossover (PowerMatch)). Changes made here are reflected in the Band Pass Crossover and vice versa.
  • Bypass All – Bypasses all PEQ bands and band pass filters.
  • Parametric EQ Bands – Nine bands of parametric EQ are available. Each band contains the following functions:
  • - TYPE - Filter Type: PEQ, High Shelf, Low Shelf or Notch
  • - FREQ - Center frequency of filter in hertz.
  • - GAIN - Gain of filter in 0.5 dB steps between +20 dB and -20 dB.
  • - BW (Octave)/Q - Selects between 0.14 and 6.67 Octaves in .01 Octave steps (filter Q between 0.1 and 10). A user selection is available to change the display and data entry between BW (Octave) and Q.
  • - Bypass/Bypass All - Bypasses the selected EQ band or all bands.
  • Signal Polarity Control - Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN = non-inverted and RED = inverted.


Limiter

Limiter (PowerMatch)

A Limiter provides both peak and RMS voltage limiting for loudspeaker driver protection.

Note: The limiter block is shown in the processing diagram before the output gain stage, but functionally, the output gain is pre-limiter to provide proper operation.

The limiter may be used as a general purpose peak and RMS limiter. In this application, the peak voltage should be set to prevent over-excursion of the driver, and the RMS limiter should be set to the power handling of the driver; both the peak and RMS values are entered in Volts.

When a Bose Professional loudspeaker preset is active, the Limiter settings are specific to the Bose Professional loudspeaker, and the settings are visible but may not be adjusted.

Within the signal processing diagram the Limiter is represented by a single block.

To access the Limiter control panel, double-click the block in Signal Processing view. The Limiter provides Peak and RMS limiting, a linking function, and metering of the Peak and RMS limiting, as well as the channel output level.

The following controls are available within the Limiter control panel:

  • EQ Type– Displays the currently selected loudspeaker equalization curve within the Loudspeaker EQ processing block.
  • Peak Voltage Limiting – The Peak Voltage Threshold defines the behavior of the Peak Voltage limiter and corresponds to the maximum voltage which may be applied to the driver without causing over-excursion. The read-only attack and release times are shown.
  • RMS Voltage Limiting – The RMS limiter behavior is defined by the RMS Voltage settings: Threshold(V), Attack (msec) and Release (msec).
  • Link Group – The limiter may be assigned to one of four link groups, or may act independently (no assignment). When channels are linked the presence of limiting on any of the linked channels engages the limiter on all linked channels.

When Limiters are linked, their signal processing block displays the Limiter Link Group assignment.

  • Metering – Meters display the amount of gain reduction, in dB, for both the Peak and RMS limiters. A third meter displays the total gain reduction (the greater of either Peak or RMS), in dB, being applied to the signal. An output gain meter is included to assist in the set up and configuration of the limiter.


Signal Delay

Signal Delay (PowerMatch)

A signal alignment delay is provided to accommodate cluster or zone signal alignment. A secondary delay is indicated for Bose loudspeaker signal processing which may not be modified.

Within the signal processing diagram the Delay is represented by a single block.

To access the Delay control panel, double-click the block in Signal Processing view. The Delay provides up to 2 seconds of signal delay per output channel.

The following controls are available within the Delay panel:

  • Value – Amount of signal delay applied based on the selection within the Units drop-down list.
  • Units – The method used to determine the amount of signal delay. Available selections are: milliseconds, sample, meter, millimeter, feet, and inch.
  • Bypass - Bypasses any signal delay setting.


Output Attenuation

Output Attenuation (PowerMatch)

The Output Attenuation block provides control over the amplifier output for the PowerMatch amplifier. Control of the output attenuation is available for each of the eight outputs, based upon the current output configuration, and is accomplished using the output Control Panel. Within Signal Processing view each output is represented as a block.

  • Output Label – Default label is “Out n”, and may be modified while off-line.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible (i.e. the user cannot “wire” this output to another input).
  • Output Signal Level Meter – Displays the current output signal level as green, yellow, orange or red.
  • Output Configuration – The current output configuration is displayed as either individual/mono, Voltage Bridge, Current Share or Quad Bridge. Outputs are configured in the Output Control Panel for the PowerMatch amplifier.

To access the Output Attenuation control panel, double-click any of the Output blocks in the signal processing view. Each of the output channels is available on the Output Attenuation control panel.

The following functions are included for each output control:

  • Output Mode Indicators – Displays the current output configuration for each channel pair. The following are the valid configurations:
  • - Mono - Configured for independent channel operation
  • - V-Bridge – Configured for voltage bridging operation, 2x voltage output. This configuration may drive a low impedance, 4 or 8 Ohm, or high impedance, 70 or 100V.
  • - I-Share – Configured for current sharing operation, 2x output current. This configuration may drive a low impedance, 2 or 4 Ohm, only.
  • - Quad – Configured to use four channels simultaneously to provide 4x the output voltage. This configuration may drive a low impedance, 4 or 8 Ohm, or high impedance, 70 or 100V.

When configured for Quad bridge, the two channel pairs are both configured for current sharing operation, and the Quad Bridge indicator is present as shown:

  • Output Channel Label – Default channel label is “Out n” and can be modified when offline. Channels used for V-Bridge or QuadBridge operation are shown with a “---“.
  • Fault Indicator – Indicates the present of a fault condition within the amplifier channel. Clicking on the Fault indicator displays the Alarm Panel. From here, details about the fault condition can be viewed, and the fault may be cleared.
  • Output Protection Limit Active Indicator – Illuminates yellow when any of the following amplifier protection mechanisms are engaged: Peak or RMS Voltage limiter active, gain reduction due to amplifier temperature, gain reduction due to power supply temperature.
  • Output Channel Attenuation – Displays the output attenuation between 0 dB (full gain) and -infinity dB. This is a user-accessible display where the user may enter a numeric value using a -00.0 format.
  • Output Channel Attenuation Slider – Attenuates the output gain between 0 dB (full gain) and -infinity dB.
  • Output Channel Signal Level Meter – Displays the current output signal level and is scaled to 0 dB (full gain) and -80.
  • Output Channel Mute – When active, mutes the output of the selected channel.
  • Output Channel Signal Polarity – When active, reverses the signal polarity.
  • Output Voltage Display – Displays the current output voltage of the amplifier channel.


PowerMatch Monitor Panel

PowerMatch Monitor Panels

Two types of monitor panels are available for the PowerMatch amplifiers:

  • A full size monitor panel which displays the status of inputs, outputs and faults, as well as provides the ability to put the unit into standby

  • A small amplifier status panel which is displayed when the system status function is enabled

To access a PowerMatch amplifier’s monitor panel, select Open Monitor Panel from the right-click menu of the PowerMatch amplifier within the Project view.

The full size PowerMatch monitor panel provides an overview of the current operational status of the device, and a control to place the amplifier into/out of standby.

From within the PowerMatch amplifier’s monitor view, the following functions are available:

  • Input Status – Displays the currently active input source (Analog/Digital), the Input Card type, and the input signal level for each of the eight inputs (A to H).
  • Mute All – Mutes all output channels.
  • Enter Standby – Toggles the standby state of the amplifier.
  • Output Status – Displays the output status for each output of the amplifier. Included indicators are the output label, channel configuration, channel alarm status, limiting/protect status, the current output signal level, and an output mute.

When the System Status Settings (AutoTile Layout and Collapsed View) are enabled in the View menu, the amplifier status panels for all PowerMatch amplifiers are displayed according to the selected settings.

To access the System Status function, select the system status icon [image] while online and connected to the system.

Each amplifier status panel is displayed using either a collapsed or expanded view. In the collapsed view only the primary status indicators are available.

Select the Detail check box to expand the amplifier status panel to see all of the amplifier’s status indicators.

Indicator | Status
Signal | Green when input signal level is present on any input channel.
Limit | Yellow, when any output limiter is active.
Clip | Red when input clipping is present.
Fault | Red when an alarm condition is active. See the alarm properties within the device properties to configure which alarms conditions will activate this indicator.
Online | Green when device is online.
Standby | Green when device is in standby.
Input Signal Level (channel) | Green, Yellow, Red based on input signal level.
Output Fault (channel) | Red when an alarm condition exists. Click the Fault indicator to view the amplifier alarm panel. Note this displays all alarms, regardless of the settings within the device properties.
Output Limit (channel) | Orange when output limiter is active.
Output Signal (channel) | Green, Yellow, Red based on output signal level.
Output Mode (channel) | Each of the four operation modes is represented using the mode indicators as follows: Mono [image] V-Bridge I-Share [image] Quad


Working With Alarms

Working with Alarms (PowerMatch)

Each PowerMatch amplifier monitors its operation for proper operating temperature, power supply status, amplifier status, open and short wiring, as well as additional alarm conditions. This information is stored locally in an internal log of all alarm conditions, and information from the alarm log may be viewed using the ControlSpace Designer software.

In systems where the ControlSpace Designer software is connected to the devices, either via USB or Ethernet, the time and date of the alarm condition is appended to the alarm.

Alarm Summary

The PowerMatch amplifiers monitor the following alarm conditions:

Category | Alarm Condition | Description
Gain Reduction, Signal Limiting | Limiter Active due to high output current | Protection limiter engaged for any output channel.
Output Fault | Open Circuit | An open circuit, output impedance is greater than 20 Ohms.
Output Fault | Short Circuit | A short circuit detected on an output – output impedance is less than 1 Ohm. This alarm condition is always active and may not be disabled.
Input Fault | Input Clipping | Input Signal Clipping
Input Fault | Loss of Digital Audio Source | Digital audio source expected, but digital audio source is not operational.
AC Power Fault | Loss of AC Power |

For a complete list of PowerMatch amplifier fault conditions, see the PowerMatch Installation Guide at BoseProfessional.com.

Fault Output Configuration

The PowerMatch amplifier includes a hardware fault output capable of driving a normally open, or normally closed contact closure, 1A, 30 VDC maximum. The fault output is intended to provide an external connection to a remote system monitor for fault notification purposes.

The fault output must be enabled for operation, and must have alarm conditions defined which will trigger its operation. This is accomplished from within the Properties Panel of the PowerMatch amplifier.

  • Alarms – when the Alarms check box is selected, the alarm conditions selected in the Alarm Conditions panel will trigger the fault output and front panel fault LED. Clear the Alarms check box to disable alarms.
  • Alarms Setup button – click to configure which alarms will trigger the front panel LED and fault output. When selected the Alarm Conditions panel is displayed.

Select which alarm types will trigger the hardware Fault Output and front panel Fault LED. By default the only alarm condition selected is the AC Power Loss alarm.

  • Alarm Conditions – the state of an alarm condition determines how the alarm will be logged and reported via the Fault Output, front panel Fault LED, and within the ControlSpace Designer software.
  • Alarm ON Indicator – indicates the presence of an alarm condition.
  • Alarm Test – available when online with the PM8500, selecting Test will trigger the Fault Output and Front Panel LED.
  • Alarm Reset – available when online with the amplifier, selecting Reset will reset the Fault Output and Front Panel LED.

Viewing the Alarm Log

Upon connection to the PowerMatch amplifier, the ControlSpace Designer software automatically retrieves the alarm log from the hardware.

To access the amplifier alarm log, use one of the following options:

  • Click the Fault indicator within the Monitor Panel for the amplifier.

  • Click the Fault indicator within the Output Control Panel for the amplifier.

When you have accessed the amplifier alarm log, the alarm log panel is displayed:

From within the Alarm Log Panel you can view, copy, erase and clear alarms. The following functions are provided:

  • Refresh Log – Updates the alarm list to display the most recent alarms that have occurred.
  • Erase Log – Clears the alarm log from both the software and hardware.
  • Alarm List – Displays the list of alarms which have occurred. Alarms are suffixed with either “R” or “A.” “R” indicates a relative time as recorded by the hardware, and “A” indicates the actual time the alarm occurred. Alarms suffixed with “A” occurred when ControlSpace Designer software was connected to the system.
  • Alarm State – Displays the current alarm state of each output channel.
  • Clear Alarms – Clears the alarms within the hardware. Also clears the Fault Output and front panel Fault LED.


Working with Auto-Standby (PowerMatch)

The Auto-Standby function detects the presence of an input signal on any available input channel. When Auto-Standby is active, the absence of an input signal for a specified time period causes the unit to place itself into Standby.

This function is available in all PowerMatch amplifier models.

To set up the Auto-Standby function:

  1. Select a PowerMatch amplifier in the Project view and open its Properties dialog box:

  2. Select the Auto-Standby check box to enable the Auto-Standby function and then click the Setup button.

    This opens the Auto-Standby Properties dialog box:

  • Input Signal Threshold (dB) – the level (–24 to –60 dB) below and above which the Auto-Standby timer begins counting to place the amplifier into and take the amplifier out of standby.
  • Signal Absence Time (minutes) – the amount of time (15 min to 12 hrs in 15-min steps) that the signal must be below the threshold before the amplifier puts itself into Standby.
  • Signal Present Time (sec) – the amount of time (5 to 60 sec, in 5-sec steps) that the signal must be above the threshold before the amplifier comes out of Standby.
  • Monitor Input Channels – allows you to choose the which input channels will be monitored for signal to bring the unit out of standby.


Measuring Loudspeaker Impedance

Measuring Loudspeaker Impedance (PowerMatch)

A load measurement function is provided to measure the load impedance of each PowerMatch amplifier output for system diagnostic and documentation purposes. The load measurement function inserts a test signal into the output signal processing chain and measures the output load impedance and current across a defined frequency range. The result of this measurement is displayed as a frequency vs. impedance graph.

The load measurement can be stored as a reference for the final system installation, and subsequent measurements may be compared to the reference to determine if the system is still operating as expected. Differences between the reference curve and a subsequent measurement can be indicative of wiring or transducer damage. The load measurement function cannot pinpoint the cause of the problem, but can indicate that a problem exists between the output of the amplifier and the transducer.

The load measurement function is accessed from within the Signal Processing view for the PowerMatch amplifier by using the right-click context menu for any of the amplifier outputs.

Load Test Panel

To display the Load Test Panel, select Measure Load from the right-click context menu:

The following functions are available from within the Load Test Panel:

  • Display – Displays an Impedance vs. Frequency Graph of the current measurement, the reference, and one additional measurement simultaneously.
  • Reference:
  • - Display – Enables the display of the stored reference measurement for the selected channel.
  • - Name – Displays the user defined name of the reference measurement.
  • - Store – Stores the current measurement as the reference for this channel. When selected you have the option to name the reference curve. The reference is stored with the ControlSpace Designer file (.CSP) for future reference.
  • - Save As - Exports the reference curve as a text file for use in other applications.
  • Test:
  • - Display – Enables the display of the stored reference measurement for the selected channel.
  • - Name – Displays the user defined name of the measurement.
  • - Store – Temporarily stores the current measurement for display in the Impedance vs. Frequency graph. To save the measurement for future use select Save.
  • - Load – Opens a previous saved measurement file for display within the Impedance vs. Frequency graph.
  • - Save As – Exports the measurement curve as a text file for use in other applications.
  • Measurement:
  • - Sweep Range – Determines the frequency range to be measured.
  • - Level – Controls the output level of the signal generator. Always begin with a low output level to prevent any damage to system components.
  • - Capture – Initiates the load measurement. The built-in signal generator is routed to the selected output and the measurement is active. Once the measurement is complete, the previous routing for the output under test is restored, and the impedance vs. frequency data is displayed.
  • Vertical Scale:
  • - Auto-Scale – Automatically determines the upper and lower impedance limits and scales the graph accordingly.
  • - Upper – Adjusts the upper limit of the Impedance scale.
  • - Lower – Adjusts the lower limit of the Impedance scale.
  • Channel – Controls the output under test. The default is determined by the output block selected when the Load Measurement was invoked, but all outputs are available for selection.


ESPLink 8-Channel Input Card

The ESPLink accessory card installs into the digital input slot of the PowerMatch amplifiers. It receives eight digital audio channels from a ControlSpace ESPLink output card. An optical cable is included.

ESPLink card selected in PM8500N Properties

After selecting the ESPLink card, the Project view icon for the amplifier displays the ESPLink input connections.

PM8500N icon with ESPLink inputs


Dante Network Card

The Bose Professional PowerMatch configurable amplifiers, PM8500/8250/4500/4250, are capable of supporting up to 16 channels of high quality, uncompressed digital audio from a Dante digital audio network in an 8x8 configuration.

Defining the Dante Card Configuration

The Dante digital audio network card is added to the PM8500/8250/4500/4250 in the same manner as other expansion cards. If the card has already been fitted, it will be detected automatically when a hardware scan is performed. Otherwise, the card can be added manually to the system design as follows:

Right-click the PM8500/8250/4500/4250 icon in Project view. Select Properties to display the amplifier's Properties window, and then select Dante from the Digital Input drop-down list.

Dante Digital Audio Network Card option in the PM8500/8250/4500/4250 Properties window

After you select the Dante network card, the Project view icon for the amplifier displays the Dante input/output connections.

PM4250 icon with Dante input/output

Channel Selection (4-Channel Models Only)

PowerMatch amplifiers are capable of receiving 8 channels, or a single flow, from a Dante digital audio network. When working with a four-channel PowerMatch amplifier it is possible to select between the two groups of four channels, channels 1-4 or channels 5-8, as the input source. This selection is made using the Channel Range drop-down list.

Digital Input Channel Range selection in PM4500/4250 properties

Configuring the PowerMatch Dante Card Audio Monitor Bus

The PowerMatch Dante digital audio network card is capable of transmitting 8 audio channels for use as an audio monitor. In some situations, amplifiers are remotely located and this function may be used to remotely monitor the audio being sent by the amplifier to the loudspeaker.

Audio from the sound processor output for each channel is routed directly to the Dante transmit bus where it is available to be sent to other Dante receiving devices.

Note: The Dante transmit bus represents a “post-processing” stage - that is, it routes signals after all the DSP processing is completed. For example, if the output is muted, the monitor signal is muted as well.

To enable the audio monitor bus, you must use Audinate's Dante Controller software application to configure channel routing for the Dante network when sending audio from the PowerMatch Dante card.


Configuring the PowerMatch CobraNet card

CobraNet Network Expansion Card

The PowerMatch CobraNet card inserts into the digital input card slot of PowerMatch amplifiers and provides a up to 16 channels, (8 input and 8 output), of uncompressed 48 kHz digital audio using CobraNet audio networking. Designed for “plug and play” operation with the ControlSpace ESP CobraNet card, the PowerMatch CobraNet card provides a cost-effective means of distributing audio to multiple remote amplifiers.

To configure a PowerMatch amplifier for operation with a CobraNet input card, select the CobraNet option from within the list of available digital card types within the amplifier's Properties.

PowerMatch amplifier Properties – select CobraNet for Digital Card type

Once the PowerMatch CobraNet card is selected, the Project view icon for the amplifier displays CobraNet network connections.

CobraNet I/O shown on the Project view icon

The PowerMatch CobraNet card ships pre-configured to receive 8 channels of audio on Bundle number 100, while the audio monitor bus is disabled. When configuring the system for operation with a ControlSpace ESP CobraNet card, do the following:

  1. Configure the ESP for use with a CobraNet card. The configuration should include, at a minimum, 8 channels of CobraNet audio output.
  2. Configure the amplifier for operation with a CobraNet input card.
  3. From within the ESP-00 II signal processing view, select the CobraNet output control panel.

  4. Assign the Transmit bundle to bundle address 100.

    CobraNet bundle assignment within the ESP

  5. Route audio to the CobraNet outputs.

At this point you will have successfully routed audio from the ESP to a PowerMatch amplifier.

Note: The ControlSpace Network and CobraNet audio network must be physically separate networks using separate routers/switches. However, if you are using a managed switch you can configure the CobraNet audio network to use a dedicated VLAN for CobraNet network traffic.

For information relating to recommended network set up and design practices for CobraNet audio see www.CobraNet.info.

Configuring the PowerMatch CobraNet Card Audio Monitor Bus

The PowerMatch CobraNet is capable of transmitting 8 audio channels for use as an audio monitor. In some situations, amplifiers are remotely located and this function may be used to remotely monitor the audio being sent by the amplifier to the loudspeaker.

Audio from the sound processor output for each channel is routed directly to the CobraNet transmit bus, where it is available to be sent to other CobraNet receiving devices.

Note: This is a “post-processing” signal that is after all the sound processing. If, for example, the output is muted, the monitor signal will be muted as well.

The default bundle assignment is 0, indicating that the audio is not being placed on the larger network. To enable the audio monitor bus you must use CobraNet Discovery to configure the PowerMatch CobraNet card.

Note: CobraNet Discovery is available at www.CobraNet.info.

To configure the PowerMatch CobraNet card audio monitor bus, use the following steps:

  1. Ensure that your network adapter is correctly configured and connected to the CobraNet network, rather than the ControlSpace network.
  2. Launch CobraNet Discovery – any CobraNet devices will be discovered.

CobraNet Discovery interface

  3. It will be necessary to configure the PowerMatch devices with an IP address to configure the CobraNet settings. Select one of the devices within the device list, and select New IP Address from the CobraNet menu. Alternatively, you can configure CobraNet Discovery to automatically assign devices an IP address. To do this, select the Enable Auto Assignment option within the CobraNet Discovery Options dialog box (Tools > Options).

    4. Assign an IP address to CobraNet devices

    Once IP addresses are assigned the device list is refreshed and details about the device’s configuration are displayed.

    CobraNet device list showing device properties

  4. Select one of the PowerMatch amplifiers and select Configure from the Tools menu. This will cause the configuration settings for the device to be displayed:

    5. CobraNet configuration for a PowerMatch amplifier

  5. From within the Configuration settings panel select the first Tx bundle and click Configure to display and configure the Transmit bundle settings. Enter a bundle assignment for the Transmit bundle. Bundles 1-255 are Multicast bundles, and bundles greater than 256 are:

    6. Bundle assignment for PowerMatch amplifiers

    Note: Use Unicast bundle assignments to better manage network bandwidth.

  6. Set the receive bundle of the receiving CobraNet device to the same as the amplifier transmit bundle.

For additional information and application examples related to the set-up and configuration of Bose Professional system electronics that employ CobraNet network audio, see BoseProfessional.com. Application notes are available within the ControlSpace Designer software area of the website.


AES3 Digital Input Card

This expansion card provides a PowerMatch amplifier with eight channels of AES3 digital audio input.

To configure a PowerMatch amplifier for operation with an AES3 digital input card, select the AES3 option from within the list of available digital card types within the amplifier's Properties.

AES3 card selected in PM8250N Properties

After selecting the AES3 card, the Project view icon for the amplifier displays the AES3 input connections.

PM8250N icon with AES3 inputs

Adjustable options for this card are accessed by double-clicking on any input block within the signal processing view to open the control panel.

AES3 eight-channel input card control panel

The Input Control Panel provides the following options for each channel:

  • Input Channel Label – Default channel label is “In n” and reflects the label applied in the Signal Processing view.
  • Input Source Select – Select the desired input source – analog or digital for each input. The digital selection is available when an AES3 input card is installed.
  • Input Channel Sensitivity – (Analog inputs only.) Select the desired input signal level to drive the PowerMatch amplifier to its full output. Digital input sensitivity is found in the PM8250 properties panel.
  • Input Channel Signal Level Meter – Displays the current input signal level and is scaled to 0 dBFS and OFF (-inf or MUTE). The meter is monitoring the signal level post A/D conversion, and is monitoring the RMS signal level.
  • Input Channel Mute – Applies a full mute (no audio) to the selected input channel. When the input is in a mute state the input meter is still active as a reference.


AmpLink 24-Channel Input Card

The AmpLink accessory card installs into the digital input slot of the PowerMatch amplifiers. It receives 24 digital audio channels from a ControlSpace sound processor or from another PowerMatch amplifier's THRU connection. You can select a bank of eight channels of audio at a time to amplify through a three-position bank select switch on the amplifier.

AmpLink card selected in PM8500N Properties

After selecting the AmpLink card, the Project view icon for the amplifier displays the AmpLink input connections.

PM8500N device block with AmpLink inputs

Adjustable options for this card are accessed by double-clicking any input block within the Signal Processing view to open the control panel. For a description, see Input Control (PowerMatch).


PowerShare Configurable Professional Amplifier Devices

PowerShare Configurable Professional Power Amplifier Devices

There are two PowerShare devices in the Device List shown below. The PS404D and PS604D amplifiers provide built-in Dante digital audio connections, eliminating the need for a Dante digital audio network card.

The devices are added to the Project view using the same drag and drop mechanism as other devices within the ControlSpace Designer software.

PowerShare amplifier blocks


Amplifier Properties

PowerShare Amplifier Properties

To view the device properties for a PowerShare amplifier, right-click the amplifier's Project view icon and select Properties from the menu.

From within the PowerShare amplifier device properties, you can specify the amplifier output configuration and network communication options. When selected, the Properties panel is displayed as shown:

The following options are available within the device Properties:

  • Common – Contains the properties that are common to all devices within ControlSpace Designer.
  • - Device Name – This is the label used for the amplifier within ControlSpace Designer. Once a connection is established, this name is displayed on the front panel of the unit.
  • - Firmware Vers – Displays the currently loaded firmware version of the device. "Unknown" is displayed when the device is initially dragged into the Project view. This field updates after going online.
  • Network – Displays the current network settings for network versions of PowerShare amplifiers. Within the properties pane for the USB versions, this section is labeled “Device Identification” since no network options are available.
  • - Hardware Manager – Clicking this button opens the Hardware Manager dialog box (see Launching the Hardware Manager).
  • - Set IP Address – Clicking this button allows you to change the IP address of the device.
  • - Wink – Causes the front panel display of the unit to flash momentarily. This function is available only when the amplifier is online.

Note: All network versions of PowerShare amplifiers are configured for DHCP operation at the time of manufacture. When an installation is performed, the network configuration should be set to fixed IP addressing. See Setting Device IP Addresses to learn how to modify the network settings for a PowerShare amplifier.

  • Digital Input - This section contains the following option:
  • - Sensitivity - Specifies the input sensitivity level as 0 dBFS, -12 dBFS, -20 dBFS, or -24 dBFS,
  • Output Configuration – Determines the output mode for each amplifier output.
  • - Hi Z Voltage - Sets the output capability to 70V or 100V for all outputs that are set to Hi Z. In 70V mode, a 100 Vpeak limiter is automatically loaded. In 100V mode, a 141 Vpeak limiter is automatically loaded.
  • - Output 1-4 - Sets the impedance output. Select 70/100V high impedance output (Hi Z) or 4-8 Ω low impedance output (Low Z).
  • Misc - This section contains the following options:
  • - Auto Standby – Activates automatic standby. When enabled, the PowerShare amplifier will automatically place itself into standby when it no longer detects an input signal after 20 minutes. (For more information, see Working with Auto-Standby (PowerShare).)
  • - Mute Polarity - The amplifier is designed to mute all outputs either when the MUTE contacts are shorted together, or when the MUTE contacts are opened, depending on the amplifier configuration. The default state is Normally Open (NO), where a short across the mute connector will mute all outputs. The mute polarity can be inverted to Normally Closed (NC), where an open across the mute connector will mute all outputs,


Output Configuration

PowerShare Output Configuration

PowerShare amplifier outputs may be configured to set the output capability to 70V or 100V for all outputs that are set to Hi Z. In 70V mode, a 100 Vpeak limiter is automatically loaded. In 100V mode, a 141 Vpeak limiter is automatically loaded.

Impedance can also be set to 70/100V high impedance output (Hi Z) or 4-8 Ω low impedance output (Low Z).

To configure the output section of a PowerShare amplifier:

  1. Go Offline. The output configuration may only be changed when the PowerShare amplifier is off-line.
  2. Display the PowerShare Amplifier Properties. Output configuration settings are located within the amplifier Properties panel.
  3. Select the desired settings under Output Configuration.
  4. Close the Properties panel.
  5. Go Online. Select the Go online button [image] or select Go online from the Tools menu.

  6. Select Send to Devices from the available options.

  7. The Project view and Signal Processing view for the PowerShare amplifier reflect its current output configuration. You can use these displays to determine the currently active output configuration for the amplifier.


Signal Processing View (PowerShare)

PowerShare amplifiers include an integrated loudspeaker processor to provide loudspeaker and array processing for Bose Professional loudspeakers. A fixed block diagram architecture provides input signal processing, routing and output signal processing. The signal processing may be preconfigured and sent to the hardware upon connection, or configured while connected and the settings saved within the hardware.

To view the signal processing functions within the PowerShare amplifier, select the amplifier’s signal processing tab.

The Signal Processing view includes the full block diagram. To access any of the signal processing functions, double-click the device's icon to expose its control panel.


Input Control

Input Control (PowerShare)

For a PowerShare amplifier, control of the input sensitivity for each of the four inputs, and selection between the input source type, analog or digital, is accomplished using the input Control Panel. Within the Signal Processing view, each input is represented as a block.

The input block has the following characteristics:

  • Input Label – Default label is “In n”, and may be modified while off-line.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible, i.e. the user cannot “wire” this output to another input.
  • Input Signal Level Meter – Displays the current input signal level as green, yellow, orange or red.

Input Control Panel

To access the Input Control Panel, double-click any input block.

The available controls and indicators for the Input Control Panel are:

  • Input Channel Label – Reflects the label applied in the Signal Processing view. The default channel label is "In n."
  • Input Source Select – Selects the desired input source – analog or digital for each input.
  • Analog Sensitivity – Selects the desired input signal level to drive the PowerShare amplifier to its full output.

The analog input sensitivity you select will determine the available input headroom and dynamic range of the input channel. When selecting the input sensitivity, it is important to determine that appropriate level of noise performance for the application.

  • Input Channel Signal Level Meter – Displays the current input signal level and is scaled to 0 dBFS and OFF (-inf or MUTE). The meter is monitoring the signal level post A/D conversion, and is monitoring the peak-to-peak signal level.
  • Input Channel Mute – Applies a full mute (no audio) to the selected input channel. When the input is in a mute state, the input meter is still active as a reference.


Input Parametric EQ

Input Parametric EQ (PowerShare)

Each input signal processing chain for a PowerShare amplifier includes an Input Parametric EQ. Each Parametric EQ is represented as a block within the signal processing view.

To access a Parametric EQ Control Panel, double-click its signal processing block.

The available controls and indicators for the Parametric EQ Control Panel are:

  • EQ Preset Select – Selects a previously stored preset and applies its settings to the PEQ, or saves the current settings as a Preset.
  • - Name - Provides a box to enter a familiar name for the current Preset settings. When no name is entered, default system names are automatically generated. To save the current name, click the Store button.
  • - Store – Commits the current settings to memory. Preset names and settings become part of the design file when saved to disk.
  • - Delete – Removes the currently selected Preset from the drop-down list but retains the Preset settings until a new preset is selected.
  • EQ Graph – Graphs the current PEQ settings.
  • Load / Save Settings – Supports the loading and saving of all current PEQ values to an external .PEQ file on the hard drive.
  • Filter Type – Defines the filter type for the selected filter stage. Available options are PEQ, High Shelf, Low Shelf, Notch, High Pass and Low Pass.
  • Frequency – Defines the frequency, in hertz, where the filter is applied.
  • Q – Defines the Q of the filter for PEQ and Notch filters.
  • Gain – Defines the amount of boost/cut applied to the PEQ stage.
  • Bypass – Bypasses the selected PEQ stage.
  • Sort – Sorts the filter stages by Frequency.
  • Q/BW – Switches between Q and Bandwidth.
  • Bypass All – Bypasses all filter stages.


Matrix

Matrix (PowerShare)

The Matrix processor routes any input source to one or multiple outputs, or multiple inputs may be routed to a single output. Within the matrix control panel it is possible to apply a cut-only gain to each of the matrix cross points. The output connectors display the output connection status (active or mute).

To access the matrix mixer control panel, double-click its block in the Signal Processing view.

The matrix mixer control panel includes the following options:

  • Input Label – The input label for each input is determined by the input label for the analog/digital input. To modify an input label for the router, modify the input label property for the input block.
  • Output Label – The output label for each output is determined by the output label for the output block. To modify an output label for the router, modify the output label property for the output block.
  • Assign – Each input is routed, by default, to its corresponding output, 1:1 routing. To route an input to an output, select the desired cross point. Multiple inputs can be routed to a single output.
  • Cross Point Gain – Available using a right-click selection at any cross point.


Band-Pass Crossover

Band Pass Crossover (PowerShare)

The Band Pass Crossover function provides a single mono crossover for the output signal processing chain. The Band Pass Crossover supports general purpose operation with user defined settings, or provides the loudspeaker specific band pass when a Bose Professional loudspeaker parametric EQ is active.

Within the signal processing diagram, the Band Pass Crossover is represented by a single block.

To access the Band Pass Crossover control panel, double-click the block in the signal processing view. The default state of the Band Pass Crossover is Bypass to provide a flat initial response.

The following controls are available within the crossover panel:

  • Response Graph – Displays the response curve of the High and Low Pass filter settings.
  • Loudspeaker Preset – When a Bose Professional or custom loudspeaker EQ preset is loaded, the loudspeaker parametric EQ name of the active preset is displayed. Bose Professional loudspeaker presets will cause the band pass controls to be locked. When the controls are locked, Locked appears in the status section next to the EQ Type display.
  • High Pass Filter Type – Affects the low frequency cut off of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel ( 2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • High Pass Frequency – Defines the corner frequency of the filter.
  • High Pass Bypass – When active the high pass filter is bypassed.
  • Low Pass Filter Type – Affects the high frequency cut off of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel (2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • Low Pass Frequency – Defines the corner frequency of the filter.
  • Low Pass Bypass – When active the low pass filter is bypassed.


Loudspeaker Parametric EQ

Loudspeaker Parametric EQ (PowerShare)

The Loudspeaker Parametric EQ is a signal processing block which provides either a general purpose 9-band parametric EQ, or a Bose Professional loudspeaker equalization curve. When a Bose Professional loudspeaker equalization curve is active additional settings are applied to the Band Pass Crossover, Delay and Limiter signal processing blocks, and the settings are locked to prevent modification.

A custom set of loudspeaker settings (Band Pass, Parametric EQ, Delay and Limiting) may be saved as a preset for future use, or a Bose Professional loudspeaker preset may be saved as a starting point for further customization.

Within the signal processing diagram the Loudspeaker Parametric EQ is represented by a single block.

To access the Loudspeaker Parametric EQ control panel, double-click the block in the signal processing view. The Loudspeaker Parametric EQ provides 9 bands of parametric EQ, and provides access to the Band Pass Crossover settings as a convenience.

The following controls are available within the Loudspeaker PEQ panel:

  • Load Loudspeaker EQ – Displays a "file open" dialog box with the Bose Professional loudspeaker EQ directory as the default setting. From within this directory, locate and open the desired loudspeaker preset file.

When a Bose Professional loudspeaker EQ is loaded into the Loudspeaker PEQ, the settings for the Band Pass Crossover, Parametric EQ stages, Delay and Limiter are disabled (locked) to prevent modification, and the name of the loudspeaker EQ preset is displayed.

  • Save EQ As – Saves the loudspeaker settings (parametric stages, band pass filter settings, limiter settings and alignment delay setting) as a custom file for use in another channel of signal processing or design. The default location for the Save As… function is My Documents.
  • EQ Type – Displays the name of the loudspeaker EQ which is loaded.
  • EQ Graph Display – Illustrates the current response curve that is implemented. Nine grab handles, one for each band, are available and the user may directly adjust the frequency and gain for each band. Note that the graph includes the response of the band-pass filter settings.
  • Band-Pass Filters – This section mirrors the controls within the Band Pass Crossover block (see Band Pass Crossover (PowerShare)). Changes made here are reflected in the Band Pass Crossover and vice versa.
  • Bypass All – Bypasses all PEQ bands and band pass filters.
  • Parametric EQ Bands – Nine bands of parametric EQ are available. Each band contains the following functions:
  • - TYPE - Filter Type: PEQ, High Shelf, Low Shelf or Notch
  • - FREQ - Center frequency of filter in hertz.
  • - GAIN - Gain of filter in 0.5 dB steps between +20 dB and -20 dB.
  • - BW (Octave)/Q - Selects between 0.14 and 6.67 Octaves in .01 Octave steps (filter Q between 0.1 and 10). A user selection is available to change the display and data entry between BW (Octave) and Q.
  • - Bypass - Bypasses the selected EQ band.


Limiter

Limiter (PowerShare)

A Limiter provides both peak and RMS voltage limiting for loudspeaker driver protection.

Note: The limiter block is shown in the processing diagram before the output gain stage, but functionally, the output gain is pre-limiter to provide proper operation.

The limiter may be used as a general purpose peak and RMS limiter. In this application, the peak voltage should be set to prevent over-excursion of the driver, and the RMS limiter should be set to the power handling of the driver; both the peak and RMS values are entered in volts.

The Limiter is represented by a single block in Signal Processing view. Double-click the Limiter block to access the Limiter control panel.

The following controls are available within the Limiter control panel:

  • Limiter Preset: This section of the Limiter control panel includes the following settings:
  • - EQ Type – The first field in this section contains the name of the loudspeaker preset file which is loaded in the EQ Preset section of the SpeakerPEQ control panel. The loudspeaker EQ may be Flat, Custom, or a Bose Professional loudspeaker EQ. This field is blank if no loudspeaker EQ has been loaded. The second field indicates whether the Limiter is Open or Locked for configuration.

    • If the Limiter is Locked, the Limiter block in Signal Processing view appears with a padlock [image] and one of the following statements appears in red in the Limiter Preset section of the Limiter control panel:

  • Values set for 70/100V configuration: The Output Configuration setting (for the output associated with the Limiter) in the PowerShare amplifier Properties is set to Hi Z (the default setting).
  • Change Preset and unlock from Loudspeaker PEQ: The Output Configuration setting (for the output associated with the Limiter) in the PowerShare amplifier Properties is set to Low Z, and the EQ Type is a Bose Professional loudspeaker EQ.
  • Change Mode and Preset and unlock from Loudspeaker PEQ: The Output Configuration setting (for the output associated with the Limiter) in the PowerShare amplifier Properties is set to Hi Z, and the EQ Type is a Bose Professional loudspeaker EQ.
  • Limiter Setup: If the Limiter is Open (unlocked), you can configure the following settings (unless stated otherwise):

Note: When a Bose Professional loudspeaker preset is active, the Limiter settings are specific to the Bose Professional loudspeaker. In this case, all of the settings in this section are read-only and cannot be adjusted.

  • - Threshold (V): Allows you to set limits on the final output-level loudspeaker protection. Click the up and down arrows or type directly in the text box to specify:
  • V Peak: The Peak Voltage threshold defines the behavior of the Peak Voltage limiter and corresponds to the maximum voltage applied to the driver without causing over-excursion. Input signal levels above the threshold will be reduced (or hard-limited) to the VPeak threshold value.
  • V RMS: RMS Voltage Limiting determines the maximum continuous RMS signal level allowed to pass unaltered through the signal processing block. Input signal levels above the threshold level will be reduced to the RMS threshold value.
  • - Attack (ms): Allows you to specify (in milliseconds) how quickly the signal is limited after it exceeds the threshold.
  • V Peak: This setting is read-only and is not adjustable.
  • V RMS: Click the up and down arrows or type directly in the text box to specify the amount of time RMS signal must exceed the RMS threshold level before the gain of the signal is reduced.
  • - Release (ms): Allows you to specify (in milliseconds) the amount of time it takes to stop limiting the signal after it falls below the threshold.
  • V Peak: This setting is read-only and is not adjustable.
  • V RMS: Click the up and down arrows or type directly in the text box to specify the amount of time the input signal continues to be reduced after the detection signal falls below the RMS threshold setting.
  • Link Group: This section of the Limiter control panel includes the Assign to Link Group option, which enables you to assign the limiter to one of four link groups, or configure it to act independently (no assignment). When channels are linked, the presence of limiting on any of the linked channels engages the limiter on all linked channels.

    To assign a link group, select one of the four available link group options from the Assign to Link Group menu. If you do not wish to assign a link group, select None.

    You can also assign a link group by right-clicking the limiter's signal processing block, selecting Add To Link Group, and then selecting one of the four available link group options.

When Limiters are linked, their signal processing block displays a numerical identifier to indicate the Limiter Link Group assignment.

  • Metering – This section includes an Output gain meter to assist in the setup and configuration of the limiter.


Signal Delay

Signal Delay (PowerShare)

A signal alignment delay is provided to accommodate cluster or zone signal alignment. A secondary delay is indicated for Bose Professional loudspeaker signal processing which may not be modified.

Within the signal processing diagram the Delay is represented by a single block.

To access the Delay control panel, double-click the block in Signal Processing view. The Delay provides up to 50 milliseconds of signal delay for output channels 3 and 4 only.

The following options are available within the Delay control panel:

  • Value – Amount of signal delay applied based on the selection within the Units drop-down list.
  • Units – The method used to determine the amount of signal delay. Available selections are: milliseconds, sample, meter, millimeter, feet, and inch.
  • Bypass - Bypasses any signal delay setting.


Output Attenuation

Output Attenuation (PowerShare)

The Output Attenuation block provides control over the amplifier output for the PowerShare amplifier. Control of the output attenuation is available for each of the eight outputs, based upon the current output configuration, and is accomplished using the Output Control Panel. Within Signal Processing view, each output is represented as a block.

The output block has the following characteristics:

  • Output Label – Default label is Out n, and may be modified while off-line.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible (i.e. the user cannot “wire” this output to another input).
  • Output Signal Level Meter – Displays the current output signal level as green, yellow, orange or red.

To access the Output Control Panel, double-click any of the Output blocks in the signal processing view. Each of the output channels is available in the Output Control Panel.

The following functions are included for each output control:

  • Output Channel Label – Default channel label is Out n, and can be modified when offline.
  • Fault Indicator – Indicates the present of a fault condition within the amplifier channel. Selecting the Fault check box displays the Alarm Panel. From here, details about the fault condition can be viewed.
  • Output Protection Limit Active Indicator – Illuminates yellow when any of the following amplifier protection mechanisms are engaged: Peak or RMS Voltage limiter active, gain reduction due to amplifier temperature, gain reduction due to power supply temperature.
  • Output Channel Attenuation – Displays the output attenuation between 0 dB (full gain) and -infinity dB. This is a user-accessible display where the user may enter a numeric value using a -00.0 format.
  • Output Channel Attenuation Slider – Attenuates the output gain between 0 dB (full gain) and -infinity dB.
  • Output Channel Signal Level Meter – Displays the current output signal level and is scaled to 0 dB (full gain) and -80.
  • Output Channel Mute – When active, mutes the output of the selected channel.
  • Output Channel Signal Polarity – When active, reverses the signal polarity.
  • Output Voltage Display – Displays the current output voltage of the amplifier channel.


PowerShare Monitor Panel

Two types of monitor panels are available for PowerShare amplifiers:

  • A full size monitor panel which displays the status of inputs, outputs and faults, as well as provides the ability to put the unit into standby
  • A small amplifier status panel which is displayed when the system status function is enabled

To access a PowerShare amplifier’s monitor panel, select Open Monitor Panel from the right-click menu of the PowerShare amplifier within the Project view.

Monitor Panel Options

The full size PowerShare monitor panel provides an overview of the current operational status of the device and a control to place the amplifier into/out of standby.

The following options are available from within the PowerShare amplifier’s monitor view:

  • Input Status – Displays the currently active input source (Analog/Digital), and the input signal level for each of the four inputs (A to D).
  • Mute All – Mutes all output channels.
  • Enter Standby – Toggles the standby state of the amplifier.
  • Output Status – Displays the output status for each output of the amplifier. Included indicators are the output label, channel configuration, channel alarm status, limiting/protect status, the current output signal level, and an output mute.

System Status

When the System Status Settings (AutoTile Layout and Collapsed View) are enabled in the View menu, the amplifier status panels for all PowerShare amplifiers are displayed according to the selected settings.

To access the System Status function, select the system status icon [image] while online and connected to the system.

Each amplifier status panel is displayed using either a collapsed or expanded view. In the collapsed view only the primary status indicators are available.

Select Detail to expand the amplifier status panel to see all of the amplifier’s status indicators.

The following table describes the status indicators:

Indicator | Status
Signal | Green when input signal level is present on any input channel.
Limit | Yellow, when any output limiter is active.
Clip | Red when input clipping is present.
Fault | Red when an alarm condition is active. See the alarm properties within the device properties to configure which alarms conditions will activate this indicator.
Online | Green when device is online.
Standby | Green when device is in standby.
Input Signal Level (channel) | Green, Yellow, Red based on input signal level.
Output Fault (channel) | Red when an alarm condition exists. Click the Fault indicator to view the amplifier alarm panel. Note this displays all alarms, regardless of the settings within the device properties.
Output Limit (channel) | Orange when output limiter is active.
Output Signal (channel) | Green, Yellow, Red based on output signal level.


Working With Alarms

Working with Alarms (PowerShare)

Each PowerShare amplifier monitors its operation for proper operating temperature, power supply status, amplifier status, open and short wiring, as well as additional alarm conditions. This information is stored locally in an internal log of all alarm conditions, and information from the alarm log may be viewed using the ControlSpace Designer software.

In systems where the ControlSpace Designer software is connected to the devices, either via USB or Ethernet, the time and date of the alarm condition is appended to the alarm.

Alarm Summary

The PowerShare amplifiers monitor the following alarm conditions:

Category | Alarm Condition | Description
Gain Reduction, Signal Limiting | Limiter Active due to high output current | Protection limiter engaged for any output channel.
Output Fault | Amplifier fault | Amplifier fault condition detected on Channel 1/2 or Channel 3/4.
Output Fault | EHF fault | Excessive high frequency detected on Channel 1/2 or Channel 3/4. .
Output Fault | Temperature fault | Temperature above maximum detected on Channel 1/2 or Channel 3/4.
Input Fault | Input Clipping | Input Signal Clipping.
Input Fault | VCC fault | Power Supply rail below minimum.
AC Power Fault | Loss of AC Power |

For a complete list of PowerShare amplifier fault conditions, see the PowerShare Installation Guide at BoseProfessional.com.

Viewing the Alarm Log

Upon connection to the PowerShare amplifier, the ControlSpace Designer software automatically retrieves the alarm log from the hardware.

To access the amplifier alarm log, use one of the following options:

  • Click the Fault indicator within the Monitor Panel for the amplifier.

  • Click the Fault indicator within the Output Control Panel for the amplifier.

Once you have accessed the amplifier alarm log, the alarm log panel is displayed.

From within the Alarm Log Panel you can view, copy, erase and clear alarms. The following functions are provided:

  • Refresh Log – Updates the alarm list to display the most recent alarms that have occurred.
  • Erase Log – Clears the alarm log from both the software and hardware.
  • Alarm List – Displays the list of alarms which have occurred. Alarms are suffixed with either “R” or “A.” “R” indicates a relative time as recorded by the hardware, and “A” indicates the actual time the alarm occurred. Alarms suffixed with “A” occurred when ControlSpace Designer software was connected to the system.
  • Alarm State – Displays the current alarm state of each output channel.


Working with Auto-Standby

Working with Auto-Standby (PowerShare)

The Auto-Standby function detects the presence of an input signal on any available input channel. When Auto-Standby is active, the absence of an input signal for a specified time period causes the unit to place itself into Standby. This function is available in all PowerShare amplifier models.

To set up the Auto-Standby function:

  1. In Project view, right-click the PowerShare amplifier icon and select Properties.
  2. In the Properties window, select the Auto-Standby check box to enable the Auto-Standby function.

  3. Close the Properties window.


PowerShareX Adaptable Power Amplifier Devices

There are three PowerShareX devices in the Device List shown below. The PSX1204D, PSX2404D, and PSX4804D adaptable power amplifiers provide built-in Dante digital audio connections, eliminating the need for a Dante digital audio network card.

The devices are added to the Project view using the same drag and drop mechanism as other devices within the ControlSpace Designer software.


PowerShareX Amplifier Properties

To view the device properties for a PowerShareX amplifier, right-click the amplifier's Project view icon and select Properties from the menu.

From within the PowerShareX amplifier device properties, you can specify the amplifier output configuration and network communication options. When selected, the Properties panel is displayed as shown:

The following options are available within the device Properties:

  • Common – Contains the properties that are common to all devices within ControlSpace Designer.
  • - Device Name – This is the label used for the amplifier within ControlSpace Designer.
  • - Firmware Vers – Displays the currently loaded firmware version of the device. "Unknown" is displayed when the device is initially dragged into the Project view. This field updates after going online.
  • Network – Displays the current network settings for network versions of PowerShare amplifiers.
  • - Hardware Manager – Clicking this button opens the Hardware Manager dialog box (see Launching the Hardware Manager).
  • - Set IP Address – Clicking this button allows you to change the IP address of the device.
  • - Wink – Causes the front panel display of the unit to flash momentarily. This function is available only when the amplifier is online.

Note: All network versions of PowerShareX amplifiers are configured for DHCP operation at the time of manufacture. When an installation is performed, the network configuration should be set to fixed IP addressing. See Setting Device IP Addresses to learn how to modify the network settings for a PowerShareX amplifier.

  • Digital Input – This section contains the following option:
  • - Sensitivity – Specifies the input sensitivity level as 0 dBFS, -12 dBFS, -20 dBFS, or -24 dBFS.
  • Output Configuration – Determines the output mode for each amplifier output.
  • - Output 1-4 – Sets the impedance output. Select Mono [LO-Z], [70V], or [100V]; or V-Bridge [LO-Z], [70V], [100V].
  • - 2Ω Optimized – Allows for output loads down to 2Ω, instead of the default 4Ω.
  • - LO-Z SPKR – Allows for Lo-Z limiter values on mono Hi-Z outputs. Only available when Mono [70V] or Mono [100V] is selected.
  • Misc. – This section contains the following options:
  • - Auto-Standby (NRG SAVE) – Activates automatic standby. When enabled, the PowerShareX amplifier will automatically place itself into standby after the Signal Absence Time has elapsed. (For more information, see Working with Auto-Standby (PowerShareX).)
  • - Setup – Adjust the input signal threshold and the signal absence time.
  • Hardware Settings Guide – Displays the amplifier DIP switch configurations. Hover over each switch with your cursor for a description of each DIP switch.
  • - CH 1-4 – Displays the channel-specific Output Configuration DIP switches.
  • 70V/100V – The output channel Hi-Z voltage, when Hi-Z is enabled.
  • Lo-Z/Hi-Z – The output channel impedance.
  • 35 Hz/70 Hz – The cutting frequency of the built-in HPF (High Pass Filter), when HPF is enabled.
  • HPF On/Off – Activate or deactivate the channel output high-pass filter. Recommended for 70V/100V outputs if software bandpass high-pass is not engaged, to prevent loudspeaker transformer saturation, which can considerably degrade sound performance.
  • - CONFIG – Displays the System Configuration DIP switches.
  • CH1 MSTR – The level of each channel can be remotely adjusted with a linear 10 kΩ potentiometer connected to the input LEVEL connector. When off the remote level potentiometers work independently on each channel. When on the remote level potentiometer of Channel 1 acts as a master level controlling the volume of all channels. The remote level controls are in series with the front panel channel attenuation controls.
  • GAIN – Adjust the global input gain sensitivity to 35 dB, 32 dB, 29 dB, or 26 dB by following the configuration diagrams on the rear of the amplifier. This feature is designed to match the voltage of the input signal. PowerShareX amplifiers ship with gain sensitivity set to 32 dB by default.

Note: Note: For most situations, leave this set to 32 dB gain. The 35 dB gain setting is similar to PowerMatch 8500N (36 dB). Analog gain sensitivity cannot be further adjusted through ControlSpace Designer. Digital input sensitivity can also be adjusted through ControlSpace Designer.

  • BRK SAVE – Breaker Save halves the maximum continuous current absorption from the mains when the power grid is unable to provide enough current to continuously drive the loads or when the number of amplifier connected to the same outlet reaches the critical power absorption of the line. Overall system performance is affected when output power is being reduced.

Note: When the LIMIT LED on the front panel is solid orange, Breaker Save is limiting power draw.

  • NRG SAVE – Auto Standby feature for PowerShareX amplifiers. The Smart Rails Management technology implemented in the power supply unit allows reduced power consumption. When the input signal falls under the defined threshold on all channels, the amplifier enters standby and the main PSU is turned off to save energy. Normal operation is resumed immediately when input signal is detected.
  • USR A – This feature is unavailable.
  • USR B – This feature is unavailable.
  • USR C – This feature is unavailable.
  • 2Ω – PowerShareX amplifiers are optimized for working with 4Ω output loads, but the 2Ω switch allows loads down to 2Ω. Enabling optimizes the performance for very low loads by limiting the maximum output voltage to 85 VPeak per channel. This affects all output channels set to match low impedance.

Note: Adjusting output settings in ControlSpace Designer does not automatically affect any connected PowerShareX amplifiers. The Hardware Settings Guide provides a visual representation of your chosen settings. To achieve your chosen settings, adjust the Output Configuration DIP switches and System Configuration DIP switches on the rear of your amplifier to mirror the settings indicated in the Hardware Settings Guide.


PowerShareX Output Configuration

PowerShareX amplifier outputs may be configured to set the output capability to 70V or 100V for all outputs that are set to Mono [70V] or [100V]; or V-Bridge [70V] or [100V]. In 70V mode, a 100 Vpeak limiter is automatically loaded. In 100V mode, a 141 Vpeak limiter is automatically loaded. When an output is set to either Mono [70V] or [100V], you have the option to select LO-Z SPKR to allow for Lo-Z limiter values on Mono Hi-Z outputs.

Impedance can also be set to 2Ω (2Ω Optimized) on the PSX1204D and PSX2404D models using the 2Ω DIP switch on the amplifier and the amplifier properties setting in ControlSpace Designer. PSX4804D can also handle 2Ω loads on Lo-Z channels but does not require a settings change.

To configure the output section of a PowerShareX amplifier:

  1. Go Offline. The output configuration may only be changed when the PowerShareX amplifier is offline.
  2. Display the PowerShareX Amplifier Properties. Output configuration settings are located within the amplifier Properties panel.
  3. Select the desired settings under Output Configuration.
  4. Close the Properties panel.
  5. Go Online. Select the Go online button [image] or select Go online from the Tools menu.
  6. Select Send to Devices from the available options.
  7. The Project view and Signal Processing view for the PowerShareX amplifier reflect its current output configuration. You can use these displays to determine the currently active output configuration for the amplifier.

Hi-Z Output with Lo-Z Limiter

PSX1204D and PSX2404D amplifier outputs may be configured to set the output capability to 70V or 100V while also utilizing a Lo-Z Speaker Limiter or a custom limiter value. This asymmetrically loads designated channels of the PSX1204D or PSX2404D with a larger loudspeaker or subwoofer than the Mono [LO-Z] configuration would allow by default. Selecting the LO-Z SPKR option allows import of Lo-Z loudspeaker limiters from a Bose Professional loudspeaker preset on a 70V or 100V output channel instead of using constant voltage values.

When loading a Bose Professional loudspeaker preset with LO-Z SPKR selected, you will be prompted about using Lo-Z limiter values. If you select yes, the Lo-Z limiter values for the preset will be applied, equivalent to a Mono [LO-Z] channel.

PSX4804D does not have a Lo-Z limiter setting option because Mono [LO-Z] channels on the PSX4804D already have 140 Vpeak and 100 Vrms capability.


Input Control (PowerShareX)

For a PowerShareX amplifier, selection between the input source type, analog or digital, is accomplished using the input Control Panel. Within the Signal Processing view, each input is represented as a block.

The input block has the following characteristics:

  • Input Label – Default label is “In n”, and may be modified while off-line.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible, i.e. the user cannot “wire” this output to another input.
  • Input Signal Level Meter – Displays the current input signal level as green, yellow, orange or red.

Input Control Panel

To access the Input Control Panel, double-click input any input block 1-4.

The available controls and indicators for the Input Control Panel are:

  • Input Channel Label – Reflects the label applied in the Signal Processing view. The default channel label is "In n."
  • Input Source Select – Selects the desired input source (analog or digital) for each input. PowerShareX amplifiers are set to analog by default.
  • Input Channel Signal Level Meter – Displays the current input signal level and is scaled to 0 dBFS and OFF (-inf or MUTE). The meter is monitoring the signal level post A/D conversion, and is monitoring the peak-to-peak signal level.
  • Input Channel Mute – Applies a full mute (no audio) to the selected input channel. When the input is in a mute state, the input meter is still active as a reference.


Signal Generator (PowerShareX)

A signal generator is available within the signal processing diagram for a PowerMatchX amplifier to provide a noise generator. Within the Signal Processing view, the signal generator is represented as a block. By default, the signal generator is muted to prevent accidental damage to any loudspeakers connected to the amplifier outputs. The output connector displays the output connection status, active or muted (red).

To access the Signal Generator, double-click the Signal Generator input block.

The available controls and indicators contained within the Signal Generator control panel are:

  • Level – Adjusts the output level from the signal generator.
  • Signal Type – Displays the type of generated signal. This is always set to Pink Noise.
  • Generator Routing – Selection for the output where the signal generator will be routed.
  • Generator On/Off – Activates or deactivates the signal generator.

Note: When the signal generator is on, any outputs that have no signal routed to them are muted. When the signal generator is turned off, the previous mute state is applied to each output.

Note: The PowerShareX amplifier’s pink noise generator contains a short duration looped file, which may sound different than ControlSpace EX/ESP or PowerMatch pink noise.


Matrix (PowerShareX)

The Matrix processor routes any input source to one or multiple outputs, or multiple inputs may be routed to a single output. Within the matrix control panel, it is possible to apply a cut-only gain to each of the matrix cross points. The output connectors display the output connection status (active or mute).

To access the matrix mixer control panel, double-click its block in the Signal Processing view.

The matrix mixer control panel includes the following options:

  • Input Label – The input label for each input is determined by the input label for the analog/digital input. To modify an input label for the router, modify the input label property for the input block.

  • Output Label – The output label for each output is determined by the output label for the output block. To modify an output label for the router, modify the output label property for the output block.

  • Assign – Each input is routed, by default, to its corresponding output, 1:1 routing. To route an input to an output, select the desired cross point. Multiple inputs can be routed to a single output.

  • Cross Point Gain – Available using a right-click selection at any cross point.

  • Signal Gen. – Indicates the routing of the signal generator.

Note: Note: To change the routing of the signal generator, use the Signal Generator control panel (see Signal Generator (PowerShareX)).


Input Parametric EQ

Each input signal processing chain includes an Input Parametric EQ. Within the signal processing view, each Parametric EQ is represented as a block.

To access a Parametric EQ Control Panel, double-click its signal processing block.

The available controls and indicators for the Parametric EQ Control Panel are described below:

  • EQ Preset Select – Selects a previously stored preset and applies its settings to the PEQ or saves the current settings as a Preset.
  • - Name – Provides a box to enter a familiar name for the current Preset settings. When no name is entered, default system names are automatically generated. To save the current name, click the Store button.
  • - Store – Commits the current settings to memory. Preset names and settings become part of the design file when saved to disk.
  • - Delete – Removes the currently selected Preset from the drop-down list but retains the Preset settings until a new preset is selected.
  • EQ Graph – Graphs the current PEQ settings.
  • Load / Save Settings – Supports the loading and saving of all current PEQ values to an external .PEQ file on the hard drive.
  • Filter Type – Defines the filter type for the selected filter stage. Available options are PEQ, High Shelf, Low Shelf, Notch, Low Pass, and High Pass.
  • Frequency – Defines the frequency, in hertz, where the filter is applied.
  • Q – Defines the Q of the filter for PEQ and Notch filters.
  • Gain – Defines the amount of boost/cut applied to the PEQ stage.
  • Bypass – Bypasses the selected PEQ stage.
  • Sort – Sorts the filter stages by Frequency.
  • Q/BW – Switches between Q and Bandwidth.
  • Bypass All – Bypasses all filter stages.


Array EQ (PowerShareX)

The Array EQ signal processing function provides specialized equalization for ArenaMatch array module loudspeakers. This unique EQ processor may be used as a general-purpose room compensation EQ for standard systems.

To access the Array EQ control panel, double-click its signal processing block in Signal Processing view.

The default state of the Array EQ is Bypass to provide a flat initial response. The following controls are available within the Array EQ control panel:

  • Filter Display – Displays a graphical representation of array equalization settings in both frequency and level. The line represents the composite frequency response of chosen array and advanced filter parameters.
  • Loudspeaker – Only ArenaMatch array module loudspeakers are available for PowerShareX amplifiers in Array EQ.
  • Advanced check box – Specifies the parameters as either:
  • - Array Parameters
  • Module Quantity – Select the quantity of modules within the array.
  • Vertical Coverage – Enter the total vertical angle, in degrees, of the array.
  • - Filter Parameters (Advanced) – The Array EQ is represented by three basic filter controls: Center Frequency, Tilt, and Gain. Using these controls, the basic array filter may be modified.
  • Center Frequency – Center frequency of the filter, represented by the dashed line in the Response Graph.
  • Tilt – Adjusts the start and end points of the filter’s slope on either side of the center frequency. Tilt is adjustable between 0 and 10 in steps of 0.3. The greater the tilt, the steeper the filter slope.
  • Gain – Amount of boost or cut applied to the filter below the center frequency. Gain is adjustable in 0.3 dB steps between -12 and +2 dB.
  • Restore Defaults – Restores parameters to their default settings.
  • Bypass – Bypasses the array equalization (flat response).


Band-Pass Crossover (PowerShareX)

The Band Pass Crossover function provides a single mono crossover for the output signal processing chain. The Band Pass Crossover supports general purpose operation with user defined settings, or provides the loudspeaker specific band pass when a Bose Professional loudspeaker parametric EQ is active.

Within the signal processing diagram, the Band Pass Crossover is represented by a single block.

To access the Band Pass Crossover control panel, double-click the block in the signal processing view. The default state of the Band Pass Crossover is Bypass to provide a flat initial response.

The following controls are available within the crossover panel:

  • Response Graph – Displays the response curve of the High and Low Pass filter settings.
  • Loudspeaker Preset – When a Bose Professional or custom loudspeaker EQ preset is loaded, the loudspeaker parametric EQ name of the active preset is displayed. Bose Professional loudspeaker presets will cause the band pass controls to be locked. When the controls are locked, Locked appears in the status section next to the EQ Type display.
  • High Pass Filter Type – Affects the low frequency cutoff of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel ( 2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • High Pass Frequency – Defines the corner frequency of the filter.
  • High Pass Bypass – When active the high pass filter is bypassed.
  • Low Pass Filter Type – Affects the high frequency cut off of the crossover. Available filter types are Butterworth (1st, 2nd, 3rd, 4th, 6th and 8th order), Bessel (2nd, 3rd, 4th, 6th and 8th order), and Linkwitz-Riley (2nd, 4th, 6th and 8th order).
  • Low Pass Frequency – Defines the corner frequency of the filter.
  • Low Pass Bypass – When active the low pass filter is bypassed.


Loudspeaker Parametric EQ

The Loudspeaker Parametric EQ is a signal processing block which provides either a general purpose 9-band parametric EQ, or a Bose Professional loudspeaker equalization curve. When a Bose Professional loudspeaker equalization curve is active, additional settings are applied to the Band Pass Crossover, Delay, and Limiter signal processing blocks, and the settings are locked to prevent modification.

A custom set of loudspeaker settings (Band Pass, Parametric EQ, Delay, and Limiting) may be saved as a preset for future use, or a Bose Professional loudspeaker preset may be saved as a starting point for further customization.

Within the signal processing diagram the Loudspeaker Parametric EQ is represented by a single block.

To access the Loudspeaker Parametric EQ control panel, double-click the block in the signal processing view. The Loudspeaker Parametric EQ provides 9 bands of parametric EQ and provides access to the Band Pass Crossover settings as a convenience.

The following controls are available within the Loudspeaker PEQ panel:

  • Load Loudspeaker EQ – Displays a "file open" dialog box with the Bose Professional loudspeaker EQ directory as the default setting. From within this directory, locate and open the desired loudspeaker preset file.

Once a Bose Professional loudspeaker EQ is loaded into the Loudspeaker PEQ, the settings for the Band Pass Crossover, Parametric EQ stages, Delay and Limiter are disabled to prevent modification, and the name of the loudspeaker EQ preset is displayed.

  • Save EQ As – Saves the loudspeaker settings (parametric stages, band pass filter settings, limiter settings and alignment delay setting) as a custom file for use in another channel of signal processing or design. The default location for the Save EQ As… function is My Documents.
  • EQ Type – Displays the name of the loudspeaker EQ which is loaded.
  • Driver Alignment – Displays the amount of driver alignment delay used. This is a read-only parameter for Bose Professional loudspeaker EQs.
  • EQ Graph Display – Illustrates the current response curve that is implemented. Nine grab handles, one for each band, are available and the user may directly adjust the frequency and gain for each band. Note that the graph includes the response of the band-pass filter settings.
  • EQ Gain – Makeup gain applied post EQ. Up to +/- 15 dB of gain may be applied.
  • Band-Pass Filters – This section mirrors the controls within the Band Pass Crossover block (see Band Pass Crossover (PowerShareX)). Changes made here are reflected in the Band Pass Crossover and vice versa.
  • Bypass All – Bypasses all PEQ bands and band pass filters.
  • Parametric EQ Bands – Nine bands of parametric EQ are available. Each band contains the following functions:
  • - TYPE – Filter Type: PEQ, High Shelf, Low Shelf, or Notch
  • - FREQ – Center frequency of filter in hertz.
  • - GAIN – Gain of filter in 0.1 dB steps between +15 dB and -15 dB.
  • - BW (Octave)/Q – Selects between 0.14 and 6.67 Octaves in .01 Octave steps (filter Q between 0.1 and 10). A user selection is available to change the display and data entry between BW (Octave) and Q.
  • - Bypass/Bypass All – Bypasses the selected EQ band or all bands.
  • Signal Polarity Control – Inverts the polarity of the signal. Default value is positive (+) or non-inverted. When selected, the signal polarity is negative (-) or inverted. Button color is used to indicate current state with GREEN = non-inverted and RED = inverted.


Limiter

A Limiter provides both peak and RMS voltage limiting for loudspeaker driver protection.

Note: The limiter block is shown in the processing diagram before the output gain stage, but functionally, the output gain is pre-limiter to provide proper operation.

The limiter may be used as a general-purpose peak and RMS limiter. In this application, the peak voltage should be set to prevent over-excursion of the driver, and the RMS limiter should be set to the power handling of the driver; both the peak and RMS values are entered in Volts.

When a Bose Professional loudspeaker preset is active, the Limiter settings are specific to the Bose Professional loudspeaker, and the settings are visible but may not be adjusted.

Within the signal processing diagram the Limiter is represented by a single block.

To access the Limiter control panel, double-click the block in Signal Processing view. The Limiter provides Peak and RMS limiting, a linking function, and metering of the Peak and RMS limiting, as well as the channel output level.

The following controls are available within the Limiter control panel:

  • EQ Type – Displays the currently selected loudspeaker equalization curve within the Loudspeaker EQ processing block.
  • Clip Voltage Limiting – This limiter has a fixed attack time of 0.3 ms with a lookahead of 0.3 ms. The PowerShareX Clip limiter behaves similarly to the PowerMatch/PowerShareD Peak limiter. A combination of Clip and Peak limiting is used on most presets to achieve best results with Bose Professional loudspeaker presets. It is required to have Clip, Peak, or both enabled.
  • Peak Voltage Limiting – The Peak Voltage Threshold defines the behavior of the Peak Voltage limiter and corresponds to the maximum voltage which may be applied to the driver without causing over-excursion. The read-only attack and release times are shown. It is required to have Clip, Peak, or both enabled.
  • RMS Voltage Limiting – The RMS limiter behavior is defined by the RMS Voltage settings: Threshold (V), Attack (msec) and Release (msec).
  • Metering – Meters display the amount of gain reduction, in dB, for both the Peak and RMS limiters. A third meter displays the total gain reduction (the greater of either Peak or RMS), in dB, being applied to the signal. An output gain meter is included to assist in the setup and configuration of the limiter.


Signal Delay

A signal alignment delay is provided to accommodate cluster or zone signal alignment. A secondary delay is indicated for Bose Professional loudspeaker signal processing which may not be modified.

Within the signal processing diagram the Delay is represented by a single block.

To access the Delay control panel, double-click the block in Signal Processing view. The Delay provides up to 2 seconds of signal delay per output channel.

The following options are available within the Delay control panel:

  • Value – Amount of signal delay applied based on the selection within the Units drop-down list.
  • Units – The method used to determine the amount of signal delay. Available selections are milliseconds, sample, meter, millimeter, feet, and inch.
  • Bypass – Bypasses any signal delay setting.


Output Attenuation

The Output Attenuation block provides control over the amplifier output for the PowerShareX amplifier. Control of the output attenuation is available for each of the four outputs, based upon the current output configuration, and is accomplished using the output Control Panel.

Output Attenuation can also be adjusted manually using the Output Attenuation controls on the front panel of the amplifier. The digital and physical output attenuations are cumulative and the sum of the two attenuations is displayed on the Output Channel Signal Level Meter.

Within Signal Processing view each output is represented as a block.

  • Output Label – Default label is “Out n”, and may be modified while offline.
  • Output Connection – Displays the output connection status, active or mute (red). It is not user accessible (i.e. the user cannot “wire” this output to another input).
  • Output Signal Level Meter – Displays the current output signal level as green, yellow, orange, or red.
  • Output Configuration – The current output configuration is displayed as either individual/mono or Voltage Bridge. Outputs are configured in the Output Control Panel for the PowerShareX amplifier.

To access the Output Attenuation control panel, double-click any of the Output blocks in the signal processing view. Each of the output channels is available on the Output Attenuation control panel.

The following functions are included for each output control:

  • Output Mode Indicators – Displays the current output configuration for each channel pair. The following are the valid configurations:
  • - Mono – Configured for independent channel operation.
  • - V-Bridge – Configured for voltage bridging operation, 2x voltage output. This configuration may drive a low impedance, 4 or 8 Ohm, or high impedance, 70 or 100V.
  • Output Channel Label – Default channel label is “Out n” and can be modified when offline. Channels used for V-Bridge operation are shown with a "---".
  • Fault Indicator – Indicates the present of a fault condition within the amplifier channel. Clicking on the Fault indicator displays the Alarm Panel. From here, details about the fault condition can be viewed, and the fault may be cleared.
  • Output Protection Limit Active Indicator – Illuminates yellow when any of the following amplifier protection mechanisms are engaged: Peak or RMS Voltage limiter active, gain reduction due to amplifier temperature, gain reduction due to power supply temperature.
  • Output Channel Attenuation – Displays the output attenuation between 0 dB (full gain) and -infinity dB. This is a user-accessible display where the user may enter a numeric value using a -00.0 format.
  • Output Channel Attenuation Slider – Attenuates the output gain between 0 dB (full gain) and -infinity dB.
  • Output Channel Signal Level Meter – Displays the current output signal level and is scaled to 0 dB (full gain) and -60.

Note: The digital and physical output attenuations are cumulative and the sum of the two attenuations is displayed on the Output Channel Signal Level Meter.

  • Output Channel Mute – When active, mutes the output of the selected channel.
  • Output Channel Signal Polarity – When active, reverses the signal polarity.
  • Output Voltage Display – Displays the current output voltage of the amplifier channel.


PowerShareX Monitor Panel

Two types of monitor panels are available for PowerShareX amplifiers:

  • A full-size monitor panel which displays the status of inputs, outputs and faults, as well as provides the ability to put the unit into standby.

  • A small amplifier status panel which is displayed when the system status function is enabled.

To access a PowerShareX amplifier’s monitor panel, right-click the PowerShareX amplifier within the Project View and select Open Monitor Panel.

Monitor Panel Options

The full-size PowerShareX monitor panel provides an overview of the current operational status of the device and a control to place the amplifier into/out of standby.

The following options are available from within the PowerShareX amplifier’s monitor view:

  • Input Status – Displays the currently active input source (Analog/Digital), and the input signal level for each of the four inputs (A to D).
  • Mute All – Mutes all output channels.
  • Enter Standby – Toggles the standby state of the amplifier.
  • Output Status – Displays the output status for each output of the amplifier. Included indicators are the output label, channel configuration, channel alarm status, limiting/protect status, the current output signal level, and an output mute.

System Status

When the System Status Settings (AutoTile Layout and Collapsed View) are enabled in the View menu, the amplifier status panels for all PowerShareX amplifiers are displayed according to the selected settings.

To access the System Status function, select the system status icon [image] while online and connected to the system.

Each amplifier status panel is displayed using either a collapsed or expanded view. In the collapsed view only the primary status indicators are available.

Select Detail to expand the amplifier status panel to see all of the amplifier’s status indicators.

The following table describes the status indicators:

Indicator | Status
Signal | Green when input signal level is present on any input channel.
Limit | Yellow, when any output limiter is active.
Clip | Red when input clipping is present.
Fault | Red when an alarm condition is active. See the alarm properties within the device properties to configure which alarms conditions will activate this indicator.
Online | Green when device is online.
Standby | Green when device is in standby.
Input Signal Level (channel) | Green, Yellow, Red based on input signal level.
Output Fault (channel) | Red when an alarm condition exists. Click the Fault indicator to view the amplifier alarm panel. Note this displays all alarms, regardless of the settings within the device properties.
Output Limit (channel) | Orange when output limiter is active.
Output Signal (channel) | Green, Yellow, Red based on output signal level.


Working with Auto-Standby (PowerShareX)

The Auto-Standby function detects the presence of an input signal on any available input channel. When Auto-Standby is active, the absence of an input signal at a specified level and for a specified time causes the unit to place itself into Standby; the READY LED on the front of the amplifier will blink green and the SDBY LED will blink orange. This function is available in all PowerShareX amplifier models. An input signal on any of the analog or digital inputs will immediately wake the PowerShareX amplifier from standby.

  1. In Project view, right-click the PowerShareX amplifier icon and select Properties.
  2. In the Properties window, select the Auto-Standby (NRG SAVE) check box to enable the Auto-Standby function.

  3. To adjust Auto-Standby parameters, click Setup.
  4. Adjust the Input Signal Threshold Level and Signal Absence Time.

  5. On your PowerShareX amplifier, turn the NRG SAVE DIP switch to On.


Adding Dante Endpoints and Microphones to Project View

Automatic Discovery

If you are connected to the system network, CSD by default will discover any Dante endpoints and Dante-equipped microphones that are connected to that same network. Once detected, the discovered endpoint and mic device blocks will automatically display in Project view – even if CSD is not in online mode.

The "Connected" label inside the device block indicates that the Dante block is both connected to the network and associated with the actual Dante hardware. If an association was not made, a "Disconnected" label appears.

Dante endpoint device blocks - Connected and Disconnected

This association is also reflected in the Dante device block's control panel. The blue Connected light indicates that the hardware endpoint is associated with and connected to the device block (a gray color means no associated connection). See Device Icons and Controls for Dante Endpoints and Device Icons and Controls for Dante-Equipped Microphone Endpoints for a description of Dante device control panels.

Connected indicator in Dante device block control panel

Adding Dante Devices Manually

Since Project view is automatically populated with any Dante devices that are discovered on the network, it is usually not necessary to add Dante devices manually unless you delete a device and decide to add it back to Project view later.

There are two ways to add a Dante device manually:

  • Use the Add Dante Endpoints command in the System menu.
  • Use the drag and drop method, described below.

To add Dante devices to Project view manually with the drag and drop method:

  1. In the Device List, expand the Dante Endpoints category listing.

  2. Drag and drop the Dante endpoint or Dante-equipped microphone block into Project view.

    Dante Endpoint dragged into Project view

  3. If Dante hardware matching the Dante device block is found on the network, select the Dante hardware device name in the drop-down list in the Associate with Dante Device dialog box.

    Associating Dante device block with hardware endpoint

  4. Click OK. The Dante device block now shows a status of "Connected," which means it is now associated with matching hardware on the network.

    Dante device block in Connected state

To add signal processing blocks for the Dante device to Signal Processing view, see Adding Dante Endpoint and Microphone Blocks to Signal Processing View.


Device Icons and Controls for Dante Endpoints

Dante endpoints, other than microphones, can be found in the Device List in the Dante Endpoints folder:

  • EX-4ML 4-mic/line input Dante endpoint
  • EX-8ML 8-mic/line input Dante endpoint
  • EX-UH USB input Dante endpoint
  • EP22-D 2-in/2-out Dante endpoint
  • EP40-D 4-input Dante endpoint
  • WP22B-D 2-in/2-out Dante Wall Plate
  • WP22BU-D 2-in/2-out Dante Wall Plate
  • MSA12X Dante Steerable Loudspeaker Array

Note: For Dante-equipped microphone endpoints, see Device Icons and Controls for Dante-Equipped Microphone Endpoints.

Dante endpoints on Device List

The devices will also appear as icons in Project view, once they are either automatically discovered on the network or manually dragged and dropped into Project view. These devices have properties and a control panel that allows you to view and modify these properties. The Properties Window displays the list of properties and allows direct interaction for modifying their values.

Note: Each device's control panel has an Identify button. Clicking this button triggers a flashing Power/ID indicator on the device, which continues until reset.

EX-4ML

EX-4ML Off-line

EX-4ML with PWR and GPO active

The control panel for the EX-4ML allows you to:

  • Determine if the device is connected to the system. Blue = connected.

Note: The Connected control panel indicator conveys the Network connection status and not ControlSpace Designer software Online status.

  • View audio input signal status.
  • Set the coarse gain for any input from +0 dB to +45 dB.
  • Apply Phantom Power to any channel via the PWR buttons.
  • See the GPI output states for a given channel.
  • Set or view the GPO input states.

The EX-4ML has four GP input control ports. When a GP input is active, the indicator next to its port number is lit.

The EX-4ML has eight GP output control ports. Click a button to set the state of an output to OFF (default) or ON before assigning the GPO processing block in Signal Processing view to a location in the Project Directory or Parameter Set Nodes List.

EX-8ML

EX-8ML Off-line

EX-8ML with PWR and GPO active

The control panel for the EX-8ML allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • View audio input signal status.
  • Set the coarse gain for any input from +0 dB to +45 dB.
  • Apply Phantom Power to any channel via the PWR buttons.
  • See the GPI output states for a given channel.
  • Set or view the GPO input states.

The EX-8ML has eight GP input control ports. When a GP input is active, the indicator next to its port number is lit.

The EX-8ML has 16 GP output control ports. Click a button to set the state of an output to OFF (default) or ON before assigning the GPO processing block in Signal Processing view to a location in the Project Directory or Parameter Set Nodes List.

EX-UH

EX-UH Off-line

The control panel for the EX-UH allows you to:

  • Determine if the device is connected to the system.
  • View USB audio input signal status.

EP22-D

EP22-D Off-line

The control panel for the EP22-D allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain for any input or output. 0 dB, +25 dB, and +40 dB inputs. Output gain settings are 0 dB and +10 dB.

  • Apply Phantom Power to any input channel via the PWR buttons.

EP40-D

EP40-D Off-line

The control panel for the EP40-D allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain for any input from +0 dB to +45 dB.
  • Apply Phantom Power to any input channel via the PWR buttons.

WP22B-D

WP22B-D Off-line

The control panel for the WP22B-D allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain for any input to 0 dB, +25 dB, or +40 dB.
  • Apply Phantom Power to any input channel via the PWR buttons.

WP22BU-D

WP22BU-D Off-line

The control panel for the WP22B-D allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain for Input 1 to 0 dB, +25 dB, or +40 dB. Input 2 on the WP22BU-D allows you to select A, A+B, or B.
  • Apply Phantom Power to any input channel via the PWR buttons.

MSA12X

MSA12X Off-line

Basic control panel functions for the MSA12X include, but are not limited to:

  • Determine if the device is connected to the system. Blue = connected.
  • Select, display, and store speaker array beam presets.
  • Display and adjust gain and equalization settings for a beam preset.
  • Select an input source for the array: Dante network or analog audio.

For more information on the MSA12X main control panel, see MSA12X Configuration & Main Control Panel Options.

Right-Click Menu

A mouse right-click on any endpoint icon opens the same context menu.

Right-click menu for Dante endpoint

  • Open displays the endpoint control panel.
  • Rename enables you to change the device name.
  • Delete removes the selected item from the Project view.
  • Cut deletes the selected item and copies it to the clipboard (standard Windows editing function).
  • Copy sends a duplicate of the selected item to the clipboard (standard Windows editing function). All properties except name and state are copied. A unique name is assigned in keeping with the existing behavior for all other ControlSpace devices.
  • Duplicate copies and pastes the selected item, in effect cloning it (standard Windows editing function).
  • Copy Parameters copies the parameters, or settings, of the device. The parameters can be pasted to another device of the same type.
  • Paste Parameters pastes the copied settings from one or more devices of the same type.
  • Bring To Front moves selected item up over any overlapping objects.
  • Send To Back moves selected item behind any overlapping objects.
  • Set/Clear Port Spacing sets or clears the spacing between ports in the selected item.

After a device in a ControlSpace Designer project has been associated with a device on a Dante network, the option of Break Association to Dante device is added to the right-click menu. This allows you to disconnect the Dante endpoint device block from the actual hardware. After selecting this option, it will read Associate with Dante Device.


Device Icons and Controls for Dante-Equipped Microphone Endpoints

Dante-equipped microphones can be found in the Device List in the Dante Endpoints folder:

  • ATND971 Audio-Technica Cardioid Condenser Boundary Microphone with Dante Output
  • ATND8677 Audio-Technica Microphone Desk Stand with Dante Network Output
  • ATND8734 Audio-Technica Wall/Ceiling Microphone with Dante Output
  • MXA310 Shure Table Array Microphone with Dante Output
  • MXA910 Shure Ceiling Array Microphone with Dante Output
  • MXWAPT2 Shure Access Point Transceiver with 2-channel Dante output
  • MXWAPT4 Shure Access Point Transceiver with 4-channel Dante output
  • MXWAPT8 Shure Access Point Transceiver with 8-channel Dante output
  • TCC2 Sennheiser TeamConnect Ceiling 2 with 2-channel Dante output
  • ULXD4D Shure Dual-Channel Digital Wireless Receiver
  • ULXD4Q Shure Quad-Channel Digital Wireless Receiver

Note: For non-microphone Dante endpoints, see Device Icons/Controls for Dante Endpoints.

Dante-equipped microphones on Device List

The devices also appear as icons in Project view, once they are either automatically discovered on the network or manually dragged and dropped into Project view. Dante-equipped microphones have properties and a control panel that allows you to view and modify these properties. The Properties window displays the list of properties and allows direct interaction for modifying their values.

Note: Some device control panels include an Identify button. Clicking this button triggers a flashing Power/ID indicator on the device, which continues until reset.

ATND971

ATND971 Off-line

ATND971 with Mute and RED LED indicators on

The control panel for the ATND971 allows you to:

  • Determine if the device is connected to the system. Blue = connected.

Note: The Connected control panel indicator provides Network connection status and not ControlSpace Designer software Online status.

  • Set the coarse gain on the mic +30 dB, +40 dB or +50 dB.
  • Mute or unmute the microphone.
  • Enable or disable the microphone’s Low Cut Filter.
  • View or set the microphone’s LED indicator states.

Note: The ATND971 does not retain any settings once disconnected from ControlSpace Designer software. Once disconnected, the mic gain is set to Mute (default). You can change mic settings only while the mic is online with ControlSpace Designer software.

ATND8677

ATND8677 Off-line

ATND8677 with Mute, PWR, and RED LED indicators on

The control panel for the ATND8677 allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain on the mic +30 dB, +40 dB or +50 dB.
  • Mute or unmute the microphone.
  • Enable or disable the microphone’s Low Cut Filter.

  • Apply Phantom Power via the PWR button.

  • View or set the microphone’s LED indicator states.

ATND8734

ATND8734 Off-line

ATND8734 with Mute and RED LED indicators on

The control panel for the ATND8734 allows you to:

  • Determine if the device is connected to the system. Blue = connected.
  • Set the coarse gain on the mic +30 dB, +40 dB or +50 dB.
  • Mute or unmute the microphone.
  • Enable or disable the microphone’s Low Cut Filter.
  • View or set the microphone’s LED indicator states.

MXA310

MXA310 Off-line

The control panel for the MXA310 allows you to:

  • Determine if the device is connected to the system. Blue = connected.

  • Determine if the device is connected via the Shure Control Application.

  • Set the Shure Control device IP address and connect to the application.

  • Launch the Shure Web App.

  • Mute or unmute the microphone.

  • Enable and disable the MXA310 LEDs.

  • Load device presets configured from the Shure Control Application.

  • Set the LED colors for mute and unmute indication.

  • Adjust each lobe’s gain settings.

  • Enable or disable each lobe’s LED indicators.

MXA910

MXA910 Off-line

The control panel for the MXA910 allows you to:

  • Determine if the device is connected to the system. Blue = connected.

  • Determine if the device is connected via the Shure Control Application.

  • Set the Shure Control device IP address and connect to the application.

  • Launch the Shure Web App.

  • Mute or unmute the microphone.

  • Enable and disable the MXA910 LEDs.

  • Load device presets configured from the Shure Control Application.

  • Set the LED colors for mute and unmute indication.

  • Adjust each lobe’s gain settings.

  • Enable or disable each lobe’s LED indicators.

MXWAPT2, MXWAPT4, or MXWAPT8

Follow these steps to configure Shure MXWAPT2, MXWAPT4, or MXWAPT8 microphones to operate properly with ControlSpace Designer:

  1. Connect the microphone hardware to the network.
  2. Use the Shure device discovery utility to discover the MXW access point.
  3. Apply a static IP address for Network Audio (Dante) and another one for Control. Both IP addresses must be within the range used in ControlSpace Designer configuration.
  4. Double-click the MXWAPT block for the microphone in the design workspace to open it. Alternatively, right-click it and select Open, or click it and then press Enter.
  5. In the window that appears, click the + next to Transceiver to expand the tab.
  6. Enter the Control IP address into the Control IP field.
  7. In the Shure MXW control software window, click the Preferences tab.
  8. For the transmitter type of your microphone, set the Switch Behavior to one of the following:
    1. Toggle (default): Press and release the microphone’s button to switch its status between Active and Mute.
    2. Push-to-talk: Press and hold the microphone’s button to allow audio.
    3. Push-to-mute: Press and hold the microphone’s button to mute audio.
    4. Disabled: The microphone’s button will not affect the audio. This behavior is not recommended.
  9. For the transmitter type of your microphone, set the Initial State from Charger (i.e., when the microphone is removed from the charger) to one of the following:
    1. Active: The microphone will be on and pass audio to the network.
    2. Mute: The microphone will be on, but the audio will be muted.
    3. Standby: The microphone will be on but in a “sleep” state with audio muted.
    4. Off: The microphone will be powered off.
  10. For the transmitter type of your microphone, set the Active/Mute LED Behavior to External LED Control. The microphone’s button and LED logic will be controlled by the DSP.
  11. For each transmitter type, set the Mute Preference to External Mute. The microphone’s mute switch will send a mute/unmute message to the DSP.
  12. Apply any other settings, if required, and then close the window. All settings are effective immediately.

The control panel for the MXWAPT2, MXWAPT4, or MXWAPT8 allows you to:

  • Set the microphone’s Control IP address and connect to the application.
  • View or set the state of each status LED.
  • Change the state of each mute/active button when pressed or released.
  • Open the Shure control software application.

TCC2

The control panel for the TCC2 allows you to:

  • Set the Sennheiser Control device IP address.
  • Determine if the device is connected via the Sennheiser Control Application.
  • Determine if the device is connected to the system. Blue = connected.
  • Set the LED colors for mute and unmute indication.
  • Set the LED brightness level.
  • Adjust gain settings.
  • Turn Mute and Call Status tests on and off.
  • Expand the Orientation section and set the orientation of the microphone relative to the front of the room.

ULXD4D

The control panel for the ULXD4D allows you to:

  • Set the microphone’s Control IP address and connect to the application.
  • View or set the state of each button.

ULXD4Q

The control panel for the ULXD4Q allows you to:

  • Set the microphone’s Control IP address and connect to the application.
  • View or set the state of each button.

Right-Click Menu

Right-clicking on any Dante-equipped mic icon opens the same context menu.

  • Open displays the endpoint control panel.
  • Rename enables you to change the device name.
  • Delete removes the selected item from the Project view.
  • Cut deletes the selected item and copies it to the clipboard (standard Windows editing function).
  • Copy sends a duplicate of the selected item to the clipboard (standard Windows editing function). All properties except name and state are copied. A unique name is assigned in keeping with the existing behavior for all other ControlSpace devices.
  • Duplicate copies and pastes the selected item, in effect cloning it (standard Windows editing function).
  • Copy Parameters copies the parameters, or settings, of the device. The parameters can be pasted to another device of the same type.
  • Paste Parameters pastes the copied settings from one or more devices of the same type.
  • Bring To Front moves selected item up over any overlapping objects.
  • Send To Back moves selected item behind any overlapping objects.
  • Set/Clear Port Spacing sets or clears the spacing between ports in the selected item.

After a device in a ControlSpace Designer project has been associated with a device on a Dante network, the Break Association to Dante device option is added to the right-click menu. This allows you to disconnect the Dante mic device block from the actual hardware. After the Break Association to Dante device option is selected, the Associate with Dante Device option becomes available.


Adding Dante Endpoint and Microphone Blocks to Signal Processing View

Any Dante endpoints and Dante microphone devices that have been added to Project view will automatically be listed in the SP Tool Kit for all connected signal processors (see Adding Dante Endpoints and Microphones to Project View for more information on adding Dante devices).

Dante endpoint as it appears in SP Tool Kit

To add a Dante endpoint or Dante microphone block to the Signal Processing view of a particular signal processor, locate the Dante Endpoint or Dante Microphone in the Dante Endpoints section of the SP Tool Kit and drag it into Signal Processing view.

Dragging Dante endpoint or mic into Signal Processing view

When a Dante endpoint or Dante microphone block is dragged into Signal Processing view, it is now automatically associated with that signal processor. Therefore, the Dante block is no longer listed in the SP Tool Kit. The Dante SP block is added, along with a GPO and GPI block if the device supports it. Most, but not all, Dante SP blocks have companion GPI or GPO blocks.

Dante endpoint signal processing blocks

For a description of Dante SP and GPI/GPO blocks, see Dante Endpoint and Microphone SP Blocks.

Note: To make the Dante endpoint or mic available in the SP Tool Kit again, simply delete the Dante endpoint or mic icon from Signal Processing view.


Dante Endpoint and Microphone SP Blocks

This topic describes the SP blocks that display in Signal Processing view for each Dante UTB endpoint and microphone. Most but not all Dante SP blocks have companion GPI or GPO blocks.

  • The GPI/GPO control panel that displays when you double-click a GPI or GPO block is the same as that for the Dante device block, described in Device Icons and Controls for Dante Endpoints and Device Icons and Controls for Dante-Equipped Microphone Endpoints.
  • The Dante Rx audio block control panel that displays when you double-click the Dante Rx block is the same as the input control panel for the Dante I/O block, described in ESP-880AD/1240AD Dante Input/Outputs and ControlSpace EX Dante Input/Output Controls. However, the labels for Dante Rx channels may vary, depending on the model of the Dante endpoint or microphone.
  • The Dante Tx audio block control panel that displays when you double-click the Dante Tx block is the same as the output control panel for the Dante I/O block, described in ESP-880AD/1240AD Dante Input/Outputs and ControlSpace EX Dante Input/Output Controls. However, the labels for Dante Tx channels may vary, depending on the model of the Dante endpoint or microphone. Only the EX-UH and MSA12X endpoints have a Dante Tx block.

Note: For more information on third-party Dante product terminology referenced in this topic, consult the vendor's product documentation.

EX-4ML

The EX-4ML SP block consists of a:

  • Dante Rx audio block
  • Logic eight-port GPO block
  • Logic four-port GPI block

EX-8ML

The EX-8ML SP block consists of a:

  • Dante Rx audio block
  • Logic 16-port GPO block
  • Logic eight-port GPI block

EX-UH

The EX-UH SP block consists of a:

  • Dante USB Rx audio block
  • Dante USB Tx audio block

ATND971

The ATND971 microphone SP block consists of a:

  • Dante Rx audio block
  • Two-port Logic GPO block (LED indicators)
  • One-port Logic GPI block (pushbutton)

ATND8677

The ATND8677 microphone SP block consists of a:

  • Dante Rx audio block
  • Two-port Logic GPO block (LED indicators)
  • One-port Logic GPI block (pushbutton)

ATND8734

The ATND8734 microphone SP block consists of a:

  • Dante Rx audio block
  • Two-port Logic GPO block (LED indicators)

MXA310

The MXA310 microphone SP block consists of a:

  • Dante Rx audio block
  • Five-port Logic GPO block (LED indicators)
  • One-port Logic GPI block (pushbutton)

MXA910

The MXA910 microphone SP block consists of a:

  • Dante Rx audio block
  • One-port Logic GPO block (LED indicator)

MSA12X

The MSA12X SP block consists of a Dante Tx audio block.

MXWAPT2

The MXWAPT2 microphone SP block consists of a:

  • Dante Rx audio block
  • Two-port Logic GPO block (LED indicator)
  • Two-port Logic GPI block (pushbutton)

IMPORTANT: You must use the Shure control software to configure this microphone to work properly in ControlSpace Designer. See Device Icons and Controls for Dante-Equipped Microphone Endpoints to learn how to do this.

MXWAPT4

The MXWAPT4 microphone SP block consists of a:

  • Dante Rx audio block
  • Four-port Logic GPO block (LED indicator)
  • Four-port Logic GPI block (pushbutton)

IMPORTANT: You must use the Shure control software to configure this microphone to work properly in ControlSpace Designer. See Device Icons and Controls for Dante-Equipped Microphone Endpoints to learn how to do this.

MXWAPT8

The MXWAPT8 microphone SP block consists of a:

  • Dante Rx audio block
  • Eight-port Logic GPO block (LED indicator)
  • Eight-port Logic GPI block (pushbutton)

IMPORTANT: You must use the Shure control software to configure this microphone to work properly in ControlSpace Designer. See Device Icons and Controls for Dante-Equipped Microphone Endpoints to learn how to do this.

TCC2

The TCC2 microphone SP block consists of a:

  • Dante Rx audio block
  • Dante Tx audio block
  • Two-port Logic GPI block (pushbutton)

ULXD4D

The ULXD4D microphone SP block consists of a:

  • Dante Rx audio block
  • Two-port Logic GPI block (pushbutton)

ULXD4Q

The ULXD4Q microphone SP block consists of a:

  • Dante Rx audio block
  • Four-port Logic GPI block (pushbutton)


About the MSA12X Steerable Loudspeaker Array

The Panaray MSA12X modular steerable loudspeaker array features 12 full-range 2.25-inch transducers (with 75 Hz – 14 kHz response) per module in a columnar line array configuration. Each module includes 12 internal drivers (50 watts per channel; total 600-watt rated power) and an onboard DSP to provide digital control and beam steering of array vertical coverage patterns. Up to three MSA12X modules can be stacked in a single array to increase coverage distance and low-frequency pattern control.

Independent level and EQ control is supported for up to two separate beams per array, and the onboard memory stores up to 10 user-selectable beam presets. The MSA12X features both Dante network connectivity and line-level analog input.

As with any Dante endpoint, the MSA12X device block appears as an icon in Project view, once it is either automatically discovered on the network or manually dragged and dropped into Project view. These devices have properties and a control panel that allows you to view and modify these properties.

Note: For ESP-880/1240/4120/1600 sound processors, a Dante network card is required for dual-beam functionality and for parameter set support for beam presets.

For more general information about adding Dante endpoints and accessing their control panels, see:

  • Device Icons and Controls for Dante Endpoints
  • Dante Endpoint and Microphone SP Blocks
  • Adding Dante Endpoints and Microphones to Project View
  • Adding Dante Endpoint and Microphone Blocks to Signal Processing View

For more information about the MSA12X control panels and configuration options, see:

  • MSA12X Configuration & Main Control Panel Options
  • Storing and Recalling Beam Presets in MSA12X Arrays
  • Setting an MSA12X Array's Power-On State
  • Setting Up MSA12X Basic Beam Steering and Spreading in CSD
  • MSA12X Advanced Control Panel Options
  • Assigning MSA12X Beam Presets to Parameter Sets


MSA12X Configuration & Main Control Panel Options

This topic describes basic MSA12X configuration and control panel options. For a more comprehensive, step-by-step description of design workflow and best practices, see the MSA12X Design Guide.

Acquiring Beam Configuration Data

There are two ways to get MSA12X array beam configuration data into CSD and the arrays:

  • Import the data from Bose Professional Modeler software.

Note: See the online help within Bose Professional Modeler software for more information about how to send data to CSD.

  • Set up basic steering and spreading parameters for an array in the MSA12X control panel. This option is primarily although not exclusively for users who do not have or choose not to use Bose Professional Modeler software. See Setting Up MSA12X Basic Beam Steering and Spreading in CSD for more information.

If you are importing the data from Modeler, the Choose Beam Configuration Destinations dialog box appears in CSD when you first send the data from Modeler:

Choose Beam Configuration Destinations dialog box

If there is an existing MSA12X array device block in Project view that is not designated as a destination of beam data from Modeler and the number of modules in that device block either matches the beam data from Modeler or is not specified yet, that device block is listed in the dialog box. If there are any existing MSA12X array device block(s) that have already been designated as destinations for beam data from Modeler, they are shown with a check mark. A number in parentheses indicates the number of modules in the array.

Select the array or arrays to which you want to send the beam configuration data and click OK. The control panel for the array populates with the new settings, including the number of modules in the array, number of beams (single or dual), beam shape data, and comments entered in Modeler.

Note: If there are no array device blocks with a matching number of modules or you want to send the beam data to new array blocks, you can select New Array(s) and specify the number of arrays to add. The new array device blocks with the beam configuration data are then created and added to Project view.

After you have made an association between an MSA12X array device block and the hardware, any subsequent beam changes that you send to CSD will be automatically incorporated in the array control panel and sent automatically to the hardware (no Choose Beam Configuration Destination dialog box is shown). However, if you want to force the dialog box to always display for any MSA12X array device blocks when sending data from Modeler, right-click on any one of the array device blocks and select Always show Beam Config Destination Window.

Note: This is a global setting that affects all MSA12X array device blocks. You may not use this option selectively on one array device block.

Always show Beam Config Destination Window enabled

MSA12X Device Block

MSA12X device block - example

An MSA12X device block contains the following information, listed from top to bottom:

  • Device name (MSA12X).
  • MSA12X array name (Main-Left in example). This is blank if not set yet.
  • Name of current beam preset (2:Weekday in example).
  • Device name of sound processor associated with the MSA12X array (ESP-4120 1 in example). This is blank if there is no current association.
  • Connection status between CSD and the MSA12X (Connected or Disconnected).
  • Last octet of IP address of MSA12X array (102 in example).
  • Input audio type (Dante or Analog).

MSA12X Main Control Panel

Double-click an MSA12X device block in Project view to open its main control panel.

MSA12X control panel

IMPORTANT: Endpoint control must be enabled to make changes to most options in this control panel. To enable endpoint control, click the System menu and select Enable Endpoint Control. The system must be offline to do this.

The main control panel provides the following options for the selected array:

  • Array name in design - Array name as specified in Modeler. If no name is defined, this is blank.

Note: You can only define array names in Modeler, not in CSD. The array name in the design can be different than the Dante device name for the array.

  • Input & Speaker EQ
  • - Input - Select the input type, either digital Dante audio or an analog signal for the input.
  • - Input Gain - Click this menu to select and apply a fixed gain level to the input audio signal: 0 dB, +14 dB, or +24 dB.
  • - Speaker EQ - Specify a fixed EQ, optimized for either Music or Voice. The beam EQ can be adjusted further in the Beam Gain & EQ section.
  • Beam
  • - Set Beam from CSD - Sets basic beam steering and spreading parameters from CSD. For more information, see Setting Up MSA12X Basic Beam Steering and Spreading in CSD.
  • Beam Preset - Use the options in this section to store, recall, or view information for a beam preset (see Storing and Recalling Beam Presets in MSA12X Arrays) or to specify a power-on state for the array (see Setting an MSA12X Array's Power-On State). The number of beams and any comments are displayed in the Beam Preset section whenever beam settings are imported from Modeler, stored to a beam preset, or recalled.
  • - Show Beam Details - Select to display more detailed information from either Modeler or CSD for the main and second beam (if any) in the array. Includes number of modules, beam type, beam setting parameters such as steering and spreading angles, whether vocal range smoothing is enabled, array pitch, and other information.

MSA12X control panel - Show Beam Details

  • Hardware Configuration
  • - Identify - If Dante control is enabled and the array is online, this button causes an LED to blink repeatedly on the rear of the array. Useful for identifying which array is being controlled.
  • - IP Address - IP address assigned to the array. This is for information only and cannot be modified here. To assign the IP address, use Audinate Dante Controller software (go to Device View > Network Config).
  • Beam Gain & EQ - Click the Main Beam or 2nd Beam gain panel to display/modify the EQ curve for the respective beam.
  • - Main Beam - Adjust the gain slider for the main beam from –∞ to +12dB, or type in the value directly.

Note: You may not assign gains for either beam to a ControlSpace controller, such as a CC-64, or to custom controls created in ControlSpace Remote Builder. See the MSA12X Design Guide for more information.

MSA12X control panel - Beam Gain adjustments

  • - 2nd Beam - Adjust the gain slider for the second beam (if any) from –∞ to +12dB, or type in the value directly.
  • - Show Beam EQ - When selected, displays the EQ curve for the selected beam gain panel. Beam EQ is a filter to compensate the tonal balance change depending on the type and parameters of beam spreading.

MSA12X control panel - Beam EQ adjustments (Main beam selected)

For beam data provided either by Modeler or CSD (with the Set Beam from CSD function), the beam EQ curve is automatically calculated each time the data is sent to CSD. You can adjust the following EQ parameters with the arrow controls or type them in directly:

  • Freq (Hz) - Center frequency in Hz. Range: 100-4000.
  • Slope - Slope of the curve. Range: 0.0-10.0.
  • Gain (dB) - High-boost gain in dB. Range: -2 to +12.
  • - Restore Defaults - Return to beam EQ settings calculated for the beam pattern.
  • - Bypass - Click to ignore (bypass) the beam EQ settings.
  • Status

MSA12X control panel - Status section

  • - Connected - When illuminated blue, indicates an active connection between CSD and the array.
  • - Standby - Select to manually enable/disable Standby (low or idle power) mode for the array. Can be used to reduce power consumption. When enabled, the box turns red. Default: Disabled (normal power mode).

Note: Alternatively, you can enable Standby mode automatically with the Auto-Standby option in the MSA12X Advanced control panel.

  • - Health - Color that reflects the operational health of the array:
  • Green - No warnings or errors.
  • Yellow - Temperature warning in one or more modules in the array.
  • Red - Either a temperature fault in the array is severe enough to cause shutdown or there is an existing error condition, e.g. beam preset mismatch error.
  • - Level meter - Displays signal level after the input gain. A Clip level (over 0 dBFS) indicates when the array is being overdriven.
  • - Limit - If the Clip level is persistent, the array automatically limits the signal level and the Limit indicator turns yellow.
  • Advanced - Accesses the MSA12X Advanced control panel.


Storing and Recalling Beam Presets in MSA12X Arrays

Whenever you send beam configuration data from Modeler to one or more MS12X array device blocks in CSD, that data and any other settings in the control panel become the active configuration for those blocks and their associated array hardware. However, if you power cycle the array(s), the data will be lost unless you first store it to a beam preset, which is a snapshot of the current settings. Each beam preset includes the following parameters:

  • Input audio type - Dante or analog
  • Speaker EQ type - Music or Voice
  • Beam parameters - any beam configuration settings contained in the Modeler MDR file (or basic steering/spread angles set in CSD)
  • Comments - any comments entered in the Modeler .mdr file or edited in CSD and stored in the beam preset
  • Beam Gains - beam gain settings for the main and second beam (if any)
  • Beam EQs - beam EQ settings for the main and second beam (if any)

You can store these settings in a new beam preset or update an existing beam preset. You can store and recall up to ten beam presets per array.

To store the current settings in a new beam preset:

  1. In the Beam Preset section of the main MSA12X control panel, click Store.

  2. In the Store Beam Preset dialog box, select the beam preset where you want to store the settings from the Preset drop-down list. For a new preset, the Preset ID is a number with no name (1, in the example below).

    Store Beam Preset dialog box

  3. In the Label box, enter the name for the beam preset.
  4. The Comments box displays any comments that were entered in the Modeler MDR file for the array or modified later in CSD. You can add to or edit the comments (maximum, 50 characters).

  5. Click OK to store the beam preset.

    The beam preset name from the Label field now appears next to its number. The number of beams (Single or Dual beam) and any comments are also displayed.

Note: If you change any setting in the control panel while a beam preset is selected, the Beam Preset drop-down list will become blank. This means that the settings have changed and you will need to store them to a beam preset in order to retain them.

To update an existing preset with the current settings:

  1. In the Beam Preset section of the main MSA12X control panel, click Store.
  2. In the Store Beam Preset dialog box, select the name of the existing beam preset from the Beam Preset drop-down list.
  3. Add or edit the comments if needed and click OK.

  4. In the Overwrite Preset dialog box, verify that you want to replace the current preset settings on the right with the new settings on the left. Note that only beam parameter changes and not necessarily all changes to the control panel settings that comprise a beam preset are listed.

    Overwrite Preset dialog box

  5. Click Yes to apply the changes to the beam preset.

To recall a stored beam preset and display its settings in the control panel, select it from the Beam Preset drop-down list in the main MSA12X control panel.

Recalling a stored beam preset

To delete a beam preset, select it from the Beam Preset drop-down list and click Clear.

Note: You may not use this method to delete a beam preset that is designated as the power-on preset when the array is power cycled (see Setting an MSA12X Array's Power-On State). To remove the power-on preset and all other presets from the array, click Reset to Defaults in the MSA12X Advanced Control Panel Options.


Setting an MSA12X Array's Power-On State

By default, the first beam preset listed in the Beam Preset drop-down list in the main MSA12X control panel is automatically loaded when you power cycle the array. However, you can change the preset that is loaded when you power up the array.

To set the beam preset that is loaded when array is power cycled:

  1. In the Beam Preset section of the main MSA12X control panel, click Select POS.

  2. In the Select Power On State dialog box, select the beam preset from the drop-down list that you want to load when the array powers on.

    Selecting beam preset for power-on state

  3. Click OK. The Power On State field now lists the designated power-on beam preset's name.

    Power-on state beam preset selected


Setting Up MSA12X Basic Beam Steering and Spreading in CSD

If you do not use Bose Professional Modeler software, you can use CSD to set up basic beam steering and spreading angles for an array.

You can use this function only to set basic steering and spreading angles for an array. If your room requires a different beam type, vocal range smoothing, or additional parameters, you must use Modeler software to configure and then import the settings.

The angular ranges for basic steering and spreading are the same as those in Modeler. They are:

Basic Steering/Spreading Angle Limits for MSA12X
 | 1 module array | 2 module array | 3 module array
Steering angle | -20 to +20° | -20 to +20° | -20 to +20°
Spreading angle | 0 to +30° | 0 to +40° | 0 to +40°

Note that this function is only available when the MSA12X device block in CSD is associated with a physical MSA12X array OR the MSA12X device block has already received beam configuration data from Modeler.

To set basic beam steering and spreading from CSD:

  1. In the Beam section of the main MSA12X control panel, click Set.

  2. In the Beam Control dialog box, adjust the Steer and Spread angle values for the main and secondary beams using the arrow controls, or type them in directly.

    The red wire frame represents the main beam and the blue wire frame the secondary beam. The angles of these wire frames visually change as you make adjustments. To view the secondary beam wire frame or to access the secondary beam angle controls, you must select the Enable check box.

    Note: The beam wire frames in CSD may look different from those in Modeler, even when the steering (and/or spreading) angle is the same. This is because, in Modeler, a user can specify the Distance (length) of the beam lines, which does not affect the beam of this beam type. As long as the steering (spreading) angle is identical, the radiated beam pattern is identical.

  3. Click Set to send the beam pattern to the array.

If you want the beam pattern to be available after power cycling the array, store it to a beam preset.


MSA12X Advanced Control Panel Options

This topic describes the advanced MSA12X control panel options. To access the Advanced control panel, click the Advanced button in the main MSA12X control panel.

Accessing MSA12X Advanced control panel from main control panel

MSA12X Advanced control panel

IMPORTANT: Endpoint control must be enabled to make changes to most options in this control panel. To enable endpoint control, click the System menu and select Enable Endpoint Control. The system must be offline to do this.

The MSA12X Advanced control panel provides the following options for the selected array:

  • Array Controls - The module where the external RJ45 network and power cables enter the MSA12X array is considered the master module (in single module arrays, there is only the master module). MSA12X arrays can be physically mounted such that the power and RJ45 network cables entering the master module are located at the bottom end or top end of the array.

For correct beam orientation, you must set the Array Controls option to ensure that CSD software and beam steering settings reflect the physical location where the RJ45 and power cables enter the master module. For most installations, the bottom end of the array is used for these connections and is the default choice. For other installations, the array is physically turned 180 degrees so that the external cables and connectors enter at the top end. In this case, select Top, rather than Bottom.

  • Audio Check

MSA12X Advanced control panel - audio check options

  • - Off: turns test audio off (default).
  • - Internal (1 kHz): sends a 1 kHz test tone to the components of the array selected in the panel. You can select the entire array, one or more modules, or any of the drivers within a module for the test. Useful for testing the array or simply identifying the array in use.
  • - External: same purpose and functionality as the Internal option, but allows use of an external audio program input for testing instead of a fixed tone.
  • Device
  • - Module Count: number of modules in array.
  • - Firmware Version: current version of firmware on array.
  • - DSP Version: current version of DSP for array.
  • - Boot Version: current version of boot loader for array.
  • - Auto-Standby: automatically enables Standby (low or idle power) mode for the array after the selected amount of time that the audio input signal is absent. Can be used to reduce power consumption. When an input signal is present for more than 6-10 seconds, normal mode resumes. Auto-Standby is disabled. by default.

Note: Alternatively, you can enable Standby mode by selecting the Standby check box in the Status section of the main control panel.

  • - Temperature: indicates internal temperature of the array. You can specify the °C or °F temperature unit from the drop-down list.
  • - Faulty Drivers: lists the IDs of the drivers in the array that are faulty or inoperable (each module contains 12 drivers). Contact Bose Professional support for further assistance.
  • - Reset to Defaults: deletes all of the stored beam presets, including the power-on preset, and resets the array to its factory default settings.

Note: To remove an existing power-on preset, you must first select another preset and set it to be the power-on preset.

  • Recover
  • - Beam Presets: if you replace a module in an array for any reason, this copies the existing beam preset data from a selected "known good" module to the remaining modules so that all modules now share the beam preset data.

The beam preset data from the source module will overwrite any current beam preset data in all of the other modules.

  1. To recover a beam preset, click Recover Beam Presets.
  2. In the Recover Beam Presets dialog box, select the source module from which you will copy the beam preset data (Bottom - Module 1 in this example).

  3. Click Update Beam Presets for Array.
  4. In the next dialog box, click OK to confirm the operation.


Assigning MSA12X Beam Presets to Parameter Sets

Once you store a beam preset for an MSA12X array, you can assign it to a parameter set and then recall it later manually, using an external trigger- such as GPI, GPO, or a control center - or via a timed event. As with any programming of parameter sets, you can only assign beam presets to a parameter set when in offline mode.

Notes:

  • You may not assign individual settings within a beam preset, such as beam EQ or beam gain, to a parameter set. Only the entire beam preset, which is a group of settings in the MSA12X control panel, may be assigned to or recalled from a parameter set.
  • In the ESP-880/1240/4120/1600 sound processors, a Dante network card is required before you can assign beam presets to parameter sets.

Before you can assign a beam preset to a parameter set, you must associate the Dante endpoint block corresponding to the MSA12X device with the appropriate sound processor, i.e. drag the Dante endpoint block or blocks for the MSA12X into the sound processor's Signal Processing view. The process is the same for any Dante endpoint or microphone block - a general description of which can be found in Adding Dante Endpoint and Microphone Blocks to Signal Processing View. The procedure below assumes you have already created this association.

To assign a beam preset to a parameter set:

  1. In the main MSA12X control panel for the MSA12X device, select (recall) the beam preset from the Beam Preset drop-down list.

    Selecting a beam preset

  2. Open the Signal Processing view of the sound processor that the MSA12X device with the selected beam preset is associated with.

  3. Drag the appropriate Dante endpoint block or blocks for the MSA12X from the design into the programming tree in the Parameter Sets window.

    Dragging Dante endpoint blocks to the Parameter Set programming tree

  4. In the Select Properties dialog box, select Endpoint properties and click OK.

    Select Properties dialog box

The beam preset properties now appear in the Parameter Sets window.

Beam preset properties in the Parameter Set programming tree


CC-1, CC-2, CC-3 Zone Controllers

The Bose Professional CC-1, CC-2 , and CC-3 Zone Controller interfaces are engineered to provide custom on-site volume controls for engineered sound processors. They are all designed to connect via GPI ports.

CC-1 Zone Controller

CC-2 Zone Controller

CC-3 Zone Controller

In ControlSpace Designer, these items are Project view icons only. The labels may be changed in the Project view, but there are no other properties or control panels to be configured. Functionality for the hardware devices is defined within the GPI control panel of the associated ESP or EX-1280C processor.

Bose Professional zone controllers in Project view

Each of the hardware devices has individual characteristics and programming requirements as shown in the following table.

Control Type | Fully CW | Fully CCW | GPI Mode
CC-1 | 0 Ohms | 10K Ohms | A–
CC-2 | 0 Ohms | 10K Ohm | A– for Volume, D for switch selections
CC-3 | 10K Ohm | 0 Ohms | A+ for Volume, D for switch selections

For details on connection to GPI ports, see Programming GPIO.

For details on programming GPI ports, see Programming GPI.

For programming information, see Programming CC-1, CC-2, and CC-3 Zone Controllers.


CC-1D, CC-2D, CC-3D Zone Controllers

Bose Professional ControlCenter digital zone controllers are a series of wall-mounted volume controllers and source selectors that provide volume control, and in some models, source selection for Bose Professional CSP, ControlSpace ESP, and ControlSpace EX sound processors.

Note: You can connect up to 16 controllers when using Bose Professional CSPs, or 32 controllers when using ControlSpace EX/ESP processors.

Digital Controller Models

Three digital controller models are available in either black or white, and in North America, Japan, and EU configurations. The CC-1D is a single-source controller, the CC-2D is two-source, and the CC-3D is a four-source controller.

CC-1D Single-Source (US version shown) | CC-2D Two-Source (US version shown) | CC-3D Four-Source (US version shown)

All digital zone controller models:

  • Connect to Ethernet and are powered by PoE. A single network cable provides data transmission and power.
  • Include a volume knob that can be configured to control the gain and mute of a gain, input, or output block.
    • - When the knob is turned clockwise or counterclockwise, the volume is turned up or down within its range.
    • - One of the 15 LEDs surrounding the knob is lit to indicate the current volume, relative to the range.
    • - When the knob is pushed inward for a long time, mute of the associated gain block is toggled.
  • Are compatible with Bose Professional CSP, ControlSpace ESP, and ControlSpace EX sound processors, and PowerMatch networked amplifiers.

The CC-2D and CC-3D controllers can also be configured for source selection. When the knob is pushed inward for a short time, the source selection is changed to the next source (and returns to A if currently at the last source).

Controller Configuration

To configure ControlCenter digital zone controllers, drag and drop the controller components from the Device List into Project view. You can then configure properties and use the Device Simulator to program the controller.

Properties

To view or adjust properties for ControlCenter digital zone controllers, right-click the device in Project view, and select Properties.

Properties Window

The Properties window for ControlCenter digital zone controllers include the following sections and settings:

  • Control section: Displays unique options for the gain block that is controlled by the volume knob.
  • - Max: Configures the maximum volume level permitted by an associated signal processing block when rotating the volume knob clockwise on the controller. The maximum value is +12dB.
  • - Min: Configures the minimum volume level permitted by an associated signal processing block when rotating the volume knob counterclockwise on the controller. The minimum value is -60dB.
  • - Step: Configures the amount of change to an associated signal processing block when rotating a gain/selector knob on the controller. This value ranges from 0.5dB to 36.5dB and defines the Max and Min levels permitted.
  • Common section: Provides configuration options for the global characteristics of the control panel.
  • - Name: Defines the name displayed on the controller block within Project view. This field automatically updates to the current name if the controller is renamed within Project view.
  • - Identify: Causes the LED lights on the controller to blink when you click the button This feature is especially useful for verifying that the correct controller is being configured when there are multiple controllers connected to the system.
  • - Firmware Version: Displays the current version of firmware available within each system to manage controller operations. This value is listed as Unknown before the first connection to existing hardware. After the first connection in a ControlSpace Designer project, this field is automatically updated to reflect the current firmware version.
  • Network Properties section:
  • - IP Address: Displays the unique network identification number assigned to the controller. Values may be any IP address within the same subnet of the system under control that is not already in use. The default value is 192.168.0.176.

Note: ControlCenter digital zone controllers should be physically connected to the network one at a time and programmed with unique IP Addresses to avoid conflicts with other devices on the network configured with the default address.

  • - Set IP Address: Opens the Set Device IP Address dialog box, which allows you to change the IP address of the device.
  • - Hardware Manager: Opens the Hardware Manager (see Launching the Hardware Manager).

Device Simulator

The Device Simulator is a software-based tool within ControlSpace Designer that you can use for programming and simulating operation of the CC-1D, CC-2D, and CC-3D digital zone controllers. To open the Device Simulator, double-click the CC-1D, CC-2D, or CC-3D block in Project view, or right-click the block and select Open.

For more information about using the Device Simulator to program CC-1D, CC-2D, and CC-3D digital zone controllers, see Programming CC-1D, CC-2D, and CC-3D Zone Controllers.


CC-3 Zone Controller

The CC-3 Zone Controller is a wall-mounted control panel. It includes one rotary volume control and a four-position selector switch. Both the volume control and selector switch are designed to connect to GPI ports. See Programming CC-1, CC-2, and CC-3 Zone Controllers for details on associating signal processing features with a CC-3 via GPI ports.

A Project view icon is provided for project documentation purposes.

CC-3 Project view Icon

CC-3 Zone Controller

The CC-3 Zone Controller supports the following programming features:

  • Volume Control – Analog control input modes of individual GPI ports.
  • Selector Switch – Digital control input of individual GPI ports.


CC-16 Room Controller

CC-16 Zone Controller

The CC-16 Zone Controller is a wall-mounted control panel. The CC-16 includes two selector buttons and two volume control buttons. It also has a two-line, 12 characters per line backlit LCD display. The selector and volume control buttons are fully programmable.

CC-16 Zone Controller

CC-16 Smart Simulator

The CC-16 Smart Simulator is a software-based tool within ControlSpace Designer used for programming and simulated operation of the CC-16 Zone Controller. When online, the buttons are functional and the LCD labels are synchronized with the hardware panel. To open the CC-16 Smart Simulator, double-click the CC-16 block in Project view or right-click and select Open.

CC-16 Smart Simulator

The CC-16 Smart Simulator provides the following options:

  • Virtual LCD – Represents the two-line backlit display on the CC-16 zone controller.
  • Select – Provides minus and plus click zones to simulate selector button presses on the CC-16 zone controller.
  • Volume – Provides minus and plus click zones to simulate volume button presses on the CC-16 zone controller.
  • Programming Tree – Provides a landing zone for signal processing and other programmable elements. Assign functions to the Select buttons, or to the Volume control buttons by dragging and dropping onto the programming tree. See Programming CC-16 Zone Controllers for details on associating signal processing features with a CC-16.
  • Lock – displays the current lock state and provides a programming toggle button for adjusting the control panel lock. Locked panels are identified by the word “--Locked--” beside a green lock button. Locked status must be enabled or disabled from a parameter set.

CC-16 Locked and Unlocked Button States

Note: When a ControlSpace ESP or EX system is online and a control panel lock is enabled, software simulators respond to button clicks but matching hardware in the field no longer accepts input.

CC-16 Zone Controller Properties

To view or adjust CC-16 properties, right-click the device in Project view, and select Properties.

CC-16 Properties

The following properties are available for the CC-16 zone controller:

  • Select – provides configuration options for the minus and plus touchpad selector buttons.
  • - Label – is a series of text fields which reflect the name of a selector position within the CC-16 display. Sixteen label fields are available. These labels are automatically populated when the Select buttons are associated with a Selector signal processing block or a list of parameter sets. After programming is complete, this label may be adjusted to a different value to match project needs.
  • - Timeout – is an adjustable time value from 0 to 10 seconds for configuring the Selection Preview feature of the CC-16. The Selection Preview delay permits viewing other options programmed in the Select list before initiating a processing block change or recalling the parameter set. Returning to the initial selection before this time expires causes no system change.

A value of 0 seconds switches to the next selector position and initiates the programmed action immediately. Values from 1 to 10 seconds add this amount of delay for varying lengths of Selection Preview time.

  • Volume – provides configuration options for the minus and plus volume buttons.
  • - Max: – configures the maximum volume level permitted by an associated signal processing block when pressing the plus button on the CC-16. The maximum value is +12dB.

The Max value always shows a Displayed Level of 99 on the CC-16.

  • - Min: – configures the minimum volume level permitted by an associated signal processing block when pressing the minus button on the CC-16. The minimum value is -60dB.

The Min value always shows a Displayed Level of 1 on the CC-16.

  • - Step: – configures the amount of change to an associated signal processing block when pressing either the minus or plus buttons on the CC-16. This value ranges from 0.5dB to 36.5dB. Changing the Step value may round the Max and Mix limit values to the next step increment.
  • - Displayed Level – always displays a value between 1 and 99 and is a calculated value based on current Max, Min, and Step settings.
  • - 'Off' at Minimum Value - when enabled, this feature allows the signal to be muted by pressing the minus button twice when the minimum value is reached. The display will show "OFF" once engaged. When disabled, the display will read "--".
  • Common – provides configuration options for the global characteristics of the control panel.
  • - Name: – defines the name displayed on the CC-16 block within Project view. This field automatically updates to the current name if the CC-16 is renamed within Project view.
  • - ID: – is a unique identification number assigned to each CC-16. Values range from 1 to 15. The default value is 1.

Note: Each time a new CC-16 is added to project view, this ID value must be adjusted to a unique number if more than one CC-16 exists within your system design. It must also match the DIP Switch settings of the associated CC-16 in the field for programming to operate correctly.

  • - LCD Backlight Timeout: – establishes the amount of time in seconds that a CC-16 display remains illuminated after the most recent button press. Values range from 0 to 30 seconds with a default of 10 seconds. A value of 0 seconds forces the display to remain illuminated continuously.
  • - Firmware Version: – displays the current version of firmware available within each system to manage CC-16 operations. Before the first connection to existing hardware, this value is listed as Unknown. After the first connection in a ControlSpace Designer program session, this field is automatically updated to reflect current firmware version.

CC-16 Zone Controller – Monitor Mode

When ControlSpace Designer is started in Monitor Mode, the CC-16 Smart Simulator appearance is altered to show only user adjustable click zones and Lock status. In this mode, the programming tree is no longer visible to prevent user tampering with programmed objects.

CC-16 in Monitor Mode


CC-64 Control Center

The CC-64 Control Center is a wall-mounted control panel. The CC-64 includes a master selector knob, four individual gain/selector knobs, four membrane bank select buttons, and a two-line 40 characters per line backlit LCD display. The master selector knob, gain/selector knobs, and display are fully programmable.

The upper right section of the panel has three LEDs indicating network link status, network data receive, and network data transmit. Each gain/selector knob is surrounded by 15 LEDs which indicate the relative position of the knob. Each bank selector button has an LED to indicate when it’s active. The bottom line of the LCD display shows labels for the gain/selector knobs.

The four gain/selector knobs may control different signal processing functions in each of the four banks, for a total of sixteen settings. Use the bank selector buttons to assign control of the gain/selector knobs to one of the four banks at a time.

CC-64 Control Center

Note: The CC-64 Zone Controller is supported only by the ControlSpace ESP-00 Series II engineered sound processor.

CC-64 Smart Simulator

The CC-64 Smart Simulator is a software-based tool within ControlSpace Designer used for programming and simulated operation of the CC-64 Control Center. To open the CC-64 Smart Simulator, double-click the CC-64 block in Project view, or right-click the CC-64 block and select Open.

CC-64 Smart Simulator

The CC-64 Smart Simulator provides the following options:

  • Virtual LCD: Represents the two-line backlit display on the CC-64 control center.
  • Master Selector Up/Down: Provides click zones to simulate the master selector knob rotation on the CC-64 control center.
  • Mute buttons: Provide click zones to simulate the push to mute functionality of the gain/selector knobs on the CC-64 control center.
  • Virtual gain/selector knobs: When programmed as a volume control, a virtual knob may be rotated by clicking on it and dragging the mouse. When programmed as a selector, the virtual controls change to up/down arrows like the Master Selector.
  • Virtual bank selector buttons: Simulate bank selection of the CC-64 control center.
  • Programming Tree: Provides a landing zone for signal processing and other programmable elements. Assign functions to the master selector, gain/selector knobs, or to bank selector buttons by dragging and dropping onto the programming tree. See Programming CC-64 Zone Controllers for details on associating signal processing features with a CC-64.
  • Lock: Displays the current lock state and provides a programming toggle button for adjusting the control panel lock. Locked panels are identified by the word “--Locked--” beside a green lock button. Locked status must be enabled or disabled from a parameter set.

Locked

Unlocked

CC-64 Locked and Unlocked Button States

Note: When a ControlSpace ESP or EX system is online and a control panel lock is enabled, software simulators respond to button clicks but matching hardware in the field no longer accepts input.

CC-64 Control Center Properties

To view or adjust CC-64 properties, right-click the device in Project view, and select Properties.

CC-64 Properties

The following properties are available for the CC-64 Control Center:

  • Bank/Selector Tabs: Display options for the bank and master selector configuration pages of the CC-64. Click a tab to view options for each configuration page.
  • Control Buttons: Correspond to individual settings available for each gain/selector knob.
  • Control: Sections display unique options for each gain/selector knob on the CC-64 from 1 to 4.
  • - Label: Text field to customize the name of a gain/selector knob within the CC-64 display. This text appears on the second line of the LCD display directly above each knob and is automatically populated by the associated signal processing block selector position name or parameter set name when the panel is programmed. After programming is complete, this label may be adjusted to a different value to match project needs.

The first 9 characters of this label are displayed by default. Each time a bank is selected, labels for its four gain/selector knobs are displayed for one second. Any additional characters in the label are then scrolled horizontally in the display from right to left then left to right to permit viewing the complete label.

  • - Max: Configures the maximum volume level permitted by an associated signal processing block when rotating the gain/selector knobs clockwise on the CC-64. The maximum value is +12dB.
  • - Min: Configures the minimum volume level permitted by an associated signal processing block when rotating the gain/selector knobs counterclockwise on the CC-64. The minimum value is -60dB.

Note: When the gain/selector knobs are fully rotated in either direction, levels shown on the CC-64 LCD display match the value stored in the Max and Min fields.

  • - Step: Configures the amount of change to an associated signal processing block when rotating a gain/selector knob on the CC-64. This value ranges from 0.5dB to 36.5dB and defines the Max and Min levels permitted.
  • - 'Off' at Minimum Volume: When enabled, the audio will be muted and the display will show "OFF" when the volume knob is rotated past the minimum value.
  • Common: Provides configuration options for the global characteristics of the control panel.
  • - Name: Defines the name displayed on the CC-64 block within Project view. This field automatically updates to the current name if the CC-64 is renamed within Project view.
  • - LCD Backlight Timeout: Establishes the amount of time in seconds that a CC-64 display remains illuminated after the most recent button press. Values range from 0 to 30 seconds with a default of 30 seconds. A value of 0 seconds forces the display to remain illuminated continuously.
  • - Firmware Version: Displays the current version of firmware available within each system to manage CC-64 operations. Before the first connection to existing hardware, this value is listed as Unknown. After the first connection in a ControlSpace Designer program session, this field is automatically updated to reflect current firmware version.
  • Network Properties
  • - IP Address: Unique network identification number assigned to each CC-64. Values may be any IP address within the same subnet of the system under control that is not already in use. The default value is 192.168.0.176.

Note: CC-64 control centers should be physically connected to the network one at a time and programmed with unique IP Addresses to avoid conflicts with other devices on the network configured with the default address.

  • - Set IP Address: Allows you to change the IP address of the device.
  • - Hardware Manager: Opens the Hardware Manager dialog box (see Launching the Hardware Manager).

CC-64 Control Center – Monitor Mode

When ControlSpace Designer is started in Monitor Mode, the CC-64 Smart Simulator appearance is altered to show only user adjustable click zones and Lock status. In this mode, the programming tree is no longer visible to prevent user tampering with programmed objects.

CC-64 in Monitor Mode


Programming Overview

ControlSpace Designer software allows you to create associations between signal processing and control center operations to meet the unique requirements of any project. These various associations are stored within ControlSpace System Project files (.csp files) on the programming computer and within ControlSpace hardware devices for recall on demand, both manually and automatically.

The process of defining relationships between processing and control options into a single integrated project file is called "programming the system." The primary work area within the ControlSpace Designer user interface where control options of system programming are stored is called the Control Library.

To get started, see the following topics:

  • Programming Work Space
  • Parameter Sets
  • Programming Dante Subscriptions into Parameter Sets
  • Groups
  • RCGroups
  • Timers
  • Programming with Composite Device Blocks


Work Space

Programming Work Space

The primary work area for programming is the "drop zone" for drag-and-drop control functions. The following control library function types are available for use in this work space:

  • Parameter Sets
  • Groups
  • RCGroups
  • Timers

Programming Work Space


Parameter Sets

A parameter set stores selected signal processor settings and values which can later be recalled manually using an external trigger, such as a GPI or control center, or invoked by a timed event. Use parameter sets when you want to change the state of specific processing parameters without affecting the state of the entire design.

Note: You can store multiple parameter sets in a parameter set list.

Creating a Parameter Set

Open the ParameterSets window by accessing the Window menu and selecting Parameter Sets.

ParameterSets window

To program a parameter set:

  1. Open the control panel and change the settings for any signal processing block to be included in the parameter set.
  2. Drag the desired processing blocks into the parameter set tree in the Parameter Sets window.
  3. Rename the parameter set using the right-click menu or the F2 key.
  4. Test the parameter set.

Tip: Right-click an object in the tree structure and select Open to open the control panel for that object.

Parameter set tree structure

Another method for adding blocks to a parameter set is to select one or more blocks, right-click, and select Add To Parameter Set.

Add to a parameter set

Note: To change the value of a setting in the parameter set, first change the setting in the block's control panel and then drag and drop it into the parameter set once more. You do not need to delete the block from the parameter set to update its settings.

Renaming a Parameter Set

To rename the parameter set, select the top level of the tree structure and press F2, or right-click and select Rename.

Rename the parameter set

Editing Parameter Sets

The values of parameters are displayed but cannot be changed within the ParameterSets window. If you need to change the value of a specific setting that is part of a parameter set (for example, a gain of -6 dB), you must change the setting of the signal processing block's control panel and then drag and drop the block once more into the parameter set.

Copy/Paste Parameter Sets

Parameter sets can be copied and pasted. Right-click a parameter set within the Parameter Sets window to access the copy/paste functions.

Select a parameter set within the Control Library or Project Directory, right-click it and then select Copy from the context menu. You can now paste the signal processing blocks in this Parameter Set to a second Parameter Set by using one of two options:

  • Paste – Places an exact copy of the parameter set and its settings.
  • Paste as Default Parameters – Copies the modules associated with the parameter set, but restores them to their default values. For example, if a parameter set has a gain module with the level set to -6 dB and Mute is true, The Paste as Default Parameters option will paste the gain module but reset the level and mute to their default values, i.e., 0 dB and unmuted.

Parameter set copy

Note: When pasting a parameter set, any existing parameter set data is overwritten.

Adding More Parameter Sets

The default number of parameter sets in the ParameterSets window is 16, but additional parameter sets may be added.

To add more parameter sets, right-click in the blue area (note the "Right click here to add an entry" text), and then click Add Parameter Set to add a new parameter set at the end of the list.

Adding a parameter set

Recalling Parameter Sets

Parameter sets may be invoked (recalled) while off line in order to test parameter set programming. This recalls the state of all signal processing blocks within the parameter set to the stored values. The last recalled parameter set is indicated by an orange-colored button above the parameter set's number in the Recall area.

To test a parameter set, open any signal processing blocks included in the parameter set to display their control panels and then recall the parameter set by clicking its orange button in the Recall area. Alternatively, you can right-click the parameter set name in the tree and select Recall from the menu.

Recalling a parameter set

You can then view any setting changes in a signal processing block's control panel.

Clearing Parameter Sets

To clear the programming of a parameter set, right-click the top level of the parameter set tree structure, and select Clear. This removes the programming but leaves the empty parameter set to be used again.

Selecting Delete removes the entire parameter set and its programming. Deleting a parameter set entirely could affect serial control programming with third-party devices.

Clear a parameter set

Parameter Set Nodes List

Parameter sets may also be created or modified using the Parameter Set Nodes List. To access the Parameter Set Nodes list, double-click the parameter set name in the ParameterSets window. The Parameter Set Nodes List may also be accessed using the right-click option. Once enabled, the Parameter Set Nodes List window shows all signal processing nodes in your system, and indicates those assigned to the parameter set.

Opening the Parameter Set Nodes List

From within the Parameter Sets Nodes List it is possible to determine exactly which processing functions from all system devices are included in the parameter set. The list also displays the controls that are included for the signal processing functions.

Expand a device to see properties

When creating new parameter sets, you can specify the settings you want to store. To store all settings for a given block, select the check box next to the block name, as shown in the following figure. Note that all the settings within the block are automatically selected.

Include all settings for the device

Storing Individual Parameters

To include only specific settings in the parameter set, use the Parameter Set Nodes List and select the check box next to the settings within the block, as shown in the following figure. When the parameter set is invoked, only the selected settings are changed, reducing the possibility of accidentally changing key system settings. Unselected settings are not part of the parameter set and remain unchanged when the parameter set is invoked.

Include selected settings in the parameter set

You can also use the Parameter Set Nodes List to modify an existing parameter set. Open the Parameter Set Nodes List and select or clear the check boxes for the settings that you want to include in the parameter set.


Parameter Set Lists

A parameter set list is a collection of multiple parameter sets (described in Parameter Sets) consolidated under a single node. You can place a parameter set list on a control center block and arrange its parameter sets in the desired order.

Each parameter set list keeps track of its most recently recalled parameter set, enabling control centers to display the system’s status even when different groups of parameter sets control different aspects of the system.

Note: A parameter set can belong to only one parameter set list at a time.

Note: When using Parameter Set Lists with an ESP-00 processor, a fixed I/O ESP processor or an EX processor must be the Real Time Clock (RTC) for the system. Use the Tools menu to specify the RTC device.

To show or hide the Parameter Set List window, do one of the following:

  • Click the second icon in the last group of icons in the toolbar.
  • Click Window and select ParameterSetLists.
  • Right-click the top of any visible window in the project (Device List, Project Directory, etc.) and select ParameterSetLists.

Adding a Parameter Set List

There are 16 empty parameter set lists that you can use, but you can add more if necessary.

To add a parameter set list, right-click the blue-gray section at the top of the ParameterSetLists window and select Add ParameterSetList. A new list will be added to the end of the series.

Renaming a Parameter Set List

By default, all parameter set lists are named PSet List and appended with its number, but you can rename them to suit your project’s needs.

To rename a parameter set list, do one of the following:

  • Click the node of the desired parameter set list (so it is selected), and then press F2.
  • Right-click the node of the desired parameter set list and select Rename.

Editing a Parameter Set List

By default, all parameter set lists are named PSet List and appended with its number, but you can rename them to suit your project’s needs.

You can easily add or delete parameter sets to or from a list.

Adding a Parameter Set to a Parameter Set List

To add a parameter set to a parameter set list, do one of the following:

  • Click and drag the node of the desired parameter set (in the ParameterSets window) onto the node of the desired parameter set list (in the ParameterSetLists window), and then release it.
  • Right-click the node of the desired parameter set (in the ParameterSets window), select Add to ParameterSet List, and then click the desired parameter set list.

If a parameter set belongs to a parameter set list, its button in the ParameterSets window will match the color of its corresponding parameter set list.

Note: A parameter set can belong to only one parameter set list at a time.

Deleting a Parameter Set from a Parameter Set List

To delete a parameter set from a parameter set list, do one of the following:

  • Under the expanded node of the parameter set list, click the desired parameter set to select it, and then press the Delete key.
  • Under the expanded node of the parameter set list, right-click the desired parameter set, and then click Delete.

Recalling Parameter Sets in a List

You can recall parameter sets while offline in order to test their programming. Doing so changes the settings of all signal processing blocks to the settings stored in the parameter set. The last-recalled parameter set is indicated by its orange number below its button in the Recall area (of the ParameterSets window).

To test a parameter set in a list:

  1. Optional: Open any signal processing blocks included in the parameter set to display their control panels.
  2. Click its button in the Open area at the top of the ParameterSetLists window. Alternatively, right-click the node of the desired parameter set list and select Open.
  3. In the Parameter Set List window that appears, click the desired parameter set to recall it.

You can then view any setting changes in the signal processing blocks' control panel(s), if you opened them in Step 1. Recalling a parameter set immediately changes the state of all signal processing blocks within it to the stored values.

Clearing & Deleting Parameter Set Lists

To clear the programming of a parameter set list, do one of the following:

  • Click the top-most node of the desired parameter set list to select it, and then press the Delete key.
  • Right-click the node of the desired parameter set list and select Clear.

This removes the parameter sets but leaves the empty parameter set list to be used again.

To delete the parameter set list entirely, right-click the node of the desired parameter set list and select Delete.

CAUTION: Deleting a parameter set list could affect serial control programming with third-party devices.

Managing Parameter Set Lists on a Control Center

You can load entire parameter set lists onto a control center. This works similarly to individual parameter sets.

To load a parameter set list onto a control center, click and drag the node of the desired parameter set list (in the ParameterSetLists window) onto a node on the control center, and then release it. All parameter sets in the list will be added to the control center in sequence.

Changing the Order of Parameter Sets

To reorder the parameter sets on a control center, do one of the following:

  • Under the expanded node on the control center, click and drag a parameter set up or down, and then release it at the desired location.
  • Double-click the node in the control center window. In the Change Selector Index window that appears, click a parameter set to select it, and then click the up or down arrow buttons to change its location in the sequence. Alternatively, under the expanded node, click and drag a parameter set up or down, and then release it at the desired location. Close the window when you are done.

Deleting a Parameter Set

To delete a parameter set list from a control center, delete all of its parameter sets from that control center by doing one of the following:

  • Under the expanded node on the control center, click a parameter set to select it, and then press the Delete key. Alternatively, right-click the parameter set, and then click Delete.
  • Double-click the node in the control center window. In the Change Selector Index window that appears, under the expanded node, click a parameter set to select it, and then press the Delete key. Alternatively, right-click the parameter set, and then click Delete. Close the window when you are done.


Programming Dante Subscriptions into Parameter Sets

Both ControlSpace sound processors and PowerMatch amplifiers when used with Dante network cards, endpoints, and other Dante-equipped devices have the capability to allow Dante input subscriptions to be programmed for later recall. This functionality is especially useful for systems that have many Dante audio channels available. Recallable subscriptions allow only the desired Dante channels to be received, reducing the need for manual reprogramming or idle input channels, thus saving overall system costs.

Recallable Dante subscriptions are set using parameter sets. Once programmed, parameter sets can be triggered by external events such as user controls or timers.

Notes:

  • Adding Dante subscriptions into parameter sets requires Dante control to be enabled with applicable Dante devices active on the network.
  • To include subscription information when adding Dante input blocks into parameter sets, you must first enable dynamic routing (see Enabling Dynamic Routing).

To program a Dante subscription into a parameter set:

  1. Use Audinate's Dante Controller software application to configure the desired channel routing..

  2. Open the Signal Processing view of the sound processor or amplifier that has Dante input routing you would like to store.

  3. Open the parameter set window. Drag and drop the target input block into the desired parameter set. The section on Parameter Sets contains additional information and methods for programming parameter sets.

    For sound processors, select the Dante input block to drag and drop.

    Dragging Dante Input block into parameter set 1

    Once dropped, you will then be presented with a selection option dialog box. Select the channel or channels to which you would like to assign Dante subscription behavior.

    For PowerMatch amplifiers, select the individual input block to drag and drop.

    Note: For PowerMatch amplifiers, ensure the desired input channel for Dante audio is set to Digital (see Input Control (PowerMatch)).

    Dragging Dante Input into parameter sets for PowerMatch amplifiers

  4. Once the Dante subscription is assigned into a parameter set, you may need to check the desired attributes of the parameter set. Expand the parameter set tree to reveal the input block parameters that were included in the drop package. Check that the correct Dante subscription is listed here. Select and delete other parameters that may not be required.

    Example Parameter Set attributes

    Example Parameter Set attributes after removing non-required details

  5. If desired, assign the desired parameter set(s) to user controls, timers, or serial input strings (see Control Center Programming).
  6. Repeat procedure for creating different recallable Dante subscriptions.

Note: Once the programming is complete, the design must be uploaded to the hardware. ControlSpace Designer must be online with the ControlSpace hardware to recall the routing. Otherwise, the parameter sets can be invoked via serial command or assigned Control Centers and GPI contacts.


Groups

Groups link the behavior of two or more similar signal processing blocks. Two types of groups exist:

  • Grouped gains
  • Grouped signal processing blocks

When gain controls are grouped together, they can be controlled together by a master fader. However, the relative gain offsets of group members are maintained. When you group signal processing blocks together (such as two parametric EQs), the settings are synchronized: changes to one block affect the others in the group. Up to 128 groups may be stored.

Creating a Group

Open the Groups window by accessing the Window menu and selecting Groups.

Groups window

Select the signal processing blocks in the Signal Processing view of the device whose functions you wish to group. Drag and drop those processing blocks onto a group name in the Groups window. Only processing blocks with identical functionality may be grouped together.

Dragging and dropping blocks into a group

Another method for adding blocks to a group is to select one or more blocks, right-click, and select Add To Group.

Right-click to Add To Group

When creating groups from processing blocks that contain gain controls, i.e., inputs, outputs, and gain blocks, you are prompted to choose the properties of the group you wish to create: Level + Mute, Level, or Mute.

Set Group Properties dialog box

Grouped gains are automatically assigned a Master Fader control panel to adjust the level and mute functions chosen in the Set Group Properties dialog box. To access this Master Fader, right-click the group name and select Master Fader.

Access Group Master Fader

The appearance of each Master Fader type for Grouped Gains is shown below:

Level + Mute | Level | Mute

Verify correct behavior by opening the Master Fader, and each control panel for stored blocks. As you move the slider on the Master Fader you will see corresponding movement on the associated block gain sliders.

Verifying Master Fader changes on associated gains

Note: Grouped gain control sliders maintain relative positions when adjusting the Master Fader and you may adjust the level of an individual group member at any time. As the Master Fader is moved, an individual gain stops when it reaches its upper or lower limit, but the other gains in the group will continue to move. When the Master Fader is moved back, the relative gains are maintained as the stopped gain comes off its upper or lower limit.

When other signal processing block types (other than gain blocks) are grouped together, their settings are synchronized. Changes to one block automatically affect the others in the group. To create this type of group, select them in Signal Processing view then drag and drop them onto a group name in the Groups window.

Verify correct behavior by opening each control panel for blocks stored in the group. As you adjust elements within one block, you will see corresponding adjustments on all other associated blocks.

Example of Synchronized Settings In Groups

Renaming a Group

To rename the Group, select the top level of the tree structure and press F2, or right-click and selectRename.

Renaming the Group

Editing Groups

If you need to change a group, view the contents by expanding the tree structure within the Groups window. The tree structure displays the blocks that are included in the group. Select a single block and right-click to open the block or to delete it from the group.

Editing the group

Adding Groups

The default quantity of groups is 16, but additional groups may be added.

To add more groups, right-click anywhere in the blue area where the "Right-click here to add an entry" text is displayed. Then click the Add Group pop-up option to add a new group at the end of the list.

Adding a group

Clearing Groups

To clear the programming of a group, right-click the top level of the group's tree structure, and select Clear. This removes the programming but leaves the group to be used again. You can also click the orange button to clear a group.

CAUTION: Selecting Delete removes the entire group and its programming. Deleting a group entirely could affect serial control programming with third-party devices.

Clearing a Group

Group Node List

You can also create or modify a Group by using the Group Node List. Right-click the group name in the Groups window and select Group Node List. The Group Node List window opens showing all signal processing nodes in your system.

Opening the Group Nodes List

When creating new groups, you may add any processing block with identical functionality to that group. To select a processing block, place a check mark next to the block name as shown in the following figure.

Select processing blocks for group association


RCGroups

An RCGroup is specifically used to configure combined rooms for conferencing by grouping Conference Room Routers, one per room. For more on how to use an RCGroup to combine rooms for conferencing, see Configuring Combined Rooms.

Creating an RCGroup

Open the RCGroups window by accessing the Window Menu and selecting RCGroups from the list of available windows.

RCGroups window

Renaming an RCGroup

To rename the RCGroup, select the top level of the tree structure and press F2, or right-click and choose Rename.

Renaming the RCGroup

Editing RCGroups

If you need to edit an RCGroup, view the contents by expanding the tree structure within the RCGroups window. The tree structure displays the blocks that are included in the RCGroup. Select a single block and right-click to open the block's control panel or to delete the block from the RCGroup.

Editing an RCGroup

Adding RCGroups

The default quantity of RCGroups displayed in the window is 16, but additional RCGroups may be added.

To add more RCGroups, right-click anywhere in the blue area where the Right-click here to add an entry text is displayed. Then, click the Add RCGroup pop-up option to add a new RCGroup at the end of the list.

Adding an RCGroup

Clearing RCGroups

To clear the programming of an RCGroup, right-click the top level of the RCGroup's tree structure and select Clear. Answer OK when asked if you want to clear the RCGroup. This removes the programming but leaves the empty RCGroup to be used again. You can also click the orange button to clear an RCGroup.

Note: Selecting Delete removes the entire RCGroup and its programming.

Clearing an RCGroup


Timers

Timers can be used to schedule changes that will occur in signal processing or control settings at predetermined times. You can schedule a change to take place on a specific date and time, at the same time every day, or at a time on specific days of the week. For example, you could schedule a change in a source selector to take place every day at 5:00 PM.

The sound processor system time, upon which a timer is based, is set when a configuration file is loaded or when the system is flashed on disconnect. That processor's system time is derived from the current computer setting and includes time, date, time zone, and daylight savings information.

Note: Timers are not supported in PowerMatch-only designs.

Creating a Timer

Open the Timers window by accessing the Window Menu and selecting Timers from the list of available windows. The Timers tab is displayed in the Control Library. 16 timers are available for use.

Timers window

In Signal Processing view, select the signal processing blocks whose functions you wish to include in a timer. Drag and drop those processing blocks onto a timer name in the Timers window.

Note: Analog or Dante inputs, analog or Dante outputs, ESPLink outputs, AmpLink outputs, gains, and selectors are the only processing blocks that may be added directly to timers. Changes to other processing blocks may be made by using parameter sets.

To program a new timer function:

  1. Configure the signal processing objects that you want changed when the timer triggers.

  2. Drag and drop the signal processing objects onto a timer name in the Timers window.

    Dragging and dropping blocks into a timer

  3. Define the timer's occurrence.

    Only Once

    Daily

    Weekly

    4. Timer Control Panel Types

  4. Test the newly programmed timer.

    When more signal processing objects are added to a timer, the timer setup window is displayed. Select one of three timer types (Only Once, Daily, or Weekly) and then choose the remaining options available for that specific timer type.

Editing a Timer

To modify an existing timer, view its contents by expanding the tree structure within the Timers window. The tree structure displays the processing blocks included in the timer. Select a single block and right-click to open the block or to delete it from the group.

To adjust the occurrence of a timer, right-click the timer name and select Set Date Time.

Adjusting date and time of a timer

Renaming a Timer

To rename the timer, select the top level of the tree structure and press F2, or right-click and select Rename.

Rename a timer

Recalling Timers

A Recall button in the Timers window changes to orange when a timer is stored. Clicking the Recall button changes the state of all signal processing blocks to the values stored in the timer. You can also recall a timer by right-clicking on the timer and selecting Recall.

You can open the individual signal processing block control panels and then recall timers to verify that correct settings are stored.

Recall a timer

Clearing Timers

To clear the programming of a timer, right-click the top level of the timer's tree structure, and select Clear. This removes the programming but leaves the timer to be used again.

Note: Selecting Delete removes the timer and its programming.

Clearing a timer


Programming with Composite Device Blocks

Some multi-channel devices are represented in the Signal Processing view by a composite device block. When programming Parameter Sets, Groups, and Timers with these types of devices you have the option of selecting individual channels.

Note: This option also exists for Serial OUT and GP OUT functions.

Examples:

Composite device blocks

For example, when you drag and drop eight Dante output channels to a parameter set, a dialog box appears that allows you to select the channels you want to assign to the parameter set.

Dragging a composite block into a parameter set

If you select two channels and click Assign, only those channels will appear in that parameter set.

Selecting channels for a composite device

In the parameter set, if you open the Parameter Set Node List you will see only those Dante output channels selected.

Composite device channels in Parameter Set Nodes List


Programming GPIO

Programming GPIO ports within an ESP or EX-1280C system is accomplished using the same drag and drop methods described for all other signal processing and control programming. However, the source and destination of the drag and drop operations, as well as programming logic of the two types of ports, are reversed.

For more information on GPI and GPO control panels, see:

  • ESP-00 II GPIO
  • Fixed I/O ESP GPIO
  • ControlSpace EX GPIO Controls

General Purpose Inputs (GPI)

With GPIs, system devices are programmed to respond to voltage changes from external equipment connected to a GPI port. See Programming GPI for programming information.

External Potentiometers and Switches

Typical GPI Device Connections Example

General Purpose Outputs (GPO)

With GPOs, internal system design changes affect the voltage supplied to GPO ports for driving external equipment. See Programming GPO for programming information.

Typical GPO Device Connections Example


Programming GPI

Set the GPI port operating mode, and then drag and drop processing blocks from the Signal Processing view or Control Library into the text lines in the programming tree of the GPI control panel.

Note: ESP-880 is used as an example, but programming is similar for other sound processors.

For more information on GPI control panels, see:

  • ESP-00 II GPIO
  • Fixed I/O ESP GPIO
  • ControlSpace EX GPIO Controls

Analog Mode

To program an Analog GPI port mode with a potentiometer connected to GPI port 1 to control a gain stage, adjust the GPI mode to Analog then drag the gain block onto "Analog Control Input 1:"

Assigning an input gain block to an Analog GPI port

Testing the operation of this GPI programming within software is accomplished by opening the input gain control panel and right-clicking the ON test button next to the GPI control panel operating mode button to gain access to a virtual test slider.

Move the test slider up and down to verify corresponding movement occurs on the gain control. When physical hardware is present and connected, you will see similar movement on the gain control by rotating the potentiometer in the field.

Testing Analog GPI port programming

Digital Mode

To program a Digital GPI port mode with a latching closure connected to GPI port 2, adjust the GPI mode to Digital then drag a selector to Digital Control Input n. This GPI mode stores two Snapshot conditions to match normally open and normally closed switch conditions. Close the Snapshot Set Mode panel after the first drag operation to define the ON condition, adjust the selector to the alternate position, and then drag and drop the selector back on to Digital Control Input 2. This becomes the Snapshot Set Mode OFF condition.

Assigning a selector block to a Digital GPI port

Testing the operation of this GPI programming within software is accomplished by viewing the selector control panel while left-clicking the test buttons next to the GPI control panel operating mode button to simulate switch actions.

Click the ON test button to verify corresponding movement occurs in the selector. Repeat this to verify selector for the OFF test button. When physical hardware is present and connected, you will see similar movement on the selector by activating the switch in the field.

Testing Digital GPI port programming

Digital Up/Down Volume Mode

To program a Digital Up/Down Volume GPI port mode with two momentary switches connected to GPI ports 3 & 4, adjust the GPI mode to Digital Up/Down then drag a gain block onto Digital Control Input 3. Digital Up/Down Volume mode replicates rotary gain control movement with one push button to increase level and another to decrease level. As a result, this mode occupies two positions in the GPI control panel.

Assigning a gain block to a Digital Up/Down Volume GPI port

Testing the operation of this GPI programming within software is accomplished by opening the input gain control panel and left clicking the ON test buttons next to the GPI control panel operating mode buttons to simulate switch push button actions.

Press the ON test buttons repeatedly to verify corresponding movement occurs on the gain control in the input control panel. When physical hardware is present and connected, you will see similar movement on the gain control by pushing the physical buttons in the field.

Testing Digital Up/Down Volume GPI port programming

Digital Discrete Mode

Digital Discrete mode only applies to the mute state of a gain block or to gain blocks in a group. This special digital mode allows simplified programming for various muting types.

Digital discrete mode - muting types

When you drag a gain block or grouped gains to Digital Control Input n, you are prompted to select and apply one of the following Discrete modes:

  • Active Hi - signal is normally muted. Unmutes the signal when the GPI is ON (or closed). Example: Paging mic where audio is only on when the mic button is pushed.
  • Active Lo - signal is normally unmuted. Mutes the signal when the GPI is ON (or closed). Example: Mic audio is normally on until a muting button is pressed. It stays muted until the button is released.
  • Toggle - signal mute alternates ON and OFF when the GPI is momentarily pulsed ON (OFF>ON>OFF).


Programming GPO

General Purpose Outputs are activated by parameter set or timer and two methods exist for programming them. The first method is to use the Project Directory and the second method is to use the Parameter Set Node List.

For each of the two methods, the first step is to open the GPO control panel and set the state of the desired output to either ON or OFF.

Note: ESP-880 is used as an example, but programming is similar for other sound processors.

For more information on GPO control panels, see:

  • ESP-00 II GPIO
  • Fixed I/O ESP GPIO
  • ControlSpace EX GPIO Controls

Open & enable General Purpose Outputs

Using the Project Directory

Using the Project Directory, expand the GPO section within the ESP or EX-1280C device tree and drag the specific output of interest into a parameter set or timer. When that parameter set is invoked or the timer activates, the GPO will change its state to the programmed value (ON or OFF).

Project Directory GPO drag & drop to parameter set

Using the Parameter Set Nodes List

Right-click a parameter set name in the Parameter Set window and select the Parameter Set Node List. Select the check box(es) for the desired GPO ports in the ESP or EX-1280C device tree to store in the parameter set.

Parameter Set Node List GPO programming


Serial Port Programming

ControlSpace sound processors will respond to and send serial messages via either the serial port or the Ethernet network. Certain models can also send serial control messages over Ethernet via UDP or TCP to a specific IP and port.

Baud rate, bit length, and parity are all configurable in the Serial Port settings on ESP or EX-1280, EX-1280C, and EX-440C processors.

Serial inputs may be programmed to invoke an action in a device when a serial command is received from an external device. Serial outputs may be programmed to send a serial command to an external device when a parameter set is invoked, or when a timer activates.

Serial Inputs

ControlSpace ESP or EX-1280, EX-1280C, and EX-440C sound processors can recall settings of signal processing blocks or invoke a parameter set when a serial string is received from the RS-232 serial port. To program a serial input, open the Serial In control panel from Signal Processing view and drag and drop one or more blocks or parameter sets into a "Serial Input n" line in the programming tree.

Dragging parameter set into Serial In programming tree

Enter the serial string of characters in the corresponding field in the upper half of the control panel. When an incoming serial string matches any of the strings entered, the block or parameter set programmed for that string is invoked. For example, if a string is received from an external system that matches serial input string #1, that will invoke the block or parameter set in SerialInput1 in the lower half of the control panel.

Test buttons test the programming string for a specified ON or OFF state of a serial input, respectively. If no target is assigned to the serial string, the ON or OFF button is disabled. Serial input ON and OFF buttons are only active when online.

Serial Outputs

The serial output device is used to transmit a serial string out of the serial port when a parameter set is invoked, or when a timer activates. (Certain models can also send serial control messages over Ethernet via UDP or TCP to a specific IP and port.)

To open the Serial Output control panel, double-click the Serial Out block in Signal Processing view.

Opening the Serial Output control panel

There are two ways to program a Serial Output:

  • Use the Project Directory
  • Use the Parameter Set Nodes List

For each of the two methods, the first step is to open the Serial Out control panel and enter the serial command strings to provide the desired device control.

Serial output strings

Unlike serial input strings, no control characters, such as carriage returns or line feeds, are assumed or automatically included when entering serial output strings.

Serial commands can be entered as ASCII or hexadecimal strings:

In ASCII mode:

To enter a hexadecimal value, use this format: \XX

Control characters (\n, \r, and \t) are not supported. To enter one of these characters, use its hexadecimal value:

New line (\n): 0A

Carriage return (\r): 0D

Horizontal tab (\t): 09

In hexadecimal mode, omit backslashes and spaces.

Note: Serial output strings are not sent when offline.

Using the Project Directory

After typing the serial string or command into the Serial Output control panel, find the Serial Output in the Project Directory, and drag it into a parameter set or timer. When the parameter set is invoked, or the timer activates, the Serial string is sent out the Serial port on the sound processor. For example, you could send a signal to a video switcher when a parameter set is invoked or a timer expires.

Using Project Directory to program serial output

Using the Parameter Set Node List

Right-click a parameter set name in the Parameter Set window and select Parameter Set Node List. Place a check mark next to the desired serial output ports in the sound processor's device tree to store in the parameter set.

Parameter Set Node List serial output programming

Notes:

  • Unlike serial input strings, no control characters, such as carriage returns or line feeds, are assumed or automatically included when entering serial output strings.
  • Serial output strings are not sent when offline.


About Logic

ControlSpace Designer provides programmable logic functionality on ControlSpace EX sound processors. Logic blocks are placed and wired in a similar manner as SP blocks for audio. You can add simple boolean logic to the control flow in your design, or more complex logic using your own customized logic designs. Each logic block is simple, but when multiple blocks are added together the designer can implement very complex operations.

Note: ESP sound processors do not support logic functionality.

Types of Logic Blocks

There are two types of logic blocks:

  • Predefined logic blocks
  • Logic blocks

Predefined logic blocks are pre-built logic blocks with a fixed number of input and output ports, e.g. 4-channel LATCH ALL. You cannot edit them.

Logic (custom) blocks allow you to create your own custom logic blocks from scratch, using a set of logic operators such as AND, OR, NOT, as well as FLIPFLOP and DEBOUNCE timing and memory functions. Unlike predefined logic, you can also set the number of input and output ports.

Additionally, many existing SP blocks, such as Gain, Ducker, and AMM, have built-in logic I/O support.

Logic Symbols

To display the logic input/output ports for a block, right-click the block and select Show I/O Logic. For all types of logic blocks and SP blocks that support logic I/O, the logic inputs appear on the top of the block and the outputs on the bottom of the block.

A blue-colored logic input or output represents a Low state. A gold-colored logic input or output represents a High state. This color coding is helpful when simulating logic offline to test various logic states and trace logic signal routing between blocks.

For more information on using logic, see:

  • Adding Predefined Logic Blocks
  • Adding Custom Logic Blocks
  • Showing or Hiding Logic Connections
  • Simulating Logic Offline
  • Logic Operators/Functions and Predefined Logic Blocks
  • Logic Routes

For more information on logic support for block types, see:

  • Logic and Testing Support for SP Blocks
  • General Purpose I/O Block Logic Support
  • Serial I/O Block Logic Support
  • Logic Input Block
  • Logic Output Block
  • Dante Endpoint and Microphone GP I/O Logic Support
  • Parameter Set Recall Block Logic Support


Adding Custom Logic Blocks

In addition to adding predefined logic blocks to a design, you can build and add your own custom logic blocks by dragging items from a palette of simple logic operators and more complex timing and memory functions. You can also select the number of input and output ports for the custom logic block. For definitions of logic operators and other functions that you can use to build custom logic, see Logic Operators/Functions and Predefined Logic Blocks.

To create a custom logic block for a design:

  1. From the Logic/Control section of the SP Tool Kit, drag a Logic Block block into Signal Processing view.

  2. In the Logic dialog box, select or type in the number of ports (16 max for input and output) using the Inputs and Outputs port selector controls and click OK.

  3. The block is now added to Signal Processing view. You can rename the block using any of the following options:
  • Editing the Label property in the Properties window (select the block and then select Window > Properties on the menu bar).
  • Right-clicking the block and selecting Rename from the menu.
  • Pressing the F2 key.

You can also change the number of input or output ports at any time by right-clicking the block and selecting Change I/O Count.

  4. To edit the block, double-click it to display the Wiring view.

  5. From the left-hand panel, you can drag logic operators as well as memory and timing blocks into the wiring view. You will be prompted to enter the number of inputs for any logic element or block that you add.

  6. Make the connections between elements as needed. As with SP blocks, you can modify wiring properties by right-clicking on a wire and editing the Wire Properties. You can also rename any logic element via the Label property in the element's Properties window, by using the right-click menu to select Rename, or by pressing the F2 key.

  7. Once the custom logic block is created, you can wire it to any other SP blocks as needed.


Showing or Hiding Logic Connections

Because system design wiring can become quite complex, you have the option to either show or hide logic wiring in the design. This can be done for a single logic/SP block or globally throughout the design.

For a Block

To hide all logic ports and connections on any logic block or SP block that supports logic, right-click the block and select Hide I/O Logic.

To show all logic ports and connections on any logic block or SP block that supports logic, right-click the block and select Show I/O Logic.

In the example, the logic I/O for the Custom logic block is shown on the left and hidden on the right.

Show/Hide Logic I/O for a block

For a Design

To hide all logic ports and connections on all blocks in a design, from the Main menu select View > Hide All Logic I/O.

To show all logic ports and connections on all blocks in a design, from the Main menu select View > Show Logic I/O and then select View > Show Signal Processing Logic I/O.

In the example, the logic I/O for the entire design is shown on the left and hidden on the right.

Show/Hide Logic I/O for a design

Note: View > Show Logic I/O shows or hides logic ports only. View > Show Signal Processing Logic I/O shows or hides logic I/O connections and ports on signal processing blocks only (does not affect ports on logic blocks).


Simulating Logic Offline

You can simulate all system logic in Signal Processing view offline.

For example (not shown), pressing a microphone's Mute button in the AMM control panel will put the logic output corresponding to that channel in a High state (the logic output symbol will turn gold). If the AMM block is wired to another block that supports logic, this will activate the logic input in that block and propagate to that block's logic output, triggering another logic event in the chain, and so on.

In another example (see below), a switch closure is used to apply a High to logic output #1 of a GPI block. This, in turn, sets logic input port "Out" on AMM 1 to High which mutes the master audio output of AMM 1. The High logic signal propagates to logic output port "Out" of AMM 1 and the logic input port "Out" of AMM 2, causing that AMM to also mute its master audio output.

This entire logic path can be simulated by using the GPI control panel's test function. The gold-colored logic ports represent the High states of the logic inputs and outputs at each stage along the path.

Example of logic simulation to mute multiple zones


Logic Operators/Functions and Predefined Logic Blocks

This topic describes the behavior of logic operators and functions that you can use to create custom logic blocks or which form the basis of operation for many predefined logic blocks. Certain functions described here - specifically Latch All, Latch + Global, LED Split - are only available as predefined logic blocks. Toggle/FF is available both as a logic operator you can use to create custom logic blocks and as a predefined logic block.

When dragging logic operators or functions into Wiring view to create custom logic, you will be prompted to specify the number of inputs for the logic element. See Adding Custom Logic Blocks.

Logic Operators

AND

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | All inputs are High | All inputs are Low

OR

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | Any or all logic inputs are High | All logic inputs are Low

XOR

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | The sum of all High inputs is odd | The sum of all High inputs is even

NAND

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | Any or all logic inputs are Low | All logic inputs are High

NOR

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | All logic inputs are Low | Any or all logic inputs are High

NXOR

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | All logic inputs are Low OR All logic inputs are High | Any but not all logic inputs are High

NOT

The NOT operator supports from 1-16 I/O ports. An output of the NOT operator is High when its corresponding logic input is Low. An output of the NOT operator is Low when its corresponding logic input is High.

ONEHOT

Example of Symbol | Input Ports | Output = High when... | Output = Low when...
 | 2-16 | Any one (but only one) logic input is High | More than one logic input is High OR All logic inputs are Low

OR_ALL

OR_ALL operators have an equal number of logic inputs and outputs, plus one ALL logic input which is the last numbered logic input port. For example, the ALL logic input on a two-input port OR_ALL block would be port 3.

  • An output of the OR_ALL operator is High when its corresponding logic input is High OR when the ALL logic input is High.
  • An output of the OR_ALL operator is Low when its corresponding logic input is Low AND the ALL logic input is Low.

AND_ALL

AND_ALL operators have an equal number of logic inputs and outputs, plus one ALL logic input which is the last numbered logic input port. For example, the ALL logic input on a two-input port AND_ALL block would be port 3.

  • An output of the AND_ALL operator is High when its corresponding logic input is High AND when the ALL logic input is High.
  • An output of the AND_ALL operator is Low when its corresponding logic input is Low OR when the ALL logic input is Low.

FLIPFLOP

FLIPFLOP operators have two logic inputs per output, ranging from 2 inputs x 1 output to 16 inputs x 8 outputs.

The logic inputs work in trigger/reset pairs. Each logic input number has an S or R suffix, indicating whether it has a set (trigger) or reset function. The S logic input is the trigger for the correspondingly numbered logic output. The R logic input is the reset for the trigger/reset pair.

Example: Logic input 1S and 1R are a trigger/reset pair. Logic input 1S is the trigger for logic output 1. Logic input 1R is the trigger reset for the pair.

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

  • An output of a FLIPFLOP operator is set to High when its corresponding logic input trigger is initially pulsed or latched High. If there is no trigger reset, that input trigger can change states of the logic input infinitely without affecting the logic output state.
  • The same output of the FLIPFLOP operator is set to Low when the corresponding trigger reset is pulsed or latched Low and the logic input trigger reverses (or flip-flops) its previous state. For example, after trigger reset, the logic trigger previously set the logic input state to High and now it flip-flops that state to Low.

TOGGLE

TOGGLE operators have an equal number of logic inputs and outputs, ranging from 1 to 16. Each logic input affects its corresponding logic output.

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

  • Assuming the previous state of a logic output in the TOGGLE operator was Low, the output of a TOGGLE operator is set to High when the corresponding logic input is pulsed. If the logic input is pulsed again, the logic output is set to Low. In this instance, if a logic input is latched High to set the logic output to High, that logic input must be set to Low and set back to High to toggle the corresponding logic output.
  • Assuming the previous state of a logic output in the TOGGLE operator was High, the output of a TOGGLE operator is set to Low when the corresponding logic input is pulsed. If the logic input is pulsed again, the logic output is set to High. In this instance, if a logic input is latched Low to set the logic output to Low, that logic input must be set to High and set back to Low to toggle the corresponding logic output.

TOGGLE/FF

TOGGLE/FF (TOGGLE/FLIPFLOP) operators have one discrete logic input per logic output (ranging from 1-16), in addition to a single global S logic input and a single global R logic input.

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

If a given logic input is pulsed (or set High and reset to Low), the corresponding logic output will toggle states.

For example, if logic output #1 on a Toggle/FF block is currently set Low, pulsing logic input #1 will set logic output #1 to High. And if logic output #1 on a Toggle/FF block is currently set High, pulsing logic input #1 will set logic output #1 to Low.

Global Logic Inputs - S and R

If the global S logic input is pulsed, all logic outputs are set to High. If the global R logic input is pulsed, all logic outputs are set to Low.

PULSE

PULSE operators have an equal number of logic inputs and outputs. Each logic input affects its corresponding logic output. There are three Pulse modes:

  • Standard
  • Single pulse
  • Force on

You can select these modes by double-clicking the PULSE operator block in Wiring View to access the control panel.

In the mode descriptions that follow, the rate at which the logic output is toggled On/Off is determined by the On and Off timer settings in the control panel.

  • The On timer sets/determines how long a particular logic output’s state remains set High before toggling its output state back to Low. This timer can be set from 100 ms to 6000 ms (6 seconds).
  • The Off timer sets/determines how a particular logic output’s state remains Low before toggling back to High. This timer can be set from 100 ms to 6000 ms (6 seconds).

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

Standard Mode

In Standard Mode, neither the Single Pulse nor Forced On option is selected. When a logic input on this block is latched High, its corresponding logic output is toggled On and then Off continuously until the logic input is set to Low.

If a logic input on this block is pulsed, its corresponding logic output will toggle On and then Off once for the duration set in the block’s On/Off timers.

Single Pulse Mode

When the Single Pulse option is selected and a logic input is latched High (or pulsed On and then Off), its corresponding logic output will toggle On and then Off once and only once.

If a logic input was latched High to trigger the logic output pulse, that logic input must be set Low and then set back to High to trigger another logic output pulse.

Force On Mode

When the Force On option is selected, all logic inputs are set to High and all logic outputs are toggled On, and then Off continuously until Forced On mode is disabled.

DEBOUNCE

The DEBOUNCE operator has a set of On and Off times that the user can adjust to control when logic inputs and outputs are set High and Low. To access these time settings, double-click the DEBOUNCE operator block.

The On timer setting determines how long after a particular logic input is set High that the corresponding logic output is set High. The timer range is from 100 to 6000 milliseconds. The Off timer setting determines how long after a particular logic input is set Low that the corresponding logic output is set Low. The timer range is the same as for the On timer.

  • An output of a DEBOUNCE operator is set to High (after the set timing delay) when a corresponding logic input is set to High.
  • An output of a DEBOUNCE operator is set to Low (after the set timing delay) when a corresponding logic input is set to Low.

Predefined Blocks

LATCH ALL

LATCH ALL blocks are effectively OR blocks with a TOGGLE function tied to all of its logic outputs. LATCH ALL is only available as a predefined logic block in four and eight-channel versions. These blocks have an equal number of logic inputs and outputs.

Note: The term "pulsing" or "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

If any of the connected logic inputs are pulsed (or set High and reset to Low), all of the logic outputs will toggle states. For example, if all of the logic outputs on a LATCH ALL block are currently set Low, pulsing any of the logic inputs will set the logic output state of all logic outputs to High.

If all of the logic outputs on a LATCH ALL block are currently set High, pulsing any of the logic inputs will set the logic output state of all logic outputs to Low.

LATCH + GLOBAL

LATCH + GLOBAL blocks are effectively TOGGLE blocks with a OR function tied to each of its logic outputs. LATCH + GLOBAL is only available as a predefined logic block in four and eight-channel versions. These blocks have an equal number of discrete logic inputs and logic outputs with one additional Global logic input (logic input port #5 for four-channel blocks and port #9 for eight-channel blocks).

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

If a given logic input is pulsed (or set High and reset to Low), the corresponding logic output will toggle states.

Example: If logic output #1 on a LATCH + GLOBAL block is currently set Low, pulsing logic input #1 will set logic output #1 to High. And if logic output #1 on a LATCH + GLOBAL block is currently set High, pulsing logic input #1 will set logic output #1 to Low.

Global Logic Input

When the Global logic input is pulsed (or set High and reset to Low), it will toggle any and all logic outputs that are not currently set High. Therefore, if all logic outputs on a LATCH + GLOBAL block are set Low, pulsing the Global logic input will set all logic outputs High. If the Global logic input is pulsed again, all logic outputs will be set Low.

If any of the LATCH + GLOBAL block’s logic outputs were set High from their discrete logic input(s), pulsing the Global logic input will only toggle the logic outputs currently set Low.

Logic outputs must be set Low by their corresponding logic inputs if they are to be part of the Global logic toggle.

LED SPLIT

The LED SPLIT block is only available as a predefined logic block in four and eight-channel versions. The LED SPLIT block has two corresponding logic outputs per logic input. So, a four-channel LED SPLIT block has four logic inputs and eight logic outputs; an eight-channel LED SPLIT block has eight logic inputs and 16 logic outputs:

  • Logic Input #1 corresponds to logic outputs 1 & 2.
  • Logic Input #2 corresponds to logic outputs 3 & 4.
  • Logic Input #3 corresponds to logic outputs 5 & 6.
  • Logic Input #4 corresponds to logic outputs 7 & 8

...and so on.

When a logic input on an LED SPLIT block is set High, its corresponding odd-numbered logic output is also set High while its corresponding even-numbered logic output is set Low.

Example:

When a logic input on an LED SPLIT block is set Low, its corresponding odd-numbered logic output is also set Low while its corresponding even-numbered logic output is set High.

Example:

For example, when connected to a Dante-equipped microphone’s GPO port, the LED SPLIT block is a useful tool to toggle the Dante-equipped microphone’s Green and Red LED indicators to indicate the microphone's mute status.

TOGGLE/FF

Toggle/FF is only available as a predefined logic block in four and eight-channel versions. These blocks have one discrete logic input per logic output, in addition to a single global S logic input and a single global R logic input. In the four-channel version, global S is logic input port 5 and global R is logic input port 6; in the eight channel version, it is logic input port 9 and 10, respectively.

Note: The term "pulsed" used in this section is defined as a momentary transition from Low to High and back to Low.

If a given logic input is pulsed (or set High and reset to Low), the corresponding logic output will toggle states.

Example: If logic output #1 on a Toggle/FF block is currently set Low, pulsing logic input #1 will set logic output #1 to High. And if logic output #1 on a Toggle/FF block is currently set High, pulsing logic input #1 will set logic output #1 to Low.

Global Logic Inputs - S and R

If the global S logic input is pulsed, all logic outputs are set to High. If the global R logic input is pulsed, all logic outputs are set to Low.


Logic Routes

Use logic routes in ControlSpace Designer to route logic signals between two locations within a single ESP or EX-1280C device as if they were connected, but without the need to wire them together directly. It is similar to a named object or net in schematic diagrams, where objects with the same name are assumed to be connected.

This provides a convenient virtual wiring shortcut from one location in a design to another and is helpful when many intervening or blocking design elements make it difficult to route logic signals between the two points.

  1. To create a logic route:

  2. Drag the block named "New Logic Route" from the SP Tool Kit into Signal Processing view. This creates a single-input logic block in Signal Processing view and a matching single-output logic block in the SP Tool Kit, both labeled Logic Route x by default, as shown below.
  3. Drag the matching single-output logic route block from the SP Tool Kit into Signal Processing view. You will re-position the blocks later.

  4. If needed, change the block labels by selecting either block and changing the Label name in the Properties window (Window > Properties), by using the right-click menu on the block to select Rename, or by pressing the F2 key. The labels automatically change on both blocks, since the labels must match to implement the logic route.

  5. If needed, change the number of ports by right-clicking on the single-input block and selecting Change Channel Count. As with label changes, any change in the number of ports will propagate to both blocks.

  6. Move the input and output logic route blocks to the appropriate locations in your design.

  7. Wire any logic inputs to the input logic route block and any logic outputs from the output logic route block, as needed.

    Logic signals will now flow from the input logic route block to the output logic route block as if they were interconnected.


Logic and Testing Support for SP Blocks

This topic describes logic I/O behavior and testing features for the following SP blocks that support logic I/O:

  • Ducker
  • Gate
  • Gain
  • Meters
  • AMM-Gain Sharing and AMM-Gated
  • Source Selector (mono or stereo)
  • Conference Room Router

NOTES:

  • To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.
  • ESP sound processors do not support logic functionality.

Default Logic Operation

The table describes the default logic behavior for supported SP blocks - that is, when the Invert or Invert Logic Output option is not selected in the block's control panel.

Default Logic Behavior for SP Blocks
SP Block Type | Notes | Logic Inputs | Default Logic Outputs

Ducker

Ducker's logic input allows an external logic input source to activate or de-activate the ducking feature of the block.

The logic input is OR'ed with the audio sidechain input of the block, so that either the sidechain input or the external logic source can activate or de-activate the ducking function.

 When logic input O is High...

...logic output A is also High. The Ducker block is active and ducks the audio output of the block.

If an external logic input source connected to the block is latched in a High state, the Ducker block's audio output remains ducked until the logic input O source state is Low.
When logic input O is Low... | ...logic output A is also Low. The Ducker block is inactive.

Gate

No logic inputs

Logic output A is High - when audio signal passing into block reaches threshold level set in block and opens the "gate", indicating that the audio channel is active.

Logic output A is Low - when audio signal passing into block falls or remains below threshold level set within the block that opens the "gate", indicating the audio channel is inactive.

Gain

 Gain's logic input allows an external logic input source to mute or unmute the audio output of the block. When logic input M is High...

...logic output M is also High and audio output of block is muted.
When logic input M is Low...

...logic output M is also Low and audio output of block is unmuted.

Meters

 No logic inputs

High- when audio signal passing into block reaches threshold level set in block, within the tolerance set in the Tol. field in dBFS.

Low - when audio signal passing into block falls below threshold level set in block, within the tolerance set in the Tol. field in dBFS.

AMM Gain Sharing and AMM Gated

AMM's logic inputs allow external logic input sources to mute or unmute the main audio output of the block as well as individual AMM mic input channels.

Logic input port "Out" on an AMM affects only the main audio output of the AMM. The remaining numbered logic I/O ports on the AMM affect the corresponding individual AMM mic input channels.

 When the logic input port "Out" is High... ...all of the logic outputs are also High and the main audio output of the block is muted.
When the logic input port "Out" is Low... | ...all of the logic outputs are also Low and the main audio output of the block is unmuted.
When any numbered logic input is High... | ...the corresponding numbered logic output is also High and the corresponding AMM mic input channel is muted.
When any numbered logic input is Low... | ...the corresponding numbered logic output is also Low and the corresponding AMM mic input channel is unmuted.

Source Selector (mono or stereo)

Source Selector's logic inputs allow external logic input sources to determine which audio input is routed to the output of the block.

Only one logic input can be High at any given time.

 When a logic input is High (via Pulse or XOR latch)...

...the corresponding numbered logic output is also High and the corresponding audio input signal is routed to the output of the Source Selector block.

All other logic outputs will be Low.

Conference Room Router

CRR's logic inputs allow external logic input sources to mute and unmute each of the three controls in the Master Controls section of the CRR Control Panel, as well as the controls in the Input Sources section.

 When a logic input is High...

...the corresponding logic output is also High and the corresponding CRR control is muted (see note).

Note: CRR logic input/output ports N, M, and V correspond to the Non-Mic Mix, Mic Mix, and Master Volume controls in the CRR control panel, respectively. Logic input/output ports labeled P and numbered ports map to Program and Far End controls, respectively.

When a logic input is Low... | ...the corresponding logic output is also Low and the corresponding CRR control is unmuted (see note in previous table entry).

VoIP In

 When C is High, the VoIP call is active. No logic outputs
When C is Low, the VoIP call is inactive.

PSTN In

 When C is High, the PSTN call is active. No logic outputs
When C is Low, the PSTN call is inactive.

USB Out

 When logic input M1 is High... ...logic output M1 is also High and Output 1 is muted.
When logic input M1 is Low... | ...logic output M is also Low and Output 1 is unmuted.
When logic input M2 is High... | ...logic output M2 is also High and Output 2 is muted.
When logic input M2 is Low... | ...logic output M2 is also Low and Output 2 is unmuted.
When logic output S is High, a call is active.
When logic output S is Low, a call is inactive.

Inverted Logic Operation

The table describes inverted logic behavior for SP blocks that support it. To enable inverted logic, select the Invert or Invert Logic Output option in the block's control panel.

Inverted Logic Behavior for SP Blocks
SP Block Type | When Invert Logic is selected...
Ducker | ...the logic output A is High only when the block is not actively applying its processing to the audio signal (logic input O is Low). When the Ducker is active (logic input O is High), the logic output A is Low.
Gate | ...and the system is active/online, a Gate's logic output A will be set High until the audio input level threshold set within the Gate is reached or exceeded. At that point the Gate is "open", allowing that audio signal to pass and the logic output A is set Low.
Gain | ...a High input M results in a Low output M and the main audio is unmuted. A Low input M results in a High output M and the main audio is muted.
Meters | ...and the system is active/online, a Meter's logic output will be set High until the audio input level threshold set within the Meter's block is reached or exceeded (within the tolerance set in the Tol. field in dBFS). At that point, a Meter's logic output is set Low.
AMM Gain Sharing | ...and when logic input port "Out" is High, all of the logic outputs are Low and the main audio output of the block is unmuted.
 | ...and when logic input port "Out" is Low, all of the logic outputs are High and the main audio output of the block is muted.
 | ...and when any numbered logic input is High, the corresponding logic output is Low and the corresponding AMM mic input channel is unmuted.
 | ...and when any numbered logic input is Low, the corresponding logic output is High and the corresponding AMM mic input channel is muted.
Source Selector (mono or stereo) | ... the corresponding logic output is set Low when a particular source is selected. All other logic outputs will be High.

Logic Testing Support

The following SP blocks have logic output testing features available in their control panels:

  • Ducker
  • Gate
  • Meters

The table summarizes these features.

Logic Output Testing Features for SP Blocks
Feature | Description
Test On and Off buttons Example 1- Ducker: Example 2 - Meters: | On - sets the logic output to High Off - sets the logic output to Low
Logic output indicator | When lit, indicates that the SP block is actively applying its signal processing to the audio signal. When not illuminated, the SP block is not doing any signal processing. Note: The Meters control panel does not have a logic output indicator.


General Purpose I/O Block Logic Support

This topic describes logic I/O behavior for General Purpose I/O blocks.

Note: To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.

GP In Block Logic

  • A logic output on the GP In block is On when an external device such as a switch or potentiometer connected to the corresponding physical GPI port on the ControlSpace EX device closes.
  • A logic output on the GP In block is Off when an external device such as a switch or potentiometer connected to the corresponding physical GPI port on the ControlSpace EX device opens.

GP Out Block Logic

  • When a logic input on the GP Out block is On, the corresponding physical GPO port on the ControlSpace EX device is also On.
  • When a logic input on the GP Out block is Off, the corresponding physical GPO port on the ControlSpace EX device is also Off.


Serial I/O Block Logic Support

This topic describes logic I/O behavior for serial I/O blocks.

Note: To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.

Serial In Block Logic

  • The logic outputs on the Serial In block are High when the ControlSpace EX device receives a remote serial string that matches one of the On strings set in the serial string list in the block.
  • The logic outputs on the Serial In block are Low when the ControlSpace EX device receives a remote serial string that matches one of the Off strings set in the serial string list in the block.

Note: Serial In blocks can store up to 64 On and Off strings.

Serial Out Block Logic

  • When a logic input on the Serial Out block is High the ControlSpace EX device sends a predefined serial string that matches one of the On strings set in the serial string list in the block.
  • When a logic input on the Serial Out block is Low the ControlSpace EX device sends a predefined serial string that matches one of the Off strings set in the serial string list in the block.

Note: Serial Out blocks can store up to 64 On and Off strings.


Logic Input Block

You can configure Logic Input blocks to trigger any number of events within a system. You can manually activate Logic Input blocks through the Logic Input block’s control panel or you can use a third-party control system to trigger events.

The logic outputs on these blocks can be directly wired to any logic inputs within your design. When the Logic Input block’s logic output(s) are set to On, Off or are Pulsed via the block's control panel, logic events within the connected device(s) are triggered.

Logic Input block's output wired to Mic # 1 input of AMM activates Mute on Mic # 1 when in "On" state

The Logic Input block can also be configured to trigger events without wiring the block's outputs to other logic-enabled blocks.

Note: To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.

Setting the Number of Outputs

To set the number of output ports for a Logic Input block:

  1. Drag the Logic Input block from the Logic/Control category in the SP Tool Kit into Signal Processing view.
  2. In the Logic Input dialog box, select or type in the number of output ports (up to 16 maximum), using the Outputs ports selector control.

  3. Click OK to add the block to the Signal Processing view.

Note: You can add outputs to it at any time by right-clicking on the block and selecting Change output count. You can then select the number of outputs to add, up to the maximum of 16.

Logic Input Block and Control Panel

Double-click the Logic Input block in Signal Processing view to open its control panel.

Logic Input block and control panel

Configuring a Logic Input Block

To configure a Logic Input block:

  1. Drag a compatible device from Device View onto the Logic Input Active link in the block’s control panel programming tree. Compatible devices include but are not limited to Gains, Mixers and Source Selectors.
  2. Use the Logic Input block’s control panel to set the Logic Outputs to On, Off or Pulse.
  • - Setting the Logic Input block’s output to On will trigger the pre-configured action for the ON state.
  • - Setting the Logic Input block’s output to Off will trigger the pre-configured action for the OFF state.
  • - Setting the Logic Input block's output to Pulse will trigger the pre-configured action when the output is pulsed.

An "On" state on Output #1 of Logic Input block triggers Mute on EX-1280C Analog input # 1

Additionally, the outputs of the Logic Input block can be wired to the logic inputs of any logic-enabled block in the design, while at the same time triggering the pre-configured events described above.

Same example as above but with Logic Input block outputs wired to AMM inputs


Logic Output Block

The inputs of a Logic Output block can be wired to another block’s logic output(s) to report logic status to the user or to a third-party control system. Logic Output blocks do not trigger events - they only report On or Off states.

Logic Output block control panel reports On/Off status of AMM logic outputs

Note: To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.

Setting the Number of Inputs

To set the number of input ports for a Logic Output block:

  1. Drag the Logic Output block from the Logic/Control category in the SP Tool Kit into Signal Processing view.

  2. In the Logic Output dialog box, select or type in the number of input ports (up to 16 maximum), using the Inputs ports selector control.

  3. Click OK to add the block to the Signal Processing view.

    You can add inputs to it at any time by right-clicking on the block and selecting Change input count. You can then select the number of inputs to add, up to the maximum of 16.

Logic Output Block and Control Panel

Double-click the Logic Input block in Signal Processing view to open its control panel.

Logic Output block and control panel


Dante Endpoint and Microphone GP I/O Logic Support

The GPI and GPO blocks associated with Dante UTB endpoints EX-4ML and EX-8ML and those associated with Dante microphones are effectively the same, delivering the same functionality.

The output(s) of the GPI blocks can be connected to GPO blocks and other system functions via custom or predefined logic blocks to illuminate LED indicators, mute and unmute microphones, trigger presets, etc., on connected Dante devices or microphones.

Note: To display the logic input/output ports for a block, right-click the block and select Show I/O Logic.

Dante Microphone GP In Block

The GPI block for a Dante microphone in your design is tied to that microphone’s physical pushbutton switch. When the pushbutton on the Dante microphone is pressed/released, the GPI output on the GPI block will go On or Off, indicating the pushbutton's state.

Dante Endpoint GP In Block

The GPI block for a Dante UTB endpoint in your design is tied to a non-Dante microphone’s physical pushbutton switch (or to an external switch for microphones without pushbuttons) wired to a physical GPI input on the UTB endpoint. When a pushbutton or external switch is engaged on the non-Dante microphone, the respective GPI output on the GPI block will go On or Off, indicating the pushbutton's state.

Note: When a Dante UTB Endpoint’s GPI block output is On, the corresponding (white) LED on the Dante UTB Endpoint will also illuminate.

Dante Microphone GP Out Block

The inputs on a Dante microphone GPO block are tied to LED indicators within Dante microphones. When input #1 on the GPO block goes On, the green LED indicator on the Dante microphone illuminates. When input #2 on the GPO block goes On, the red LED indicator on the Dante microphone illuminates.

Dante Endpoint GP Out Block

The inputs on a Dante UTB Endpoint GPO block are tied to LED indicators within the non-Dante microphones. When input #1 on the GPO block goes On, the green LED indicator on the non-Dante microphone illuminates. When input #2 on the GPO block goes On, the red LED indicator on the non-Dante microphone illuminates.


Parameter Set Recall Block Logic Support

When a Pset Recall block's logic input is set to High or is pulsed, the corresponding parameter set number within the block is recalled by the system.

Note: Right-click the block and select Change input count to configure the number of logic inputs (up to 16 maximum) that you can associate with parameter sets.

Setting the Number of Inputs

To set the number of logic input ports for a Pset Recall block:

  1. Drag the Pset Recall block from the Logic/Control category in the SP Tool Kit into Signal Processing view.
  2. In the Parameter Set Recall dialog box, select or type in the number of input ports (up to 16 maximum), using the Inputs ports selector control.

  3. Click OK to add the block to the Signal Processing view.

You can add inputs at any time by right-clicking on the block and selecting Change input count. You can then select the number of inputs to add, up to the maximum of 16.

Control Panel

To use the Pset Recall block control panel:

  1. Double-click the block to open its control panel.

  2. For each logic input, use the drop-down list to associate it with a parameter set number.

You can use the Recall button in the control panel to simulate or recall a parameter set.


Control Center Programming

ControlSpace Designer software allows for a great amount of flexibility in how the user will control the system. The amount of programmed control depends on the system design, and the needs of your customer. Your system might be a static signal processor, and require no user controls, or it might be a multi-room, multi-zone solution requiring a combination of different zone controller models, along with general purpose switches and potentiometers.

Each of the hardware devices has individual characteristics and programming requirements, as shown in the following example:

Control Type | Fully CW | Fully CCW | GPI Mode
CC-1 | 0 Ohms | 10K Ohms | A–
CC-2 | 0 Ohms | 10K Ohm | A– for Volume, D for switch selections
CC-3 | 10K Ohm | 0 Ohms | A+ for Volume, D for switch selections

For information on programming ControlSpace and ControlCenter zone controllers, see:

  • Programming CC-1, CC-2, and CC-3 Zone Controllers

  • Programming CC-1D, CC-2D, and CC-3D Zone Controllers

  • Programming CC-16 Zone Controllers
  • Programming CC-64 Zone Controllers


Programming CC-1, CC-2, and CC-3 Zone Controllers

The following provides programming information for the Bose Professional CC-1, CC-2 , and CC-3 zone controller interfaces. These controllers only have Project view icons and no dedicated control panels within Signal Processing view. They are all designed to connect via GPI ports.

  • For details on connections to GPI ports, see Programming GPIO.
  • For details on programming GPI ports, see Programming GPI.

CC-1 Controller

ControlSpace Designer supports the following programming feature via the GPI port for the CC-1 controller:

  • Volume Control – Drag and drop any Analog input/output, Gain, or Volume Group to an analog mode control for the GPI port to which this controller is wired. Be sure to select the A– mode for the volume control. Use the A– mode when the volume control potentiometer is 0 ohms (full counterclockwise) to 10 kiloohms (fully clockwise).

GPI Control Panel Example for programming the CC-1 controller

CC-2 Controller

ControlSpace Designer supports the following programming features via the GPI port for the CC-2 controller:

  • Volume Control – Drag and drop any Analog input/output, Gain, or Volume Group to an analog mode control for the GPI port to which the CC-2 controller is wired. Be sure to select the A– mode for the volume control. Use the A– mode when the volume control potentiometer is 0 ohms (full counterclockwise) to 10 kiloohms (fully clockwise).
  • Selector Switch – Drag and drop any parameter set to two individual digital mode GPI controls for each switch position, A or B.

GPI Control Panel Example for programming the CC-2 controller

CC-3 Controller

ControlSpace Designer supports the following programming features via the GPI port for the CC-3 controller:

  • Volume Control – Drag and drop any Analog input/output, Gain, or Volume Group to an analog mode control for the GPI port to which the CC-3 controller is wired. Be sure to select the A+ mode for the CC-3 controller. Use the A+ mode when the volume control potentiometer is 0 ohms (full clockwise) to 10 kiloohms (fully counterclockwise).
  • Selector Switch – Drag and drop any parameter set to four individual digital mode GPI controls for each switch position, A through D.

CC-3 Programming via GPI Analog and Digital Modes


Programming CC-1D, CC-2D, and CC-3D Zone Controllers

Use the programming tree in the lower half of the CC-1D, CC-2D, and CC-3D Device Simulator window to assign functions to the controls on the Bose Professional ControlCenter digital zone controllers.

To open the Device Simulator, double-click the CC-1D, CC-2D, or CC-3D block in Project view, or right-click the block and select Open.

Digital Zone Controller Device Simulator Windows

CC-1D
Volume Control only

CC-2D
Volume and Selector Control

CC-3D
Volume and Selector Control

The CC-1D/CC-2D/CC-3D Device Simulator window allows you to replicate the device when offline and configure which modules it controls.

  • The top half of the window displays the controller model, the name of the controller (which you can change in the controller's Properties window), source buttons (CC-2 and CC-3 only), a volume dial, and a Mute button.
  • The bottom half of the window contains a tree of the modules that are controlled by the device, which includes a Volume Control property (on all digital zone controller models) and a Selector Control property (on CC-2 and CC-3 controllers).

After you have completed your signal processing design, you can program the associated controllers by dragging and dropping the desired processing object onto the appropriate control in the Device Simulator window.

Volume Control

You can program the volume for the device by dragging and dropping any of the following blocks from within Signal Processing view onto the Volume Control property:

  • Analog input/output, Gain, ESPLink, or AmpLink blocks

  • Grouped Analog input/output, Gain, ESPLink, or AmpLink blocks (see Assigning Groups section below).

Programming Volume Control

The device operates as follows when a valid volume module is associated with the controller's Volume Control property:

  • A single solid LED in the LED ring is lit to show the current gain level, which is relative to the Max and Min range defined in the controller's Properties window.
  • Slowly rotating the knob clockwise increases the gain by the Step defined in the controller properties, and slowly rotating the knob counter-clockwise decreases the gain by that Step.
  • Quickly rotating the knob clockwise increases the gain, and quickly rotating the knob counter-clockwise decreases the gain.
  • A long press of the knob or clicking the Mute button in the Device window enables/disables mute. When the module is muted, the single volume LED blinks and rotating the knob has no effect.
  • - When entering the muted state, the LED ring flashes three times before displaying the muted level.
  • - When exiting the muted state, the LED ring flashes three times before displaying the unmuted level.

Assigning Groups

You can assign groups containing level controls to a controller's Volume Control property by creating a group and then dragging and dropping it from Signal Processing view onto the Volume Control property in the controller's Device window. Supported grouping types are Level, Mute, and Level+Mute.

The device operates as follows when a group containing level control is assigned to the controller's Volume Control property:

  • If the Level grouping type is assigned to the controller, muting the controller has no effect.
  • If the Mute grouping type is assigned to the controller, adjusting gain on the controller has no effect.
  • If the Level+Mute grouping type is assigned to the controller, mute can still be enabled/disabled and the gain can be adjusted.

Selector Control

You can program the selector for a CC-2D or CC-3D device by dragging and dropping a selector block from within Signal Processing view onto the Selector Control property.

Programming Selector Control

The CC-2D or CC-3D device operates as follows when a valid source module is associated with the controller's Selector Control property:

  • A single solid Source LED is lit to indicate the active source selection.

Note: No source LED is lit when the active source selection is out of the controller's source range.

  • A long press of the knob activates source selection mode, in which:
  • - The current source LED blinks.
  • - The first source LED blinks at a rate of X if the active source is out of the controller's source range.
  • - A short press of the knob selects the next source within the controller's source range.
  • - No change occurs if the source is not changed.
  • - If no channel is associated with the source, the source can be selected by the controller.

Note: When source selection mode is activated, rotating the knob continues to adjust gain, and a long press of the knob continues to toggle mute.


Programming CC-16 Zone Controllers

Once a signal processing design is complete, programming associated controllers is accomplished using the same drag and drop methods as discussed in other programming topics. Open the CC-16 Smart Simulator by double-clicking on its Project view icon.

Programming tree functions of the CC-16 Smart Simulator

The buttons on the CC-16 can be programmed with the following objects:

  • Select buttons:
  • - Source Selector blocks
  • - Parameter sets
  • Volume buttons:
  • - Analog input/output, Gain, ESPLink, or AmpLink blocks
  • - Groups of Analog input/output, Gain, ESPLink, or AmpLink blocks

Select one of the appropriate block types listed above for use within the CC-16 Select buttons within Signal Processing view. Then, drag and drop that processing block onto the Select entry in the CC-16 programming tree. Repeat this process for an analog block or grouped analog blocks for Volume entry programming.

Assigning functions to CC-16 buttons

Note: Labels for the CC-16 display are inherited from the individual blocks, parameter sets, and groups. If the name is modified after adding the item to the CC-16, it must be re-assigned to the CC-16 for the new name to be applied.

Locking the CC-16

When locked, the select and volume control buttons of the CC-16 are disabled. The lock/unlock status of a CC-16 must be stored in two unique parameter sets, one for lock and one for unlock. When either parameter set is invoked, the CC-16 is either locked or unlocked accordingly.

To store the lock/unlock status in a parameter set, first set the lock button on the CC-16 Smart Simulator to the locked or unlocked state, and then drag the CC-16 from Project view into a parameter set. The lock status is the only CC-16 setting that is stored in the parameter set.

Setting the lock button on the CC-16 Smart Simulator

Dragging the locked CC-16 into a parameter set


Programming CC-64 Zone Controllers

The programming tree in the lower half of the CC-64 Smart Simulator is used for assigning functions to the controls on the CC-64.

Programmable Controls for Bank1

This control center may be programmed to control or invoke the following objects:

  • Analog input/output, Gain, ESPLink, or AmpLink blocks

  • Grouped Analog input/output, Gain, ESPLink, or AmpLink blocks

  • Source Selector blocks

  • Parameter sets

  • Certain signal processing blocks using custom settings

After a signal processing design is complete, programming associated controllers is accomplished by dragging and dropping the desired processing object onto the appropriate user control.

When you open the Smart Simulator, the controls for Bank1 are displayed in the programming tree by default.

You may assign functions to controls 1-4, which correspond to control knobs 1-4, by dragging and dropping from Signal Processing view onto the appropriate controls in the programming tree.

Dragging a sound processing block onto a Bank 1 control

To assign functions for the control knobs in Bank 2, select the Bank 2 tab at the bottom of the Smart Simulator window or press the Bank 2 selector button. Drag and drop functions onto the controls. The LCD display in the Smart Simulator shows what is displayed on the actual CC-64.

Assign functions to Bank 2

To assign functions to the Main Selector knob, choose the Selector tab at the bottom of the Smart Simulator window. Drag and drop a Source Selector block or parameter set onto the Selector in the Smart Simulator programming window.

Note: The Main Selector cannot be used as a volume or gain control.

Dragging and dropping a parameter set into the Selector

Verify your programming by clicking on the Selector arrows in the Smart Simulator, which correspond to clockwise and counter-clockwise knob rotation, and then clicking the Set button. The display will switch between descriptions of any series of parameter sets assigned to the Selector.

Testing the programming by switching between two parameter sets

A control knob may also act as a selector. If you program a control knob to invoke parameter sets or control a selector block, the control will change to selector arrows in the Smart Simulator.

A control knob programmed to operate a selector

Changing the Selector Order

When a selector knob on the CC-64 is programmed with parameter sets, you have the option of changing the order in which the parameter sets appear. For example, you can program the CC-64 selector knob with four parameter sets as shown below:

Programming the CC-64 selector knob with parameter sets

To change the order in which the parameter sets appear, double-click one of the parameter sets to open the Change Selector Index window.

Double-click a parameter set to open the Change Selector Index window

Use the arrow buttons at the top of the window to move the selected parameter set up or down in the list. In this window, you can select any of the parameter sets and use the arrows to change its position.

Another way to reorder the parameter sets is to drag and drop them within the CC-64 Smart Simulator window. For example, to move the “Podium Mic” parameter set to appear after the “DVD” parameter set, simply drag and drop the “Podium Mic” parameter set onto the “DVD” parameter set:

Dragging and dropping a parameter set to change the order

The list is reordered after the drag and drop operation.

Newly Reordered Selector List

This technique may also be used within the Project Directory window. Locate the CC-64 selector settings in the Project Directory window, and then drag and drop to new positions to reorder the parameter sets within that list.

Reorder List Items in the Project Directory Window

Custom Settings

The CC-64 supports a custom control mode, whereby you can access settings for certain signal processing blocks, such as EQ blocks and crossover blocks, by using a special button activation.

Note: CC-64 custom control mode is supported only by the ControlSpace ESP-00 Series II engineered sound processor.

You can program the CC-64 to control the following signal processing block types in custom mode:

  • Crossover
  • Graphic EQ
  • Tone EQ
  • Parametric EQ
  • Delay
  • Signal Generator
  • Gain
  • Analog input
  • Analog output

To add signal processing blocks to the custom control, drag and drop one or more blocks listed above onto the Custom Tab of the CC-64 programming tree. The Smart Simulator displays the list of blocks assigned to custom control mode.

Dragging a Parametric EQ block onto a Custom control

Note: To access the Custom controls from the CC-64 hardware, press and hold the Selector knob for 5 seconds.

Locking the CC-64

When the CC-64 controller is locked, the user controls are disabled. This is very useful if you have multiple CC-64 controllers in your system and desire only one of the CC-64 controllers to be active at a time.

Consider a system configuration with two CC-64 controllers - one in a function room and another in a private office. During a crowded event in the function room, locking that control center prevents accidental change of system settings by unauthorized individuals. The master CC-64 located in the private office remains unlocked for performing system changes.

The lock/unlock status of a CC-64 must be stored in a parameter set. When this parameter set is invoked, the CC-64 is locked or unlocked according to the state stored in the chosen parameter set. To store the lock/unlock status in a parameter set, open the CC-64 Smart Simulator and set the lock state.

Enabling the CC-64 Lock

Next, open the Project Directory and locate the CC-64 Smart Simulator in the Device Tree. Expand the tree and drag only the Lock status property into a parameter set.

Creating a Lock CC-64 Parameter Set

Creating an Unlock CC-64 Parameter Set

To create a parameter set to unlock a locked panel, repeat this process by opening the Smart Simulator and setting the unlock state. Then drag the updated Project Directory lock status property into a new parameter set.

CAUTION: Be careful not to add a parameter set to a CC-64 that locks itself unless you have another user control that can unlock the CC-64. Otherwise the user can become “locked out” of the system. Always add the unlock parameter set to an alternate user control (control panel, key switch connected to GPI, etc.) to ensure you can restore normal unlocked operation to the system.


Dynamic Control Programming with Parameter Sets

Dynamic Controller Programming with Parameter Sets

The CC-64 and CC-16 controllers can be programmed to control or invoke the following objects in ControlSpace Designer software:

  • Analog input/output, Gain, ESPLink, and AmpLink blocks

  • Grouped Analog input/output, Gain, ESPLink, and AmpLink blocks

  • Source Selector blocks

  • Parameter sets

  • Certain signal processing blocks, such as crossover and EQ, using custom settings in a CC-64 controller

    Note: CC-64 custom settings are supported only by the ControlSpace ESP-00 Series II engineered sound processor.

Once you have created your processing and control design, programming is accomplished by dragging and dropping the object to control onto the appropriate user control programming tree.

In ControlSpace Designer, you may also store different controller programming in separate parameter sets. When the parameter sets are invoked, the controller programming is changed.


Monitor Mode

ControlSpace Designer software versions 3.0 and above provide support for running the application as a stand-alone system monitor. When configured for monitor mode, all design and control programming functions are disabled and a system connection is automatically established at application launch. Monitor mode provides the system owner with a convenient operational overview of all system devices, and virtual operation of system controls such as the CC-16 and CC-64 control centers.

Monitor mode is invoked by appending a command line parameter to the Target field of the application shortcut. To configure the application for monitor mode, create a shortcut for the ControlSpace Designer application or copy the existing shortcut for modification. Select Properties from the application shortcut’s right-click menu. At the end of the application target location, add the parameter “[space]–m” outside the quotes as shown in the following example.

Creating a Monitor Mode Shortcut

Launch ControlSpace Designer from this modified shortcut to activate monitor mode.

When Monitor Mode is active, all design functions are removed and the ControlSpace Designer application remains in monitor mode for all subsequent application launches using the modified shortcut.

When in monitor mode, a system connection is automatically established when a design file is loaded and the running state of all system devices is retrieved and displayed within Project view.

To exit monitor mode, close ControlSpace Designer software and restart the application using the standard shortcut.


Estimating DSP Usage

Estimating DSP usage in a system design is accomplished by accessing the DSP Resources dialog box.

Select the signal processing device icon in Project view or an SP block in the Signal Processing view, and then click the DSP Resources tool in the Main Toolbar.

DSP Resources dialog box

The DSP Resources dialog box displays the following information for the selected signal processing device or block:

  • DSP Usage – Indicates the current percentage of capacity used for signal processing along with a horizontal bar graph.
  • Delay Usage – Indicates the current percentage of capacity used for signal delay along with a horizontal bar graph.


Protecting System Settings

Password protection secures ControlSpace Project (.csp) Files from unauthorized access by prompting the user to enter password each time this file is opened by ControlSpace Designer. When a password-protected configuration is uploaded to a sound processor or PowerMatch amplifier, it inherits the password protection stored in the .csp file.

Password-protected systems will not accept new .csp uploads or downloads unless the user enters the correct password. Opening a password-protected .csp file or attempting to go online with a protected sound processor displays the following prompt.

Password Prompt

Protecting a Project (.csp) File

To enable password protection, select Set File Password from the Tools menu.

Tools Menu - Set File Password

Options for the File Password Setting dialog box are as follows:

  • New Password – text field to type a password. The password may be any length word, phrase, or number combination.
  • Confirm - enter the new password again. This is a text field to verify the new password is entered as intended.

Note: Saving an unprotected back-up copy of the configuration file to a secure location before using the password protection option is highly recommended. It is possible to lock yourself out of your own configuration file if you lose or forget the password.

Saving Password-Protected Project Files

Saving new Project Files to local storage after entering password settings will store a password-protection encryption key in the file. Thereafter, the Project Files may not be opened or changed without first entering this password.

Uploading Password-Protected Project Files

When a password is stored in a Project File, uploading that file to a sound processing system will protect the file within the hardware until that password is disabled. All subsequent file transfers to and from that sound processing system will require entry of this password.

Downloading Password-Protected Project Files

If a password-protected Project File is stored within a sound processing system, you must enter the correct password when retrieving the file. Go online with the sound processor, choose the Get from devices (download design) option, and select either the Running or Saved options to access the password prompt.

If an incorrect password is entered, the software responds with an error. A valid password must be entered before proceeding.

Invalid Password Error

Uploading New Project Files To Protected Systems

Once a password is enabled for a Project File, uploading that file to a sound processing system by going online will protect the file within the hardware until the password is disabled. All subsequent file transfers to and from a sound processor require the entry of this password.

Changing or Disabling Passwords in Protected Project Files

The password of a protected Project File can be changed or disabled in either online or offline modes by selecting Set File Password from the Tools menu. You are first prompted to enter the old password before proceeding.

Enter Old Password Prompt

After entering the old password and clicking OK, to change the password, enter the new password and confirmation in the File Password Setting dialog box and click OK.

To disable password protection entirely in a .csp file, do not enter any password or confirmation in the File Password Setting dialog box (or remove any existing characters from these fields to ensure they are empty) and then click OK. Then save the .csp file.


Retrieving System Configurations

Two System menu functions are available within the ControlSpace Designer software which allow you to retrieve the saved project file while in offline mode (not connected to the sound processor or amplifier):

  • Retrieve Saved Design - Retrieves the project file while offline from the sound processor or amplifier. Note that you must have an active network connection to enable this function.
  • Save Retrieved Design to File - Retrieves the project file while offline from the sound processor or amplifier, and prompts you to save it as a file locally. Note that you must have an active network connection to enable this function.

Retrieving a Saved Project File

A copy of the original ControlSpace Project file is stored within each signal processing device on the network, (ESP, EX-1280C, and PowerMatch amplifier). The Project File contains the original system design and control programming, and represents the “power on” state of the system.

To retrieve the saved Project file:

  1. Select Retrieve Saved Design from the System menu.

  2. From the list of available system devices, select the device from which you would like to retrieve the Project file and click OK.

  3. The Project file is retrieved and displayed. At this point it is possible to either save the file directly to the PC, or initiate an online connection to the sound processor.

Saving a Retrieved Configuration to File

ControlSpace Designer project (.csp) files stored in hardware using a version of ControlSpace Designer older than version 3.0 cannot be read without first saving them to local PC, and re-opening the file within ControlSpace Designer.

When connecting to the system, if you receive the following error message, use the steps outlined below to retrieve the file and connect to the system.

  1. Select Save Retrieved Design to File from the System menu.

  2. From the list of available system devices, select the one from which you would like to retrieve the Project file, and click OK.

  3. Select a location and name for the system design file and click Save.

  4. Navigate to the file that was retrieved from the system and open it. The file is stored in a compressed file format (.cab) and can be opened directly from the Windows desktop.

  5. Copy the file to the desktop, and rename it SystemTransfer.csp. You will receive a warning asking if you wish to change the file name extension. Click OK.

Once the file and its file name extension are changed, the file will become associated with the ControlSpace Designer software. You can now open the file from within ControlSpace Designer using the File > Open command.

Note: For additional information on this topic, see the "Project File format is out of date" error on the ControlSpace User’s Forum knowledge base.


Updating Bose Professional Device FW

Updating Firmware in Bose Professional Devices

The ControlSpace ESP and EX processors, PowerMatch and PowerShare amplifiers, ControlSpace CC-16 and CC-64 zone controllers, and ControlCenter digital zone controllers require firmware to control their operation. Firmware is programming that is stored in Flash memory and is not erased when the power is turned off. On occasion, it is necessary to update this firmware to fix problems or improve features.

To update firmware, you will first need to get the new firmware file. The best method is to simply download the latest version of ControlSpace Designer software from the Bose Professional web site.

Follow these steps to update the firmware:

  1. Make sure all ControlSpace devices are powered on and connected using Ethernet cables to the port of the network switch.
  2. Make sure the switch is connected to the DHCP router using an Ethernet cable.
  3. Visit BoseProfessional.com on the web and browse to the software downloads area of the ControlSpace Systems product area.
  4. Locate the latest version of software and download the installation package to your local PC.
  5. Launch ControlSpace Designer software version 5.0 or later.
  6. Launching the Hardware Manager and go to the Firmware Update tab in the Hardware Manager Device List.
  7. Make sure the device is selected in the Firmware Update tab and click Update.


Updating Firmware in Bose Professional Dante Network Cards and Devices

Before updating the Dante firmware in Dante network cards and devices, make sure you have first downloaded the latest ControlSpace Designer software and updated the ControlSpace Designer firmware in all Bose Professional devices on the network. For more information, see Updating Firmware in Bose Professional Devices.

Dante-enabled Bose Professional processors, amplifiers, and network cards are now updated using the Audinate Dante Updater, accessed from within the Dante Controller software.

For more information, see Audinate’s Technical Documentation.

Note: After updating the Dante firmware, you will need to power-cycle all Dante devices. Rebooting devices via Dante or serial communication will not complete the update.

To prepare the update:

Note: You will be importing firmware files into the Dante Updater application. This requires an active Internet connection to enable validation of file integrity.

  1. Open the Dante Controller application.

  2. Click the Dante Updater icon to launch the Dante Updater application.

  3. In the Dante Updater window, click the menu icon in the upper-right corner, and select Advanced Settings.

  4. In the Advanced Settings window, select the Allow Imported Firmware checkbox. Below it, make sure the Allow rollback to previous versions checkbox is selected and the Allow override of device matching checkbox is not selected.

  5. Click Apply.

  6. In the Dante Updater window, click the Library tab, and then expand the Imported Files section.

  7. In the lower-right corner of the Imported Files section, click the Import Firmware button.

  8. In the window that appears, you can select your desired Dante firmware files. Either click and drag the files over to this window, or click Select File and use the open-file window.

  9. Locate the desired Dante firmware file and add it to the Imported Files.

    Dante firmware files are stored in the application directory of your computer at: C:\Program Files (x86)\Bose\

    In the Bose directory, locate and open the correct ControlSpace version. The Dante firmware files are located at: ControlSpace(version)\bin\Dante Firmware

    Note that Dante firmware is updated regularly—use the version that is consistent with the ControlSpace Designer software version you are using for your design.

The table below lists the firmware file names for different devices.

Device | Dante Model | Firmware File
ESP-00 II | Brooklyn II | Bose_ESP-CardIO_<version>.dnt
PowerMatch | Brooklyn II | Bose_PM_<version>.dnt
PowerMatch | Brooklyn III | Bose_PM_BK3_<version>.dnt
Fixed I/O DSP | Brooklyn II | Bose_ESP-FixedIO_<version>.dnt
EP22-D | Ultimo | Bose_EP22-D_<version>.dnt
EP22-D | UltimoX | Bose_EP22-D_X_<version>.dnt
EP40-D | Ultimo4 | Bose_EP40-D_<version>.dnt
EP40-D | UltimoX4 | Bose_EP40-D_X_<version>.dnt
EX-4ML | Ultimo4 | Bose_EX-4ML_<version>.dnt
EX-4ML | UltimoX4 | Bose_EX-4ML_X_<version>.dnt
EX-8ML | Brooklyn II | Bose_EX-8ML_<version>.dnt
EX-8ML | Brooklyn III | Bose_EX-8ML_BK3_<version>.dnt
EX-12AEC | Brooklyn II | Bose_EX-12AEC_<version>.dnt
EX-12AEC | Brooklyn III | Bose_EX-12AEC_BK3_<version>.dnt
EX-440C | Brooklyn II | Bose_EX-440C_<version>.dnt
EX-440C | Brooklyn III | Bose_EX-440C_BK3_<version>.dnt
EX-1280 | Brooklyn II | Bose_EX-1280_<version>.dnt
EX-1280 | Brooklyn III | Bose_EX-1280_BK3_<version>.dnt
EX-1280C | Brooklyn II | Bose_EX-1280C_<version>.dnt
EX-1280C | Brooklyn III | Bose_EX-1280C_BK3_<version>.dnt
EX-UH | Ultimo | Bose_EX-UH_<version>.dnt
EX-UH | UltimoX | Bose_EX-UH_X_<version>.dnt
MSA12X | Ultimo | Bose_MSA12X_<version>.dnt
MSA12X | UltimoX | Bose_MSA12X_X_<version>.dnt
PowerShare | UltimoX4 | Bose_PS604D_PS404D_<version>.dnt
WP22B-D | Ultimo | Bose_WP22B-D_<version>.dnt
WP22B-D | UltimoX | Bose_WP22B-D_X_<version>.dnt
WP22BU-D | Ultimo | Bose_WP22BU-D_<version>.dnt
WP22BU-D | UltimoX | Bose_WP22BU-D_X_<version>.dnt

  10. Once the firmware has been validated, it is added to the list of imported firmware files.

To identify the Dante Model of your device:

  1. Open the Device View on the Dante Controller.

  2. Select the target device.

  3. Select the Status tab and verify the Dante Model under Dante Information.

To update Dante firmware:

Note: Before updating the devices, make sure you are connected to the system, the devices are active, and the Dante Network Interface is properly configured within Dante Controller.

  1. Open the Dante Controller application.

  2. Click the Dante Updater icon to launch the Dante Updater application.

  3. Click the Home tab in the upper-left corner of the window.

  4. Expand the Imported Firmware Files section.

  5. As Dante Updater scans for devices, the devices that have been detected will appear in the list and their information will appear. Select the device(s) that you want to upgrade and click theUpgrade Selected Devices button to update the firmware.

  6. After the firmware update is complete, manually power-cycle the device. Rebooting devices via Dante or serial communication will not complete the firmware update.

For more information on the Dante Updater firmware importing process, see the Importing Firmware topic of the Dante Updater User Guide.


Loudspeaker EQ updates

Loudspeaker EQ updates (PowerMatch only)

You can update the loudspeaker equalization (EQ) database independent of the ControlSpace Designer application. Steps to update the loudspeaker EQ database are listed below.

Determining Current Loudspeaker EQ Database Version

From within the ControlSpace Designer application, access the Help menu and select About ControlSpace Designer. The current loudspeaker database version, Speaker Data, is shown beneath the application version at the bottom of the window.

About ControlSpace Designer Screen

If a newer version of Speaker Data is available, follow the steps below to update ControlSpace Designer.

Updating the Loudspeaker EQ Database

  1. Download the latest version of the Bose Professional loudspeaker equalization database for ControlSpace Designer software. The most recent database version is always available for download at BoseProfessional.com.
  2. Transfer the new Speakers.xml and DeviceList.xml files contained within the update archive to the ControlSpace designer application folder on your PC.
  3. Locate the current ControlSpace Designer application directory. This is typically “C:\Program Files (x86)\Bose\ControlSpace <version>”.
  4. Open the \bin directory within the ControlSpace Designer application directory.
  5. Rename the existing Speakers.xml file OldSpeakers.xml and DeviceList.xml to OldDeviceList.xml.
  6. Transfer the new Speakers.xml and the DeviceList.xml files to the bin directory.
  7. Once the files have been copied, the new Bose Professional loudspeaker EQs will be available within the ControlSpace Designer software after the application restarts.
  8. Launch the Hardware Manager and go to the EQ Update tab in the Hardware Manager Device List.
  9. Make sure the device is selected in the EQ Update tab and click Update.

Notes:

  • This method of updating the loudspeaker equalization database is used primarily to support the introduction of new loudspeaker products. However, in some cases a new loudspeaker equalization curve may be provided for an existing loudspeaker product.
  • In cases where a new EQ is provided for an existing product it may be necessary to upgrade the entire existing ControlSpace Designer installation or design to ensure compatibility with the latest equalization version.

Any custom devices that have been added to ControlSpace Designer will be lost on transferring the new DeviceList.xml file. You will need to manually copy any custom devices from the OldDeviceList.xml into the new DeviceList.xml file.


File Types

ControlSpace Designer uses the following file types with specific file name extensions to define their function:

Extension | File Type
.cab | Archived (compressed) .csp file
.csp | ControlSpace Designer project files (raw xml)
.exe | Executable program files (binary)
.frm | ControlSpace ESP and EX, and PowerMatch firmware files (binary)
.hex | CC-16, CC-1D, CC-2D, and CC-3D firmware files (binary)
.mot | CC-64 firmware files (binary)
.peq | Parametric Equalization files (raw xml)
.seq | Speaker Equalization files (formatted xml)
.spt | Serial preset file
.xml | Device List and Loudspeaker Database files (formatted xml)


Remote Network Control

ControlSpace networks can be operated using remote devices via a router-to-router connection.

Router to Router Connection

In order for ControlSpace Designer to communicate with remote devices, you need to follow particular steps before you can scan, upload, download, etc.

In the following example, the local network will be within the 192.168.0.0/24 range, while the remote network will be within the 192.168.1.0/24 range. The PC with ControlSpace Designer software is within the local range while all ControlSpace hardware is on the same network.

Example Setup:

Laptop PC:

  • IP = 192.168.0.10 /24
  • Gateway = 192.168.0.1

ControlSpace Designer Project and Devices:

  • IP = 192.168.1.0 /24
  • Gateway = 192.168.1.1

Note: You do not need to change the IP address of your local NIC.

First, ControlSpace Designer must be set up to communicate with the remote network. If remote communication is not already enabled, select System > Enable Remote Connection. Upon transitioning between remote mode and local mode, you will be offered the opportunity to save your current design before starting with an empty new design.

Next, select Tools > Set Project Network Properties. In the Set Project Network Properties dialog box, change the New Project Network Address to match the remote network.

Set Project Network Properties Dialog Box

Click OK to save the network properties and close the dialog box. ControlSpace Designer will now search the remote network for devices.

Remote Mode

Project Files can be loaded from a device on the remote network that will be used to communicate with all of the devices on that network. To do this, there must be at least one ControlSpace device on the remote network with a known IP Address. ControlSpace Designer will not be able to communicate with remote devices without this. To see all devices on the remote network, there must be at least one ControlSpace device (typically the RTC/Main device) that has been loaded with a Project File containing those other devices.

When in Remote Mode, the remote connection icon appears in the toolbar.

Likewise, the System menu indicates a remote network connection.

System Menu - Not in Remote Mode

System Menu - In Remote Mode

Ideally, one device in the example meets the criteria to communicate with all devices on the remote network - a known IP address and a Project File with all of the remote devices.

Connecting With Remote Devices

  1. After selecting System > Enable Remote Connection, select System >Remote Network Connection to open the Remote Network Connection dialog box.

  2. Enter a description of the remote device to be connected to in the Description box.

  3. Enter the known IP Address of the device into the IP Address box and click Add.

    The device is now added to the list of remote devices. Once that device is in the list, you can click Test Connectivity. This will show if there is a valid point-to-point connection to the remote device. If the Status box is Green, there is a valid connection. If it is Red, the connection is invalid. Note that an item can be removed from the list by selecting the right-click context menu Remove option.

    This dialog box can be used to easily communicate with any number of installed systems by entering the system name in the description box and/or the IP address of any device in the system.

    Once a valid connection is made, ControlSpace Designer can communicate with the device(s).

    • Clicking Retrieve Design File Only is equivalent to clicking Scan on a local network. Select the check box to the left of the desired device. All of the devices that are contained in the Project file of the checked device will load into Project view. If the devices are physically present on the remote network, they will be shown as such in Project view. If they are not, they will be shown as offline (gray). Once this is done, normal Upload/Download and other online operations can be performed as they would with local devices.
    • Clicking Download and Go Online will Download all Project Data of the devices loaded into the selected device. This essentially skips the Retrieve Design File Only step above. ControlSpace Designer will connect to the checked device, and download the Program File from the device. If any devices are not online, they will be shown with gray headers.

    You can now add devices to the Remote Network Connection Device List and recall remote systems at will.

Remote Network Connection with Design File

If you have a design file for your system, you can send it to selected devices and establish a connection.

Select devices from the list and click Connect (Send). A connection will be made and the Remote Network Connection dialog box will change to reflect data in the design file.


Using VPNs

A Point-to-Point Tunneling Protocol (PPTP) Server is used to create a VPN connection for remote clients. The following instructions show you how to configure a PPTP Server on a TP-Link router. These steps may vary based on the VPN router you choose to use.

TP-LINK is a registered trademark of TP-LINK TECHNOLOGIES CO., LTD.

Typical VPN Tunnel Diagram

Four main tasks comprise creating a VPN connection:

  • Make sure PCs on both sides can access the Internet
  • Configuring a PPTP Server on a TP-LINK router
  • Configuring a PPTP client on remote PC (Windows 7)
  • Configure ControlSpace Designer Software

To view an example, see VPN Site-to-Site Example.

Make sure PCs on both sides can access the Internet

Before setting up a VPN tunnel, you need to ensure that the PCs on both sides are connected to the Internet. Once that is established, use the following steps to properly configure the VPN settings on each side.

Note: If the Router is behind a Network Address Translation (NAT) device, Virtual Server or DMZ, they should be configured on the NAT device. Otherwise, the VPN tunnel can’t be established.

Configuring a PPTP Server on a TP-LINK router

To configure a PPTP Server on a TP-LINK router:

  1. Access the management web page for the router. The default address of the TP-LINK router is 192.168.0.1. Enter the default username and password for the router.

TP-Link Login

  2. From the System Status page, write down the IP Address <WAN IP Address> and LAN IP address range.

TP-Link System Status page

  3. Select VPN > L2TP/PPTP > IP Address Pool. Enter the Pool Name, IP Address Range, and then click Add.

Note: The IP Address pool must be a different range than the LAN IP address range.

  4. Select L2TP/PPTP Tunnel. Configure the following settings:
  • Protocol: PPTP
  • Mode: Server
  • Account Name: <account name>
  • Password: <password>
  • Tunnel: Client-to-LAN
  • Max Connections: 1-10 (We used 5 in this example)
  • Encryption: Enable
  • IP Address Pool: Select the group added in Step 2.
  • Status: Activate
  5. Click Add.
  6. Click Save.

Configuring the L2TP/PPTP tunnel

Configuring a PPTP client on remote PC (Windows 7)

Note: For a remote PC to connect to a PPTP server, it can use the Windows built-in PPTP software or a third-party PPTP software.

  1. Select Start > Control Panel > Network and Internet > Network and Sharing Center.
  2. Select Set up a new connection or network.

Windows Network and Sharing Center

  3. Select Connect to a workplace, and then click Next.

Selecting a connection option

  4. Select Use my Internet connection (VPN).

Selecting a connection type

  5. Enter the following information, and then click Create:
  • Internet Address: <WAN IP Address> (See Step 1 - Configuring a PPTP Server on TP-LINK router)
  • Destination Name: <Name of Site>

Entering the Internet address and destination

  6. Enter the User name and Password, and then click Connect.

Entering Credentials

  7. The VPN Connection is created and should now connect to the remote system

Creating Connection

  8. Go to Network and Sharing Center > Change adapter settings.

]

Selecting Change Adapter Settings

  9. Double-click the name of the new VPN connection to open the login panel.

Selecting New VPN Connection

  10. Enter the User name and Password and then click OK.

Entering VPN Credentials

Configure ControlSpace Designer Software

  1. Navigate to System > Enable Remote Connection.

Enabling a remote connection

  2. Navigate to System > Remote Network Connection.

  3. Enter the following Information:
  • Description: <Description of Site>
  • IP Address: <IP Address of sound processor or PowerMatch amplifier that contains the ControlSpace Designer file>
  4. Click Add.

Adding Remote Connection Information

  5. Click the check box next to the remote system Description name, and then click Test Connectivity.

Starting Connectivity Test

  6. Verify the settings. If the everything is setup properly the Status indicator will be Green.

Connectivity Test Results

  7. Click Download and Go Online or Retrieve Design File Only based on what you want to do.

You can now use ControlSpace Designer as though it is connected locally.


VPN Site-to-Site Example

This VPN Site to Site example describes how to configure the following hardware:

  • Two NETGEAR FVS318G ProSAFE VPN Firewall Routers
  • One NETGEAR ProSAFE Switch
  • At least two ControlSpace networkable devices (PowerMatch amplifier, ESP processor, CC-64 controller)
  • Two PCs

NETGEAR, the NETGEAR logo, and ProSAFE are trademarks of NETGEAR, Inc. Any other trademarks in this document are for reference purposes only. ©2015 NETGEAR, Inc.

Configure Router 1

  1. Connect a PC to Router 1. Set the PC IP address to the 192.168.1.n scheme.

    PC Properties for Router 1

  2. Launch the Web Browser and enter IP address of Router 1 (192.168.1.1 in this example).

    NETGEAR Login for Router 1

  3. Enter User Name: admin and Password: <password to log in>.

  4. In the router, select the VPN Wizard.

    VPN Wizard for Router 1

    1. Set VPN tunnel to connect to the following peers: Gateway.
    2. Enter a connection name and Remote IP Type pre-shared key of your choosing.

    3. Enter End Point Information:

      • Remote WAN IP Address: 192.168.10.11
      • Local WAN IP Address: 192.168.10.10

    4. Enter Secure Connection Remote Accessibility Information:

      • Remote LAN IP Address: 192.168.0.1
      • Remote LAN Subnet Mask: 255.255.255.0
    5. Click Apply.

Configure Router 2

  1. Connect a PC to Router 2. Set the PC IP address to the 192.168.0.n scheme.

    PC Properties for Router 2

  2. Launch Web Browser and enter IP of Router 1 (192.168.0.1 in this example).

  3. Enter User Name: admin and Password: <password to log in>.

    NETGEAR Login for Router 2

  4. In the router, select VPN Wizard.

    VPN Wizard for Router 2

    1. Set VPN tunnel to connect to the following peers: Gateway.
    2. Enter a connection name and Remote IP Type pre-shared key of your choosing.

    3. Enter End Point Information:

      • Remote WAN IP Address: 192.168.10.10
      • Local WAN IP Address: 192.168.10.11

    4. Enter Secure Connection Remote Accessibility Information:

      • Remote LAN IP Address: 192.168.1.1
      • Remote LAN Subnet Mask: 255.255.255.0
    5. Click Apply.

Connect WAN ports of Router 1 and 2 to the NETGEAR switch to simulate WAN

Connect ControlSpace Device(s) to each Router which is pre-configured with IP addresses that correspond to each Router.

For example:

  • The devices on Router 1 will follow the 192.168.1.n IP scheme
  • The devices on Router 2 will follow the 192.168.0.n IP scheme

Confirm that the PC on Router 1 can communicate with devices on Router 2

  1. Reconnect PC to Router 1, Set PC NIC IPv4 to 192.168.1.1 / 255.255.255.0.
  2. Log into Router 1 192.168.1.1:
    1. Select VPN.
    2. Select Connection Status.
    3. Click Connect. Confirm that the connection is established.
  3. While connected to Router 1, perform the following ping tests via Windows command console: (Turn off PC’s Wi-Fi NIC).

    1. Enter ping followed by the corresponding IP address of the LAN, WAN, and Gateway IP for each Router, for example:

      C:\>ping 192.168.10.11 (Remote WAN)

      Pinging 192.168.10.11 with 32 bytes of data:

      Reply from 192.168.10.11: bytes=32 time=5ms TTL=63

      Reply from 192.168.10.11: bytes=32 time=4ms TTL=63

      Reply from 192.168.10.11: bytes=32 time=4ms TTL=63

      Reply from 192.168.10.11: bytes=32 time=4ms TTL=63

      Ping statistics for 192.168.10.11:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 4ms, Maximum = 5ms, Average = 4ms

      C:\>ping 192.168.10.10 (Local WAN)

      Pinging 192.168.10.10 with 32 bytes of data:

      Reply from 192.168.10.10: bytes=32 time=1ms TTL=64

      Reply from 192.168.10.10: bytes=32 time=1ms TTL=64

      Reply from 192.168.10.10: bytes=32 time=1ms TTL=64

      Reply from 192.168.10.10: bytes=32 time=1ms TTL=64

      Ping statistics for 192.168.10.10:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 1ms, Maximum = 1ms, Average = 1ms

      C:\>ping 192.168.1.1 (Local LAN – Router 1 Gateway)

      Pinging 192.168.1.1 with 32 bytes of data:

      Reply from 192.168.1.1: bytes=32 time=2ms TTL=64

      Reply from 192.168.1.1: bytes=32 time=2ms TTL=64

      Reply from 192.168.1.1: bytes=32 time=1ms TTL=64

      Reply from 192.168.1.1: bytes=32 time=1ms TTL=64

      Ping statistics for 192.168.1.1:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 1ms, Maximum = 2ms, Average = 1ms

      C:\>ping 192.168.0.1 (Remote LAN – Router 2 Gateway)

      Pinging 192.168.0.1 with 32 bytes of data:

      Reply from 192.168.0.1: bytes=32 time=8ms TTL=63

      Reply from 192.168.0.1: bytes=32 time=7ms TTL=63

      Reply from 192.168.0.1: bytes=32 time=7ms TTL=63

      Reply from 192.168.0.1: bytes=32 time=7ms TTL=63

      Ping statistics for 192.168.0.1:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 7ms, Maximum = 8ms, Average = 7ms

    2. Enter ping followed by the corresponding IP address of the ControlSpace devices connected to Router 2:

      C:\>ping 192.168.0.161 (CS device attached to Router 2)

      Pinging 192.168.0.161 with 32 bytes of data:

      Reply from 192.168.0.161: bytes=32 time=9ms TTL=62

      Reply from 192.168.0.161: bytes=32 time=8ms TTL=62

      Reply from 192.168.0.161: bytes=32 time=8ms TTL=62

      Reply from 192.168.0.161: bytes=32 time=8ms TTL=62

      Reply from 192.168.0.161: bytes=32 time=8ms TTL=62

      Ping statistics for 192.168.0.161:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 8ms, Maximum = 9ms, Average = 8ms

      C:\>ping 192.168.1.168 (CS device attached to Router 1)

      Pinging 192.168.1.168 with 32 bytes of data:

      Reply from 192.168.1.168: bytes=32 time=1ms TTL=64

      Reply from 192.168.1.168: bytes=32 time=1ms TTL=64

      Reply from 192.168.1.168: bytes=32 time=1ms TTL=64

      Reply from 192.168.1.168: bytes=32 time=1ms TTL=64

      Ping statistics for 192.168.1.168:

      Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),

      Approximate round trip times in milliseconds:

      Minimum = 1ms, Maximum = 1ms, Average = 1ms

    3. Launch ControlSpace Designer while connected to Router 1, scan for devices attached to Router 1 (192.168.1.n). All CS devices connected to Router 1 should populate Project view.
    4. Within ControlSpace Designer, select New to clear Project view. Change the Project Network Address to 192.168.0.n and scan for CS Devices on Router 2. All CS devices connected to Router 2 should populate Project view.


CobraNet Network Audio

CobraNet network audio expansion cards are available for the ESP-00 II engineered sound processor and the PowerMatch configurable professional power amplifiers. The cards use industry-standard CobraNet technology to transport multiple channels of high quality, uncompressed digital audio in real time across a standard Ethernet network. CobraNet network audio distribution is typically used in systems which require signal processors and amplifiers are in different parts of a large building or complex, or to interlink multiple devices within an equipment rack to reduce analog cabling and connections.

Example system using CobraNet network audio distribution

A CobraNet audio network is built using a standard 100Mbit (Fast Ethernet) or 1000Mbit (Gigabit) Ethernet network and can utilize industry-standard structured network cabling (CAT5E/CAT6), Ethernet switches and other network components.

While systems using less than 8 CobraNet audio "bundles" may use a standard Fast Ethernet router, we recommend that a standard Ethernet switch is used to avoid complications. For Larger systems, and in systems which require quality of service (QoS) management, a managed switch is recommended. The use of repeaters/hubs, however, is not recommended and should be avoided.

When using CobraNet with ControlSpace devices, the CobraNet audio data and the ControlSpace control data must be isolated from each other using physically separate networks as the volume of traffic produced by CobraNet is incompatible with the 10Mbit control connection found on some ControlSpace devices.

Example implementation of audio and control networks using physically separate networks

If a managed switch will be used in the system, the creation of a separate VLAN for one of the two networks is acceptable. Using a "Smart" or "Layer 2 Managed" Ethernet switch that supports VLANs, it is possible to partition the networks within a single switch as shown below.

Example implementation of audio and control networks using a VLAN

In order to avoid unwanted audio artifacts and drop-outs the CobraNet network relies on the timely delivery of audio data and therefore has some fairly strict network requirements. Each time a switch is inserted in the transmission path between the sending and receiving device, known as a ‘switch-hop’, a small amount of propagation delay occurs. In order for this delay to not affect correct operation a maximum of six ‘switch-hops’ is recommended for 100Mbit networks, (when using the Standard [5.33mS] latency option). Since 1000Mbit network switches are designed to operate at faster speeds their propagation delay has less significance.

Consistent with most computer based Ethernet networks (and the ControlSpace control network), CobraNet networks typically use a ‘Star’ or ‘Star of Stars’ layout. In the example shown below a maximum of three switch-hops is required to reach any other device on the network.

Typical ‘Star of Stars’ network topology

Each CobraNet network audio interface includes two physical connections, Primary and Secondary, but only use one at any given time. The Secondary port adds redundancy and is used automatically should the Primary connection to the network fail.

CobraNet Audio Network Card

While the two ports provide redundancy for the connection between the CobraNet card and the network, the resilience of the complete connection between CobraNet devices will depend on the network design. Various techniques and protocols exist to provide automatic backup and redundancy for Ethernet networks. Some of these are shown below:

Redundant network topologies

See CobraNet Input/Output Card for the ESP-00/00 II.

See CobraNet Network Expansion Card for the PM8500/N, PM8250/N, PM4500/N and PM4250/N.

CobraNet is a trademark of Cirrus Logic, Inc.


CobraNet Network Audio Routing

Within a CobraNet network, audio is passed between devices in Bundles; each Bundle can carry up to eight audio channels. Each CobraNet device may be configured as a transmitter, receiver or both. The exact channel count capabilities of the device are somewhat dependent upon the hardware and are typically predetermined by the manufacturer.

A CobraNet receiver may be connected to only one transmitter which must be on a different device. The CobraNet Bundle assignment is the method by which devices determine how audio data is routed throughout the system. The Bundle address also is used to determine the transmission method for the audio data:

  • Multicast method: When a transmitting device broadcasts its audio data to the network and may be received by any receiving device.
  • Unicast method: When the transmitting device broadcasts its audio data to a single receiving device.

The Bundle address given to a transmitting device determines whether the data will be broadcast using the Multicast or Unicast method. Bundle numbers are normally in the range 1-65,279 with 1-255 defined as Multicast and 256-65,279 usually defined as Unicast.

Examples of Unicast and Multicast audio routing.

The type of broadcast method used will directly affect the amount of data being transmitted via the network. While both types can only be sent by a single transmitter, and Unicast Bundles can typically only be received by one receiver, a Multicast Bundle can be received by any number of devices, but adds additional network traffic and should only be used if required. A Multicast Bundle will normally be sent to every port on the network irrespective of whether any receivers are requesting it. Whereas, a Unicast Bundle is only sent to a network port leading to the CobraNet device requesting it. Otherwise, it is not transmitted. Eight bundles on any port (including all the Multicast Bundles on the network) will consume all the available bandwidth on a 100Mbit network and hence a maximum of four Multicast Bundles is generally accepted good design practice.

Note: It is possible for Bundles in the Unicast range (256-65,279) to be set to Multi-Unicast (allowing a copy to be received by up to four devices) or Multicast, but these modes are rarely used and are not currently supported within ControlSpace Designer software.

The next two examples show audio routing for typical applications.

Example 1: Audio Distribution Between Multiple Processors.

The CobraNet card in ESP-00 II 1 is configured as "16out" and the others as "8in". One Bundle of eight channels passes from ESP-00 II 1 to ESP-00 II 2 and a different Bundle of eight channels passes from ESP-00 II 1 to ESP-00 II 3.

If desired, some or all of the channels in each Bundle can be the same simply by linking the same paths to each CobraNet output module. This is beneficial in that both connections are still from a single transmitter to a single receiver, hence, Unicast Bundles (256-65,279) can be used, preserving network bandwidth.

Example 2: Audio Distribution to a Remote Amplifier Rack.

In this example, audio is routed from a single ESP-00 II to a remote amplifier rack containing three PowerMatch amplifiers.

With this design, a single Bundle of eight channels is passed from ESP-00 II 1 to all other devices. Since these connections are from a single transmitter, but to multiple receivers, a Multicast Bundle (1-255) would be required.

Being a common scenario, this is a supported out-of-the-box configuration requiring minimal setup.

PowerMatch CobraNet cards come factory set to receive Bundle 100, and with ControlSpace Designer v3.1 or later, the first ESP-00 II CobraNet transmitter in the design will be set automatically to the same Bundle. Hence, once the cards have been physically added and connected, simply uploading the design file to the ESP-00 II is all that is required to establish the link. Routing audio to the CobraNet output module in the ESP-00 II and selecting the Digital source on the amplifiers will then allow audio to pass.


CobraNet Network Status

The most critical component to any networked audio system is that audio is reproduced simultaneously from all system devices. In a situation where a single transmitter is configured for Multicast operation, all receiving devices must synchronously reproduce the audio. If this does not occur the quality of the audio at the listener has the potential to be greatly reduced. To keep all the CobraNet devices synchronized, one node takes on the role of ‘Conductor’ and generates regular ‘Beat’ packets that are broadcast to all of the other devices, ‘Performers’, on the network. Performers use the beat packets to synchronize audio playback and to synchronize their digital clocks locally.

Only one device on the network can be the Conductor, all other devices are performers. If the device identified as the Conductor drops out, after a period of time a new device will step up and fill the role of Conductor to ensure seamless, synchronous operation.

A second important aspect of the network status is that transmitting and receiving devices are configured properly. For example two devices transmitting on the same Bundle number or the presence of a large number of Multicast bundles can lead to network errors. Normally, the settings provided within ControlSpace Designer software will help ensure a proper setup and normal operation. However, it is possible to modify settings using other CobraNet network utilities and create issues with the audio routing, affecting the network status.

Each CobraNet port has two LEDs to indicate the current network status:

LED Color | Action | Status
GREEN | Solid | Link established with another node or networks switch
GREEN | Blinking | CobraNet activity on the network
YELLOW | Solid | Power applied, node is a Performer (default)
YELLOW | Blinking - single port | Node is the Conductor
YELLOW | Blinking - both ports | Error on the network


CobraNet Application Examples

CobraNet network audio expansion cards are available for both the ESP-00 engineered sound processors and the PowerMatch configurable professional power amplifiers. The cards use industry-standard CobraNet technology to transport multiple channels of high quality, uncompressed digital audio in real time across a standard Ethernet network. CobraNet network audio distribution is typically used in systems which require signal processors and amplifiers that are in different parts of a large building or complex, or to interlink multiple devices within an equipment rack to reduce analog cabling and connections.

Example system using CobraNet network audio distribution

The following two examples explore several typical system configurations where a CobraNet audio network is used to distribute audio between signal processors and amplifiers.

  • Example 1: ESP-to-ESP Signal Routing
  • Example 2: ESP-to-Multiple PowerMatch Amplifiers


Example #1: ESP-to-ESP Signal Routing

Note: IMPORTANT: ControlSpace Designer screens, buttons, icons, and product references in this topic are from ControlSpace Designer version 4.4.2.

This example includes two ESP-88s with eight channels of audio passing in each direction between them. This is a common application where the ESPs are physically separated, but act as the primary signal processor for their area. Each ESP provides a number of analog inputs for local sources, while the output section is used for local sound reinforcement. However, there is a need to make all input sources available to both areas, which is accomplished by routing the audio between the units using a CobraNet network.

System configuration for ESP to ESP signal routing

Note: Before following these steps to configure this example system, it is assumed that a CobraNet card has been correctly installed into each ESP and that the independent networks have been created for CobraNet and the ControlSpace control network.

  1. Using ControlSpace Designer v2.321 or later, create a new design file and perform a hardware scan either by choosing the option from the Tools menu or by using the toolbar button [image].
  2. Assuming that all the network connections and settings are correct the two ESP-88s should be detected, populated with their standard 4x4 cards plus the additional CobraNet expansion card. By default the card will be shown as the ’16 in, 16 out’ variant unless there is an existing design file in the ESP with the card configured differently.
  3. Since this system design only requires the CobraNet cards to have 8 inputs and 8 outputs the card can be configured as the ‘8 in, 8 out’ variant, leaving four routing slots (three physical slots) available for other expansion cards. This can be changed in the ESP Properties window which is accessed by right-clicking on each ESP in Project view and selecting Properties.

CobraNet configuration within ESP properties

  4. Once the card variant has been changed it is recommended that the required connections between CobraNet transmitters and receivers are drawn in the Project view. While this has no influence on the actual operation it is a good visual reference of the CobraNet links that will be required.

CobraNet ‘wiring’ within the Project view

  5. Verify the CobraNet configuration within the ESP. These options can be found in the Card Properties which are accessed by right-clicking on any CobraNet input or output module in ESP view and selecting Properties. These are the default settings and should not require any changes.

CobraNet Input/Output Properties

  6. You will now determine how audio will be routed between ESP-88 #1 and ESP 88 #2 by creating a Bundle assignment for the output section of ESP-88 #1. This Bundle assignment will determine the method used to broadcast the digital audio on the network. To accomplish this open the CobraNet output control panel within ESP-88 #1.

Once open, you can then assign a suitable Bundle number that will reference this group of eight channels. Since the connection is from a single transmitter (ESP-88 #1) to a single receiver (ESP-88 #2) a Unicast Bundle should be used from the range 256-65,279 to minimize network traffic.

CobraNet Transmitter Bundle Assignment within ESP

Note: You can use any number within the Unicast range, 256-65,279, but typically it is easier to remember if it ends in ‘01’ for the first link and ’02’ for the second link, (e.g. 301, 302 or 1001, 1002).

If desired, the Bit depth can also be changed but the default of 20bit should be fine for most applications.

Now it is necessary to set up ESP-88 #2 to receive these 8 channels of audio. This is accomplished by configuring the CobraNet input of ESP-88 #2 to receive Bundle 301. Open the CobraNet input control panel in ESP-88 #2, and enter the new Bundle assignment.

CobraNet Receiver Bundle Assignment within ESP

The previous two steps must be repeated to configure audio routing from ESP-88 #2 to ESP-88 #1. Note that the same Bundle assignment, 301 in this example, cannot be reused, and new Bundle assignment must be created, e.g. 302.

At this point the CobraNet configuration is complete and is ready. Once it is uploaded to the ESPs it should be possible to pass audio in both directions between them. To test this, you could create a simple design using a source and a powered loudspeaker (or similar), passing the source to the second ESP and back again to prove that both connections are working.

Simple audio configuration to test CobraNet connectivity

In addition to monitoring the audio signal level or listening to the audio output, the correct operation of the CobraNet links can also be verified using the CobraNet Status indicators on the input modules. These are not audio signal indicators; instead they indicate the presence of valid CobraNet data for each channel. When ControlSpace Designer is online the indicators will be green if there is a valid CobraNet connection.

Black: | Channel not being received
Green: | Channel being received correctly
Red: | Channel being received with errors (typically incorrect latency or network issues)


Example #2: ESP-to-Multiple PowerMatch Amplifiers

Note: IMPORTANT: ControlSpace Designer screens, buttons, icons, and product references in this topic are from ControlSpace Designer version 4.4.2.

In this more complex example, 2 Bundles and 16 channels of audio are distributed to two separate racks of PowerMatch amplifiers. This is a typical application where the ESP is located in a primary control room, while the amplifiers are located remotely throughout the facility.

Example configuration for this example

Since this example involves sending multiple Bundles to PowerMatch amplifiers, some configuration of the PowerMatch CobraNet cards using the CobraNet Discovery utility will be required.

To configure this system, follow these steps:

  1. Install the CobraNet cards and hook up independent networks for the CobraNet audio data and the ControlSpace control data.
  2. Open ControlSpace Designer, start a new file and perform a 'Scan' of the hardware or add the ESP, PowerMatch amplifiers and CobraNet cards to Project view manually.
  3. Select the ESP CobraNet card variant that most closely matches the project requirements in the ESP Properties. In this example it is configured as ‘16 out’ so that two eight channel Bundles can be sent.

The first transmitter will automatically be assigned Bundle number 100 (since it is the first CobraNet transmitter in the project), but the second transmitter will need to be assigned Bundle number 101 manually in the CobraNet Tx2 output module control panel.

  4. Ensure that the ESP CobraNet card is set to ‘Standard [5.33mS]’ latency and that ControlSpace Designer has control over the CobraNet settings in the Card Properties (default settings).
  5. Open the Input Control Panel for each PowerMatch amplifier and select ‘Digital’ source for each of the inputs.
  6. Connect to the ControlSpace control network, send the design to the hardware and then disconnect.

Note: Since the PowerMatch CobraNet cards come pre-configured, all amplifiers should be receiving audio, but the audio is intended for amplifiers 1 & 2. Changing the Bundle assignment for amplifiers 3 and 4 requires the use of the CobraNet Discovery utility.

  7. Swap the PC network connection to the CobraNet network, launch the CobraNet Discovery utility and ensure that all five CobraNet devices are present.

CobraNet Discover device view

  8. Identify the PowerMatch CobraNet cards by temporarily disconnecting each in turn, making a note of the MAC address associated with each amplifier.
  9. Assign a valid IP address to each of the PowerMatch CobraNet cards (Remember that IP addresses are only temporary).
  10. With the cards identified double-click the card for amplifier #3 to open the CobraNet Configuration dialog box.

Configuration Parameters for PowerMatch amplifier

  11. Next, either select the row for Receiver 1 (Rx1) and click ‘Configure’ or simply double-click the row to open the Receiver 1 Configuration dialog box.

Since the card is already receiving valid audio data (audio for amplifiers 1 & 2) the status indicators should be green.

  12. Change the Bundle assignment from ‘100’ to ‘101’ and then click ‘Apply’.
  13. To verify that the card is now receiving valid audio data from the second transmitter on the ESP click ‘Refresh’ and ensure that the status indicators are still green.

Configuration Panel showing new Bundle assignment and online status

  14. Repeat steps 1-13 for amplifier #4.